Welcome to IntelliCAD

Welcome to IntelliCAD 5

Congratulations on your purchase of IntelliCAD®. Whether you're a novice user or an experienced CAD professional, you'll soon be creating drawings using the numerous productivity-enhancing features in the software. These features include:

  • A familiar Windows environment.
  • The ability to work with multiple open documents.
  • Unparalleled DWG compatibility.

These are just a few of the many features that we've included in the program to make the transition into CAD-based drawing a smooth one for new users. We've also incorporated many features that experienced CAD users have been requesting for years in a drawing package. You have chosen an affordable, high-quality software program to produce your drawings. We think you'll be pleased with the results!

We encourage you to take a few moments to familiarize yourself with the information in this Help system. We've organized the following quick-reference topics to give you an overview of some of the program's features and to assist you in using the IntelliCAD Help system.

Because IntelliCAD can read, write, and display DWG files without conversion, it is an obvious choice for Autodesk® AutoCAD users. But the program provides other compatibility and productivity features that you will find indispensable.

IntelliCAD is a powerful drawing program that gives you the ability to create professional two-dimensional drawings and three-dimensional designs. But don't take our word for it-see a few samples for yourself!

IntelliCAD is designed for anyone who wants a fast and efficient CAD program with the power and versatility of standard programs such as Autodesk® AutoCAD® or MicroStation® by Bentley Systems, Inc., at an affordable price. Using today's advanced technology, IntelliCAD integrates the Microsoft® Windows® interface with a powerful CAD engine.

Tell me about...

Understanding IntelliCAD

Comparing IntelliCAD and CAD to manual drafting

Using AutoCAD commands with IntelliCAD

Using advanced CAD features

Using AutoCAD commands with IntelliCAD

Using AutoCAD legacy drawings


Comparing IntelliCAD

Comparing IntelliCAD and CAD to manual drafting

IntelliCAD greatly reduces the time and effort it takes to create and revise drawings. Not only can you produce accurate drawings faster, you can also reuse the information in your drawings. These are the primary reasons for making the transition to CAD from traditional, manual drafting on paper.

As with any tool, however, to use it effectively, you need to be familiar with some of the special features, functions, and concepts of CAD. If you are familiar with manual drafting, you'll find some conceptual similarities in CAD as well as some differences.

Tell me about...

Drawing to scale

Organizing information

Using tools

Drawing accurately

Drawing efficiently

Making changes

Reusing CAD drawings and entities

Working with other data and programs


Drawing to scale

In traditional, manual drafting, you usually determine the scale of the drawing before you even start to draw, because you are working with a sheet of paper of a fixed size. You may have to reduce or enlarge the entity you are drawing to fit within the confines of the paper.

When you create a drawing in IntelliCAD, you draw everything full-size. You determine the type of units in which your drawing is measured. If you are drawing a building, one drawing unit might equal one inch. If you are drawing a map, one drawing unit might equal one mile. Your drawing environment and the CAD drawing file itself are not limited to the size of a particular sheet of paper.

1 drawing unit equals 1 inch. | 1 drawing unit equals 1 foot.

As you draw, you can use commands such as Pan and Zoom to work on different portions of the drawing and to magnify the display of the drawing to view small details. These commands have no effect on the actual size of the entities in your drawing; they only affect the way the drawing is displayed on your screen. Only when you print or plot your drawing do you need to set the scale so that the printed drawing fits within a specific paper size.


Using tools

In manual drafting, you use tools such as pencils, rulers, T-squares, templates, erasers, and so on. When you create a drawing in IntelliCAD, you use a mouse instead of a pencil, and you use the mouse to select other tools—commands you select from a menu or a toolbar.

You use some tools to create basic entities, such as lines, circles, and arcs, and other tools to modify existing entities (for example, to copy or move them or to change properties such as color and linetype).


Organizing information

In traditional drafting, you often separate elements such as walls, dimensions, structural steel members, and electrical plans onto separate, translucent overlays. When you want to print the working drawings, you can create several different drawings by combining different overlays.

When you create a drawing in IntelliCAD, you use layers to organize elements in a similar manner. However, the layers feature in CAD offers numerous advantages over physical transparencies. The number of overlays you can combine to print a manually drafted drawing is limited by the printing process. There is no such limitation in CAD. With IntelliCAD, you can define an unlimited number of layers, any of which can be visible or invisible at any time. You can name each layer and assign each its own color, linetype, and lineweight. You can also lock individual layers to ensure that information on those layers isn't altered accidentally.

Use layers to organize drawing information.


Drawing accurately

When you create a manual drawing, ensuring accuracy typically requires a lot of manual calculations and rechecking. By contrast, IntelliCAD offers a number of drawing aids that assure accuracy from the start. For example, you create and modify entities based on an underlying Cartesian coordinate system. Every location in the drawing has its own x,y,z coordinates. You can also display a grid as a visual reference to your coordinate system.

Every location in the drawing has its own x,y,z-coordinate within the underlying Cartesian coordinate system. Point 5,2,0 is 5 units to the right (along the x-axis), 2 units up (along the y-axis), and 0 units (along the z-axis) from the origin (the 0,0, 0 point).

Settings such as snap and entity snaps allow you to draw accurately without specifying coordinates. The snap setting forces the selected points to adhere to the grid increment or to any other increment you set. Entity snaps let you snap to precise geometric points on existing entities—for example, the end point of a line or the center of a circle. Another setting, orthogonal, constrains lines so that they are drawn parallel to the vertical and horizontal axes.

Paper-based drawings lack the high degree of accuracy possible when using CAD. Lines often overlap or fail to meet adjacent lines. | Snap and entity snap force the cursor to adhere to a specified increment or attach to key geometric points on existing entities. You can also constrain lines to vertical and horizontal axes.


Drawing efficiently

In paper-based, manual drafting, you often have to redraw the same entity several times at different scales or from different vantage points. You may also need to redraw the border and title block on each new sheet.

One of the most powerful features of IntelliCAD is that when you create a drawing, you can reuse individual entities, borders, and title blocks as often as you want. You need only draw an entity once; the final printed drawing can show the entity at several different scales and viewpoints.

IntelliCAD provides two drawing environments: model space on the Model tab and paper space on a Layout tab. You usually begin working in model space, creating the drawing (a floor plan, a map, or a three-dimensional part) without regard to the final layout on paper. When you are ready to print your drawing, you have the option to switch to a Layout tab (paper space), where you lay out the drawing as you want it to appear on a sheet of paper. For example, you can insert a drawing file that contains the standard border and title block that you created. You can define and arrange multiple views of the drawing at appropriate scales and with specific portions visible or invisible—again, without having to redraw the border and title block for each view.


Reusing CAD drawings and entities

When you create a paper drawing manually, you can draw repetitive symbols by tracing a plastic template. After you draw a symbol in IntelliCAD, you can reuse that symbol without having to redraw it. You simply save the symbol as a block. You can then insert copies of that block anywhere in your drawing. You can also save the symbol as a separate drawing for use in other drawings.

You can draw a symbol one time, save it as a block, and then insert multiple copies of that symbol anywhere in your drawing.

In addition, you can reuse entire drawings and insert individual drawings into other drawings. You can also use an external reference, which acts as a pointer to another drawing rather than a copy of the entire drawing. Using an external reference has an added advantage: when you update the externally referenced drawing, each drawing that references it can be automatically updated.


Making changes

To make changes to a drawing, you must erase and then redraw. With IntelliCAD, you use commands to modify entities in the drawing. You can move, rotate, stretch, or change the scale of entities. When you want to remove an entity, you can delete it with a single click of the mouse. If you make a mistake while creating or modifying your drawing, you can easily reverse your actions.

You can easily change an entity using commands like move, rotate, stretch, and scale instead of redrawing the entity.


Working with other data and programs

Traditional paper drawings serve only as a means of communicating information between the person who created the drawing and the person viewing the drawing. The drawings contain no more information than what is visually imparted by the creator and seen by the viewer.

IntelliCAD offers rich possibilities for analyzing drawings and attaching additional data to them. For instance, although it may be impractical to count entities in a complex paper drawing, this task is simple in CAD. IntelliCAD can calculate the number of entities in a drawing and compute area and distance.

CAD drawings can also contain information in addition to visible entities. You can attach invisible database information to visible drawing entities and extract the information for analysis in a database or spreadsheet. (Working with information in a database requires a program from a third-party vendor, or you can create your own means of exporting the data in LISP or SDS™, or VBA.)

You can extract information stored in the drawing as visible or invisible attributes and use that data for analysis in a database or spreadsheet. IntelliCAD provides in-place editing of Microsoft® objects, such as those created in Microsoft® Word and Microsoft® Excel. In-place editing makes it easy to share data with other users and programs. For example, you can include IntelliCAD drawings in files created using Microsoft® Word or other programs, and you can insert files created using Microsoft® Word into your IntelliCAD drawings.


Getting more information

In addition to this online user's guide, much of the assistance you need as you use IntelliCAD is specific to the commands you work with on the screen. To obtain immediate information as you work, use these additional sources of information:

ToolTips To find out what a specific tool on a toolbar does, pause the cursor over it for a moment. A ToolTip appears on the screen.

Status bar To find out more detailed information about a tool when you pause the cursor over it, look on the status bar at the bottom of the screen.


Sample drawings

With the IntelliCAD program, you can create a variety of drawings, including two-dimensional architectural drawings, electrical schematics, and mechanical drawings. To access the sample files, choose File > Open, and then open the Samples folder.


What's New in IntelliCAD 4

What's New in IntelliCAD 5

Navigate with the Model and Layout tabs

New tabs located at the bottom of the drawing area allow you to switch how you view your drawing.

Use the new Model tab to create your drawing. When you are ready to print, you can optionally use one or more Layout tabs to design how you want your drawing to look when it prints on paper.

While working on a Layout tab, you can still view and work with your drawing on the Model tab, but you can also add items for printing, such as a title block or legend, that do not appear on the Model tab. When you are ready to view and work with only the model again, simply click the Model tab.

Apply lineweights

The width of entities in your drawing can be controlled with the new lineweight feature. You can assign lineweights to entities and layers, and you can also specify whether they display or print.

Work with files

There are many new file formats supported for opening, saving, and exporting files.

You can now open these additional files:

  • Design Web Format™ (.dwf) files. DWF™ files allow you to distribute your drawing to others to view in a Web browser, review, and edit using free Autodesk® software and tools.
  • AutoCAD 2004 drawing (.dwg) files.
  • Drawing (.dwg) files that you suspect are damaged.
  • Drawing template (.dwt) files.

In addition to recovering drawing files that you suspect are damaged, you can also audit files to check for errors.

You can also save to these additional file formats:

  • AutoCAD 2004 drawing (.dwg) files.
  • Drawing template (.dwt) files.

You can now export to these additional file formats:

  • Design Web Format (.dwf) files.
  • Scalable Vector Graphics (.svg) file format, which is a graphics file format and Web development language.

In addition to the various new file formats that are supported, you can also drag-and-drop drawings from Web sites that support the Autodesk® i-drop® technology.

Reorder entities

When multiple entities overlap, you can change the order in which they display. Choose Tools > Draw Order to move entities to the front, back, or on top or below of another entity.

Use updated toolbars

You can now choose dimension styles from the Dimensioning toolbar.

When you modify the properties of entities in your drawing, you can use the new Entity Properties toolbar for your editing needs. Use the toolbar to access these features:

  • Set layer by entity
  • Set layers and access the IntelliCAD Explorer
  • Select colors
  • Select linetypes
  • Select lineweights

Use new system variables

New system variables include: AUDITCTL, CELWEIGHT, FONTALT, LAYOUTREGENCTL, LWDEFAULT, LWDISPLAY, LWUNITS, PEDITACCEPT, SAVEROUNDTRIP, and STARTUP.


Getting started

This section provides basic information about using IntelliCAD.

NOTE This online user's guide assumes that you have used other Windows-based programs and are familiar with Windows terminology and techniques.

Tell me about...

Working in the IntelliCAD window

Selecting and using commands

Using the Prompt History window

Using scripts

Correcting mistakes

Customizing IntelliCAD

Getting online Help

Saving your drawing


Working in IntelliCAD

You can work with the IntelliCAD window and its elements in a variety of ways. For example, you can display and rearrange the toolbars, display the command bar, and enable the status bar. The toolbars and command bar can also be floated anywhere on the screen or docked to the edges of the main IntelliCAD window.

Tell me about...

Displaying and hiding toolbars

Displaying commands on a shortcut menu

Using the command bar

Using the status bar

Using prompt boxes


Displaying commands on a shortcut menu

Shortcut menus provide quick access to specific commands. A shortcut menu displays when you right-click an entity, toolbar, status bar, the Model tab name, or a Layout tab name. The selections presented in the shortcut menu depend on what you clicked.

When you right-click a toolbar, the program displays a shortcut menu that lets you toggle the command bar, status bar, and various toolbars on and off. If you select one or more entities and then right-click, the program displays a shortcut menu from which you can choose a command to modify the selected entities. To display a shortcut menu from which you can choose an entity snap, press and hold down the Shift key, and then right-click anywhere within the drawing window.


Displaying and hiding toolbars

When you start IntelliCAD the first time, multiple toolbars are displayed. IntelliCAD provides more than a dozen toolbars, which you can customize by adding and deleting tools. You can also move and resize toolbars, and you can create new toolbars. You can use a shortcut menu to display or hide toolbars.

You can also choose whether toolbars are displayed large or small and in color. You can choose to display or hide ToolTips, which provide descriptions of tools that display when you pause the cursor over them. Go to View > Toolbars to make these selections.

Toolbars are either docked or floating. A floating toolbar has a title bar and a Close box, can be located anywhere on the screen, and can be resized. A docked toolbar does not display a title or Close box, cannot be resized, and is attached along one of the edges of the drawing window.

  • To dock a toolbar, drag it to the perimeter of your drawing; to undock it, drag it away from the perimeter.
  • To position a toolbar in a docking area without docking it, press Ctrl while you drag it.
  • To move a toolbar, drag it to a new location.
  • To resize a toolbar, move your cursor to the edge until it changes to a resize arrow, and then drag.

To choose which toolbars to display

  1. Do one of the following:
    • Choose View > Toolbars.
    • Right-click anywhere on a docked toolbar to display the toolbar shortcut menu, and then choose Toolbars. You can also select the toolbars you want displayed directly on the shortcut menu.
  2. In the Select Toolbars dialog box, choose the toolbars you want displayed, and then click OK.


Using the command bar

The command bar is a dockable window in which you type IntelliCAD commands and view prompts and other program messages. To display the command bar, choose View > Command Bar. The command bar displays the three most recent lines of prompts. You can move the command bar by dragging it.

When the command bar is floating, you can drag the top or bottom of the window to change the number of lines of text it displays. You can dock the command bar at the top or bottom of the drawing.


Using the status bar

If you elect not to use the command bar, the status bar located at the bottom of the IntelliCAD window displays information about the selected command or tool. It also displays the current cursor coordinates, the name of the current layer, mode settings, and other information about current settings.


Using prompt boxes

IntelliCAD commands often provide several options. These options appear in the status bar or command bar and also in a prompt box (called a context menu in AutoCAD) initially displayed in the upper right corner of the screen. You can move the prompt box by dragging it; future prompt boxes will appear where you last placed it. The options appear as menu selections. Choose the appropriate option by selecting it in the prompt box. To close a prompt box, click the Close box.

The prompt box is displayed by default. To turn off the display of prompt boxes, choose Tools > Options, click the Display tab, and then click the Display Prompt Boxes check box to clear it


Selecting and using commands

Select commands using any of these methods:

  • Choose a command from a menu.
  • Click a tool in a toolbar.
  • Type the command in the command bar.

Some commands remain active until you end them, so you can repeat an action without having to select a command repeatedly. You can end a command by clicking Done in the prompt box or by pressing Esc.

You can use most commands while another command is active. For example, while drawing a line, you may want to use the Pan command to move the drawing across the screen to select the endpoint of the line. You can also change the settings of drawing aids such as snap or grid while other commands are active.

Tell me about...

Nesting a command

Repeating a command


Using the Prompt History window

The Prompt History window displays a history of the commands and prompts issued since you started the current session of IntelliCAD. By default, the program tracks up to 256 command lines. There is no limit to the number of command lines you can track, but program performance may be degraded if you choose to track an excessively high number of lines.

To change the number of command lines to track

  1. Do one of the following:
    • Choose Tools > Options, and then click the Display tab.
    • Type options and then press Enter. Click the Display tab.
  2. In the Command Lines To Track field, type the number of command lines you want to display, and then click OK.

TIP To display the Prompt History window, press F2. To close the window, press F2 again.


Using scripts

The IntelliCAD Script Recorder captures and saves many of your actions so you can play them back. After you enable the Script Recorder, all commands and options that you type in the command bar are recorded until you type a command to stop recording. When you run the script, the program carries out the recorded commands in succession.


Correcting mistakes

IntelliCAD tracks the commands you use and the changes you make. If you change your mind or make a mistake, you can undo, or reverse, the last action or several previous actions. You can also redo any actions that you reversed.

You can undo multiple actions by typing undo and specifying the number of actions to undo.


Customizing IntelliCAD

You can tailor many aspects of IntelliCAD to better suit your needs. For example, you can easily create and modify toolbars by simply dragging and dropping icons. If you want to restore any area of the user interface back to its default state, click Reset. IntelliCAD stores your customized settings in the Windows registry rather than in a separate file.

IntelliCAD supports the most important AutoCAD customization files, including linetypes, hatch patterns, text fonts, the unit conversion file, menus, toolbars, and aliases. In addition, IntelliCAD unifies four AutoCAD customization functions with a single customize command: command aliases, keyboard shortcuts, menus, and toolbars.

You can also add custom programs written in any of several programming languages, including LISP (the program's Autodesk® AutoLISP-compatible language), SDS (the program's Autodesk® ADS-compatible language), and Microsoft® Visual Basic for Applications (VBA).


Getting online Help

IntelliCAD includes online Help. It contains some information that does not appear in this book, including a command reference and a programming language reference.

You can display online Help in any of these ways:

  • On the Standard toolbar, click Help.
  • Press F1.
  • Choose a command from the Help menu.
  • Click Help in a dialog box.
  • Type help in the command bar.


Saving a drawing

You can save your drawing at any time.

To save a drawing, use one of the following methods:

  • On the Standard toolbar, click Save.
  • Choose File > Save.
  • Type save and then press Enter.
  • Type qsave and then press Enter.

TIP When you save a drawing the first time, the program displays the Save Drawing As dialog box so that you can choose a directory and type a name for the drawing. You can use any name when you first save the drawing. To save the drawing later using another name, choose File > Save As, and then type the new name.

Tell me about...

Saving your drawing

How do I...

Save a drawing with a new name or file format

Save a drawing with a password


Exiting IntelliCAD

When you have finished working in IntelliCAD, choose File > Exit.


Working with drawings

CAD drawings help you organize information for greater efficiency. With IntelliCAD, you can place entities representing different types of information on various layers, and use those layers to control color, linetype, and visibility. IntelliCAD also includes drawing aids that help you draw accurately.

Tell me about...

Creating a new drawing

Opening an existing drawing

Saving your drawing

Setting up a drawing

Setting and changing the grid and snap alignment

Using the Draw Orthogonal option

Using entity snaps


Creating a new drawing

When you start IntelliCAD, the program automatically creates a new drawing based on a template drawing, icad.dwt. This template includes predefined settings such as drawing units, text size, and drawing area. You can either use these settings or change them according to your needs. There is nothing unique about a template drawing. You can use any drawing as a template for future drawings.

You can save many steps by basing a new drawing on an existing template (.dwt file). By doing this, a new drawing will contain all the settings and entities you need. When you open a new drawing from your custom template, you can modify existing settings and delete any entities that you don’t need. When you save a drawing that was created using a template, you do not change the template.

To create a new drawing based on a template

  1. Do one of the following:
    • Choose File > New.
    • Type newwiz and then press Enter.
  2. Click Use A Template Drawing, and then click Next.
  3. To display the Open Template dialog box, click Browse.
  4. Select the template (.dwt) file that you want, and then click Open. You can also choose any drawing (.dwg) file to use as a template.
  5. Click Finish.


Opening an existing drawing

Opening a drawing

You can open drawing (.dwg) files, Drawing Exchange Format (.dxf) files, Design Web Format™ (.dwf) files, and drawing template (.dwt) files.

You can also open and check files that you suspect are damaged.

Tell me about...

Insert drawings from a Web site

Opening an existing drawing

Opening a damaged drawing

Saving your drawing

How do I...

Open a drawing

Check a drawing for errors

Open a damaged drawing


Opening an existing drawing

You can open any of these drawing files:

  • Standard drawing files with a .dwg extension.
  • In addition to your own drawing files, you can open and use one of the sample drawings that are included with IntelliCAD.
  • Drawing exchange format files with a .dxf file extension.
  • Design web format files with a .dwf file extension.
  • Drawing templates with a .dwt file extension.

To open an existing drawing

  1. Use one of the following methods:
    • Choose File > Open.
    • On the Standard toolbar, click the Open tool ( [image]).
    • Type open and then press Enter.
  2. In Files of Type, choose the type of file you want to open.
  3. Choose the folder containing the desired file.
  4. Choose the drawing you want to open.
  5. Click Open.

    If the drawing requires a password, enter the password, click OK to verify the password, and then click Open again.

TIP To quickly open a drawing file that you recently used, choose File > <file name>. The program tracks the last four drawings. To quickly open a drawing file from the Open Drawing dialog box, double-click the drawing name.

Tell me about...

Importing files created in other formats

Insert drawings from a Web site

Opening a damaged drawing

Saving your drawing


Opening damaged drawings

Files can become damaged for many reasons. For example, if you are working on a drawing during a power outage, a system crash, or a hardware failure, your drawing file may become damaged. IntelliCAD allows you to open and check damaged files to attempt file recovery.

Recovering a file attempts to open one of the following file types:

  • Standard drawing files with a .dwg extension.
  • Drawing Exchange Format files with a .dxf file extension.
  • Design Web Format files with a .dwf file extension.
  • Drawing templates with a .dwt file extension.

You can also check any open file for errors.

To open a damaged file

  1. Use one of the following methods:
    • Choose File > Recover.
    • Type recover and then press Enter.
  2. In Files of Type, choose the type of file you want to recover.
  3. Choose the directory containing the damaged file.
  4. Choose the damaged file you want to recover.
  5. Click Open.

To check a drawing file for errors

  1. With the drawing open that you want to check, do one of the following:
    • Choose File > Audit.
    • Type audit and then press Enter.
  2. Choose whether you want IntelliCAD to fix any found errors automatically, and then press Enter.

NOTE If the AUDITCTL system variable is set to On and errors are found during a file recovery or audit, an ASCII file is created that describes the audit. The ASCII file is saved in the same folder as the audited drawing, and has the same name as the drawing file, but with an .adt file extension.

Tell me about...

Opening an existing drawing


Setting up a drawing

You can specify individual settings when you create a new drawing or when you modify settings in a drawing created from a template.

Tell me about...

Setting the current layer

Setting the current entity color

Setting the current linetype

Setting the linetype scale

Setting the current lineweight

Setting drawing units

Understanding scale factors

Setting the text height

Setting the drawing limits


Setting the current layer

Layers are like the overlays that you use in manual drafting. You use layers to organize different types of drawing information. Every drawing has at least one layer, the default layer, named "0." Your drawing can also contain an unlimited number of additional layers. When you create an entity, it is created on the current layer.

To set the current layer

  1. Do one of the following:
    • Choose Settings > Explore Layers.
    • On the Settings toolbar, click the Explore Layers tool ( [image]).
    • Type explayers and then press Enter.
    • Type la and then press Enter.
    • On the status bar, right-click on the current layer control, and from the list, select the layer you want to make current.
  2. Double-click the layer that you want to make current.
  3. Close the IntelliCAD Explorer window.


Setting the current entity color

An entity's color determines how it is displayed and, if you are using a color printer, how it prints. Entities are created in the current color. There are 255 regular colors and two additional color properties that are often referred to as colors.

You can use seven of the 255 regular colors by name: white, blue, cyan, green, yellow, red, and magenta. (Numbers eight and nine are not named.) Each color has a unique number from 1 to 255. The two additional color properties are BYLAYER and BYBLOCK. These color properties cause an entity to adopt the color either of the layer or of the block in which it is a member. BYLAYER is color number 256, and BYBLOCK is color number 0. In all commands where you would use a color, you can indicate BYLAYER and BYBLOCK as well as by numbers 256 and 0, respectively.

You can choose colors by selecting them from the color dialog box. At the command bar or in some dialog boxes, you specify a color either by name or by number.

When you open a new drawing, entities are created in the color BYLAYER, which adopts the color of the current layer. Initially, layer 0 is both the only layer and the current layer. Its default color is white, so your entities appear as white.

To set the current entity color

  1. Do one of the following:
    • Choose Settings > Drawing Settings.
    • On the Settings toolbar, click the Drawing Settings tool ( [image]).
    • Type settings and then press Enter.
  2. Click the Entity Creation tab.
  3. Click Select Color.
  4. In the Color dialog box, click BYBLOCK, BYLAYER, or the color of your choice, or type the color number in the Index box.
  5. Click OK.
  6. Click OK again.

TIP On the status bar, right-click on the current color, and select from the list the color you want to use for new entities. You can also click Select Color to choose additional colors.


Setting the current linetype

Linetypes help convey information. You use different linetypes to differentiate the purpose of one line from another. A linetype consists of a repeating pattern of dots, dashes, or blank spaces. Linetypes determine the appearance of entities both on the screen and when printed. By default, every drawing has at least three linetypes: CONTINUOUS, BYLAYER, and BYBLOCK. Your drawing may also contain an unlimited number of additional linetypes.

When you create an entity, it is created using the current linetype. By default, the current linetype is BYLAYER. IntelliCAD indicates that the entity linetype is determined by the current layer’s linetype by assigning the BYLAYER property as the default linetype setting. When you assign BYLAYER, changing a layer’s linetype changes the linetype of all the entities assigned that layer (if they were created using the linetype BYLAYER).

You can also select a specific linetype as the current linetype, which overrides the layer’s linetype setting. Entities are then created using that linetype, and changing the layer linetype has no effect on them.

As a third option, you can use the linetype BYBLOCK property, in which case new entities are drawn using the CONTINUOUS linetype until you group them into a block. The entities then inherit the block’s linetype setting when you insert the block into a drawing.

To set the current linetype

  1. Do one of the following:
    • Choose Settings > Drawing Settings.
    • On the Settings toolbar, click the Drawing Settings tool ( [image]).
    • Type settings and then press Enter.
  2. Click the Entity Creation tab.
  3. In the Entity Linetype list, choose the linetype that you want to make current.
  4. Click OK.

TIP On the status bar, right-click on the word BYLAYER for the current linetype, click Properties, and then choose the linetype that you want to make current.


Setting the linetype scale

You can specify the linetype scale. The smaller the scale, the more repetitions of the linetype pattern are generated per drawing unit. For example, a linetype pattern is defined as a sequence of dashed lines and open spaces, each 0.25 units long. The linetype scale uses the drawing scale factor to determine the length. A scale factor of .5 would reduce the length of each line and space to 0.125 units; a scale factor of 2 would increase the length of each to .5 units.

NOTE Setting the linetype scale too large or too small may result in a line pattern looking like a solid line, depending on what the scale view is or at what scale the drawing is plotted.

You can control a new entity's individual linetype scale factor as well as the overall or global scale factor applied to all the entities in the drawing.

To set the current individual linetype scale

  1. Do one of the following:
    • Choose Settings > Drawing Settings.
    • On the Settings toolbar, click the Drawing Settings tool ( [image]).
    • Type settings and then press Enter.
  2. Click the Entity Creation tab.
  3. In the Linetype Scale field, type or choose the linetype scale that you want to make current.
  4. Click OK.

To change the global linetype scale

  1. Do one of the following:
    • Choose Settings > Drawing Settings.
    • On the Settings toolbar, click the Drawing Settings tool ( [image]).
    • Type settings and then press Enter.
  2. Click the Entity Creation tab.
  3. In the Global Linetype Scale field, type or choose the global linetype scale that you want to change.
  4. Click OK.


Setting the current lineweight

Lineweights help differentiate the purpose of one line from another. Lineweights determine how thick or thin entities appear both on the screen and when printed. Every drawing has these lineweights: DEFAULT, BYLAYER, BYBLOCK, and many additional lineweights in millimeters (or you can use inches).

When you create an entity, it is created using the current lineweight. By default, the current lineweight for a new entity is BYLAYER. This means that the entity lineweight is determined by the current layer. When you assign BYLAYER, changing a layer’s lineweight changes the lineweight of all the entities assigned that layer (if they were created using the lineweight BYLAYER).

You can also select a specific lineweight (or DEFAULT) as the current lineweight, which overrides the layer’s lineweight setting. Entities are then created using that lineweight (or the DEFAULT lineweight), and changing the layer lineweight has no effect on them.

As a third option, you can use the lineweight BYBLOCK property, in which case new entities are drawn using the DEFAULT lineweight until you group them into a block. The entities then inherit the block’s lineweight setting when you insert the block into a drawing.

If you choose a lineweight that is less than .025 millimeter, it displays as one pixel when you create your drawing. When you print your drawing, it prints at the thinnest lineweight that is available for your printer.

You cannot assign lineweights to planes, points, TrueType fonts, and raster images (if supported in your version of IntelliCAD).

To set the current lineweight

  1. Do one of the following:
    • Choose Settings > Drawing Settings.
    • On the Settings toolbar, click the Drawing Settings tool ( [image]).
    • Type settings and then press Enter.
  2. Click the Entity Creation tab.
  3. In the Lineweight list, choose the lineweight that you want to make current
  4. Click OK.

TIP On the status bar, right-click the word BYLAYER for the current linetype, and then choose the current lineweight. You can also double-click the word LWT to toggle the display of lineweights on and off.

To see lineweights in your drawing, you may need to turn on lineweights.

How do I...

Choose how lineweights print

Control the display of lineweights


Setting drawing units

With IntelliCAD, you typically draw at full-size (1:1 scale), and then set a scale factor when you print or plot your drawing. Before you begin drawing, however, you need to determine the relationship between drawing units and real-world units.

For example, you can decide whether one linear drawing unit represents an inch, a foot, a meter, or a mile. In addition, you can specify the way the program measures angles. For both linear and angular units, you can also set the degree of display precision, such as the number of decimal places or smallest denominator used when displaying fractions. The precision settings only affect the display of distances, angles, and coordinates. IntelliCAD always stores distances, angles, and coordinates using floating-point accuracy.

To set the linear drawing units

  1. Do one of the following:
    • Choose Settings > Drawing Settings.
    • On the Settings toolbar, click the Drawing Settings tool ( [image]).
    • Type settings and then press Enter.
  2. Click the Drawing Units tab.
  3. Under Change Settings For, choose Linear Units.
  4. Under Unit Types, select a unit type.
  5. Under Display Precision, type the display precision according to the number of decimal places you want, or click the arrows to select it.
    6. The field above this setting shows an example of the linear unit type at the current precision.
  6. Click OK.

To set the angular drawing units

  1. Do one of the following:
    • Choose Settings > Drawing Settings.
    • On the Settings toolbar, click the Drawing Settings tool ( [image]).
    • Type settings and then press Enter.
  2. Click the Drawing Units tab.
  3. Under Change Settings For, choose Angular Units.
  4. Under Unit Types, select a unit type.
  5. Under Display Precision, type the display precision according to the number of decimal places you want, or click the arrows to select it.
    6. The field above this setting shows an example of the angular unit type at the current precision.
  6. Under Angle Direction, select the direction in which angles increase when you specify a positive angle value.
  7. Under Angle Base, specify the compass location for the zero angle.
    8. For example, by default, angle 0 is at the "3 o'clock" or "east" position.
    The adjacent icon shows the current location of the angle base.
  8. Click OK.


Understanding scale factors

Instead of drawing to a particular scale, everything you draw in the program is full-size. Although it's a good idea to keep your scale factor in mind when setting up a drawing, you don't need to set the scale until you print it. For example, when you draw a mechanical part 40 inches in length with IntelliCAD, you actually draw it as 40 inches, rather than applying a scale factor as you draw. When you print your drawing, you can assign the scale at which the drawing is to print.

Scale, however, does affect the way a few elements such as text, arrows, or linetypes print or plot in your drawing. For these, you can make adjustments when you first set up your drawing so that they print or plot at the correct size. For example, when you draw text, you need to determine the text size so that when you plot it later at a particular scale, the text height is correct.

After you determine the eventual scale of your finished drawing, you can calculate the scale factor for the drawing as a ratio of one drawing unit to the actual scale unit represented by each drawing unit. For example, if you plan to print your drawing at 1/8"=1'-0", your scale factor ratio is 1:96 (1/8" = 12" is the same as 1 = 96). If you want your printed scale to be 1 inch = 100 feet, your scale factor ratio is 1:1200.

The following table shows some standard architectural and engineering scale ratios and equivalent text heights required to create text that measures 1/8-inch high when you plot the drawing at the specified scale.

Standard scale ratios and equivalent text heights

Scale | Scale factor | Text height
1/16"=1'-0" | 192 | 24"
1/8"=1'-0" | 96 | 12"
3/16"=1'-0" | 64 | 8"
1/4"=1'-0" | 48 | 6"
3/8"=1'-0" | 32 | 4"
1/2"=1'-0" | 24 | 3"
3/4"=1'-0" | 16 | 2"
1"=1'-0" | 12 | 1.5"
1 1/2"=1'-0" | 8 | 1"
3"=1'-0" | 4 | 0.5"
1"=10' | 120 | 15"
1"=20' | 240 | 30"
1"=30' | 360 | 45"
1"=40' | 480 | 60"
1"=50' | 600 | 75"
1"=60' | 720 | 90"
1"=100' | 1200 | 150"

You can use these scale factors to predetermine the size of your drawing to make sure that it fits on a specific size paper when you print it. You control the size of your drawing by the drawing limits. To calculate the drawing limits to match the size of your paper, multiply the dimensions of your paper size by your scale factor.

For example, if the paper you use to print measures 36 inches x 24 inches and you plot your drawing at 1/8"=1'-0" (in other words, using a scale factor of 96), the size of your drawing measured in drawing units is 36 x 96 (or 3,456 units) wide and 24 x 96 (or 2,304 units) high.

Keep in mind that you can print the finished drawing at any scale, regardless of the scale factor you calculate. You can also print on paper of a different size and use the Layout tabs to create different views of your drawing and to position and scale those views differently. The scaling factor is not related to the size of the entities you draw; it simply provides a preliminary guide to help you establish the text height and drawing limits when you begin your drawing. You can change the text height and drawing limits at any time.


Setting the text height

The text height setting controls the height of text, measured in drawing units. Set this value initially so that text used for your most common annotations, when scaled to the size at which you will print a drawing, measures 1/8-inch high on the printed drawing.

For example, if you plan to print your drawing at 1/8"=1'-0" and you want your text to be 1/8-inch high in the final drawing, create that text 1 foot high (in your real-world drawing units) so that when you print it, it appears 1/8-inch high on the paper. You must create text 4 feet high that you want to print 1/2-inch high.

To set the text height

  1. Do one of the following:
    • Choose Settings > Drawing Settings.
    • On the Settings toolbar, click the Drawing Settings tool ( [image]).
    • Type settings and then press Enter.
  2. Click the Entity Creation tab.
  3. Under Change Settings For, choose Text.
  4. In the Default Text Height field, select the text height or type the text height value that you want.
  5. Click OK.

NOTE The default text height only applies if the current text style height is 0.0. Otherwise, the text height for the current style takes precedence.


Setting the drawing limits

You can specify the drawing limits that form an invisible boundary around your drawing. You can use the drawing limits to make sure that you do not create a drawing larger than can fit on a specific sheet of paper when printed at a specific scale.

For example, if you plan to print your drawing at 1/8"=1'-0" (in other words, using a scale factor of 96) on a sheet of paper measuring 36 inches x 24 inches, you can set drawing limits to 3,264 units wide (that is, 34 x 96) and 2,112 units high (22 x 96), which allows a 1-inch margin around the edges of the printed image.

To set the drawing limits

  1. Do one of the following:
    • Choose Settings > Drawing Settings.
    • On the Settings toolbar, click the Drawing Settings tool ( [image]).
    • Type settings and then press Enter.
  2. Click either the Coordinate Input tab or the Display tab.
  3. Under Change Settings For, choose Limits.
  4. Specify the x-coordinate and y-coordinate of the upper right drawing limit and the lower left drawing limit.
    5. You can also click Select to specify the drawing limits by selecting points in the drawing.
  5. To constrain your drawing to these drawing limits, select Disallow Input Beyond Limits.
  6. Click OK.


Setting and changing the grid and snap alignment

Grid and snap settings are effective tools to use in your drawing to ensure accuracy. Although many users find it convenient to match grid points to snap settings, they are independent of each other and should not be confused. Grid points are for visual reference only; they do not affect your drawing and they do not print. Snap points are, by themselves, not visible; however, when set, they constrain the creation of new entities.

Tell me about...

Setting a reference grid

Setting snap spacing

Changing the snap and grid angle and base point

Using isometric snap and grid


Setting a reference grid

You can display a reference grid consisting of a regular pattern of dots. This grid is similar to drawing on a sheet of nonreproducing grid paper. Although the reference grid is visible on the screen, it does not print as part of the drawing, nor does it affect where you can draw.

The reference grid extends only to the limits of the drawing, helping you to visualize the boundary of your drawing and to align entities and visualize distances between entities. You can turn the grid on and off as needed. You can also change the spacing of the grid at any time.

To turn the grid on and set the grid spacing

  1. Do one of the following:
    • Choose Settings > Drawing Settings.
    • On the Settings toolbar, click the Drawing Settings tool ( [image]).
    • Type settings and then press Enter.
  2. Click the Coordinate Input tab.
  3. Under Change Settings For, choose Snap And Grid.
  4. Under Reference Grid, click the Show Grid check box.
  5. Under Reference Grid Spacing, in the X field, choose the horizontal grid spacing.
  6. Under Reference Grid Spacing, in the Y field, choose the vertical grid spacing.
  7. Click OK.

TIP To toggle the grid display on and off at any time, double-click the GRID setting on the status bar, click the Reference Grid tool ( [image]) on the Settings toolbar, or press F7.


Setting snap spacing

Another way to ensure drawing accuracy is to turn on and set snap spacing. When snap is turned on, the program restricts the selection points to predetermined snap intervals. Although it is often helpful to match the snap spacing to some interval of grid spacing or another related setting, the settings do not have to match.

To turn snap settings on and set snap spacing

  1. Do one of the following:
    • Choose Settings > Drawing Settings.
    • On the Settings toolbar, click the Drawing Settings tool ( [image]).
    • Type settings and then press Enter.
  2. Click the Coordinate Input tab.
  3. Under Change Settings For, choose Snap And Grid.
  4. Under Snap Settings, click the Snap check box to turn it on.
  5. Under Snap Settings Spacing, in the X field, choose the horizontal snap spacing.
  6. Under Snap Settings Spacing, in the Y field, choose the vertical snap spacing.
  7. Click OK.

TIP To toggle snap settings on and off at any time, double-click the SNAP setting on the status bar, click the Snap tool ( [image]) on the Settings toolbar, or press F9.

In addition to setting the snap spacing, you can change the snap and grid orientation. You can also rotate the alignment of the grid or set it to create isometric drawings.


Changing the snap and grid angle and base point

The snap and grid are both normally based on the drawing origin, the 0,0 coordinate in the World Coordinate System. You can relocate the snap and grid origin, however, to help you draw entities in relation to a different location. You can also rotate the grid to a different angle to realign the crosshairs to the new grid angle. If the grid is on, and the grid spacing is 0,0, then the grid defaults to the snap spacing.

To change the snap angle and base point

  1. Do one of the following:
    • Click Settings > Drawing Settings.
    • On the Settings toolbar, click the Drawing Settings tool ( [image]).
    • Type settings and then press Enter.
  2. Click the Coordinate Input tab.
  3. Under Change Settings For, select Snap And Grid.
  4. Under Snap Settings, click the Snap check box to turn it on.
  5. Under Reference Grid, click the Show Grid check box to turn it on.
  6. Under Snap and Grid Settings, in the X Origin field, type the x-coordinate of the new snap origin.
  7. Under Snap and Grid Settings, in the Y Origin field, type the y-coordinate of the new snap origin.
  8. Under Snap and Grid Settings, in the Rotation field, type the grid rotation angle.
  9. Click OK.

Default grid and snap alignment. | Rotated grid and snap alignment.


Using isometric snap and grid

You can use the isometric snap and grid option to create two-dimensional isometric drawings. With the isometric option, you are simply drawing a simulated three-dimensional view on a two-dimensional plane, much the same as you might draw on a piece of paper. Do not confuse isometric drawings with three-dimensional drawings. You create three-dimensional drawings in three-dimensional space.

The isometric option always uses three preset planes, which are denoted as left, right, and top. You cannot alter the arrangement of these planes. If the snap angle is 0, the three isometric axes are 30 degrees, 90 degrees, and 150 degrees.

When you check the Isometric Snap and Grid option and select an isometric plane, the snap intervals, grid, and crosshairs align with the current plane. The grid is always shown as isometric and uses y-coordinates to calculate the grid spacing. If you select the Draw Orthogonal check box, the program restricts the drawing of entities to the current isometric plane.

TIP To toggle between isometric planes, press F5.

To turn the isometric snap and grid option on

  1. Do one of the following:
    • Choose Settings > Drawing Settings.
    • On the Settings toolbar, click the Drawing Settings tool ( [image]).
    • Type settings and then press Enter.
  2. Click the Coordinate Input tab.
  3. Under Change Settings For, select Snap And Grid.
  4. Click to select the Isometric Snap And Grid check box.
  5. Under Isometric Crosshairs, click the option for the isometric plane you want (left, right, or top).
  6. Click OK.

Isometric planes left (A), right (B), top (C).


Using the Draw Orthogonal option

You can restrict cursor movement to the current horizontal and vertical axes so that you can draw at right angles, or orthogonally. For example, with the default 0-degree orientation (angle 0 at the "three o'clock" or "east" position), when the Draw Orthogonal option is enabled, lines are restricted to 0 degrees, 90 degrees, 180 degrees, or 270 degrees. As you draw lines, the rubber-banding line follows either the horizontal or vertical axis, depending on which axis is farthest from the cursor. When you enable the isometric snap and grid, cursor movement is restricted to orthogonal equivalents within the current isometric plane.

NOTE IntelliCAD ignores orthogonal drawing when you type coordinates in the command bar or when you use entity snaps.

To enable orthogonal drawing

  1. Do one of the following:
    • Choose Settings > Drawing Settings.
    • On the Settings toolbar, click the Drawing Settings tool ( [image]).
    • Type settings and then press Enter.
  2. Click the Coordinate Input tab.
  3. Click the Draw Orthogonal check box.
  4. Click OK.

TIP To toggle orthogonal drawing on and off at any time, double-click the ORTHO settings on the status bar, click the Draw Orthogonal tool ( [image]) on the Settings toolbar, or press F8.


Using entity snaps

Entity snaps enable you to quickly select exact geometric points on existing entities without having to know the exact coordinates of those points. With entity snaps, you can select the end point of a line or arc, the center point of a circle, the intersection of any two entities, or any other geometrically significant position. You can also use entity snaps to draw entities that are tangent or perpendicular to an existing entity.

You can use entity snaps any time the program prompts you to specify a point—for example, if you are drawing a line or other entity. You can work with entity snaps in one of two ways

  • Enable a running entity snap that remains in effect until you turn it off by choosing an entity snap when no other command is active.
  • Enable a one-time entity snap for a single selection by choosing an entity snap when another command is active. You can also use a one-time entity snap to override a running entity snap.

When using entity snaps, the program recognizes only visible entities or visible portions of entities. You cannot snap to entities on layers that have been turned off or to the blank portions of dashed lines.

When you specify one or more entity snaps, an entity snap target box is added to the crosshairs. In addition, an icon appears adjacent to the crosshair indicating the active entity snap. When you select an entity, the program snaps to the snap point closest to the center of the target box.

TIP If you type the name of the entity snap, you need to type only the first three letters.

Tell me about...

Setting entity snaps

Nearest Snap tool

Endpoint Snap tool

Midpoint Snap tool

Center Snap tool

Perpendicular Snap tool

Tangent Snap tool

Quadrant Snap tool

Insertion Point Snap tool

Point Snap tool

Intersection Snap tool

Plan View Intersection Snap tool

Quick Snap tool

Clear Entity Snaps tool

Using Fly-over Snapping


Setting entity snaps

You can set entity snaps using any of the following methods:

  • Choose Settings > Entity Snap, and choose the entity snap you want to set.
  • On the Entity Snaps toolbar, click one of the entity snap tools.
  • Type an entity snap command.
  • In the status bar, double-click ESNAP.
  • Press and hold down the Shift key while right-clicking anywhere within the drawing window to display the entity snap shortcut menu, and then choose the entity snap you want to set.

You can also set entity snaps using the Drawing Settings dialog box. To do this, choose Settings > Entity Snap > Entity Snap Settings. The Drawing Settings dialog box is displayed with the Coordinate Input tab active. In the Entity Snap Modes list, click the check box for each of the entity snaps that you want to set.

TIP When you select an entity snap, a check mark appears next to the entity snap in the menu, the associated tool in the Entity Snaps toolbar is active, and the corresponding box is checked in the Coordinate tab of the Drawing Settings dialog box.

To change the size of the entity snap target box

  1. Do one of the following:
    • Choose Settings > Drawing Settings.
    • On the Settings toolbar, click the Drawing Settings tool ( [image]).
    • Type settings and then press Enter.
  2. Click the Coordinate Input tab.
  3. Under Change Settings For, choose Entity Selection.
  4. Under Entity Snap Aperture, change the value in the Aperture field.
  5. Click OK.


Nearest Snap tool

Use the Nearest Snap tool to snap to the nearest point of another entity. You can snap to the nearest point on an arc, circle, ellipse, elliptical arc, line, point, polyline segment, ray, spline, or infinite line that is visually closest to the cursor.

To set the Nearest Snap

Do one of the following:

  • Choose Settings > Entity Snap > Nearest Snap.
  • On the Entity Snaps toolbar, click the Set Nearest Snap tool ( [image]).
  • Type nearest and then press Enter.


Endpoint Snap tool

Use the Endpoint Snap tool to snap to the endpoint of another entity. You can snap to the closest endpoint of an arc, line, polyline segment, ray, plane or three-dimensional face. If an entity has thickness, the Endpoint Snap also snaps to the endpoints of the edges of entities.

To set the Endpoint Snap

Do one of the following:

  • Choose Settings > Entity Snap > Endpoint Snap.
  • On the Entity Snaps toolbar, click the Set Endpoint Snap tool ( [image]).
  • Type endpoint and then press Enter.

To snap to the endpoint, select anywhere on the entity near its end point (A).


Midpoint Snap tool

Use the Midpoint Snap tool to snap to the midpoint of another entity. You can snap to the midpoint of an arc, ellipse, line, polyline segment, plane, infinite line, or spline. In the case of infinite lines, the midpoint snaps to the first defined point. If an entity has thickness, the midpoint entity snap also snaps to the midpoint of the edges of the entity.

To set the Midpoint Snap

Do one of the following:

  • Choose Settings > Entity Snap > Midpoint Snap.
  • On the Entity Snaps toolbar, click the Set Midpoint Snap tool ( [image]).
  • Type midpoint and then press Enter.

To snap to the midpoint, select anywhere on the entity near its midpoint (A).


Center Snap tool

Use the Center Snap tool to snap to the center point of another entity. You can snap to the center of an arc, circle, polygon, ellipse, or elliptical arc. To snap to the center, you must select a visible portion of the entity.

To set the Center Snap

Do one of the following:

  • Choose Settings > Entity Snap > Center Snap.
  • On the Entity Snaps toolbar, click the Set Center Snap tool ( [image]).
  • Type center and then press Enter.

To snap to the center, select anywhere on the visible portion of the entity (A).


Perpendicular Snap tool

Use the Perpendicular Snap tool to snap to the perpendicular point of another entity. You can snap to an arc, circle, ellipse, line, polyline, infinite line, ray, spline, or edge of a plane to form a perpendicular alignment with that entity or with an imaginary extension of that entity.

To set the Perpendicular Snap

Do one of the following:

  • Choose Settings > Entity Snap > Perpendicular Snap.
  • On the Entity Snaps toolbar, click the Set Perpendicular Snap tool ( [image]).
  • Type perpendicular and then press Enter.

To form a perpendicular angle (A) to an entity (B), select anywhere on the entity.


Tangent Snap tool

Use the Tangent Snap tool to snap to the tangent point of another entity. You can snap to the point on an arc, ellipse, spline, or circle that, when connected to the previous point, forms a line tangent to that entity.

To set the Tangent Snap

Do one of the following:

  • Choose Settings > Entity Snap > Tangent Snap.
  • On the Entity Snaps toolbar, click the Set Tangent Snap tool ( [image]).
  • Type tangent and then press Enter.

To snap to a tangent, select the entity near the tangent point (A).


Quadrant Snap tool

Use the Quadrant Snap tool to snap to the quadrant point of another entity. You can snap to the closest quadrant of an arc, circle, ellipse, or elliptical arc.

To set the Quadrant Snap

Do one of the following:

  • Choose Settings > Entity Snap > Quadrant Snap.
  • On the Entity Snaps toolbar, click the Set Quadrant Snap tool ( [image]).
  • Type quadrant and then press Enter.

To snap to a quadrant, select the entity near the quadrant point (A).


Insertion Point Snap tool

Use the Insertion Point Snap tool to snap to the insertion point of an attribute, block, or text entity.

To set the Insertion Point Snap

Do one of the following:

  • Choose Settings > Entity Snap > Insertion Point Snap.
  • On the Entity Snaps toolbar, click the Set Insertion Point Snap tool ( [image]).
  • Type insertion and then press Enter.

To snap to an insertion point, select anywhere on the entity (A).


Point Snap tool

Use this tool to snap to a point entity.

To set the Point Snap

Do one of the following:

  • Choose Settings > Entity Snap > Point Snap.
  • On the Entity Snaps toolbar, click the Set Point Snap tool ( [image]).
  • Type node and then press Enter.

To snap to a point entity, select the entity (A).


Intersection Snap tool

Use the Intersection Snap tool to snap to the actual intersection in three-dimensional space of any combination of entities. You can snap to the combination of an arc, circle, line, polyline, ray, or infinite line. If the target only covers one entity, the program prompts you to select a second entity and then snaps to the point at which the two entities would intersect if they were of infinite length. You can snap to the vertices of three-dimensional entities and the corners of entities that have thickness.

To set the Intersection Snap

Do one of the following:

  • Choose Settings > Entity Snap > Intersection Snap.
  • On the Entity Snaps toolbar, click the Set Intersection Snap tool ( [image]).
  • Type intersection and then press Enter.

To snap to an intersection, select the intersection (A).


Plan View Intersection Snap tool

Use the Plan View Intersection Snap tool to snap to the location in the plan view of the current UCS where two entities would intersect if they were projected onto that plan view. The z-coordinates for the selected entities are ignored; the intersection point uses the current elevation as its z-coordinate. If the target only covers one entity, the program prompts you to select a second entity and then snaps to the point at which the two would intersect in plan view if they were of infinite length.

To set the Plan View Intersection Snap

Do one of the following:

  • Choose Settings > Entity Snap > Plan View Intersection Snap.
  • On the Entity Snaps toolbar, click the Set Plan View Intersection Snap tool ( [image]).
  • Type planviewint and then press Enter.

Select the two entities ([A] and [B]) to snap to a plan view intersection (C).


Quick Snap tool

Normally, an entity snap searches all the entities crossing the target and selects the one closest to the center of the target. Use the Quick Snap tool to modify the current entity snap so that the program stops searching for the snap point as soon as it finds one entity with at least one point of the current entity type.

To set the Quick Snap

  • Type quick and then press Enter.


Clear Entity Snaps tool

Use the Clear Entity Snaps tool to turn off all entity snap settings, regardless of how they were set: by menu, tool, command, or in the Drawing Settings dialog box.

To set Clear Entity Snaps

Do one of the following:

  • Choose Settings > Entity Snap > Clear Entity Snaps.
  • On the Entity Snaps toolbar, click the Clear Entity Snaps tool ( [image]).
  • Type none and then press Enter.


Using fly-over snapping

Fly-over snapping is a visual aid to help you see and use entity snaps more efficiently. When fly-over snapping is turned on, IntelliCAD will display a colored marker at matching entity snap points as you move the crosshairs around the drawing.

Each entity snap has its own type of marker:

    1. Endpoint Snap

    2. Nearest Snap
    3. Midpoint Snap
    4. Center Snap
    5. Perpendicular Snap
    6. Tangent Snap
    7. Quadrant Snap
    8. Insertion Snap
    9. Node (point) Snap
    10. Intersection Snap

When Fly-over snapping is enabled and multiple entity snaps are on, you can press TAB to cycle through the available entity snap points of the entities covered by the target box. For example, when the Endpoint and Midpoint snaps are set and the aperture box is on a line, pressing TAB will cycle between the line's closest endpoint and midpoint.

To set the Fly-over snapping option

  1. Choose Settings > Entity Snap > Entity Snap Settings. The Drawing Settings dialog box opens to the Coordinate Input tab.

  2. Click Fly-over. The Options dialog box opens to the Snapping tab.

  3. Turn on the Enable Fly-over Snapping option.

  4. Set the fly-over options.

  5. Define the color, size, and thickness of the snap marker.

  6. Click OK.

  7. Click OK again.

How do I...

Change fly-over snapping options

Use entity snaps


Saving your drawing

When you save a drawing, your work is saved in a drawing (.dwg) file.

After you have saved your drawing for the first time, you can save it with a new name. In addition to drawing (.dwg) files, you can also save a drawing in a Drawing Exchange Format (.dxf) file or a drawing template (.dwt) file.

If you created your drawing using a template, saving the drawing does not alter the original template.

If you need an added level of security for your drawing files, you can save the drawing with a password so only you and those who know the password can open the drawing.

Tell me about...

Opening an existing drawing

How do I...

Save a drawing

Save a drawing with a new name or file format

Save a drawing with a password


Saving a drawing with a new name or file format

You can save a drawing with a new name and in any of the following file formats:

  • Standard drawing files with a .dwg extension. You can choose a .dwg file format that is compatible with various versions of AutoCAD.
  • Drawing exchange format files with a .dxf file extension. You can choose a .dxf file format that is compatible with various versions of AutoCAD.
  • Drawing templates with a .dwt file extension. Drawing templates allow you to easily create new drawings that reuse your drawing settings and entities.

To save a drawing with a new name or file format

  1. Do one of the following:
    • Choose File > Save As.
    • Type saveas and then press Enter.
  2. In the Save Drawing As dialog box, under Save As Type, choose the file format.
  3. Specify the name of the file you want to create.
  4. Click Save.

Tell me about...

Exporting drawings

Saving your drawing

How do I...

Save a drawing

Save a drawing with a password


Saving a drawing with a password

Sometimes drawings may contain confidential information and you want to control who has access to that information. If you need an added level of security, you can save a drawing with a password so only you and those who know the password can open the drawing.

To save a drawing with a password, you must also save it in the AutoCAD 2004 drawing (.dwg) file format.

NOTE If you forget a drawing’s password, the drawing cannot be opened or recovered. You may want to store all passwords in a safe place.

To save a drawing with a password

  1. Do one of the following:
    • Choose File > Save As.
    • Type saveas and then press Enter.
  2. In the Save Drawing As dialog box, under Save As Type, choose AutoCAD 2004 (dwg).
  3. Click Password Protect.
  4. Choose a folder where you want to save the drawing.
  5. In File Name, specify the name of the file you want to create.
  6. Click Save.
  7. In the Password dialog box, enter a password.
  8. If desired, record and store the password in a safe place. If you forget the drawing’s password, the drawing cannot be opened or recovered.
  9. Click OK.

Tell me about...

Saving your drawing

How do I...

Save a drawing

Save a drawing with a new name or file format


Creating simple entities

Simple entities include lines (both finite and infinite), circles, arcs, ellipses, elliptical arcs, points, and rays. In addition, IntelliCAD includes a freehand sketch tool. Entities drawn freehand are also considered to be simple entities.

This section explains several methods for creating simple entities, including how to:

  • Use menu commands on the Insert menu.
  • Use the tools on the Draw 2D toolbar.
  • Type commands in the command bar.

When you use a tool or a drawing command, the program prompts you to enter coordinate points, such as endpoints or insertion points. You can enter the points or distances either using a mouse or by typing coordinate values in the command bar. As you draw, IntelliCAD also displays a context-sensitive prompt box with appropriate additional options for the type of entity you are drawing.

After you create entities, you can modify them using the entity modification tools.

Tell me about...

Drawing arcs

Drawing circles

Drawing ellipses

Drawing elliptical arcs

Drawing infinite lines

Drawing lines

Drawing rays

Drawing rectangles

Drawing splines

How do I...

Draw a circle

Draw a line

Draw an ellipse by specifying the axis endpoints

Draw an elliptical arc by specifying the axis endpoints

Draw a point

Change the size and appearance of point entities

Draw a ray

Draw an infinite line

Create a freehand sketch

Erase freehand sketch lines

Specify lines or polylines when sketching


Drawing circles

The default method for drawing a circle is to specify a center point and radius. You can draw circles using any of the following methods:

  • Center-Radius ( [image])
  • Center-Diameter ( [image])
  • Two points ( [image])
  • Three points ( [image])
  • Radius-Tangent-Tangent ( [image])
  • Convert Arc to Circle ( [image])

To draw a circle by specifying its center and radius

  1. Do one of the following:
    • Choose Insert > Circle.
    • On the Draw 2D toolbar, click the Circle Center-Radius tool ( [image]).
    • Type circle and then press Enter.
  2. Specify the center point.
  3. Specify the radius of the circle.

Center point (A) and radius (B).

To draw a circle tangent to existing entities

  1. Do one of the following:
    • Choose Insert > Circle.
    • On the Draw 2D toolbar, click the Circle Radius-Tangent tool ( [image]). Go to step 3.
    • Type circle and then press Enter.
  2. In the prompt box, choose Radius-Tangent-Tangent.
  3. Specify the radius of the circle.
  4. Select the first entity to which to draw the circle tangent.
  5. Select the second entity to which to draw the circle tangent.

Radius of circle (A) and tangent lines (B) and (C).

To convert an arc to a circle

  1. Do one of the following:
    • Choose Insert > Circle.
    • On the Draw 2D toolbar, click the Convert Arc to Circle tool ( [image]). Go to step 3.
    • Type circle and then press Enter.
  2. In the prompt box, choose Turn Arc Into Circle.
  3. Select the arc you want to convert to a circle.

Select an arc (A) to convert to a circle.


Drawing lines

A line consists of two points: a start point and an endpoint. You can connect a series of lines, but each line segment is considered a separate line entity.

To draw a line

  1. Do one of the following:
    • Choose Insert > Line.
    • On the Draw 2D toolbar, click the Line tool ( [image]).
    • Type line and then press Enter.
  2. Specify the start point.
  3. Specify the endpoint.
  4. In the prompt box, choose Done to complete the command.

Start point (A) and endpoint (B).

If the last entity you drew was an arc, you can also draw a line tangent to and starting from the endpoint of the arc.

To draw a line as a continuation from the end of an arc

  1. Do one of the following:
    • Choose Insert > Line.
    • On the Draw 2D toolbar, click the Line tool ( [image]).
    • Type line and then press Enter.
  2. In the prompt box, choose Follow.
  3. Specify the length of the line.

Endpoint of previous arc (A) and length of the line (B).


Drawing arcs

An arc is a portion of a circle. The default method for drawing arcs is to specify three points—the start point, a second point, and the endpoint. You can draw an arc using several different methods.

How do I...

Draw an arc by specifying its start point, center point, and endpoint

Draw an arc by specifying three points

Draw an arc by specifying two points and an included angle

Draw an arc tangent to an arc or line


Drawing ellipses

The default method for drawing an ellipse is to specify the endpoints of one axis of the ellipse, and then specify a distance representing half the length of the second axis. The endpoints of the first axis determine the orientation of the ellipse. The longer axis of the ellipse is called the major axis, and the shorter one is the minor axis. The order in which you define the axes does not matter. The program determines the major and minor axes based on their relative lengths. You can draw ellipses using any of the following methods:

  • Axis-axis ( [image])
  • Axis-rotation ( [image])
  • Center-axis ( [image])
  • Center-rotation ( [image])

To draw an ellipse by specifying the axis endpoints

  1. Do one of the following:
    • Choose Insert > Ellipse.
    • On the Draw 2D toolbar, click the Ellipse Axis-Axis tool ( [image]).
    • Type ellipse and then press Enter.
  2. Specify the first endpoint.
  3. Specify the second endpoint.
  4. Specify the half-length of the other axis.

First axis endpoint (A), second axis endpoint (B), and half-length of other axis (C).


Drawing elliptical arcs

An elliptical arc is a portion of an ellipse. The default method for drawing an elliptical arc is to specify the endpoints of one axis of the ellipse, and then specify a distance representing half the length of the second axis. Then you specify the start and end angles for the arc, measured from the center of the ellipse in relation to its major axis. You can draw elliptical arcs using any of the following methods:

  • Axis-axis ( [image])
  • Axis-rotation ( [image])
  • Center-axis ( [image])
  • Center-rotation ( [image])

To draw an elliptical arc by specifying the axis endpoints

  1. Do one of the following:
    • Choose Insert > Elliptical Arc.
    • On the Draw 2D toolbar, click the Elliptical Arc Axis-Axis tool ( [image]).
    • Type ellipse and then press Enter, and then type a (for Arc) and press Enter.
  2. Specify the first endpoint.
  3. Specify the second endpoint.
  4. Specify the half-length of the other axis.
  5. Specify the start angle of the arc.
  6. Specify the end angle.

NOTE IntelliCAD draws elliptical arcs in the direction you specify. Go to Settings > Drawing Settings > Drawing Units tab. Under Change Settings For, select Angular Units. The default setting is counterclockwise.

First axis endpoint (A), second axis endpoint (B), half-length of other axis (C), start angle of arc (D), and end angle (E).


Creating point entities

You can draw a point entity formatted as either a single dot or as one of 19 other possible display styles.

To draw a point

  1. Do one of the following:
    • Choose Insert > Draw Point.
    • On the Draw 2D toolbar, click the Point tool ( [image]).
    • Type point and then press Enter.
  2. Specify the location of the point.

To draw several points

  1. Do one of the following:
    • Choose Insert > Draw Point.
    • On the Draw 2D toolbar, click the Point tool ( [image]).
    • Type point and then press Enter.
  2. In the prompt box, choose Multiple Points.
  3. Specify the location of each point.
  4. In the prompt box, choose Done to complete the command.


Drawing rays

A ray is a line in three-dimensional space that starts at a point and extends to infinity. Because rays extend to infinity, they are not calculated as part of the drawing extents. The default method for drawing a ray is to select the start point of the ray, and then specify its direction. You can draw a ray in any of the following ways:

  • Horizontal draws the ray parallel to the x-axis of the current user coordinate system (UCS).
  • Vertical draws the ray parallel to the y-axis of the current UCS.
  • Angle draws the ray parallel to a specified angle.
  • Bisect draws the ray perpendicular to an existing entity.
  • Parallel draws the ray parallel to an existing entity.

To draw a ray

  1. Do one of the following:
    • Choose Insert > Ray.
    • On the Draw 2D toolbar, click the Ray tool ( [image]).
    • Type ray and then press Enter.
  2. Specify the start point.
  3. Specify the direction.
  4. To complete the command, press Enter.

Start point (A) and direction (B).


Drawing infinite lines

Infinite lines are sometimes referred to as construction lines. An infinite line is a line through a given point, oriented at a specified angle in three-dimensional space and extending to infinity in both directions. Because infinite lines extend to infinity, they are not calculated as part of the drawing extents.

The default method for drawing an infinite line is to select a point along the line and then specify the direction of the line. You can draw an infinite line in any of the following ways:

  • Horizontal draws the infinite line parallel to the x-axis of the current UCS.
  • Vertical draws the infinite line parallel to the y-axis of the current UCS.
  • Angle draws the infinite line parallel to a specified angle.
  • Bisect draws the infinite line perpendicular to an existing entity.
  • Parallel draws the infinite line parallel to an existing entity.

To draw an infinite line

  1. Do one of the following:
    • Choose Insert > Infinite Line.
    • On the Draw 2D toolbar, click the Infinite Line tool ( [image]).
    • Type infline and then press Enter.
  2. Specify a point along the line.
  3. Specify the direction.
  4. To complete the command, press Enter.

Point along the infinite line (A) and the direction (B).

You can also draw infinite lines at a specific angle or at an angle relative to an existing entity.

To draw an infinite line at a specified angle relative to another entity

  1. Do one of the following:
    • Choose Insert > Infinite Line.
    • On the Draw 2D toolbar, click the Infinite Line tool ( [image]).
    • Type infline and then press Enter.
  2. In the prompt box, choose Angle.
  3. In the prompt box, choose Reference.
  4. Select the reference entity.
  5. Specify the angle of the infinite line in relation to the selected entity.
  6. Specify the location of the infinite line.
  7. To complete the command, press Enter.

Reference entity (A) and angle in relation to entity (B).


Creating freehand sketches

A freehand sketch consists of many straight line segments, created either as individual line entities or as a polyline. Before you begin creating a freehand sketch, you must set the length, or increment, of each segment. The smaller the segments, the more accurate your sketch, but segments that are too small can greatly increase the file size.

After you specify the length of the sketch segments, the crosshairs change to a Pencil tool. Your freehand sketch is not added to the drawing until you "write" the sketch into your drawing. This means that you temporarily save the segment that you've drawn and the segment length, and you can continue sketching.

To create a freehand sketch

  1. Do one of the following:
    • Choose Insert > Freehand.
    • On the Draw 2D toolbar, click the Draw Freehand tool ( [image]).
    • Type freehand and then press Enter.
  2. Specify the length of the sketch segments.
  3. Click the mouse button to place the Pencil tool ( [image]) on the drawing to begin sketching.
  4. Move the pencil image to draw a temporary freehand sketch.
  5. Click the mouse button to lift the pencil up to stop sketching.
  6. In the prompt box, choose Write, Then Resume to write the temporary freehand sketch into the drawing.
  7. Click the mouse button to put the pencil down again and resume sketching.
  8. Click the mouse button again to lift the pencil up to stop sketching.
  9. In the prompt box, choose Done to write the temporary freehand sketch into the drawing and end the command.

A freehand sketch consists of individual line entities or a polyline.


Creating complex entities

With IntelliCAD, complex entities include polylines (including rectangles and polygons), spline curves, donuts, and planes. In addition, IntelliCAD includes tools for adding hatching to your drawings.

This section explains several methods for creating complex entities, including how to:

  • Use menu commands on the Insert menu.
  • Use the tools on the Draw 2D toolbar.
  • Type commands in the command bar.

When you type a drawing command or select a tool, the program prompts you to enter coordinate points, such as endpoints or insertion points. As you draw, the program displays a context-sensitive prompt box with appropriate additional options for the type of entity you are drawing.

After you create complex entities, you can modify them using the entity-modification tools. Several of these entity types require special editing commands.

Tell me about...

Adding hatching

Creating boundary polylines

Creating planes

Drawing donuts

Drawing polygons

Drawing polylines

Drawing rectangles

Drawing splines

How do I...

Draw a boundary polyline

Draw a closed spline

Draw a donut

Draw a donut tangent to existing entities

Draw a line segment followed by an arc polyline segment

Draw a polygon by side

Draw a polygon by vertex

Draw a polyline with straight segments

Draw a quadrilateral plane

Draw a rectangle

Draw a rectangular plane

Draw a spline

Draw a square

Open the Boundary Hatch dialog box

Select an area for hatching

Specify a predefined hatch pattern

Specify a user-defined hatch pattern

Specify the fit tolerance

Use a predefined library pattern


Drawing rectangles

With IntelliCAD, rectangles are closed polylines with four sides. You draw a rectangle by specifying its opposite corners. The rectangle is normally aligned parallel to the current snap and grid alignment, but you can use the Rotated option to align the rectangle to any angle.

To draw a rectangle

  1. Do one of the following:
    • Choose Insert > Rectangle.
    • On the Draw 2D toolbar, click the Rectangle tool ( [image]).
    • Type rectangle, and then press Enter.
  2. Specify one corner of the rectangle.
  3. Specify the opposite corner of the rectangle.

Opposite corners (A and B). | Resulting rectangle.

You can edit each side of a rectangle individually using the Edit Polyline tool ( [image]) on the Modify toolbar. You can convert the sides into individual line entities using the Explode tool ( [image]) on the Modify toolbar. You can control whether wide rectangle lines are shown filled or as outlines using the Fill tool ( [image]) on the Settings toolbar.

You can also use the Rectangle tool to draw a square. Instead of specifying the opposite corners, you specify the length of one side and the alignment of the square.

How do I...

Draw a square


Drawing polygons

Polygons are closed polylines comprised of a minimum of three and a maximum of 1,024 equal-length sides. The default method for drawing a polygon is to specify the center of the polygon and the distance from the center to each vertex. You can draw a polygon using any of the following methods:

  • Center - by vertex ( [image]) on the Draw 2D toolbar
  • Center - by side ( [image]) on the Draw 2D toolbar
  • Edge ( [image]) on the Draw 2D toolbar

The vertex polygon drawing method creates an equal-sided polygon defined by its center point and the distance to its vertices. You specify the number of sides, the center point, and the location of one vertex, which determines both the size and orientation of the polygon.

To draw a polygon by vertex

  1. Do one of the following:
    • Choose Insert > Polygon.
    • On the Draw 2D toolbar, click the Polygon, Center-Vertex tool ( [image]).
    • Type polygon, and then press Enter.
  2. Type 5 to specify five sides for the polygon.
  3. Specify the center of the polygon.
  4. Specify the vertex of the polygon.

The center (A) and vertex (B). | Resulting polygon.

Tell me about...

Drawing polygons by side

Drawing polylines


Drawing polygons by side

The side polygon drawing method creates an equal-sided polygon defined by its center point and the distance to the midpoint of a side. You specify the number of sides, the center point, and the location of the midpoint of one side, which determines both the size and orientation of the polygon.

To draw a polygon by side

  1. Do one of the following:
    • Choose Insert > Polygon.
    • On the Draw 2D toolbar, click the Polygon, Center-Side tool ( [image]).
    • Type polygon, and then press Enter.
  2. Type 3 to specify three sides for the polygon.
  3. Specify the center of the polygon.
  4. In the prompt box, choose Specify By Side, and then press Enter.
  5. Specify the midpoint of the side.

The center (A) and midpoint of one side (B). | Resulting polygon.

You can edit each side of a polygon individually using the Edit Polyline tool ( [image]) on the Modify toolbar. You can convert the sides into individual line entities using the Explode tool ( [image]) on the Modify toolbar. You can control whether wide polygon lines are shown filled or as outlines using the Fill tool ( [image]) on the Settings toolbar.

How do I...

Draw a polygon by vertex


Drawing polylines

With IntelliCAD, a polyline is a connected sequence of arcs and lines that is treated as a single entity. You can draw a polyline with any linetype and using a width that either remains constant or tapers over the length of any segment. When editing a polyline, you can modify the entire polyline or change individual segments.

After you specify the start point of a polyline, a prompt box provides several options as you draw, such as Distance, Halfwidth, and Width. You can specify different starting and ending widths to create a tapered polyline segment.

After you draw at least one polyline segment, you can use the Undo option to remove the previous segment. After you draw two or more polyline segments, you can use the Close option to complete the command by drawing a segment that ends at the start point of the first polyline segment you drew. Choose Done to complete the command without closing the polyline.

Curved polyline with tapered width. | Polyline with straight segments. | Closed polyline.

How do I...

Draw a line segment followed by an arc polyline segment

Draw a polyline with straight segments


Drawing splines

A spline is a smooth curve defined by a set of points. You can use splines to create sculptured shapes such as the cross section of a turbine blade or an airplane wing.

To draw a spline

  1. Do one of the following:
    • Choose Insert > Spline.
    • On the Draw 2D toolbar, click the Spline tool ( [image]).
    • Type spline, and then press Enter.
  2. Specify the first point of the spline.
  3. Specify the second point of the spline.
  4. Specify as many more points as you want.
  5. When you have finished, press Enter.

You can add tangents to the spline, which are lines that give it shape.

To add tangents to a spline

  1. Specify the starting tangent point.
  2. Specify the ending tangent point.

Spline. | Spline with starting tangent point (A) and ending tangent point (B).

Tell me about...

Drawing a closed spline

Specifying fit tolerance


Specifying fit tolerance

By default, the spline passes through all of the control points. When you draw a spline, you can change this by specifying the fit tolerance. The fit tolerance value determines how closely the spline fits the set of points you specify. For example, a spline fit tolerance value of 0 causes the spline to pass through the control points. A value of 0.01 creates a spline that passes through the start and endpoints and within 0.01 units of the intermediate control points.

To specify the fit tolerance

  1. Do one of the following:
    • Choose Insert > Spline.
    • On the Draw 2D toolbar, click the Spline tool ( [image]).
    • Type spline, and then press Enter.
  2. Specify the first point of the spline.
  3. Specify the second point of the spline.
  4. In the prompt box, choose Fit Tolerance.
  5. To accept the default of 0.0000, press Enter.
    6. To specify a different fit tolerance, type the number, and then press Enter.
  6. Specify the additional points you need to draw a spline or a closed spline.

Tell me about...

Drawing a closed spline

Drawing splines


Drawing a closed spline

You can draw a closed spline, which is a spline for which the start point and endpoint are the same. Because the spline is closed, you specify only one tangent.

To draw a closed spline

  1. Do one of the following:
    • Choose Insert > Spline.
    • On the Draw 2D toolbar, click the Spline tool ( [image]).
    • Type spline, and then press Enter.
  2. Specify the first point of the spline.
  3. Specify the second point of the spline.
  4. Specify as many more points as you want.
  5. When you have finished, in the prompt box, choose Close.
  6. To complete the command, specify the tangent point.

The beginning and endpoint (A) of a closed spline.

Tell me about...

Drawing splines

Specifying fit tolerance


Drawing donuts

Donuts are solid, filled circles or rings created as closed, wide polylines. You can draw a donut using one of several methods. The default method is to specify the inside and outside diameters of the donut, and then specify its center. You can then create multiple copies of the same donut by specifying different center points until you press Enter to complete the command.

To draw a donut

  1. Do one of the following:
    • Choose Insert > Donut.
    • On the Draw 2D toolbar, click the Donut tool ( [image]).
    • Type donut, and then press Enter.
  2. Specify the inside diameter of the donut.
  3. Specify the outside diameter of the donut.
  4. Specify the center of the donut.
  5. Specify the center point to draw another donut, or choose Done to complete the command.

Inside diameter (A) and outside diameter (B).

The prompt box provides additional options for drawing donuts. For example, you can specify the width of the donut and two points on the diameter of the donut, or you can specify the width and three points on the donut. You can also draw a donut tangent to existing entities.

TIP A donut can be a completely filled circle by specifying an inside diameter of zero.

How do I...

Draw a donut tangent to existing entities


Creating planes

With the Plane tool, you can draw rectangular, triangular, or quadrilateral areas filled with a solid color. The default method is to specify the corners of the plane. After you specify the first two corners, the plane is displayed as you specify the remaining corners. Specify corner points in a triangular manner. The program prompts you for the third point and then the fourth point. If you continue specifying points, the third- and fourth-point prompts toggle until you press Enter to complete the command.

Creating planes in IntelliCAD is similar to the Solid command in AutoCAD.

How do I...

Draw a quadrilateral plane

Draw a rectangular plane


Creating boundary polylines

With the Boundary command, you can designate a specific area of a drawing for operations such as hatching and dimensioning. You create a boundary polyline by selecting an area inside a closed loop. The area you select can be bounded by a single closed entity or by multiple entities that intersect.

NOTE You cannot use a spline or an ellipse to create a boundary polyline.

In cases where entities intersect, IntelliCAD interprets the boundary as the closed loop closest to the point specifying the area. In the following figure, for example, the area point selected in the rectangle results in a boundary consisting of the closed loop nearest the point selection, as opposed to the closed loop formed by the rectangle itself.

Selected point (A). | Resulting boundary (B).

To make boundaries more specific, you can create a boundary set. A boundary set specifies which entities are considered in determining the boundary path. This can make creating the boundary polyline faster if you are working with a complex drawing.

In the following figure, the circle and triangle are the selected entities. If you select an area anywhere inside the circle or the triangle, the result is a polyline that bounds the shaded area.

Selected entities (A and B). | Point specified in the selected area (C), which results in a new boundary around the shaded area.

Tell me about...

Adding hatching

Selecting an area for hatching

Specifying a hatch pattern

Using islands and island detection

How do I...

Draw a boundary polyline

Open the Boundary Hatch dialog box

Select an area for hatching

Specify a predefined hatch pattern

Specify a user-defined hatch pattern

Use a predefined library pattern


Using islands and island detection

Islands are closed loops that reside inside other closed loops. IntelliCAD provides island-detection options so that you can specify which islands, if any, should be considered in the area selection for a boundary.

The following figure shows a rectangular polyline with two islands. The circle is referred to as the outer island, and the octagon is referred to as a nested island.

Rectangular polyline (A) with outer island (B), with point (C) specifying the area selection, and nested island (D).

You can choose from three island-detection methods.

  • Nested Islands The outer entity and all its islands are considered for the polyline.
  • Outer Only Only the outer entity and its outer island are considered for the polyline.
  • Ignore Islands Only the outer entity is considered for the polyline.

Tell me about...

Adding hatching

Selecting an area for hatching

Specifying a hatch pattern


Adding hatching

When you add hatching to a drawing, IntelliCAD fills entities or enclosed areas with a pattern. You can choose a predefined hatch pattern, or you can create your own hatch pattern.

First you specify the hatch pattern and other options, and then you choose which entities or enclosed areas that you want to hatch.

NOTE Hatch patterns are memory intensive and can take a considerable amount of time to draw and display. To improve performance, add hatching as one of the last steps when you create a drawing, or insert hatches on a separate layer that you can freeze as you continue to work on your drawing.

To open the Boundary Hatch dialog box

Do one of the following:

  • Choose Insert > Hatch.
  • On the Draw 2D toolbar, click the Boundary Hatch tool ( [image]).
  • Type bhatch and then press Enter.

Tell me about...

Selecting an area for hatching

Selecting entities for hatching

Specifying a hatch pattern

Using islands and island detection

How do I...

Draw a boundary polyline

Select an area for hatching

Select entities for hatching

Specify a predefined hatch pattern

Specify a user-defined hatch pattern

Use a predefined library pattern


Specifying a hatch pattern

A hatch pattern consists of a repeating pattern of lines, dashes, and dots. You can select a hatch pattern from a set of predefined patterns, or you can define a pattern of your own. The hatch pattern you used most recently is the default pattern the next time you choose Hatch.

The program supplies predefined standard hatch patterns, which are stored in the icad.pat and icadiso.pat hatch pattern library files. You can use other external hatch pattern libraries, such as an office standard library, customized patterns, and libraries available from vendors or standards organizations.

NOTE The icad.pat hatch pattern library files are ANSI (American National Standards Institute)-compliant patterns; the icadiso.pat hatch pattern library files are ISO (International Standards Organization)-compliant.

Tell me about...

Adding hatching

Selecting entities for hatching

Selecting an area for hatching

Using islands and island detection

How do I...

Draw a boundary polyline

Select entities for hatching

Select an area for hatching

Specify a predefined hatch pattern

Specify a user-defined hatch pattern

Use a predefined library pattern


Selecting entities for hatching

You can add hatching to any entity that forms a closed boundary, for example, a circle or rectangle. You can assign hatching to a single entity or several entities at the same time.

To select entities for hatching

  1. Do one of the following:
    • Choose Insert > Hatch.
    • On the Draw 2D toolbar, click the Boundary Hatch tool ( [image]).
    • Type bhatch and then press Enter.
  2. From the Boundary Hatch dialog box, click the Boundary tab.
  3. Choose one of the following Island Detection Options:
    • Nested Islands The outer entity and all its islands are considered for hatching.
    • Outer Only Only the outer entity and its outer island are considered for hatching.
    • Ignore Islands Only the outer entity is considered for hatching.
  4. To keep any new entities that are created for drawing the boundary hatch, select the Retain Boundaries check box. Existing entities are always retained.
  5. Click Select Entities.
  6. In the drawing, click the entities to be hatched individually or by choosing a selection method from the prompt box, and then press Enter when done.
  7. In the Boundary Hatch dialog box, click OK.

How do I...

Draw a boundary polyline

Select an area for hatching

Specify a predefined hatch pattern

Specify a user-defined hatch pattern

Use a predefined library pattern


Selecting an area for hatching

You can add hatching to an area enclosed by selected entities to form the hatch boundary. The hatch is formed in the enclosed area, not the entities themselves.

After IntelliCAD draws the hatch, the entire hatch is treated as a single entity and it is is either associative or independent of the hatch boundary entities.

To select an area for hatching

  1. Do one of the following:
    • Choose Insert > Hatch.
    • On the Draw 2D toolbar, click the Boundary Hatch tool ( [image]).
    • Type bhatch and then press Enter.
  2. From the Boundary Hatch dialog box, click the Boundary tab.
  3. Choose one of the following Island Detection Options:
    • Nested Islands The outer entity and all its islands are considered for hatching.
    • Outer Only Only the outer entity and its outer island are considered for hatching.
    • Ignore Islands Only the outer entity is considered for hatching.
  4. To keep any new entities that are created for drawing the boundary hatch, select the Retain Boundaries check box. Existing entities are always retained.
  5. Specify the entities that you want made available for boundary hatching by doing one of the following:
    • All entities Select All Visible Entities to have all entities in the drawing considered when creating the boundary hatch.
    • Custom selection Define only specific areas to be considered when creating the boundary hatch, which can improve system performance if you are working with a complex drawing. Click Select Boundary Set. In the drawing, select the entities individually or by choosing a selection method from the prompt box, and then press Enter. The Current Selection Set option becomes selected automatically, which indicates that the entities you selected with the Select Boundary Set button will be considered when creating the boundary hatch.

    NOTE You can alternate between All Visible Entities and Current Selection Set without having to select entities again using the Select Boundary Set button. The Current Selection Set option uses the last set of entities you selected with the Select Boundary Set button.

  6. In the Boundary Hatch dialog box, click Select Area.
  7. In the drawing, click inside the closed perimeter of a boundary, not on the boundary itself. If desired, continue clicking inside additional closed perimeters.
  8. To complete the selection, press Enter.
  9. In the Boundary Hatch dialog box, click OK.

How do I...

Draw a boundary polyline

Select entities for hatching

Specify a predefined hatch pattern

Specify a user-defined hatch pattern

Use a predefined library pattern


Viewing your drawing

IntelliCAD provides many ways to display and view your drawing. You can also change various display settings to speed up the display or printing of a drawing. This section explains how to:

  • Navigate within a drawing by scrolling, panning, and rotating the view.
  • Change the magnification of a drawing by zooming in and out.
  • Work with multiple windows or views of a drawing.
  • Control the display of elements to optimize performance when working with large or complex drawings.

Tell me about...

Changing the magnification of your drawing

Controlling visual elements

Displaying multiple views

Moving around within a drawing

Redrawing and regenerating a drawing

How do I...

Change the center of the current view

Control the display of lineweights

Create multiple views

Name and save a window configuration

Pan by specifying two points

Pan in real time

Pan using a mouse with a wheel

Pan using the arrow keys

Redraw (refresh) the current window display

Rotate the view

Turn Blips on and off

Turn Fill on and off

Turn Highlighting on and off

Turn Quick Text on and off

Turn scroll bars on or off

Zoom in real time

Zoom in to an area using a window

Zoom using a mouse with a wheel

Zoom to a specific scale


Redrawing and regenerating a drawing

As you work on a drawing, visual elements may remain after the completion of a command. You can remove these elements by refreshing, or redrawing, the display.

To redraw (refresh) the current window display

Do one of the following:

  • Choose View > Redraw.
  • On the View toolbar, click the Redraw tool ( [image]).
  • Type redraw and then press Enter.

Information about drawing entities is stored in a database as floating point values, ensuring a high level of precision. Sometimes a drawing must be recalculated, or regenerated, from the floating-point database to convert those values to the appropriate screen coordinates. This occurs automatically. You can also manually initiate a regeneration. When the drawing is regenerated, it is also redrawn.

To regenerate the current window, type regen in the command bar. If more than one window is displayed, type regenall to regenerate all the windows.

Tell me about...

Displaying multiple views

Moving around within a drawing


Moving around within a drawing

You can move the view of a drawing displayed in the current viewport by scrolling, panning, or rotating the view. Doing this changes the portion of the drawing you are viewing without changing the current magnification. Scrolling lets you move around in the drawing horizontally and vertically. Panning lets you move the drawing in any direction. Rotating lets you view your drawing from any angle.

Tell me about...

Panning methods

Rotating the view

Using scroll bars

Zooming methods

How do I...

Pan by specifying two points

Pan in real time

Pan using a mouse with a wheel

Pan using the arrow keys

Rotate the view

Turn scroll bars on an off

Zoom in real time

Zoom in to an area using a window

Zoom using a mouse with a wheel


Using scroll bars

To assist you in navigating within a drawing, horizontal and vertical scroll bars are available in each drawing window. The size of the scroll box in relation to the scroll bar indicates the current level of drawing magnification. The position of the scroll box in relation to the scroll bar indicates the location of the center of the drawing in relation to the extents of the drawing (the smallest rectangle containing all the entities in the drawing).

To turn scroll bars on or off

Do one of the following:

  • Choose View > Scroll Bars.
  • Type scrollbar, press Enter, and then select On, Off, or Toggle.

Tell me about...

Panning methods

Zooming methods

How do I...

Pan by specifying two points

Pan in real time

Pan using a mouse with a wheel

Pan using the arrow keys

Zoom in real time

Zoom in to an area using a window

Zoom using a mouse with a wheel


Using the Pan command

You can move the drawing in any direction using the Pan tools ( [image]) on the View toolbar. Panning shifts or slides the view of the drawing horizontally, vertically, or diagonally. The magnification of the drawing remains the same, as does its orientation in space. The only change is the portion of the drawing displayed.

Tell me about...

Combining zooming and panning

Panning methods

Using scroll bars

Zooming methods


Rotating the view

IntelliCAD allows you to rotate your view of a drawing in real time. This allows you to view your model from any angle.

If desired, you can continue the view rotation after you release your mouse. Choose Tools > Options to enable continuous motion on the Display tab.

To rotate the view in real time

  1. Type rtrot, and then press Enter.

    NOTE You can also type rtrotx, rtroty, or rtrotz to lock the rotation in the corresponding axis.

  2. Click and drag the mouse in the drawing. The view rotates according to the movement of your mouse.
  3. To stop rotating, release the mouse button.
  4. If desired, continue rotating the view.
  5. When finished, press Enter or right-click the drawing.

Tell me about...

Enabling Continuous Inertial Motion in Real-Time

Moving around within a drawing

Zooming methods


Changing the magnification of your drawing

You can change the magnification of your drawing at any time by zooming. The cursor changes to a magnifying glass ( [image]) when a Zoom tool is active. Zoom out to reduce the magnification so you can see more of the drawing, or zoom in to increase the magnification so you can see a portion of the drawing in greater detail. Changing the magnification of the drawing affects only the way the drawing is displayed; it has no effect on the dimensions of the entities in your drawing.

Zooming in and out

One of the easiest ways to change the magnification of the drawing is to zoom in or out by a preset increment. On the View toolbar, the Zoom In tool ( [image]) doubles the current magnification of the drawing. The Zoom Out tool ( [image]) reduces the magnification of the drawing by half. The portion of the drawing located at the center of the current viewport remains centered on the screen as you zoom in and out.

Zoom in. | Zoom out.

Tell me about...

Combining zooming and panning

Panning methods

Zooming methods

Displaying the previous view of a drawing


Zooming methods

To zoom, you can use any of the following methods:

  • To define the portion of the drawing to zoom, create a window.
  • To zoom dynamically, use the mouse.
  • If you have a mouse with a wheel, use the wheel to zoom in and out.

How do I...

Zoom in real time

Zoom in to an area using a window

Zoom using a mouse with a wheel

Zoom to a specific scale


Displaying the previous view of a drawing

After you zoom in or pan to view a portion of your drawing in greater detail, you may want to zoom back out to see the entire drawing. On the View menu, the Zoom Previous tool ( [image]) lets you restore the previous view. Selecting this tool repeatedly steps back through up to 25 successive zoomed or panned views.

Tell me about...

Displaying the entire drawing


Zooming to a specific scale

You can increase or decrease the magnification of your view by a precise scale factor measured relative to the overall size of the drawing or in relation to the current display. When you change the magnification factor, the portion of the drawing located at the center of the current viewport remains centered on the screen.

To change the magnification of the view relative to the overall size of the drawing, type a number representing the magnification scale factor. For example, if you type a scale factor of 2, the drawing appears at twice its original size. If you type a magnification factor of .5, the drawing appears at half its original size.

You can also change the magnification of the drawing relative to its current magnification by adding an x after the magnification scale factor. For example, if you type a scale factor of 2x, the drawing changes to twice its current size. If you type a magnification factor of .5x, the drawing changes to half its current size.

To zoom to a specific scale relative to the current display

  1. Do one of the following:
    • Choose View > Zoom > Zoom In.
    • On the View toolbar, click the Zoom In tool ( [image]).
    • Type zoom and then press Enter.
  2. Type the scale factor, followed by an x (such as 2x).
  3. Press Enter.

How do I...

Zoom in real time

Zoom in to an area using a window

Zoom using a mouse with a wheel


Combining zooming and panning

You can specify the point you want at the center of the view when you change the drawing magnification. You can specify the point you want at the lower left of the view when you change the magnification of the drawing with the Zoom Left tool ( [image]) on the View toolbar. With the exception of the Zoom Window tool, the other Zoom tools zoom in or out from the center of the current view.

To change the center of the current view

  1. Do one of the following:
    • Choose View > Zoom > Center.
    • On the Zoom toolbar, click the Zoom Center tool ( [image]).
    • Type zoom, press Enter, and then in the prompt box, choose Center.
  2. Select the point you want located at the center of the new view.
  3. Specify the zoom scale factor or the height of the drawing in drawing units.

Current view showing the point to be centered in the new view (A) and the new view zoomed using a scale factor of 2x.


Displaying the entire drawing

You can use the Zoom All tool ( [image]) on the View toolbar to display an entire drawing. If you have drawn any entities outside the defined limits of the drawing, the extents of the drawing are displayed. If you drew all entities within the limits of the drawing, the drawing is displayed all the way to the drawing limits.

The Zoom Extents tool ( [image]) on the View toolbar displays the drawing to its extents, making the image fill the display to the greatest possible magnification.

Zooming extents (displays all entities). | Zooming entire drawing (displays to drawing limits).

Tell me about...

Displaying the previous view of a drawing


Displaying multiple views

When you begin a new drawing, it is displayed in a single window. You can view the drawing in a second window, or you can divide one window into multiple windows. You can also open and display multiple drawings.

Tell me about...

Dividing the current window into multiple views

Opening a new window of the same drawing

Saving window configurations

Working with multiple drawings

Working with multiple views of a single drawing

How do I...

Create multiple views

Join two views

Name and save a window configuration

Restore a named window configuration


Working with multiple views of a single drawing

You can open and work with several views of the same drawing simultaneously. There are two methods for dividing the current drawing into multiple views:

  • Open a new window of the open drawing.
  • Divide the current window into multiple views.

After you divide a single window into multiple windows, you can control each window separately. For example, you can zoom or pan in one window without affecting the display in any of the other windows. You can control the grid, snap, and view orientation separately for each window. You can restore named views in individual windows, draw from one window to another, and name window configurations individually so you can reuse them later.

As you draw, any changes you make in one window are immediately visible in the others. You can switch from one window to another at any time, even in the middle of a command, by clicking the window’s title bar.

Tell me about...

Dividing the current window into multiple views

Opening a new window of the same drawing

Saving window configurations

Working with multiple drawings

How do I...

Create multiple views

Join two views

Name and save a window configuration

Restore a named window configuration


Opening a new window of the same drawing

You can open additional windows to create more than one view of a drawing. To open a new window, choose Window > New Window. After you open a new window, you can change its display without affecting any of the other windows.

When you open more than one window for a single drawing, each window is assigned a unique number (for example, mydrawing:1, mydrawing:2, and so on). If your current window is maximized, you can switch to another open window by selecting its name from the bottom of the Window menu.

The names of other open drawings appear at the bottom of the Window menu. You can also use the Cascade, Tile Horizontally, and Tile Vertically commands to arrange all the open windows and drawings. To arrange all the windows and drawings into a stack of identically sized windows, choose Window > Cascade. Arranging windows and drawings in this way makes it easy to see the title bar for each window.

To arrange all the windows and drawings horizontally so they are placed in order from top to bottom, choose Window > Tile Horizontally. Arranging windows and drawings in this way displays each open window. The windows are resized to fit within the available space.

To arrange all the windows and drawings vertically so they are placed side by side, choose Window > Tile Vertically. Arranging windows and drawings in this way displays each open window. The windows are resized to fit within the available space.

IntelliCAD window-control commands

Command | Description
vports | Splits the current window into two, three, or four tiled windows.
wcascade | Cascades (overlaps) all open windows.
wclose | Closes the current window.
wcloseall | Closes all windows; also closes all drawings.
whtile | Tiles all windows horizontally.
wiarrange | Arranges window icons.
wopen | Opens another window of the current drawing.
wvtile | Tiles all windows vertically.

Tell me about...

Dividing the current window into multiple views


Dividing the current window into multiple views

You can divide a single drawing window into multiple tiled windows (called viewports) on the Model tab. You can control the number of windows created and the arrangement of the windows. You can also save and restore named window configurations and display a list of the current and saved window configurations.

To create multiple views

  1. Do one of the following:
    • Choose View > Viewports.
    • On the View toolbar, click the Viewports tool ( [image]).
    • Type viewports and then press Enter.
  2. In the prompt box, choose Create 2 Viewports, Create 3 Viewports, or Create 4 Viewports.
  3. In the prompt box, choose the viewport orientation.

You can divide a drawing window into two windows arranged vertically (A) or horizontally (B); three windows arranged left (C), right (D), above (E), below (F), vertically (G), or horizontally (H); or four tiled windows (I).

To join two views

  1. Do one of the following:
    • Choose View > Viewports.
    • On the View toolbar, click the Viewports tool ( [image]).
    • Type viewports and then press Enter.
  2. In the prompt box, choose Join.
  3. Click anywhere inside the window you want to keep.
  4. Click anywhere inside the adjacent window you want to join to the first window.
  5. Press Enter.

Tell me about...

Opening a new window of the same drawing

Saving window configurations

How do I...

Name and save a window configuration

Restore a named window configuration


Saving window configurations

If you have divided the drawing window into multiple views, you can save the current window arrangement so that you can recall it to the screen later. The number and placement of the windows are saved exactly as they are currently displayed. The settings for each window are also saved.

To name and save a window configuration

  1. Do one of the following:
    • Choose View > Viewports.
    • On the View toolbar, click the Viewports tool ( [image]).
    • Type viewports and then press Enter.
  2. In the prompt box choose Save.
  3. Type a configuration name, and then press Enter.
    4. The name can be up to 31 characters in length and can contain letters, numbers, the dollar sign ($), hyphen (-), and underscore (_), or any combination.

To restore a named window configuration

  1. Do one of the following:
    • Choose View > Viewports.
    • On the View toolbar, click the Viewports tool ( [image]).
    • Type viewports and then press Enter.
  2. In the prompt box, choose Restore.
  3. Type the name of the window configuration you want to restore.

Tell me about...

Dividing the current window into multiple views

How do I...

Create multiple views

Join two views


Working with multiple drawings

With the multiple-document interface (MDI) feature, you can open more than one drawing inside of IntelliCAD. Because you can open and work on several drawings at one time, you can copy, cut, or paste an entity from one drawing to another.

Each drawing appears in a drawing window, which has the following advantages:

  • You can see two or more drawings side by side.
  • You can easily copy entities from one drawing to another.
  • Using the IntelliCAD Explorer, you can copy such elements as layers, linetypes, and text styles from one drawing to another.
  • Like viewports on the Model tab, you can tile or overlap drawing windows; unlike viewports on the Model tab, drawing windows maximize or reduce to an icon.

Each drawing window that you open and work on retains in the Prompt History log all the commands that you perform, but the command line does not indicate when you have switched windows.

When you work with more than one drawing open in its own window, you can easily move, cut, copy, and paste in between drawings. If you move an entity from one window to another and then want to undo this action, you must undo it in both drawings for it to take effect. If you copy an entity from one window to another and then want to undo that action, you must undo it from the drawing into which you copied the entity. If you cut and paste an entity and then want to undo that action, you must undo it in both drawings.

Tell me about...

Dividing the current window into multiple views

Opening a new window of the same drawing


Controlling visual elements

The number of entities in your drawing and the complexity of the drawing affect how quickly IntelliCAD can process commands and display your drawing. You can improve overall program performance by turning off the display of certain visual elements, such as solid fills and text, while you work on the drawing. When you are ready to print your drawing, turn on the display of these elements so your drawing prints the way you want.

You can also improve performance by turning off entity-selection highlighting, the display of marker blips created when you select locations in the drawing, and by turning off the display of lineweights.

Tell me about...

Controlling the display of lineweights

Turning Blips on and off

Turning Fill on and off

Turning Highlighting on and off

Turning Quick Text on and off


Turning Blips on and off

You can turn Blips off. They are the temporary markers that appear on the screen when you select an entity or location. Blips are only visible until you redraw the drawing. You cannot select Blips; they are used only for reference and never print.

To turn Blips on and off

  1. Do one of the following:
    • Choose Settings > Drawing Settings.
    • On the Settings toolbar, click the Drawing Settings tool ( [image]).
    • Type blipmode, press Enter, and then in the prompt box, choose On or Off.
  2. Click the Display tab.
  3. Under Change Settings For, click Display.
  4. Select or clear the Show Marker Blips check box.
  5. Click OK.

Blips on. | Blips off.


Turning Fill on and off

You can reduce the time it takes to display or print a drawing by turning off the display of solid fill. When Fill is turned off, all filled entities, such as wide polylines and planes, display and print as outlines. When you turn Fill on or off, you must redraw the drawing before the change is displayed.

To turn Fill on or off

  1. Do one of the following:
    • Choose Settings > Fill.
    • On the Settings toolbar, click the Fill tool ( [image]).
    • Type fill and then press Enter.
  2. Choose View > Redraw.

Fill on. | Fill off.

TIP On the Settings menu, a check mark appears next to the Fill command when it is turned on and the Fill tool on the Settings toolbar is activated.


Turning Highlighting on and off

You can improve overall program performance by turning highlighting off. When you select entities to modify, the program highlights them using a dashed linetype. This highlight disappears when you finish modifying the entities or when the entities are cleared. Sometimes highlighting entities can take a considerable amount of time.

To turn Highlighting on and off

  1. Do one of the following:
    • Choose Settings > Drawing Settings.
    • On the Settings toolbar, click the Drawing Settings tool ( [image]).
    • Type highlight, press Enter, and then in the prompt box, choose On or Off.
  2. Click the Display tab.
  3. Under Change Settings For, click Display.
  4. Select or clear the Highlight Item When Selected check box.
  5. Click OK.


Turning Quick Text on and off

Text entities require a considerable amount of time to display and print. You can reduce the time it takes to display or print a drawing by enabling Quick Text. For example, if you're doing a preliminary check plot of a drawing, you may want to turn Quick Text on to speed up printing. When Quick Text is enabled, text entities are replaced by rectangular boxes that indicate the outline of the area occupied by the text. When you turn Quick Text on or off, you must regenerate the drawing before the change is displayed.

To turn Quick Text on and off

  1. Do one of the following:
    • Choose Settings > Drawing Settings.
    • On the Settings toolbar, click the Drawing Settings tool ( [image]).
    • Type qtext press Enter, and then in the prompt box, choose On or Off.
  2. Click the Display tab.
  3. Under Change Settings For, click Display.
  4. Select or clear the Enable Quick Text check box.
  5. Click OK.
  6. To regenerate your drawing, do one of the following:
    • Choose View > Regen.
    • On the View toolbar, click the Regen tool ( [image]).
    • Type regen and then press Enter.

Quick Text off. | Quick Text on.


Controlling the display of lineweights

You can reduce the time it takes to display a drawing by turning off the display of lineweights. When you turn off lineweights, all entities display as outlines.

You can also specify a lineweight scale. Specify a smaller scale to display thinner lines; specify a larger scale to display thicker lines. For example, a scale factor of 0.5 would display a .80 millimeter lineweight as .40 millimeter; a scale factor of 2 would increase the same lineweight to display at 1.6 millimeters. This can help you differentiate various lineweights that display in a drawing. Adjusting the lineweight display scale affects how the lineweights appear on your screen, not how they appear when printed.

NOTE Setting the lineweight scale too high may result in slower system performance.

You can also adjust the units for measuring lineweights, and the default lineweight.

To control the display of lineweights

  1. Do one of the following:
    • Choose Settings > Drawing Settings.
    • On the Settings toolbar, click the Drawing Settings tool ( [image]).
    • Type settings, and then press Enter.
  2. Click the Display tab.
  3. Under Change Settings For, click Lineweights.
  4. Select or clear Display Lineweight.
  5. In Units for Listing, choose millimeters or inches.

  6. In Default, select the lineweight assigned to layers and entities that use the Default lineweight.

  7. In Adjust Display Scale, move the slider to the scale you want. By default, the slider begins at 1.00.

  8. Click OK.

How do I...

Choose how lineweights print

Set the current lineweight


Working with coordinates

For accuracy in a drawing, you can locate specific points by entering coordinates as you draw or modify entities. When you create two-dimensional entities, you enter two-dimensional coordinates; for three-dimensional entities, you specify three-dimensional coordinates.

You can also specify coordinates in relation to other known locations or entities in a drawing. In particular, when you work in three-dimensional drawings, it is often easier to specify coordinates in relation to a two-dimensional working plane, called a user coordinate system (UCS).

This section explains how to work with coordinates, including how to:

  • Use two-dimensional and three-dimensional coordinate systems.
  • Specify absolute and relative coordinates.
  • Specify polar, spherical, and cylindrical coordinates.
  • Define and manipulate user coordinate systems.

Tell me about...

Defining user coordinate systems

Using Cartesian coordinates

Using three-dimensional coordinates

Using two-dimensional coordinates

Using xyz point filters

How do I...

Define a UCS by specifying a new origin and points on the positive x- and y-axes

Find the coordinate of a point in the drawing

Select a preset UCS


Using Cartesian coordinates

Many commands in IntelliCAD require that you specify points as you draw or modify entities. You can do so by selecting points with the mouse or by typing coordinate values in the command bar. The program locates points in a drawing using a Cartesian coordinate system.

Understanding how coordinate systems work

The Cartesian coordinate system uses three perpendicular axes—x, y, and z—to specify points in three-dimensional space. Every location in a drawing can be represented as a point relative to a 0,0,0 coordinate point, referred to as the origin. To draw a two-dimensional entity, you specify horizontal coordinate positions along the x-axis and vertical coordinate positions along the y-axis. Thus, every point on a plane can be represented as a coordinate pair composed of an x-coordinate and a y-coordinate. Positive coordinates are located above and to the right of the origin; negative coordinates are located to the left and below the origin.

The three perpendicular axes of the Cartesian coordinate system.

When you work in two dimensions, you need enter only the x- and y-coordinates; the program assumes that the z-axis value is always the current elevation. When you work in three dimensions, however, you must also specify the z-axis value. When you look at a plan view of your drawing (a view from above, looking down), the z-axis extends straight up out of the screen at a 90-degree angle to the xy plane. Positive coordinates are located above the xy plane, and negative coordinates are below the plane.

All IntelliCAD drawings use a fixed coordinate system, called the World Coordinate System (WCS), and every point in a drawing has a specific x,y,z-coordinate in the WCS. You can also define arbitrary coordinate systems located anywhere in three-dimensional space. These are called user coordinate systems and can be located anywhere in the WCS and oriented in any direction.

You can create as many user coordinate systems as you want, saving or redefining them to help you construct three-dimensional entities. By defining a UCS within the WCS, you can simplify the creation of most three-dimensional entities into combinations of two-dimensional entities.

To help you keep your bearings in the current coordinate system, the program displays a coordinate system icon. When you begin a new drawing, you are automatically in the WCS, indicated by the letter W in the icon. When you display a drawing in plan view, you see the coordinate system icon from the top, with the z-axis directed straight toward you. When you display a three-dimensional drawing in a view other than plan view, the coordinate system icon changes to reflect your new viewpoint.

TIP The visible portions of the axes are the positive directions.

WCS icon. | Plan UCS icon. | 3D View WCS icon.

The IntelliCAD UCS icon looks different from the UCS icon in AutoCAD, because it presents more information. Three colors represent the three axes, making it easier for you to recognize the orientation in three-dimensional space:

  • x-axis: red
  • y-axis: green
  • z-axis: blue

If you prefer a single color for the cursor and UCS icon, you can make that change with the config or options command.

Tell me about...

Finding the coordinates of a point

Understanding how coordinates are displayed


Understanding how coordinates are displayed

The current position of the cursor is displayed as x,y,z-coordinates in the status bar and, by default, updates dynamically as you move the cursor. You can toggle the coordinate display to static mode by pressing F6, so that it updates only when you select a point in the drawing.

You can also change the coordinate display to a different dynamic mode that shows the distance and angle (rather than x,y,z-coordinates) when the program displays a rubber-band line. To do this, choose Settings > Drawing Settings and select the Display tab. Under Coordinate Display, select the option for Coordinates In Polar Form For Distance And Angle Selection.

Tell me about...

Finding the coordinates of a point

Understanding how coordinate systems work


Finding the coordinates of a point

To find the x,y,z-coordinates for a point on an entity, such as the endpoint of a line, select an appropriate entity snap (such as Endpoint) before selecting the entity. If you have no entity snaps set, the x,y-coordinates of the point you specified is displayed, with the z-coordinate equal to the current elevation.

To find the coordinate of a point in the drawing

  1. Do one of the following:
    • Choose Tools > Inquiry > ID Coordinates.
    • On the Inquiry toolbar, click the ID Coordinates tool ( [image]).
    • Type idpoint and then press Enter.
  2. Select the point for which you want to find the coordinates.
    3. If the command bar is activated, the x,y,z-coordinates for the point you selected display in the command bar.
    If the command bar is not activated, the Prompt History window displays, showing the x,y,z-coordinates for the point you selected.

Tell me about...

Understanding how coordinate systems work

Understanding how coordinates are displayed


Using two-dimensional coordinates

When working in two dimensions, you specify points on the xy plane. You can specify any point as an absolute coordinate (or Cartesian coordinate), using the exact x-coordinate and y-coordinate locations in relation to the origin (the 0,0 coordinate point at which the two axes intersect), or as a relative coordinate in relation to the previous point. You can also specify points using relative or absolute polar coordinates, which locate a point using a distance and an angle.

Tell me about...

Entering absolute Cartesian coordinates

Entering polar coordinates

Entering relative Cartesian coordinates


Entering absolute Cartesian coordinates

To enter absolute Cartesian coordinates, type the coordinate location of the point in the command bar. For example, to use absolute Cartesian coordinates to draw a line from the origin (0,0) to a point 3 units to the right and 1 unit above the origin, start the Line command and respond to the prompts as follows:

Start of line: 0,0

Angle ? Length ? <End point>: 3,1

Drawing a line using the absolute Cartesian coordinate method.

When using absolute Cartesian coordinates, you need to know the exact point locations for anything you draw. For instance, to use absolute Cartesian coordinates to draw an 8.5-unit square with its lower left corner at 4,5, you must determine that the upper left corner is at coordinate 4,13.5, the upper right corner at 12.5,13.5, and the lower right corner at 12.5,5.

Tell me about...

Entering polar coordinates

Entering relative Cartesian coordinates


Entering relative Cartesian coordinates

Another, simpler method is to use relative Cartesian coordinates: you specify a location in the drawing by determining its position relative to the last coordinate you specified. To use relative Cartesian coordinates, type the coordinate values in the command bar, preceded by the at symbol (@). The coordinate pair following the @ symbol represents the distance along the x-axis and the y-axis to the next point relative to the previous point.

For example, to draw an 8.5-unit square with its lower left corner at 4,5 using relative Cartesian coordinates, start the Line command, and then respond to the prompts as follows:

Start of line: 4,5

Angle ? Length ? <End point>: @8.5,0

Angle ? Length ? Follow ? Undo ? <End point>: @0,8.5

Angle ? Length ? Follow ? Close ? Undo ? <End point>: @-8.5,0

Angle ? Length ? Follow ? Close ? Undo ? <End point>: C

Drawing a square using the relative Cartesian coordinates method; enter C to close.

The first relative coordinate (@8.5,0) locates the new point 8.5 units to the right (along the x-axis) from the previous point of 4,5; the second relative coordinate (@0,8.5) locates the next point 8.5 units above (along the y-axis) the previous point, and so on. Entering C (for Close) draws the final line segment back to the first point specified when you started the Line command.

Tell me about...

Entering absolute Cartesian coordinates

Entering polar coordinates


Entering polar coordinates

Using relative polar coordinates makes drawing a square tilted at a 45-degree angle a simple task. Polar coordinates base the location of a point on a distance and angle from either the origin (absolute coordinate) or from the previous point (relative coordinate).

To specify polar coordinates, type a distance and an angle, separated by the open angle bracket (<). For example, to use relative polar coordinates to specify a point 1 unit away from the previous point and at an angle of 45 degrees, type @1<45.

To draw the square from the example in the previous section, "Entering relative Cartesian coordinates," this time tilted at a 45-degree angle, start the Line command, and then respond to the prompts as follows:

Start of line: 4,5

Angle ? Length ? <End point>: @8.5<45

Angle ? Length ? Follow ? Undo ? <End point>: @8.5<315

Angle ? Length ? Follow ? Close ? Undo ? <End point>: @8.5<225

Angle ? Length ? Follow ? Close ? Undo ? <End point>: C

Drawing a tilted square using the relative polar coordinates method; enter C to close.

NOTE This example, like all examples in this guide, assumes the program's default settings: Angles increase counterclockwise and decrease clockwise. Thus, an angle of 315 degrees is the same as -45 degrees.

Tell me about...

Entering absolute Cartesian coordinates

Entering relative Cartesian coordinates


Using three-dimensional coordinates

Specifying coordinates in three-dimensional space is similar to working in two dimensions, except that you also use the z-axis to locate coordinates. Three-dimensional coordinates are represented in the format x,y,z (for example, 2,3,6).

Using the right-hand rule

To visualize how IntelliCAD works with three-dimensional space, use a technique known as the right-hand rule. Hold up your right hand in a loose fist with your palm facing you. Extend your thumb in the direction of the positive x-axis and your index finger upward in the direction of the positive y-axis. Then extend your middle finger straight toward you in the direction of the z-axis. These three fingers are now pointing in the positive x, y, and z directions, respectively.

You can also use the right-hand rule to determine the positive rotation direction. Point your thumb in the positive direction of the axis about which you want to rotate, and then curl the rest of your fingers toward your palm. These fingers are curling in the positive rotation direction.

The right-hand rule helps you determine the positive direction of the x-, y-, and z-axes and the positive rotation direction.

Tell me about...

Entering cylindrical coordinates

Entering spherical coordinates

Entering x,y,z-coordinates


Entering x,y,z-coordinates

When working in three dimensions, you can specify x,y,z-coordinates as absolute distances in relation to the origin (the 0,0,0 coordinate point at which the three axes intersect) or as relative coordinates based on the last point selected. For example, to specify a point 3 units along the positive x-axis, 4 units along the positive y-axis, and 2 units along the positive z-axis, specify the coordinate 3,4,2.

Tell me about...

Entering cylindrical coordinates

Entering spherical coordinates


Entering spherical coordinates

When working in three-dimensional space, you can use spherical coordinates to specify a three-dimensional point by entering its distance from either the origin (absolute distance) or the last point (relative distance), along with its angle in the xy plane and its angle up from the xy plane. In spherical format, you separate each angle with the open angle bracket (<).

Thus, to draw a line from the origin to a point 10.2500 drawing units away, at an angle of 45 degrees from the x-axis and 35 degrees from the xy plane, start the Line command, and then respond to the prompts as follows:

Start of line: 0,0,0

Angle ? Length ? <End point>: 10.2500<45<35

When you draw a line from a start point (A) to an endpoint (B) using spherical coordinates, you specify its length (C, in this case 10.2500 units), the angle in the xy plane (D, in this case 45 degrees), and the angle from the xy plane (E, in this case 35 degrees).

Tell me about...

Entering cylindrical coordinates

Entering x,y,z-coordinates


Entering cylindrical coordinates

When working in three-dimensional space, you can also use cylindrical coordinates to specify a three-dimensional point. You specify a point by entering its distance from either the origin (absolute distance) or the last point (relative distance), its angle in the xy plane, and its z-coordinate value.

In cylindrical format, you separate the distance and angle with the open angle bracket (<) and separate the angle and z value with a comma. For example, to draw a line from the last point to a point 7.4750 units away, at an angle of 27 degrees from the x-axis in the xy plane and 3 units up in the z direction, start the Line command, and then respond to the prompts as follows:

Start of line: (select point A)

Angle ? Length ? <End point>: @7.4750<27,3

When you draw a line from a start point (A) to an endpoint (B) using cylindrical coordinates, you specify its length (C, in this case 7.4750), the angle in the xy plane (D, in this case 27 degrees), and the distance in the z direction (E, in this case 3 units).

Tell me about...

Entering spherical coordinates

Entering x,y,z-coordinates


Using xyz point filters

Point filters provide a method of locating a point in a drawing relative to another point without specifying the entire coordinate. Using a point filter, you can enter partial coordinates, and then the program prompts you for the remaining coordinate information. To use xyz point filters, respond to the prompt for a coordinate with a filter in the following form:

.coordinate

where coordinate is one or more of the letters x, y, and z. The program then prompts you for the filtered coordinate(s). For example, if you type .xy, the program prompts you to select a point whose xy-coordinate you want, and then prompts you for the z-coordinate. The filters .x, .y, .z, .xy, .xz, and .yz are all valid filters.

Using point filters in two dimensions

You can use point filters when you work in two dimensions to locate points in relation to existing entities. For example, to draw a circle centered in a rectangle, start the Circle command, and then respond to the prompts as follows:

2Point ? 3Point ? RadTanTan ? Arc ? Multiple ? <Center of circle>: .y

Select Y of: mid

Snap to midpoint of: (select the left side of the rectangle)

Still need XZ of: mid

Snap to midpoint of: (select top of the rectangle)

Diameter ? <Radius>: (specify radius of circle)

You can use point filters to center the circle by separately selecting the midpoints of two sides of the rectangle (A and B) and then specifying its radius.

Using point filters in three dimensions

You can use point filters when you work in three-dimensional space to locate points in two dimensions and then specify the z-coordinate as the elevation above the xy plane. For example, to begin drawing a line from a point with a z-coordinate 3 units above the center of a circle, insert the circle, and then start the Line command and respond to the prompts as follows:

ENTER to use last point ? Follow ? <Start of line>: .xy

Select XY of: cen

Snap to centerpoint of: (select a point on the circle)

Still need Z of: 3 (locates the starting point 3 units above the center of the circle)

Length of line: (specify the length of the line)

You can use point filters to draw a line by first selecting a point in the xy plane (A), specifying the z-coordinate (B), and then specifying the length of the line (C).


Defining user coordinate systems

When working in three-dimensional space, you can define a user coordinate system (UCS) with its own 0,0,0 origin and orientation separate from the World Coordinate System. You can create as many user coordinate systems as you want, and then save and recall them as you need them to simplify construction of three-dimensional entities.

For example, you can create a separate UCS for each side of a building. Then, by switching to the UCS for the east side of the building, you can draw the windows on that side by specifying only their x- and y-coordinates. When you create one or more user coordinate systems, the coordinate entry is based on the current UCS.

UCS aligned with the front wall of the house.

Tell me about...

Methods for defining a user coordinate system

How do I...

Define a UCS by specifying a new origin and points on the positive x- and y-axes

Select a preset UCS


Defining a user coordinate system

To define a UCS, you can use any of the following methods:

  • Specify a new origin and points on the positive x- and y-axes.
  • Specify a new origin and point on the positive z-axis.
  • Align the UCS with an existing entity.
  • Rotate the current UCS around any of its axes.
  • Align the UCS with its z-axis parallel to the current viewing direction.
  • Align the UCS xy plane perpendicular to the current view.

When you define a new UCS, the UCS icon changes to indicate the origin and orientation of the new UCS.

To define a UCS by specifying a new origin and points on the positive x- and y-axes

  1. Do one of the following:
    • Choose Settings > User Coordinate Systems.
    • On the Settings toolbar, click the User Coordinate Systems tool ( [image]).
    • Type setucs and then press Enter.
  2. In the User Coordinate Systems dialog box, click Explore UCSs.
  3. In the IntelliCAD Explorer, be sure that Coordinate Systems is selected, and click the New Item tool ( [image]).
  4. In the prompt box, choose 3 Point.
  5. Select the new origin.
  6. Select a point on the positive x-axis.
  7. Select a point in the positive y direction.
  8. In the IntelliCAD Explorer - Coordinate Systems dialog box, type the name for the new UCS, and then close the dialog box.

Define the new UCS by selecting the origin (A), a point on the positive x-axis (B), and a point in the positive y direction (C).

How do I...

Select a preset UCS


Using a preset user coordinate system

IntelliCAD lets you select a preset UCS. The six planes defined by looking along the x,y,z-axes align the UCS with the top, left, front, bottom, right, or back, based on either the WCS or the current UCS in effect when you select an icon in the User Coordinate Systems dialog box. You can also select the previous UCS, align the UCS to the current view, or select the WCS.

When you select a UCS, the cursor orientation and UCS icon change to reflect the new UCS. The display does not change, however, unless you select the Change View To Plan View Of The Selected UCS check box.

After you align the UCS to a preset UCS, you can use the IntelliCAD Explorer to save the UCS. To do this, in the IntelliCAD Explorer window, choose Edit > New > UCS, and then select Current.

To select a preset UCS

  1. Do one of the following:
    • Choose Settings > User Coordinate Systems.
    • On the Settings toolbar, click the User Coordinate Systems tool ( [image]).
    • Type setucs and then press Enter.
  2. Under Set The Selected UCS Relative To, select either Current UCS to change to the new UCS by reorienting relative to the current UCS, or select World Coordinate System (WCS) to base the new UCS orientation on the WCS.
  3. Under Select UCS, click the button corresponding to the UCS you want as the new current UCS.

Tell me about...

Methods for defining a user coordinate system

How do I...

Define a UCS by specifying a new origin and points on the positive x- and y-axes


Working with the IntelliCAD Explorer

The IntelliCAD Explorer provides a powerful and convenient way to maintain and manage many of the features and settings of your drawings. You can use the IntelliCAD Explorer to work with layers, linetypes, text styles, coordinate systems, named views, blocks, and dimension styles within the current drawing or to copy this information between drawings.

This section explains how to use the IntelliCAD Explorer to:

  • Manage elements related to settings and entities in your drawings.
  • Organize information on layers and manage layers.
  • Create and use linetypes.
  • Load text fonts and create text styles.
  • Select and control coordinate systems.
  • Save and restore named views.
  • Save, insert, and manage blocks.
  • Copy, cut, and paste dimension styles between DWG files.

Tell me about...

Using named views

Using the IntelliCAD Explorer

Working with blocks and external references

Working with coordinate systems

Working with dimension styles

Working with linetypes

Working with text fonts and styles

How do I...

Attach an external reference

Change a layer name in the current drawing

Change a linetype definition

Change a user coordinate system name in the current drawing

Change the layer color

Change the linetype assigned to one or more layers

Change the view options

Copy layers from one open drawing to another open drawing

Create a block

Create a dimension style

Create a new layer

Create a new linetype

Create a new text style

Delete a layer and relocate its entities to another layer

Display blocks in the IntelliCAD Explorer

Display layers in the IntelliCAD Explorer

Display the Coordinate Systems element

Display the IntelliCAD Explorer

Display the IntelliCAD Explorer Dimension Styles element

Display the IntelliCAD Explorer Linetypes element

Display the IntelliCAD Explorer Text Styles element

Display Views in the IntelliCAD Explorer

Freeze or thaw layers

Insert a block

Insert a drawing as a block

Load a new linetype from a linetype library

Lock or unlock layers

Make a layer current

Make the linetype current

Make the text style current

Modify a text style

Purge an element

Restore a named view using the View command

Save a block as a separate drawing file

Set the current layer to that of an existing entity

Turn layers on or off

Turn on Xref Layer Visibility


Using the IntelliCAD Explorer

The IntelliCAD Explorer opens in its own, separate window, which you can move or resize. The IntelliCAD Explorer window has its own menu and tools.

To display the IntelliCAD Explorer

Do one of the following

  • Choose Tools > IntelliCAD Explorer.
  • On the Tools toolbar, click the IntelliCAD Explorer tool ( [image]).
  • Type explayers and then press Enter.
  • Type la and then press Enter.
  • On the status bar, right-click on the current layer, and from the list select the layer you want to make current.

The IntelliCAD Explorer window has two panes, a left pane and a right pane. The elements are listed in the left pane, and the drawing settings are listed and described in the right pane.

TIP On the Settings menu, you can use the Explore Layers, Explore Blocks, Explore Views, Explore Coordinate Systems, Explore Linetypes, Explore Text Styles, and Explore Dimension Styles commands to display the layers, blocks, views, coordinate systems, linetypes, text styles, and dimension styles for the current drawing in the IntelliCAD Explorer window. Tools for these commands also appear on the Settings toolbar.

Using the IntelliCAD Explorer, you can create, delete, or modify any of the settings for the currently selected element for a given drawing. You can also copy the contents of any element from one drawing to another. The tools and menu items on the IntelliCAD Explorer provide the following functions:

IntelliCAD Explorer tools

Tool | Function
( [image] ) New Item | Creates a new layer, linetype, style, coordinate system, view, block, or dimension style.
( [image] ) Current | Makes the selection current.
( [image] ) Cut | Cuts the selection to the Clipboard.
( [image] ) Copy | Copies the selection to the Clipboard.
( [image] ) Paste | Pastes the selection from the Clipboard into the appropriate list of a different drawing.
( [image] ) Delete | Deletes the selection from the list.
( [image] ) Properties | Displays the properties for the selection.
( [image] ) World | Sets the current coordinate system to the World Coordinate System (WCS).
( [image] ) Purge | Eliminates unreferenced elements from your drawing file.

Tell me about...

Copying settings

Deleting settings

Purging elements

How do I...

Copy layers from one open drawing to another open drawing

Delete a layer and relocate its entities to another layer

Purge an element


Copying settings

A particularly powerful feature of the IntelliCAD Explorer is its capability of copying many of the settings—layers, linetypes, text styles, coordinate systems, views, blocks, or dimension styles—from one drawing to another. If you have more than one drawing open, the IntelliCAD Explorer makes it easy to reuse information. For example, when you copy layers from one drawing to another, the layer names as well as their linetypes, colors, and other settings are also copied, but not the entities on those layers.

To copy layers from one open drawing to another open drawing

  1. Do one of the following:
    • Choose Settings > Explore Layers.
    • On the Settings toolbar, click the Explore Layers tool ( [image]).
    • Type explayers and then press Enter.
  2. In the Elements pane, select the drawing from which you want to copy layers.
  3. If necessary, click the plus (+) symbol to expand the Elements list for the drawing, and then click Layers.
  4. In the Layers Settings In Drawing list (right pane), select the layers you want to copy.
  5. Choose Edit > Copy, or click the Copy tool ( [image]).
  6. In the Elements pane, select the drawing to which you want to copy the layers.
  7. If necessary, click the plus (+) symbol to expand the Elements list for the drawing, and then click Layers.
  8. Choose Edit > Paste, or click the Paste tool ( [image]).

How do I...

Delete a layer and relocate its entities to another layer

Purge an element


Deleting settings

You can use the IntelliCAD Explorer to delete many of the items that appear in the Elements list. You can delete a layer, linetype, text style, coordinate system, view, block, or dimension style.

Because you may have already created entities on a particular layer or using a particular linetype or text style, deleting one of these elements requires that you make certain choices from options the program presents. For example, if you attempt to delete a layer, the program prompts you to specify whether you want to move any entities from that layer to another layer. Every drawing has at least one layer, the default layer, named "0." You cannot delete or rename this layer. Your drawing can also contain an unlimited number of additional layers, each of which you assign a unique name.

If you try to delete a linetype, the program prompts you to specify whether you want to convert all entities drawn using that linetype to a different linetype. If you attempt to delete a text style, the program prompts you to specify whether you want to convert all text entities created using that style to a different style.

To delete a layer and relocate its entities to another layer

  1. Do one of the following:
    • Choose Settings > Explore Layers.
    • On the Settings toolbar, click the Explore Layers tool ( [image]).
    • Type explayers and then press Enter.
  2. From the Layer Name list, select the layer that you want to delete.
    3. If that layer is the current layer, layer 0 automatically becomes the current layer.
  3. Choose Edit > Delete, or click the Delete tool ( [image]).
  4. From the dialog box, double-click Change.
  5. In the drop-down list, double-click the layer to which you want to relocate entities.

How do I...

Copy layers from one open drawing to another open drawing

Purge an element


Purging elements

From within the IntelliCAD Explorer, you can eliminate unused blocks, layers, linetypes, text styles, or dimension styles from your drawing file. Purging unused elements can significantly reduce the drawing file size.

To purge an element

  1. Do one of the following:
    • Choose Tools > IntelliCAD Explorer
    • On the Tools toolbar, click the IntelliCAD Explorer tool ( [image]).
    • Type explayers and then press Enter.
  2. Select the element from which you want to purge unreferenced elements.
  3. From the Standard toolbar, select the Purge tool ( [image]).
    4. The main drawing window appears.
  4. In the command bar, do one of the following:
    • Enter the name of the element to purge, and then press Enter.
    • Press Enter to purge all unused elements of the selected type without confirming the removal of each element.

How do I...

Copy layers from one open drawing to another open drawing

Delete a layer and relocate its entities to another layer


Organizing information on layers

Layers in IntelliCAD are like the transparent overlays you use in manual drafting. You use layers to organize different types of drawing information. In IntelliCAD, each entity in a drawing exists on a layer. When you draw an entity, it is created on the current layer.

You can control the visibility of layers in individual viewports. When you turn a layer off, entities drawn on that layer are no longer visible, and they do not print. Although a layer may be invisible, you can still select it as the current layer, in which case new entities are also invisible until you turn the layer back on. Entities on invisible layers can also affect the display and printing of entities on other layers. For example, entities on invisible layers can hide other entities when you use the Hide command to remove hidden lines.

You can also freeze and thaw layers. Entities drawn on frozen layers do not display, do not print, and do not regenerate. When you freeze a layer, its entities do not affect the display or printing of other entities. For example, entities on frozen layers do not hide other entities when you use the Hide command to remove hidden lines. In addition, you cannot draw on a frozen layer until you thaw it, and you cannot make a frozen layer current.

You cannot freeze the current layer. If you attempt to freeze the current layer, a dialog box appears prompting you to specify a different layer. You also cannot freeze or thaw a viewport layer unless you are working in a Layout tab.

You can lock or unlock layers. The entities on a locked layer are still visible and will print, but you cannot edit them. Locking a layer prevents you from accidentally modifying entities.

Each layer has its own color, linetype, and lineweight. Entities you draw on a particular layer are displayed in the color, linetype, and lineweight associated with that layer unless you override these settings. You control all of the associated settings for layers using the Layers elements in the IntelliCAD Explorer.

To display layers in the IntelliCAD Explorer

Do one of the following:

  • Choose Settings > Explore Layers.
  • Choose Tools > IntelliCAD Explorer.
  • On the Tools toolbar, click the IntelliCAD Explorer tool ( [image]).
  • On the Settings toolbar, click the Explore Layers tool ( [image]).
  • Type explayers and then press Enter.

When Layers are displayed, three tools on the Layer toolbar provide the following functions:

( [image] ) Layer On/Off | Toggles the selected layers on and off.
( [image] ) Freeze/Thaw | Freezes or thaws the selected layers.
( [image] ) Lock/Unlock | Locks or unlocks the selected layers.

You can change any of these settings by clicking either the tool or its current condition. You can edit the color and linetype of a layer by clicking the color or linetype name and selecting the values you want in the dialog box.

Tell me about...

Controlling layer printing

Controlling layer visibility

Creating and naming layers

Locking and unlocking layers

Setting a layer’s linetype

Setting a layer’s lineweight

Setting the current layer

Setting the layer color


Creating and naming layers

You can create an unlimited number of layers in every drawing and use those layers for organizing information. When you create a new layer, it is initially assigned the color white (or black, depending on your system settings) and the linetype CONTINUOUS. By default, a new layer is also visible. After you create and name a layer, you can change its color, linetype, visibility, and other properties.

NOTE Layer names created or renamed in IntelliCAD can have up to 31 characters and cannot include spaces. IntelliCAD will, however, display longer layer names and names containing spaces, such as layers created in AutoCAD 2000.

To create a new layer

  1. Do one of the following:
    • Choose Settings > Explore Layers.
    • On the Settings toolbar, click the Explore Layers tool ( [image]).
    • Type explayers and then press Enter.
  2. Choose Edit > New > Layer.
    3. The program adds a new layer to the Layer Name list, with the default name NewLayer1.
  3. Type a name for the new layer over the highlighted default name, and then press Enter.
  4. To complete the command and return to your drawing, close the window.

TIP You can also create a new layer by selecting the Layers element for a drawing and clicking the New Item tool ( [image]).

To change a layer name in the current drawing

  1. Do one of the following:
    • Choose Settings > Explore Layers.
    • On the Settings toolbar, click the Explore Layers tool ( [image]).
    • Type explayers and then press Enter.
  2. In the Layer Name list, select the layer you want to make current.
  3. Do one of the following:
    • Choose Edit > Rename, type a new name, and then press Enter.
    • Highlight the layer name you want to change, type a new name, and then press Enter.
    • Right-click the layer name you want to change, and from the shortcut menu, select Rename, type a new name, and then press Enter.
  4. To complete the command and return to your drawing, close the window.

NOTE You cannot rename the 0 layer.

Tell me about...

Control layer printing

Controlling layer visibility

Locking and unlocking layers

Setting a layer’s linetype

Setting a layer’s lineweight

Setting the current layer

Setting the layer color


Making a layer current

When you create new entities, they are drawn on the current layer. To draw new entities on a different layer, you must first make that layer the current layer.

To make a layer current

  1. Do one of the following:
    • Choose Settings > Explore Layers.
    • On the Settings toolbar, click the Explore Layers tool ( [image]).
    • Type explayers, and then press Enter.
  2. In the Layer Name list, select the layer you want to make current.
  3. Do one of the following:
    • Choose Edit > Current.
    • In the Layer Name list, select the name you want to make current, and then click the Current tool ( [image]).
    • Double-click the layer name in the Layer Name list.
    • Right-click the layer name you want to change, and from the shortcut menu select Current.
  4. To complete the command and return to your drawing, close the window.

To set the current layer to that of an existing entity

  1. Do one of the following:
    • Choose Settings > Set Layer By Entity.
    • On the Settings toolbar, click the Set Layer By Entity tool ( [image]).
    • Type setlayer and then press Enter.
  2. Select the entity to set the current layer.

Tell me about...

Control layer printing

Controlling layer visibility

Creating and naming layers

Locking and unlocking layers

Setting a layer’s linetype

Setting a layer’s lineweight

Setting the layer color


Controlling layer visibility

A layer can be visible or invisible. Entities on invisible layers are not displayed and do not print. By controlling layer visibility, you can turn off unnecessary information, such as construction lines or notes. By changing layer visibility, you can put the same drawing to multiple uses.

For example, if you are drawing a floor plan, you can draw the layout of light fixtures on one layer and the location of plumbing lines on another. By selectively turning layers on and off, you can print the electrical engineering drawings and the plumbing drawings from the same drawing file. For even more convenience, you can control the visibility of layers within individual viewports, so that layers that display in one viewport are invisible in other viewports in the same drawing.

When you turn a layer off, entities drawn on that layer are no longer visible. When you turn the layer back on, the entities on that layer are redisplayed.

Tell me about...

Controlling layer printing

Creating and naming layers

Locking and unlocking layers

Setting a layer’s linetype

Setting a layer’s lineweight

Setting the current layer

Setting the layer color

How do I...

Freeze or thaw layers

Turn layer printing on or off

Turn layers on or off

Turn on Xref Layer Visibility


Locking and unlocking layers

Locking a layer makes it easy to refer to information contained on the layer, but prevents you from accidentally modifying its entities. When a layer is locked (but visible and thawed), its entities remain visible, but you cannot edit them. If you lock the current layer, you can still add new entities to it. You can also change the linetype and color associated with a locked layer. Unlocking a layer restores full editing capabilities.

To lock or unlock layers

  1. Do one of the following:
    • Choose Settings > Explore Layers.
    • On the Settings toolbar, click the Explore Layers tool ( [image]).
    • Type explayers and then press Enter.
  2. In the Layer Name list, select the layers you want to lock or unlock.
  3. Do one of the following:
    • Choose View > Lock/Unlock.
    • Right-click the layer name you want to change, and from the shortcut menu, select Properties and lock or unlock the layer.
    • Click the setting in the Locked column.
    The Locked column shows the new setting.
  4. To complete the command and return to your drawing, close the window.

Tell me about...

Controlling layer printing

Controlling layer visibility

Creating and naming layers

Setting the current layer

Setting the layer color


Controlling layer printing

Controlling layer printing is another way you can specify which entities print in your drawing.

By controlling layer printing, you can turn off unnecessary information during printing. For example, if you are drawing a floor plan, you can draw the layout of light fixtures on one layer and the location of plumbing lines on another. By selectively turning layers on and off when you print, you can print the electrical engineering drawings and the plumbing drawings from the same drawing file. By changing layer printing, you can put the same drawing to multiple uses.

When you turn off printing for a layer, entities drawn on that layer are still visible, but they do not print. If you turn off a layer’s visibility, entities drawn on that layer do not display or print. Controlling layer printing can be especially helpful if you want layer visibility on, but do not want to print entties on that layer.

Layer visibility must be turned on in order to print entities drawn on that layer.

To turn layer printing on or off

  1. Do one of the following:
    • Choose Settings > Explore Layers.
    • On the Settings toolbar, click the Explore Layers tool ( [image]).
    • Type explayers and then press Enter.
  2. In the right pane, click the setting in the Plot column for the layer you want to change. Choose Yes to print entities assigned to the layer. Choose No to omit entities assigned to the layer during printing.

You can also right-click the layer you want to change, and from the shortcut menu, select Properties and change the plot setting for a layer.

Tell me about...

Controlling layer visibility

Creating and naming layers

Setting the current layer

Setting the layer color


Setting the layer color

Each layer in a drawing is assigned a color. IntelliCAD uses the BYLAYER color as the default color setting for entity creation so that new entities are drawn in the color of the layer on which they are inserted (set in the Drawing Settings dialog box).

Using the IntelliCAD Explorer, you can set or change the color assigned to a layer. With the direct-editing feature, you can click on the color you want to change, and then select a new color from the dialog box that appears. Changing a layer's color automatically changes the color of all entities on that layer with the BYLAYER color.

To change the layer color

  1. Do one of the following:
    • Choose Settings > Explore Layers.
    • On the Settings toolbar, click the Explore Layers tool ( [image]).
    • Type explayers and then press Enter.
  2. In the right pane, click the color swatch for the layer you want to change.
  3. Do one of the following:
    • In the Color dialog box, select the color you want, and then click OK.
    • Right-click the layer you want to change, and from the shortcut menu, select Properties and change the layer color.

NOTE You can also assign a specific color to an entity, which overrides the layer's color setting. When you create a new entity, use the Settings > Colors > Select Color command to change the current color. For an existing entity, select the entity, right-click for the shortcut menu, and choose Properties. You can then change the entity's color in the Entity Properties dialog box.

Tell me about...

Controlling layer printing

Controlling layer visibility

Creating and naming layers

Locking and unlocking layers

Setting the current layer


Setting a layer’s linetype

Setting a layer's linetype

Each layer uses a default linetype (a repeating pattern of dashes, dots, or blank spaces). Linetype determines the appearance of entities both on the screen and when printed.

It's a good idea to assign the BYLAYER linetype to any entities that you draw on that layer. IntelliCAD uses the BYLAYER linetype as the default linetype setting for Entity Creation (in the Drawing Settings dialog box).

Using the IntelliCAD Explorer, you can set or change the linetype assigned to a layer. With the direct-editing feature, you can click on the linetype you want to change, and then select a new linetype from the dialog box that appears. Changing the linetype assigned to a layer changes the linetype of all entities drawn on that layer with the BYLAYER linetype.

NOTE Only those linetypes already set in the drawing can be assigned to layers. For more information about setting additional linetypes, see Working with Linetypes.

To change the linetype assigned to one or more layers

  1. Do one of the following:
    • Choose Settings > Explore Layers.
    • On the Settings toolbar, click the Explore Layers tool ( [image]).
    • Type explayers and then press Enter.
  2. In the right pane, click the linetype for the layer you want to change.
  3. In the Linetype dialog box, select a new linetype for the layer, or click Browse to select your linetype file.
    4. You can also right-click the layer you want to change, and from the shortcut menu, select Properties and change the linetype assigned to a layer.

NOTE You can also assign a specific linetype to an entity, which overrides the layer's linetype setting. When you create a new entity, use the Settings > Explore Linetypes command to change the current linetype through the IntelliCAD Explorer. For an existing entity, select the entity, right-click for the shortcut menu, and choose Properties. You can then modify the entity's linetype in the Entity Properties dialog box.

Tell me about...

Controlling layer printing

Controlling layer visibility

Creating and naming layers

Locking and unlocking layers

Setting the current layer

Setting the layer color

Setting a layer’s lineweight


Setting a layer’s lineweight

Setting a layer's lineweight

Each layer uses a default lineweight. Lineweights determine the thickness of entities both on the screen and when printed.

All new layers are assigned the DEFAULT lineweight, which is .25 millimeters or .01 inches. If you want a different lineweight assigned to a layer, you can easily change it using IntelliCAD Explorer. For example, you may want different lineweights on each layer of your drawing to show separate elements, such as walls, dimensions, structural steel, and electrical plans. Changing the lineweight assigned to a layer changes the lineweight of all entities drawn on that layer with the BYLAYER lineweight.

When you create new entities, it’s a good idea to assign the BYLAYER lineweight to any entities that you draw on that layer, unless you want to override the layer lineweight. IntelliCAD uses the BYLAYER lineweight as the default lineweight setting when you create entities (in the Drawing Settings dialog box).

TIP To change the DEFAULE lineweight, choose Settings > Drawing Settings, click the Display tab, select Lineweights in Change Settings For, and then select a new default.

To change the lineweight assigned to one or more layers

  1. Do one of the following:
    • Choose Settings > Explore Layers.
    • On the Settings toolbar, click the Explore Layers tool ( [image]).
    • Type explayers and then press Enter.
  2. In the right pane, click the lineweight for the layer you want to change.
  3. In the Lineweight list, click the arrow to scroll the lineweights, and then select a new lineweight for the layer.
    4. You can also right-click the layer you want to change, and from the shortcut menu, select Properties and change the lineweight assigned to a layer.

NOTE You can also assign a specific lineweight to an entity, which overrides the layer’s lineweight setting. When you create a new entity, use the Settings > Drawing Settings > Entity Creation tab to change the current lineweight. For an existing entity, select the entity, right-click for the shortcut menu, and choose Properties. You can then modify the entity’s lineweight in the Entity Properties dialog box.

Tell me about...

Controlling layer printing

Controlling layer visibility

Creating and naming layers

Locking and unlocking layers

Setting a layer’s linetype

Setting the current layer

Setting the layer color


Working with linetypes

IntelliCad provides simple and complex linetypes. A simple linetype consists of a repeating pattern of dots, dashes, or blank spaces. A complex linetype contains embedded shape and text objects along with dots, dashes, and spaces.

You can use different linetypes to represent specific kinds of information. For example, if you are drawing a site plan, you can draw roads using a continuous linetype, a fence using a using a linetype of dashes and square posts, or a gas line using a complex linetype showing the text ’GAS’.

By default, every drawing has at least three linetypes: CONTINUOUS, BYLAYER, and BYBLOCK. You cannot rename or delete these linetypes. Your drawing may also contain an unlimited number of additional linetypes. You can load more linetypes into the program from a linetype library file or create and save linetypes you define.

To display the IntelliCAD Explorer Linetypes element

Do one of the following:

  • Choose Settings > Explore Linetypes.
  • On the Settings toolbar, click the Explore Linetypes tool ( [image]).
  • Type expltypes and then press Enter.
  • Choose Tools > IntelliCAD Explorer, and then click the Linetypes element.

Tell me about...

Creating and naming linetypes

Loading additional linetypes

Setting the current linetype


Loading additional linetypes

Before you can select a new linetype to use in a drawing, you must either create the linetype definition or load a predefined linetype from a linetype library file (*.lin). IntelliCAD includes a linetype library file, icad.lin, which contains more than 100 predefined linetypes.

To load a new linetype from a linetype library

  1. Do one of the following:
    • Choose Settings > Explore Linetypes.
    • On the Settings toolbar, click the Explore Linetypes tool ( [image]).
    • Type expltypes and then press Enter.
  2. Using one of the following methods, open the New Linetype dialog box:
    • Choose Edit > New > Linetype.
    • Click the New Item tool ( [image]).
    • With the cursor in the right pane of the window, right-click to display the shortcut menu, and then choose New > Linetype.
  3. Click Choose From File.
  4. Click Browse.
  5. Select the linetype library file, and then click Open.
  6. Select the linetype you want to load.
  7. Click OK, and then close the window.

Tell me about...

Creating and naming linetypes

Setting the current linetype


Creating and naming linetypes

In addition to loading predefined linetypes from a linetype library file, you can create new linetypes. You can save new linetypes you create to a linetype library file for use in other drawings.

NOTE Linetype names created or renamed in IntelliCAD can have up to 31 characters and cannot include spaces. IntelliCAD will, however, display longer linetype names and names containing spaces, such as linetypes created in AutoCAD 2000.

Tell me about...

Loading additional linetypes

Setting the current linetype

How do I...

Change a linetype definition

Change a linetype name

Create a new simple linetype

Create a new complex linetype


To create a new simple linetype

  1. Do one of the following:
    • Choose Settings > Explore Linetypes.
    • On the Settings toolbar, click the Explore Linetypes tool ( [image]).
    • Type expltypes and then press Enter.
  2. Using one of the following methods, open the New Linetype dialog box:
    • Choose Edit > New > Linetype.
    • Click the New Item tool ( [image]).
    • With your cursor in the right pane of the window, right-click to display the shortcut menu, and choose New > Linetype.
  3. In the Linetype Description field, type the linetype description.
    4. You can type anything in this field that will help you remember the purpose or appearance of this linetype. For example, it is helpful to type text or symbols such as __..__.. that approximate the appearance of the linetype.
  4. In the Linetype Definition field, type the linetype definition.
    5. The definition consists of positive and negative numbers separated by commas. A positive number draws a solid line segment for the specified number of drawing units; a negative number creates a gap for the specified number of units; a zero creates a dot.
  5. Click OK.
    6. The program adds the new linetype to the linetypes list with the default name, NewLinetype1.
  6. To enter a name for the new linetype, type over the highlighted default text, and press Enter.
    7. Do not use spaces between words in the new linetype name.
  7. To complete the command and return to your drawing, close the window.

How do I...

Change a linetype definition

Change a linetype name

Create a complex linetype


Creating a new complex linetype

A complex linetype can denote utilities, boundaries, contours, and so on. As with simple linetypes, complex lines are dynamically drawn as the user specifies vertices. Shapes and text entities embedded in lines are always displayed completely; they are never trimmed.

To create a new complex linetype

  1. Do one of the following:

    • Choose Settings > Explore Linetypes.
    • On the Settings toolbar, click the Explore Linetypes tool ( [image]).
    • Type expltypes and then press Enter.
  2. Using one of the following methods, open the New Linetype dialog box:
    • Choose Edit > New > Linetype.
    • Click the New Item tool ( [image]).
    • With your cursor in the right pane of the window, right-click to display the shortcut menu, and choose New > Linetype.

  3. In the Linetype Description field, type the linetype description.

    You can type anything in this field that will help you remember the purpose or appearance of this linetype. For complex linetypes, it is helpful to type a text description of the linetype.

  4. In the Linetype Definition field, type the linetype definition.

    As for the simple linetypes, the syntax for a complex linetype is a comma delimited list of pattern descriptors.

  5. Click OK.

    The program adds the new linetype to the linetypes list with the default name, NewLinetype1.

  6. To enter a name for the new linetype, type over the highlighted default text, and press Enter.

    Do not use spaces between words in the new linetype name.

  7. To complete the command and return to your drawing, close the window.

Tell me about...

Syntax for a complex linetype definition

How do I...

Change a linetype definition

Change a linetype name

Create a simple linetype


Working with text fonts and styles

When you add text to a drawing, it is created using the current text style. The text style determines the font, size, angle, orientation, and other text characteristics.

Every drawing has at least one text style, named Standard, which initially uses the txt font. You cannot delete the Standard style, but you can rename it or modify it. For example, you can change the font or the oblique angle applied to the font. You also can use an unlimited number of additional text styles in your drawing.

From the IntelliCAD Explorer, you can directly edit any setting associated with a text style by using the single-click editing method to change the setting.

To display the IntelliCAD Explorer Text Styles element

Do one of the following:

  • Choose Settings > Explore Text Styles.
  • On the Settings toolbar, click the Explore Text Styles tool ( [image]).
  • Type expstyles and then press Enter.
  • Choose Tools > IntelliCAD Explorer, and then click the Text Styles element.

Tell me about...

Creating and naming text styles

Modifying text styles

Setting the current text style


Creating and naming text styles

Fonts are character sets that consist of letters, numbers, punctuation marks, and symbols. Each font is stored in its own font file. Text styles apply additional formatting to fonts. You can create multiple text styles based on the same font, changing the various characteristics to alter the appearance of the font. To create a new text style, you assign formatting characteristics to a font.

IntelliCAD uses *.shx font files and provides a selection of fonts. These fonts are located in the IntelliCAD/Fonts directory. You can also use any font designed to work with AutoCAD. Many fonts are available from third-party vendors.

NOTE Text style names created or renamed in IntelliCAD can have up to 31 characters and cannot include spaces. IntelliCAD will, however, display longer text style names and names containing spaces, such as text styles created in AutoCAD 2000.

To create a new text style

  1. Do one of the following:
    • Choose Settings > Explore Text Styles.
    • On the Settings toolbar, click the Explore Text Styles tool ( [image]).
    • Type expfonts and then press Enter.
  2. Choose Edit > New > Text Style.
  3. Select the font on which you want to base the new style, and then click Open.
    4. The program adds a new style to the text styles list with the default name, NewStyle1.
  4. Type the name for the new style by typing over the highlighted default text, and then press Enter.
  5. To complete the command, close the window.

TIP You can also create a new text style by selecting the Text Styles element and clicking the New Item tool ( [image]).

To change a text style name in the current drawing

  1. Do one of the following:
    • Choose Settings > Explore Text Styles.
    • On the Settings toolbar, click the Explore Text Styles tool ( [image]).
    • Type expfonts and then press Enter.
  2. Do one of the following:
    • Select the text style, choose Edit > Rename, type a new name, and then press Enter.
    • Click the text style name you want to change, type a new name, and then press Enter.
    • Right-click the text style name you want to change, and from the shortcut menu, select Rename, type a new name, and then press Enter.
  3. Type the new text style name, and then press Enter.
  4. To complete the command and return to your drawing, close the window.

Tell me about...

Modifying text styles

Setting the current text style

Working with text fonts and styles


Modifying text styles

A new text style is initially assigned default values for height, width factor, oblique angle, and other characteristics. You can change these values for both new and existing text styles. You can also change the font assigned to the text style. If you change the font or orientation properties of a text style assigned to text previously inserted in the drawing, all text using that style is regenerated to reflect the changes. Oblique angle and height, if specified, are given by the style definition when text is created, but are not updated for existing text when the style is changed.

A fixed text height value of 0 allows you to specify the text height at the time you insert text into the drawing. Any other value sets height of the text to that value; the program does not prompt for the text height when you insert text into the drawing. The width factor determines the horizontal scaling of text. A value less than 1 compresses the text (for example, 0.75 compresses the text 25 percent); a value greater than 1 expands the text (for example, 1.50 expands the text 50 percent). The oblique angle determines the forward or backward slant of text as an angle offset from 90 degrees. Negative values slant text to the left; positive values slant text to the right.

To modify a text style

  1. Do one of the following:
    • Choose Settings > Explore Text Styles.
    • On the Settings toolbar, click the Explore Text Styles tool ( [image]).
    • Type expfonts, and then press Enter.
  2. Select the text characteristic of a style that you want to modify.
    3. The text characteristic either toggles its value or a dialog box appears, allowing you to make the modifications you want.
  3. To complete the command, close the IntelliCAD Explorer window.

Tell me about...

Creating and naming text styles

Setting the current text style

Working with text fonts and styles


Setting the current text style

When you insert text in a drawing, the text is created using the current text style. You can also select a different text style when you create text.

To make the text style current

  1. Do one of the following:
    • Choose Settings > Explore Text Styles.
    • On the Settings toolbar, click the Explore Text Styles tool ( [image]).
    • Type expfonts and then press Enter.
  2. In the Text Style Name list, click the style you want to make current.
  3. Use one of the following methods to make the style the current style:
    • Choose Edit > Current.
    • Click the Current tool ( [image]).
    • With the cursor in the right pane of the window, right-click to display the shortcut menu, and choose Current.
  4. To complete the command and return to your drawing, close the IntelliCAD Explorer window.

TIP You can also make a text style current by selecting it in the Text Style Name list and clicking the Current tool ( [image]) or by double-clicking the text style name in the Text Style Name list.

Tell me about...

Creating and naming text styles

Modifying text styles

Working with text fonts and styles


Working with coordinate systems

When you create entities in a drawing, they are located in relation to the drawing's underlying Cartesian coordinate system. Every drawing has a fixed coordinate system called the World Coordinate System (WCS). You cannot delete or modify the WCS.

Your drawing may contain additional coordinate systems, however, each with its own 0,0,0 origin and orientation. You can create as many user coordinate systems as you want, and then save and recall them as you need them. You can edit the origin of a coordinate system from within the IntelliCAD Explorer by single-clicking the origin coordinates and then typing new coordinates.

For example, you can create a separate user coordinate system (UCS) for each side of a building. Then, by switching to the UCS for the east side of the building, you can draw the windows on that side by specifying only their x- and y-coordinates.

You can create and then switch between various user coordinate systems by selecting Coordinate Systems in the IntelliCAD Explorer.

To display the Coordinate Systems element

Do one of the following:

  • Choose Settings > Explore Coordinate Systems.
  • Choose Tools > IntelliCAD Explorer, and then click the Coordinate Systems element.
  • Choose Settings > User Coordinate Systems, and then click Explore UCSs.
  • On the Settings toolbar, click the Explore Coordinate Systems tool ( [image]).
  • Type expucs and then press Enter.

Tell me about...

Defining and naming user coordinate systems

Setting the current user coordinate system


Defining and naming user coordinate systems

A drawing can contain as many coordinate systems as you want and can be named appropriate names so you can remember how they are used in your drawing for recalling them later.

NOTE Coordinate system names created or renamed in IntelliCAD can have up to 31 characters and cannot include spaces. IntelliCAD will, however, display longer coordinate system names and names containing spaces, such as coordinate systems created in AutoCAD 2000.

To define new user coordinate systems in the IntelliCAD Explorer

  1. Do one of the following:
    • Choose Settings > Explore Coordinate Systems.
    • On the Settings toolbar, click the Explore Coordinate Systems tool ( [image]).
    • Type expucs and then press Enter.
  2. Do one of the following
    • Choose Edit > New > UCS.
    • Click the New Item tool ( [image]).
    • With your cursor in the right pane of the window, right-click to display the shortcut menu, and choose New > UCS.
  3. Select a method from the prompt box or command bar by which to define the UCS in the drawing window.
    4. For example, select 3 Point and then specify three points in the drawing window to define the x, y, and z axes for your coordinate system.
  4. Type the name for the new user coordinate system by typing over the highlighted default text, and then press Enter.
  5. To complete the command, close the window.

To change a user coordinate system name in the current drawing

  1. Do one of the following:
    • Choose Settings > Explore Coordinate Systems.
    • On the Settings toolbar, click the Explore Coordinate Systems tool ( [image]).
    • Type expucs and then press Enter.
  2. Do one of the following:
    • Select the user coordinate system, and then choose Edit > Rename, type a new name, and then press Enter.
    • Click the user coordinate system name you want to change, type a new name, and then press Enter.
    • Right-click the user coordinate system name you want to change, and from the shortcut menu, select Rename, type a new name, and then press Enter.
  3. Type the new user coordinate system name, and then press Enter.
  4. To complete the command and return to your drawing, close the window.

Tell me about...

Setting the current user coordinate system

Working with coordinate systems


Setting the current user coordinate system

When you draw new entities, they are created in relation to the current coordinate system. You can set the current UCS from the IntelliCAD Explorer.

To set the current UCS from the IntelliCAD Explorer

Do one of the following:

  • Double-click the UCS name in the UCS Name list.
  • Select the UCS in the UCS Name list, and then choose Edit > Current.
  • Select the UCS in the UCS Name list, and then click the Current tool ( [image]).

Tell me about...

Defining and naming user coordinate systems

Working with coordinate systems


Using named views

As you work on a drawing, you may find that you frequently switch among different portions of it. For example, if you are drawing the floor plan of a house, you may zoom in to particular rooms of the house and then zoom out to display the entire house. Although you can repeat the Pan and Zoom commands to do this, it is much easier to save various views of the drawing as named views. You can then quickly switch among these views. You can save and later restore named views using either the View command or the Views element in the IntelliCAD Explorer.

To display Views in the IntelliCAD Explorer

  • Choose Settings > Explore Views.
  • On the Settings toolbar, click the Explore Views tool ( [image]).
  • Type expviews and then press Enter.
  • Choose Tools > IntelliCAD Explorer, and then click the Views element.

Tell me about...

Changing named view properties

Restoring named views

Saving and naming views


Saving and naming views

You can save the view displayed in the current window as a named view. After you save a named view, you can restore that view in the current window at any time.

NOTE View names created or renamed in IntelliCAD can have up to 31 characters and cannot include spaces. IntelliCAD will, however, display longer view names and names containing spaces, such as views created in AutoCAD 2000.

Tell me about...

Changing named view properties

Restoring named views

How do I...

Change a saved view name in the current drawing

Save a portion of the current view as a named view

Save the current view as a named view


Restoring named views

After you save one or more named views, you can restore any of those views in the current window using either the View command or the IntelliCAD Explorer.

To restore a named view using the View command

  1. Do one of the following:
    • Choose View > Save/Restore View.
    • On the View toolbar, click the Save/Restore View tool ( [image]).
    • Type view and then press Enter.
  2. In the prompt box, choose Restore.
  3. Type the name of the view you want to restore, and then press Enter.

To restore a named view from the IntelliCAD Explorer

Do one of the following:

  • Select the view name in the list of View settings, and then choose Edit > Current.
  • Select the view name in the list of View settings, and then click the Current tool ( [image]).
  • Double-click the view name in the View list.

Tell me about...

Changing named view properties

Saving and naming views


Changing named view properties

Once you create a named view you can modify its properties, such as the target direction and twist angle. This gives you access to many of the view settings after a view has been defined.

To change the view options

  1. Do one of the following:
    • Choose Settings > Explore Views.
    • On the Settings toolbar, click the Explore Views tool ( [image]).
    • Type expviews and then press Enter.
  2. Select the view whose properties you want to change.
  3. Choose Edit > Properties.
    4. You can also right-click the view you want to change, and from the shortcut menu, select Properties.
  4. Change the values of the settings on any of the tabs and close the dialog box.
  5. To complete the command and return to your drawing, close the window.

Tell me about...

Restoring named views

Saving and naming views


Working with blocks and external references

Blocks represent a special type of entity that, once saved, can be inserted and manipulated in the drawing as a single entity. A block can consist of visible entities such as lines, arcs, and circles as well as visible or invisible data called attributes. You can use attributes to track things such as part numbers and prices and to export attribute information to an external database. You can also track the number of parts by counting the number of times a block has been inserted into the drawing. Blocks are stored as part of the drawing file.

External references have similar uses to blocks. Using external references, you can attach entire drawings to your current drawing. Unlike a block, however, an external reference does not become part of the current drawing.

You can save blocks in the IntelliCAD Explorer. You can also use the IntelliCAD Explorer to manage and insert copies of blocks. The IntelliCAD Explorer lists the names of all blocks contained in the current drawing, along with other information about each block or external reference.

You can also rename a block, modify its insertion point, and change the path of an externally referenced drawing by single-clicking on the property and making your edits within the IntelliCAD Explorer.

Tell me about...

Attaching a drawing as an external reference

Creating and naming blocks

Inserting a block

Inserting a drawing as a block

Saving a block as a separate drawing

How do I...

Display blocks in the IntelliCAD Explorer


Creating and naming blocks

You can combine any number of entities into a single block. After you create a block, you can insert copies of it into a drawing. Each block insertion is treated as a single entity; for example, you can rotate or scale each block when you insert it. The program adds the name of the new block you insert to the Block Name list in the IntelliCAD Explorer.

NOTE Block names created or renamed in IntelliCAD can have up to 31 characters and cannot include spaces. IntelliCAD will, however, display longer block names and names containing spaces, such as blocks created in AutoCAD 2000.

To create a block

  1. Do one of the following:
    • Choose Settings > Explore Blocks.
    • On the Settings toolbar, click the Explore Blocks tool ( [image]).
    • Type expblocks and then press Enter.
  2. Do one of the following:
    • Choose Edit > New > Block.
    • On the IntelliCAD Explorer toolbar, click the New Item tool ( [image]).
  3. Enter a name for the new block.
  4. Specify the insertion point for the block.
  5. Select the entities to be combined into the block, and then press Enter.
    6. The program adds a new block to the Images view, with the name you entered.
  6. To complete the command and return to your drawing, close the window.

To change a block name in the current drawing

  1. Do one of the following:
    • Choose Settings > Explore Blocks.
    • On the Settings toolbar, click the Explore Blocks tool ( [image])
    • Type expblocks and then press Enter.
  2. Do one of the following:
    • Select the block, choose Edit > Rename, type a new name, and then press Enter.
    • Click the block name you want to change, type a new name, and then press Enter.
    • Right-click the block name you want to change, and from the shortcut menu, select Rename, type a new name, and then press Enter.
  3. To complete the command and return to your drawing, close the window.

Tell me about...

Attaching a drawing as an external reference

Inserting a block

Inserting a drawing as a block

Saving a block as a separate drawing


Inserting a block

You can insert into a drawing any block listed in the Block Name list in the IntelliCAD Explorer.

To insert a block

  1. Do one of the following:
    • Choose Settings > Explore Blocks.
    • On the Settings toolbar, click the Explore Blocks tool ( [image]).
    • Type expblocks and then press Enter.
  2. If you wish to insert a block from another open drawing, select the drawing in the Elements pane. (If the block is contained within the same drawing, you can skip this step.)
  3. In either the Details or Images view, select the block to be inserted.
  4. On the IntelliCAD Explorer toolbar, click the Insert tool ( [image]).
  5. In the drawing, specify the insertion point.
  6. Specify the x, y, and z scale factor and the rotation angle, or in the prompt box, select Done.
  7. To complete the command and return to your drawing, close the window.

TIP You also can insert a block by choosing Tools > IntelliCAD Explorer, and then double-clicking the name of the block you want to insert in the Block Name list.

Tell me about...

Attaching a drawing as an external reference

Creating and naming blocks

Inserting a drawing as a block

Saving a block as a separate drawing

Inserting a block from the Insert menu


Inserting a drawing as a block

You can insert as a block another drawing into the current drawing. After you do this, the block name is added to the Block Name list in the IntelliCAD Explorer. Changes made later to the inserted drawing will not be reflected in this drawing.

To insert a drawing as a block

  1. Do one of the following:
    • Choose Settings > Explore Blocks.
    • On the Settings toolbar, click the Explore Blocks tool ( [image]).
    • Type expblocks and then press Enter.
  2. On the IntelliCAD Explorer toolbar, click the Insert External File Blocks tool ( [image]).
  3. In the Insert Block dialog box, select the drawing you want to insert, and then click Open.
  4. In the drawing, specify the insertion point.
  5. Specify the x, y, and z scale factor and the rotation angle, or in the prompt box, select Done.
  6. To complete the command and return to your drawing, close the window.

Tell me about...

Attaching a drawing as an external reference

Creating and naming blocks

Inserting a block

Saving a block as a separate drawing


Attaching a drawing as an external reference

You can attach another drawing to the current drawing as an external reference and insert a copy of the drawing into the current drawing. The name of the external reference drawing is added to the Block Name list. Changes made later to the referenced drawing will appear in this drawing when you reload the external reference.

To attach an external reference

  1. Do one of the following:
    • Choose Settings > Explore Blocks.
    • On the Settings toolbar, click the Explore Blocks tool ( [image]).
    • Type expblocks and then press Enter.
  2. On the IntelliCAD Explorer toolbar, click the Attach Drawing tool ( [image]).
  3. In the Select File To Attach dialog box, select the drawing you want to attach, and then click Open.
  4. In the drawing, specify the insertion point.
  5. Specify the x, y, and z scale factor and the rotation angle, or in the prompt box, select Done.
  6. To complete the command and return to your drawing, close the window.

To edit the path of an external reference

  1. Do one of the following:
    • Choose Settings > Explore Blocks.
    • On the Settings toolbar, click the Explore Blocks tool ( [image]).
    • Type expblocks and then press Enter.
  2. Click the path you want to change.
  3. From the Insert Block dialog box, select the new drawing you want as the external reference.
  4. Click Open.
  5. To complete the command and return to your drawing, close the window.

Tell me about...

Creating and naming blocks

Inserting a block

Inserting a drawing as a block

Saving a block as a separate drawing


Saving a block as a separate drawing

You can save a block as a separate drawing, and then you can open and modify that drawing as you would any other drawing.

To save a block as a separate drawing file

  1. Do one of the following:
    • Choose Settings > Explore Blocks.
    • On the Settings toolbar, click the Explore Blocks tool ( [image]).
    • Type expblocks and then press Enter.
  2. In either the Details or Images view, select the block you want to save.
  3. On the IntelliCAD Explorer toolbar, click the Save Block To Disk tool ( [image]).
  4. In the Save Block dialog box, select the folder in which you want to save the block.
  5. In the File Name field, type a name for the new drawing file (or accept the default, in which case the new drawing name is the same as the name of the block), and then click Save.

Tell me about...

Attaching a drawing as an external reference

Creating and naming blocks

Inserting a block

Inserting a drawing as a block


Working with dimension styles

From the IntelliCAD Explorer, you can use the Dimension Styles element to cut, copy, and paste dimension styles from one drawing to another.

TIP You can select the dimension style and use the Windows shortcut keys (Ctrl+A to select all, Ctrl+X to cut, Ctrl+C to copy, Ctrl+V to paste) to accomplish the same results. You can use these shortcut keys with all other IntelliCAD Explorer elements as well.

A dimension style contains the settings that control the appearance of a dimension. Although you cannot control these settings from within the IntelliCAD Explorer, you can use the Dimension Settings dialog box to control settings related to the appearance of arrows, lines, text, units, and other formatting characteristics.

To display the IntelliCAD Explorer Dimension Styles element

Do one of the following:

  • Choose Settings > Explore Dimension Styles.
  • On the Settings toolbar, click the Dimension Settings tool ( [image]).
  • Type setdim and then press Enter.
  • Choose Tools > IntelliCAD Explorer, and then click the Dimension Styles element.

Tell me about...

Creating and naming dimension styles

How do I...

Change a dimension style name in the current drawing

Copy a dimension style from one drawing to another

Create a dimension style


Creating and naming dimension styles

By using the Dimension Styles element in combination with the Dimension Settings dialog box, you can create new dimension styles, modify them, and copy them into a different drawing.

NOTE Dimension style names created or renamed in IntelliCAD can have up to 31 characters and cannot include spaces. IntelliCAD will, however, display longer dimension style names and names containing spaces, such as dimension styles created in AutoCAD 2000.

How do I...

Change a dimension style name in the current drawing

Copy a dimension style from one drawing to another

Create a dimension style

Select a dimension style


Getting drawing information

IntelliCAD stores accurate, detailed information about all the entities in a drawing. You can get details about an existing drawing and its entities using the tools for measuring distances and calculating areas. You can also track the amount of time you spend editing a drawing. This section explains how to:

  • Measure distances along an entity.
  • Measure distances and angles.
  • Divide an entity into a number of equal segments.
  • Calculate areas.
  • Display information about entities in a drawing.
  • Track the amount of time spent editing a drawing.

Many of the functions described in this section require that you set IntelliCAD to the Advanced experience level.

Tell me about...

Specifying measurements and divisions

Calculating areas

Calculating distances and angles

Displaying information about your drawing

How do I...

Measure intervals along an entity and mark them using point entities

Measure intervals along an entity and mark them using blocks

Divide an entity into segments and mark them using point entities

Divide an entity into segments and mark them using blocks

Calculate the area defined by points you specify

Calculate the area of a closed entity

Add areas to calculate a combined area

Subtract areas when calculating a combined area

Calculate the distance between two points and their angle

Display information about an entity

Display the drawing status

Display the timer information


Specifying measurements and divisions

You can divide a line, arc, circle, polyline, ellipse, or spline into a number of equal segments or mark off intervals of a specific length along an entity. (Note that divide is not the same as break.) For example, you may want to place station-point markers every 50 feet along the centerline of a roadway or divide the plan view of a window into three equal-width sections of glass, placing a mullion at each division point.

To specify measurements and divisions, use these commands:

  • For the length of the segments, use the Measure command.
  • For the number of equal-length segments, use the Divide command.

You can measure or divide arcs, circles, lines, polylines, ellipses, and splines. With either command, you can identify the segments by placing either a block or point entity at the end of each interval. If you use points, you can snap to the ends of intervals using the point entity snap. The appearance of the point entities is determined by the current point display type, which you control in the Drawing Settings dialog box.

To use a block as the marker, the block must already be defined in the current drawing. You can further indicate whether to rotate the block to align perpendicularly to the entity you are measuring or dividing.

Block not aligned with entity.

Block aligned with entity.

IntelliCAD begins measuring or dividing based on the point at which you select the entity and the type of entity with which you are working. For most entities, measuring starts from the endpoint closest to the point you used to select the entity. If you select the entity to be measured or divided using a method other than pointing (for example, using a window or fence selection), the program prompts you to specify the end from which you want to begin measuring.

Tell me about...

Measuring intervals on entities

Dividing entities into segments


Measuring intervals on entities

You can mark specified length increments along a selected entity using either a point entity or a block.

To measure intervals along an entity and mark them using point entities

Advanced experience level

  1. Do one of the following:
    • Choose Modify > Measure.
    • On the Modify toolbar, click the Measure tool ( [image]).
    • Type measure and then press Enter.
  2. Select the entity.
  3. Specify the segment length, and then press Enter.

When you select the entity by pointing, intervals are measured from the end closest to the point at which you select the entity (A). Blocks or point entities (B) are placed along the entity at the specified interval.

To measure intervals along an entity and mark them using blocks

  1. Advanced experience level
  2. Do one of the following:
    • Choose Modify > Measure.
    • On the Modify toolbar, click the Measure tool ( [image]).
    • Type measure and then press Enter.
  3. Select the entity.
  4. In the prompt box, choose Insert Blocks.
  5. Type the name of the block you want to insert as the marker.
  6. In the prompt box, choose either Yes-Align Blocks to rotate each insertion of the block so that its vertical alignment is always perpendicular to the entity or No-Do Not Align to insert each copy of the block with a zero rotation angle.
  7. Specify the segment length, and then press Enter.


Dividing entities into segments

You can place markers along a selected entity, dividing that entity into a specified number of equal-length segments. You can use either a point entity or a block to mark the segments.

To divide an entity into segments and mark them using point entities

Advanced experience level

  1. Do one of the following:
    • Choose Modify > Divide.
    • On the Modify toolbar, click the Divide tool ( [image]).
    • Type divide and then press Enter.
  2. Select the entity.
  3. Specify the number of segments, and then press Enter.

When you select the entity by pointing, divisions are marked beginning from the end closest to the point at which you select the entity (A). Blocks or point entities (B) are placed along the entity to mark it in equal intervals.

To divide an entity into segments and mark them using blocks

Advanced experience level

  1. Do one of the following:
    • Choose Modify > Divide.
    • On the Modify toolbar, click the Divide tool ( [image]).
    • Type divide and then press Enter.
  2. Select the entity.
  3. In the prompt box, choose Insert Blocks.
  4. Type the name of the block you want to insert as the marker.
  5. In the prompt box, choose either Yes-Align Blocks to rotate each insertion of the block so that its vertical alignment is always perpendicular to the entity or No-Do Not Align to insert each copy of the block with a zero rotation angle.
  6. Specify the number of segments, and then press Enter.


Calculating areas

You can calculate the area and perimeter of a polygon based on a series of points you specify or enclose with a circle or closed polyline. You can also determine the area of several combined entities and add or subtract the area of one or more entities from a total combined area.

Calculating areas defined by points

You can find the area and perimeter of any closed region by specifying a series of points. The program calculates the area and perimeter of the space that is enclosed by an imaginary polygon consisting of straight-line segments connecting each point.

To calculate the area defined by points you specify

  1. Do one of the following:
    • Choose Tools > Inquiry > Area.
    • On the Inquiry toolbar, click the Area tool ( [image]).
    • Type area and then press Enter.
  2. Specify the first point.
  3. Specify the second point.
  4. Continue specifying points in sequence to define the perimeter of the area you want to measure.
    5. As you select each successive point, the resulting polygon is displayed on the screen.
  5. To complete the calculation, press Enter.
    6. The area and perimeter of the region you defined are displayed. For example, the following type of information is displayed:

Area = 11.0583, Perimeter = 15.3092

Select the points (A, B, C) that form a polygon. The area and perimeter of the region are then calculated.

Tell me about...

Calculating areas of closed entities

Calculating combined areas


Calculating areas of closed entities

You can find the area of any closed entity. In addition, the program calculates either the circumference or the perimeter of the entity, depending on the type of entity you select.

To calculate the area of a closed entity

  1. Do one of the following:
    • Choose Tools > Inquiry > Area.
    • On the Inquiry toolbar, click the Area tool ( [image]).
    • Type area and then press Enter.
  2. In the prompt box, choose Find Area Of One Entity.
  3. Select the entity.
    4. The following type of information is displayed:

Area = 62.3837, Circumference = 27.9989


Calculating combined areas

You can find the total area of several combined regions by specifying points or by selecting entities. You can also subtract the areas of entities or polygons from a running total.

To add areas to calculate a combined area

  1. Do one of the following:
    • Choose Tools > Inquiry > Area.
    • On the Inquiry toolbar, click the Area tool ( [image]).
    • Type area and then press Enter.
  2. In the prompt box, choose Add Areas Together.
  3. Using one of the following methods, identify the first area:
    • Specify points defining a polygon, and then in the prompt box, choose Done Specifying Area.
    • In the prompt box, choose Add Entities To Area, select the entities you want to add, and then press Enter to complete the calculations.
  4. To complete the command, choose Done in the prompt box.

To subtract areas when calculating a combined area

  1. Do one of the following:
    • Choose Tools > Inquiry > Area.
    • On the Inquiry toolbar, click the Area tool ( [image]).
    • Type area and then press Enter.
  2. In the prompt box, choose Add Areas Together.
  3. Using one of the following methods, identify the first area:
    • Specify points defining a polygon, and then in the prompt box, choose Done Specifying Area.
    • In the prompt box, choose Add Entities To Area, select the entities you want to add, and then press Enter to complete the calculations.
  4. In the prompt box, choose Subtract Areas.
  5. Using one of the following methods, identify the area to be subtracted:
    • Specify points defining a polygon, and then in the prompt box, choose Done Specifying Area.
    • In the prompt box, choose Subtract Entities From Area, select the entities you want to subtract, and then press Enter to complete the calculations.
  6. To complete the command, choose Done in the prompt box.

To calculate the area of the gasket using the Area command, first add the area of the entire gasket (A), then subtract the areas of the two circles (B and C).

As you select entities, the program displays the calculations. If the command bar is displayed, the information appears there. If the command bar is not displayed, the program opens the Prompt History screen and displays the calculations. The following type of information is an example of what is displayed:

Entity ? Add ? Subtract ? <First point>: Choose Add Areas Together

Adding: Entity ? Subtract ? <First point>: Choose Add Entities to Area

Adding area: <Select entities>: Select the first entity

Area = 64.6259, Perimeter = 33.3049

Total length = 33.3049

Total area = 64.6259

Adding area: <Select entities>: press Enter

Adding: Entity ? Subtract ? <First point>: Choose Subtract Areas

Subtracting: Entity ? Add ? <First point>: Choose Subtract Entities from Area

Subtracting area: <Select entities>: Select the first entity to subtract

Area = 3.1597, Circumference = 6.3012

Total length = 27.0036

Total area = 61.4662

Subtracting area: <Select entities>: Select the second entity to subtract

Area = 3.1597, Circumference = 6.3012

Total length = 20.7024

Total area = 58.3066

Subtracting area: <Select entities>: Press Enter

Subtracting: Entity ? Add ? <First point>: Choose Done


Calculating distances and angles

You can calculate the distance between any two points you select. The following information is displayed:

  • The distance between the points, measured in drawing units.
  • Their angle in the xy plane.
  • Their angle measured from the xy plane.
  • The change (delta) in the x, y, and z distances between the two points.

To calculate the distance between two points and their angle

  1. Do one of the following:
    • Choose Tools > Inquiry > Distance.
    • On the Inquiry toolbar, click the Distance tool ( [image]).
    • Type distance and then press Enter.
  2. Specify the first point.
  3. Specify the second point.

The following type of information is displayed:

Distance = 13.2850, Angle in XY Plane = 31º, Angle from XY Plane = 0º

Delta X = 11.3878, Delta Y = 6.8418, Delta Z = 0.0000

Use the Distance command to calculate the distance (A) between two points (B and C), the angle in the xy plane (D), the angle from the xy plane, and the delta x (E), delta y (F), and delta z distances between the two points.

TIP To use specific points on selected entities, use entity snaps to select the precise points on the entities.


Displaying information about your drawing

You can display a variety of information about a drawing and the entities it contains, including:

  • Information in the drawing database about selected entities.
  • The current drawing status.
  • The time spent working on the drawing.

This information is displayed in the Prompt History window and in the command bar.

Tell me about...

Displaying information about entities

Displaying the drawing status

Tracking time spent working on a drawing


Displaying information about entities

You can display information about selected entities. The information varies, depending on the type of entities you select. All of the listings display the following information:

  • Entity type.
  • Layer.
  • Color.
  • Linetype.
  • The location of the entity (its xyz-coordinates relative to the current user coordinate system [UCS]).
  • The current space (model space on the Model tab or paper space on a Layout tab).
  • The size of the entity (the information varies, depending on the entity type).

To display information about an entity

  1. Advanced experience level
  2. Do one of the following:
    • Choose Tools > Inquiry > List Entity Info.
    • On the Inquiry toolbar, click the List Entity Info tool ( [image]).
    • Type list and then press Enter.
  3. Select one or more entities.
  4. Press Enter.

TIP To return to the drawing window, press F2.

The following type of information is displayed:

------ Circle 1 ---------------------------------------------------

Layer: 0

Color: BYLAYER

Linetype: CONTINUOUS

Handle: 4C

Current space: Model

Center point: X= -5.8583 Y= 7.2752 Z= 0.0000

Radius: 4.4562

Circumference: 27.9989

Area: 62.3837


Displaying the drawing status

You can display information about the current status of a drawing, including:

  • Drawing name.
  • Limits.
  • Insertion base point.
  • Snap and grid settings.
  • Current layer, color, and linetype.
  • Current settings for various modes (fill, grid, orthogonal, snap, blips, and so on).

To display the drawing status

  1. Advanced experience level
  2. Do one of the following:
    • Choose Tools > Inquiry > Drawing Status.
    • Type status and then press Enter.

    The following type of information is displayed:

    Current drawing name: | Site Plan
Drawing limits are: | X=0.0000 Y=0.0000 Z=0.0000
 | X=12.0000 Y=9.0000 Z=0.0000
Paper space limits are: | X=0.0000 Y=0.0000 Z=0.0000
 | X=12.0000 Y=9.0000 Z=0.0000
Screen width (pixels): | 971
Screen height (pixels): | 569
Insertion base is: | X=0.0000 Y=0.0000 Z=0.0000
Snap resolution is: | X=0.5000 Y=0.5000 Z=0.0000
Grid spacing is: | X:0.5000 Y:0.5000 Z=0.0000
Current layer: | 0
Current color: | BYLAYER
Current linetype: | BYLAYER
Current elevation: | 0.0000
Current thickness: | 0.0000
Fill: | on
Grid: | off
Ortho: | off
Snap: | off
Blips: | off
Drag: | on
Command echo: | on
Positive angle direction: | Counterclockwise
Angular units: | Decimal degrees


Tracking time spent working on a drawing

You can display information about the amount of time you have spent working on a drawing, including:

  • The date and time the drawing was created.
  • The date and time the drawing was most recently saved.
  • The total amount of time spent working on the drawing.
  • The time spent working on the drawing during the current editing session.

You can turn the elapsed-time timer on and off or reset it to zero.

To display the timer information

  1. Advanced experience level
  2. Do one of the following:
    • Choose Tools > Inquiry > Time Variables.
    • On the Inquiry toolbar, click the Time Variables tool ( [image]).
    • Type time and then press Enter.
  3. Select any of the prompt box options:
    • Choose Timer On to turn the elapsed timer on.
    • Choose Timer Off to turn the elapsed timer off.
    • Choose Display Timer to redisplay the timer information.
    • Choose Reset Timer to reset the elapsed timer to zero.
  4. In the prompt box, choose Cancel to exit the command.

Each time you display the timer information, the following type of information is displayed:

The current time is Fri Dec 19 09:58:43 1997

Drawing was created on: Wed 17 Dec 1997 at 16:17:59.8090

Drawing was last updated on: Thur 18 Dec 1997 at 09:58:43.3040

Total editing time: 1 2: 35:4.2345

Elapsed timer (on): 0 1: 21:5.6324


Modifying entities

IntelliCAD provides many editing tools for modifying a drawing. You can easily move, rotate, stretch, or change the scale of drawing entities. When you want to remove an entity, you can delete it with a few clicks of the mouse. You can also make multiple copies of any entity and copy entities from one drawing to another.

You can modify most entities using general-purpose editing commands. Some complex entities require special commands to modify specific properties. Most of these tools and commands are located on the Modify toolbar and the Modify menu. This section explains how to:

  • Select entities using entity-selection methods and grips.
  • Change the properties of entities.
  • Rearrange entities by moving, rotating, or changing the display order.
  • Resize entities by stretching, scaling, extending, trimming, or editing their lengths.
  • Break and join entities.
  • Edit polylines.
  • Explode entities.
  • Create chamfers and fillets.

Tell me about...

Breaking and joining entities

Chamfering and filleting entities

Copying entities

Deleting entities

Editing polylines

Exploding entities

Modifying the properties of entities

Rearranging entities

Resizing entities

Selecting entities

How do I...

Break an entity

Chamfer two entities using the distance-distance method

Change grip settings

Change the length of an entity by dragging

Copy a selection set once

Copy entities to the Clipboard

Create a Crossing Window

Create a polar array

Create a rectangular array

Create a Window-Inside

Cut entities to the Clipboard

Delete a selection set

Explode an entity

Extend an entity

Fillet two entities

Join two entities

Make multiple copies of a selection set

Mirror entities

Modify the properties of entities

Move a selection set

Paste entities from the Clipboard

Reorder entities

Rotate a selection set

Scale an entity using grips

Stretch an entity

Trim an entity


Selecting entities

You can create a selection set that consists of one or more entities before you modify them. Use any of the following methods to create a selection set:

  • Choose a command or tool first, and then select entities.
  • Select entities first, and then choose a command or tool (most entities).
  • Select entities by pointing, and then use grips to modify them.

Tell me about...

Choosing the command first

Displaying selected entities highlighted

Editing with grips

Entity-selection methods

Selecting entities first

Turning grips on and off


Displaying selected entities highlighted

You can specify whether to display selected entities highlighted, which makes the selection set easier to see. By default, the highlighting feature is turned on.

To turn the highlighting feature on or off

  1. Do one of the following:
    • Choose Settings > Drawing Settings.
    • On the Settings toolbar, click the Drawing Settings tool ( [image]).
    • Type settings and then press Enter.
  2. Click the Display tab.
  3. In the Change Settings For box, select Display.
  4. Select or clear the Highlight Item When Selected check box.
  5. Click OK.

Tell me about...

Entity-selection methods


Entity-selection methods

When you choose a command that requires you to select entities (when you're deleting or changing entity properties, for example), you can use any of the following selection methods, which are displayed in a prompt box:

  • Select all entities Selects all entities in the current drawing.
  • Add to set Adds one or more entities to the selection set.
  • Subtract from set Removes one or more entities from the selection set.
  • Previous selection Selects entities included in the previous selection set.
  • Last entity in drawing Selects the entity most recently added to the drawing.
  • Window-Inside Selects entities contained entirely within a rectangular selection window.
  • Crossing window Selects entities contained within or crossing the boundary of a rectangular selection window.
  • Outside window Selects entities falling completely outside a rectangular selection window.
  • Window polygon Selects entities contained entirely within a polygon selection window.
  • Crossing polygon Selects entities contained within or crossing the boundary of a polygon selection window.
  • Outside polygon Selects entities falling completely outside a polygon selection window.
  • Window circle Selects entities contained entirely within a circular selection window.
  • Crossing circle Selects entities contained within or crossing the boundary of a circular selection window.
  • Outside circle Selects entities falling completely outside a circular selection window.
  • Point Selects any closed entities that surround the selected point.
  • Fence Selects entities crossing a line or line segments.

In addition to these methods, you can select entities that match a particular set of properties—for example, all entities on a particular layer or drawn in a certain color.

You can also use a few selection methods automatically, without displaying the prompt box. For example, you can simply click to select entities, or you can use a Window-Inside or Crossing Window by defining the opposite corners of a rectangular selection window. The direction in which you define the points of the rectangle (left-to-right or right-to-left) determines which type of window you create.

How do I...

Create a Crossing Window

Create a Window-Inside

Select entities using Fence

Select entities using Window Polygon


Choosing the command first

When you choose an entity-modification tool or command, the program prompts you to select entities and displays a prompt box from which you can choose a selection method. You can select individual entities or use other techniques such as selection windows to select multiple entities.

When you select entities, you add them to the selection set. After you select at least one entity, you can remove entities from the selection set. To finish adding entities to the selection set, press Enter. Most entity-modification commands then act on the entire selection set.

Tell me about...

Selecting entities first

Entity-selection methods


Selecting entities first

You can select entities first and then choose how to modify them. As you select each entity, it is highlighted with small squares called grips, which appear at strategic points on the entity.

The locations of the grips depend on the type of entity selected. For example, grips appear at the endpoints and midpoint of a line, at the quadrant points and center point of a circle, and at the endpoints, midpoint, and center of an arc.

Examples of grip locations.

After you select one or more entities, you can choose an entity-modification command, such as Copy or Move, from the Modify menu or toolbar. You can also click the right mouse button to display a shortcut menu containing the entity-modification commands appropriate for the selected entities, and then choose the command from the menu.

When you select entities and then issue a command, the program immediately acts on the entities you've selected. In many cases, a command-specific prompt box provides additional options for that editing operation. If you want to modify the selection set at that point, right-click to display the prompt box with the selection options and choose the option you want. To redisplay the command-specific prompt box, right-click again.

You remove an individual entity from the selection set by selecting it again. To remove all the entities from the selection set, press Escape.

Tell me about...

Choosing the command first

Entity-selection methods

Turning grips on and off


Turning grips on and off

You can turn the use of grips on and off and control the size and color of grips.

To change grip settings

  1. Do one of the following:
    • Choose Settings > Drawing Settings.
    • On the Settings toolbar, click the Drawing Settings tool ( [image]).
    • Type ddgrips and then press Enter.
  2. In the Drawing Settings dialog box, click the Display tab.
  3. In the Change Settings For list, click Grips.
  4. Change the desired settings, and then click OK.

Editing with grips

To use grips for editing, you select an entity to display the grips, and then click a grip to make it active. The grip you select depends on the type of entity you're modifying and the editing operation you're performing. For example, to move a line entity, drag it by its midpoint grip. To stretch the line, drag one of the endpoint grips. You do not need to enter a command when using grips.


Modifying the properties of entities

You can change the layer, thickness, linetype, color, and linetype scale of one or more entities. Depending on the type of entity or entities you select, you can also change other properties, such as the start point and endpoint of lines, the center point and radius of circles, and the vertices of polylines.

You can modify all the properties of all entities simultaneously. For example, using the entprop command, select all entities on a particular layer, and then move the entities to another layer by simply selecting a name from the Layer text box.

In the Entity Properties dialog box, changes that you make in the Layer, Color, Thickness, Lineweight, Linetype, and Linetype Scale, and Plot Style fields affect all selected entities. If you select several entities that all have different properties, the default value initially is Varies. Changes that you make in the entity tabs, such as Circle, Line, and Arc, affect all selected entities of that type. You can select the entities to be changed using any entity-selection method.

To modify the properties of entities

  1. Do one of the following:
    • Choose Modify > Properties.
    • On the Modify toolbar, click the Properties tool ( [image]).
    • Type entprop and then press Enter.
  2. Select the entities, and then press Enter.
  3. Make changes to the properties you want to change, and then click OK.

Then Entity Properties dialog box has two sections. The All Selected Entities section (the upper part of the dialog box) displays properties common to all selected entities, such as Layer, Color, Lineweight, Linetype, Linetype Scale, and Thickness. This portion of the dialog box is equivalent to the dialog box displayed by the AutoCAD ddchprop command.

The lower section of the Entity Properties dialog box contains options specific to the selected entities. Each tab displays the properties appropriate for the entity. This feature is equivalent to repeatedly applying the AutoCAD ddmodify command to one entity at a time.

NOTE You can also access many of the entity properties using the Entity Properties toolbar. Note that the Entity Properties toolbar settings that display when no entities are selected determine the properties of new entities when you draw them.


Deleting entities

You can remove entities from a drawing. You can delete entities using any of the entity-selection methods.

To delete a selection set

  1. Do one of the following:
    • Choose Edit > Delete.
    • On the Standard toolbar, click the Delete tool ( [image]).
    • Type delete and then press Enter.
  2. Select the entities, and then press Enter.

TIP Typing the Undelete command restores the most recently deleted selection set. If you have made additional modifications since deleting the entities, use Undelete rather than Undo to restore those entities without reversing those modifications.

How do I...

Cut entities to the Clipboard


Copying entities

You can copy one or more entities, making one copy or multiple copies within the current drawing. You can also copy entities between drawings.

Use any of the following methods to copy entities within the current drawing:

  • Create a copy at a location referenced from the original.
  • Create a copy aligned parallel to the original.
  • Create a copy as a mirror image of the original.
  • Create several copies in a rectangular or circular pattern.

Tell me about...

Arraying entities

Copying between drawings

Copying entities within a drawing

Making parallel copies

Mirroring entities


Copying entities within a drawing

You can duplicate entities within the current drawing. The default method is to create a selection set and then specify a starting point, or base point, and an endpoint, or displacement point, for the copy. You can also make multiple copies or copy the selection set to a location you specify, using a direction vector.

To copy a selection set once

  1. Do one of the following:
    • Choose Modify > Copy.
    • On the Modify toolbar, click the Copy tool ( [image]).
    • Type copy and then press Enter.
  2. Select the entities, and then press Enter.
  3. Specify the base point.
  4. Specify the displacement point.

Entity to copy (A), base point (B), and displacement point (C). | Result.

To make multiple copies of a selection set

  1. Do one of the following:
    • Choose Modify > Copy.
    • On the Modify toolbar, click the Copy tool ( [image]).
    • Type copy and then press Enter.
  2. Select the entities, and then press Enter.
  3. In the prompt box, choose Multiple Copies.
  4. Specify the base point.
  5. Specify the displacement point of the first copy.
  6. Specify the displacement point of the next copy.
  7. Continue specifying displacement points to place additional copies.
  8. To complete the command, press Enter.

To make multiple copies of an entity, select the entity to copy (A), specify the base point (B), and then specify the displacement points (C, D, and E). | Result.

Tell me about...

Copying between drawings

Copying entities


Copying between drawings

You can use the Clipboard to cut or copy entities from one drawing to another. Cutting removes the selected entities from a drawing and stores them on the Clipboard. Copying duplicates the selected entities from a drawing and places them on the Clipboard.

To cut entities to the Clipboard

Select the entities you want to cut.

  • Choose Edit > Cut.
  • On the Standard toolbar, click the Cut tool ( [image]).
  • Type cutclip and then press Enter.

To copy entities to the Clipboard

Select the entities you want to copy.

  • Choose Edit > Copy.
  • On the Standard toolbar, click the Copy tool ( [image]).
  • Type copyclip and then press Enter.

Anything that you can copy to the Clipboard can be pasted into a drawing. The format in which the program adds the Clipboard contents to the drawing depends on the type of information in the Clipboard. For example, if you copy IntelliCAD drawing entities to the Clipboard, the program pastes them into the drawing as IntelliCAD entities. If you copy items to the Clipboard from other programs, they are pasted into the current drawing as embedded ActiveX® objects.

Tell me about...

Copying entities

Copying entities within a drawing


Making parallel copies

You can use the parallel feature to copy selected entities and align them parallel to the original entities at a specified distance. You can make parallel entities using arcs, circles, ellipses, elliptical arcs, lines, two-dimensional polylines, rays, and infinite lines.

Making parallel copies of curved entities creates larger or smaller curves, depending on which side of the original entity you place the copy. For example, placing a parallel copy of a circle outside the circle creates a larger concentric circle; positioning the copy inside the circle creates a smaller concentric circle.

To make a parallel copy by specifying the distance

  1. Do one of the following:
    • Choose Modify > Parallel.
    • On the Modify toolbar, click the Parallel tool ( [image]).
    • Type parallel and then press Enter.
  2. Specify the distance by selecting two points or by entering a distance.
  3. Select the entity to copy.
  4. Specify on which side of the entity to place the parallel copy.
  5. Select another entity to copy, or press Enter to complete the command.

To make a parallel copy, specify the distance between copies by entering a distance or selecting two points (A and B), select the entity to copy (C), and specify on which side to place the copy (D). | Result.

To make a parallel copy passing through a point

  1. Do one of the following:
    • Choose Modify > Parallel.
    • On the Modify toolbar, click the Parallel tool ( [image]).
    • Type parallel and then press Enter.
  2. In the prompt box, choose Through Point.
  3. Select the entity to copy.
  4. Specify the point for the entity to pass through.
  5. Repeat steps 3 and 4, or press Enter to complete the command.

To make a parallel copy passing through a point, select the entity to copy (A) and then specify the through point (B).


Mirroring entities

You can create a mirror image of an entity. You mirror the entity about a mirror line, which you define by specifying two points in a drawing. You can delete or retain the original entities.

To mirror entities

  1. Do one of the following:
    • Choose Modify > Mirror.
    • On the Modify toolbar, click the Mirror tool ( [image]).
    • Type mirror and then press Enter.
  2. Select the entity, and then press Enter.
  3. Specify the first point of the mirror line.
  4. Specify the second point of the mirror line.
  5. In the prompt box, choose one of the following:
    • Yes, Delete Entities – deletes the original entities.
    • No, Keep Entities – retains the original entities.

To mirror an entity, select it (A), and then specify the first point (B) and second point (C) of the mirror line. | Result.


Arraying entities

You can copy an entity in a rectangular or polar (circular) pattern, creating an array. For a rectangular array, you control the number of copies in the array by specifying the number of rows and columns. You also specify the distance between each row and column. For a polar array, you control the number of copies that compose the array and whether to rotate the copies.

To create a polar array

  1. Do one of the following:
    • Choose Modify > Array.
    • On the Modify toolbar, click the Array tool ( [image]).
    • Type array and then press Enter.
  2. Select the entities, and then press Enter.
  3. In the prompt box, choose Polar.
  4. Specify the center point of the array.
  5. Specify the number of items to array, including the original selection set.
  6. Specify the angle the array is to fill, from 0 to 360 degrees.
    7. The default setting for the angle is 360 degrees. Positive values create the array in a counterclockwise direction; negative values create the array in a clockwise direction.
  7. In the prompt box, choose one of the following:
    • Yes, Rotate Entities – rotates entities as they are arrayed.
    • No, Do Not Rotate – retains the original orientation of each copy as it is arrayed.

To create a polar array, select the entity to copy (A), specify the center point of the array (B), and then specify the number of items to array, the angle the array is to fill, and whether to rotate the items.

To create a rectangular array

  1. Do one of the following:
    • Choose Modify > Array.
    • On the Modify toolbar, click the Array tool ( [image]).
    • Type array and then press Enter.
  2. Select the entities, and then press Enter.
  3. In the prompt box, choose Rectangular.
  4. Type the number of rows.
  5. Type the number of columns.
  6. Specify the distance between the rows.
  7. Specify the distance between the columns.

To create a rectangular array, select the entity to copy (A), type the number of rows and columns, and then specify the distance between each row (B) and column (C).


Rearranging entities

You can move one or more entities, and you can also rotate entities about a specified point. If you have entities that overlap, you can also change the display order.

Tell me about...

Moving entities

Reordering entities

Rotating entities


Moving entities

You can move entities within the current drawing or from one drawing to another. The default method is to create a selection set and then specify a starting point, or base point, and an endpoint, or displacement point, to define the relocation of the entities. You can also relocate the entities using a direction vector.

To move a selection set

  1. Do one of the following:
    • Choose Modify > Move.
    • On the Modify toolbar, click the Move tool ( [image]).
    • Type move and then press Enter.
  2. Select the entities, and then press Enter.
  3. Specify the base point.
  4. Specify the displacement point.

To move an entity, select it (A), and then specify the base point (B) and the displacement point (C). | Result.

You can also move entities using grips. To move an entity using grips, select the entity to display its grips, and then click a grip and drag it. The grip you select depends on the type of entity you're modifying. For example, to move a line entity, select the midpoint grip. To move a curved entity, such as an arc, circle, or ellipse, select the center point grip. Not all entities can be moved using grips.

To move an entity using grips

  1. Select the entity.
  2. Click a grip to select it.
  3. Drag the entity to where you want to relocate it.
  4. Click to release.

Tell me about...

Rotating entities

Reordering entities


Rotating entities

You can rotate entities about a specified point at a specified rotation angle or by an angle referenced to a base angle. The default method rotates the entities using a relative rotation angle from their current orientation.

To rotate a selection set

  1. Do one of the following:
    • Choose Modify > Rotate.
    • On the Modify toolbar, click the Rotate tool ( [image]).
    • Type rotate and then press Enter.
  2. Select the entities, and then press Enter.
  3. Specify the rotation point.
  4. Specify the rotation angle.

To rotate an entity, select the entity to rotate (A), and then specify the rotation point (B) and the rotation angle (C).

To rotate a selection set in reference to a base angle

  1. Do one of the following:
    • Choose Modify > Rotate.
    • On the Modify toolbar, click the Rotate tool ( [image]).
    • Type rotate and then press Enter.
  2. Select the entities, and then press Enter.
  3. Specify the rotation point.
  4. In the prompt box, choose Base Angle.
  5. Specify the base angle.
  6. Specify the new angle.

To rotate an entity in reference to a base angle, select the entity (A), specify the rotation point (B), select the base angle and pick point (B) again (or type the @ symbol), specify the second point (C), and then specify the point representing the new angle (D).

Tell me about...

Moving entities

Reordering entities


Re-ordering entities

When multiple entities overlap, you can change the order in which they are displayed and printed. You can move entities to the front, back, or on top or below of another entity.

To reorder entities

  1. Do one of the following:
    • Choose Tools > Draw Order.
    • On the Tools toolbar, click the Draw Order tool ( [image]).
    • Type draworder and then press Enter.
  2. Select the entity you want to reorder, and then press Enter.
  3. In the prompt box, specify the new drawing order, and then press Enter.
  4. If you are reordering above or under, select the entity you want the first entity to be above or below, and then press Enter.

NOTE The SORTENTS system variable automatically turns on, which may affect system performance.

Tell me about...

Moving entities

Rotating entities


Resizing entities

You can change the size of an entity or set of entities by stretching, scaling, extending, trimming, or editing their lengths.

Tell me about...

Editing the length of entities

Extending entities

Scaling entities

Stretching entities

Trimming entities


Stretching entities

You can change the size of entities by stretching them. When you stretch entities, you must select the entities using either a crossing window or a crossing polygon. You then specify a displacement distance or select a base point and a displacement point. Entities that cross the window or polygon boundary are stretched; those completely within the crossing window or crossing polygon are simply moved.

To stretch an entity

  1. Do one of the following:
    • Choose Modify > Stretch.
    • On the Modify toolbar, click the Stretch tool ( [image]).
    • Type stretch and then press Enter.
  2. In the prompt box, choose Crossing Window or Crossing Polygon.
  3. Select the entities, and then press Enter.
  4. Specify the base point.
  5. Specify the second point of displacement.

To stretch entities, select them using a crossing window (A) or crossing polygon, and then specify the base point (B) and displacement point (C).

To stretch an entity using grips, you select it to display its grips and then select a grip to make it the active grip. This becomes the base point. Then you move the active grip to a new location. The grip you select depends on the type of entity you're modifying. For example, to stretch one corner of a rectangle, select the corner point grip. To stretch a line, select an endpoint grip. Not all entities can be stretched using grips.

To stretch an entity using grips

  1. Select the entity.
  2. Click a grip to activate it.
  3. Drag the grip.
  4. Click to release.

To stretch an entity using grips, select the entity (A), select a grip (B), and drag the grip to its new location (C). | Result.


Scaling entities

You can change the size of a selected entity by scaling it in relation to a base point. You can change the size of an entity by specifying a base point and a length, which is used as a scale factor based on the current drawing units, or by specifying a scale factor. You can also use a scale factor referenced to a base scale factor, for example, by specifying the current length and a new length for the entity.

To scale a selection set by a scale factor

  1. Do one of the following:
    • Choose Modify > Scale.
    • On the Modify toolbar, click the Scale tool ( [image]).
    • Type scale and then press Enter.
  2. Select the entities, and then press Enter.
  3. Specify the base point.
  4. Specify the scale factor.

To scale an entity by a scale factor, select the entity (A), and then specify the base point (B) and the scale factor. | Result.

You can also scale some entities using grips. To scale an entity, you select the entity, and then click a grip. You then change the size of the entity by moving the grip. The grip you select depends on the type of entity you're modifying. For example, to scale a circle, select a quadrant point grip.

To scale an entity using grips

  1. Select the entity.
  2. Click a grip to select it.
  3. Drag the grip.
  4. Click to release.

To scale using grips, select the entity (A), click a grip (B), and scale the entity by dragging the grip to its new location (C). | Result.


Extending entities

You can extend entities so that they end at a boundary defined by other entities. You can also extend entities to the point at which they would intersect an implied boundary edge. When extending entities, you first select the boundary edges, and then specify the entities to extend, selecting them either one at a time or using the fence selection method.

You can extend arcs, lines, two-dimensional polylines, and rays. Arcs, circles, ellipses, lines, splines, polylines, rays, infinite lines, and layout viewports on a Layout tab can act as boundary edges.

How do I...

Extend an entity

Extend an entity to an implied boundary

Extend several entities using the fence selection method


Trimming entities

You can clip, or trim, entities so they end at one or more implied cutting edges defined by other entities. You can also trim entities to the point at which they would intersect an implied cutting edge. When you trim entities, you first select the cutting edges and then specify the entities to trim, selecting them either one at a time or using the fence selection method.

You can trim arcs, circles, lines, open two-dimensional and three-dimensional polylines, and rays. Arcs, circles, lines, polylines, rays, infinite lines, and layout viewports on a Layout tab can act as cutting edges. An entity can be both a cutting edge and one of the entities being trimmed.

How do I...

Trim an entity

Trim an entity to an implied boundary

Trim several entities using the fence selection method


Editing the length of entities

You can change the length of entities or the included angle of arcs. Use any of the following methods to change the length of an entity:

  • Dynamically drag the endpoint or angle.
  • Specify an incremental length or angle measured from an endpoint.
  • Specify the new length as a percentage of the total length or angle.
  • Specify a new length or included angle.

You can change the length of arcs, lines, and open polylines.

To change the length of an entity by dragging

  1. Do one of the following:
    • Choose Modify > Edit Length.
    • On the Modify toolbar, click the Edit Length tool ( [image]).
    • Type editlen and then press Enter.
  2. In the prompt box, choose Dynamic.
  3. Select the entity you want to change.
  4. Specify the new endpoint or included angle.

Select the entity (A), and then select the new endpoint (B). | Result.


Breaking and joining entities

You can break an entity into two parts, removing a portion of the entity in the process. You can also join two entities into a single entity.

Tell me about...

Breaking entities

Joining entities


Breaking entities

You can break arcs, circles, ellipses, lines, polylines, rays, and infinite lines. When breaking entities, you must specify two points for the break. By default, the point you use to select the entity becomes the first break point; however, you can use the First option to select a break point different from the one that selects the entity.

To break an entity

  1. Do one of the following:
    • Choose Modify > Break.
    • On the Modify toolbar, click the Break tool ( [image]).
    • Type break and then press Enter.
  2. Select the entity.
  3. Specify the second break point.

Select the entity (A), and then specify the second break point (B). | Result.

To select an entity and then specify the two break points

  1. Do one of the following:
    • Choose Modify > Break.
    • On the Modify toolbar, click the Break tool ( [image]).
    • Type break and then press Enter.
  2. Select the entity.
  3. In the prompt box, choose First.
  4. Specify the first break point.
  5. Specify the second break point.

Select the entity (A), and then specify the first (B) and second (C) break points. | Result.

TIP To break an entity in two without removing a portion of the entity, specify the same point for the first and second break points by typing the at sign (@) and pressing Enter instead of specifying the second break point.

Tell me about...

Joining entities


Joining entities

You can join two entities into a single entity. You can join either two lines or two arcs. The two lines must be parallel; the two arcs must share the same center point and radius.

When you join two lines, the farthest endpoints remain at their existing locations; the program draws a new line between these points. Arcs are joined counterclockwise, from the first arc you select to the second.

To join two entities

  1. Do one of the following:
    • Choose Modify > Join.
    • On the Modify toolbar, click the Join tool ( [image]).
    • Type join and then press Enter.
  2. Select the first arc or line.
  3. Select the second arc or line.

Select the first arc or line (A), and then select the second arc or line (B). | Result.

Tell me about...

Breaking entities


Grouping entities

A group is a collection of entities saved together as one unit. After you select the entities that belong in the group, you can later add more entities, remove entities, and re-order the entities. If necessary, you can also ungroup the entities at any time to work with the entities separately.

How do I...

Create a group

Modify a group and its entities

Change the order of entities in a group

Ungroup entities


Creating a group

When you create a group, you enter a group name and description, and then select the entities for the group.

To create a group

  1. Do one of the following:

    • Choose Tools > Group.
    • On the Tools toolbar, click the Group tool ( [image]).
    • Type group and then press Enter.

  2. Under Create New Group, enter the name and description of the group.

  3. Click Selectable if you want all entities in the group to be selected when you select one entity of the group in the drawing.

  4. Click Select Entities and Create Group.

  5. Select the entities for the group, and then press Enter.

  6. In the Group dialog box, click OK.

TIP You can enter the name of a group in the command bar when selecting entities.


Modifying a group and its entities

  1. Do one of the following:
    • Choose Tools > Group.
    • On the Tools toolbar, click the Group tool ( [image]).
    • Type group and then press Enter.
  2. In the Group dialog box, select the group you want to modify.
  3. Under Modify Selected Group, do one or more of the following:
    • Enter a new name, and then click Rename Group.
    • Enter a new description, and then click Change Group Description.
    • Select whether you want the group to be selectable in the drawing.
    • Click Add Entities to Group, select the entities to add to the group, and then press Enter.
    • Click Remove Entities from Group, select the entities to remove from the group, and then press Enter.
  4. In the Group dialog box, click OK.


Changing the order of entities in a group

  1. Do one of the following:
    • Choose Tools > Group.
    • On the Tools toolbar, click the Group tool ( [image]).
    • Type group and then press Enter.
  2. In the Group dialog box under Modify Selected Group, click Re-order Entities.
  3. In the Re-Order Grouped Entities dialog box, select the group you want to reorder.
  4. To see the order of entities in the group, click Highlight. Follow the prompts that display to view the entities, one by one.
  5. To reverse the order of all entities in the group, click Reverse Order.
  6. To change the order of specific entities or a range of entities:
    • In Remove from Position, enter the current position of the entity.
    • In Place to Position, enter the new position of the entity.
    • In Number of Entities, enter the number of entities or range of entities to re-order. For example, if you are changing the order of only one entity, enter 1.
    • Click Re-Order.

      The entities in a group are numbered 0, 1, 2, 3, and so on.

  7. Click OK, and then click OK again.


Ungrouping entities

When you ungroup entities, the entities remain in the drawing but the group is deleted from the drawing.

To ungroup entities

  1. Do one of the following:
    • Choose Tools > Group.
    • On the Tools toolbar, click the Group tool ( [image]).
    • Type group and then press Enter.
  2. In the Group dialog box, select the group to delete.
  3. Under Modify Selected Group, click Ungroup Entities.
  4. Click OK.


Editing polylines

You can modify any type of two-dimensional or three-dimensional polyline. Entities such as rectangles, polygons, and donuts, as well as three-dimensional entities such as pyramids, cylinders, and spheres, are all variations of polylines that you can edit.

You can edit a polyline by opening or closing it, by changing its overall width or the widths of individual segments, and by converting a polyline with straight line segments into a flowing curve or an approximation of a spline. In addition, you can use the Edit Polyline tool to edit individual vertices, adding, removing, or moving vertices. You can also add new segments to an existing polyline, change the linetypes of a polyline, and reverse the direction or order of the vertices.

To modify a polyline, you first select the polyline, and then select a polyline editing option. The available options vary depending on whether the selected polyline is a two-dimensional or three-dimensional entity. If the selected entity is not a polyline, the Edit Polyline tool provides the option of turning it into one. You can convert only arcs and lines into polylines. If several arcs or lines are joined endpoint to endpoint, they can all be selected and turned into one polyline.

To convert an entity into a polyline

  1. Do one of the following:
    • Choose Modify > Edit Polyline.
    • On the Modify toolbar, click the Edit Polyline tool ( [image]).
    • Type editpline and then press Enter.
  2. Select the entity.
  3. In the prompt box, choose Yes-Turn Into Polyline.
  4. In the prompt box, choose another option, or choose Done to complete the command.

Tell me about...

Changing the polyline width

Curving and decurving polylines

Editing polyline vertices

Joining polylines

Opening and closing polylines


Opening and closing polylines

When you close a polyline, the program draws a straight polyline segment from the last vertex of the polyline to the first vertex. Opening a polyline removes the closing segment. When you select a polyline for editing, the prompt box displays either the Open or Close option, depending on whether the polyline you select is closed or open.

To close an open polyline

  1. Do one of the following:
    • Choose Modify > Edit Polyline.
    • On the Modify toolbar, click the Edit Polyline tool ( [image]).
    • Type editpline and then press Enter.
  2. Select the polyline.
  3. In the prompt box, choose Close.
  4. In the prompt box, choose another option, or choose Done to complete the command.

Closing an open polyline adds a straight polyline segment between the first (A) and last (B) vertices. | Result.

Tell me about...

Changing the polyline width

Curving and decurving polylines

Editing polylines

Editing polyline vertices

Joining polylines


Curving and decurving polylines

You can convert a multisegment polyline into a smooth curve using either the Fit or Spline option. The Fit option creates a smooth curve connecting all the vertices. The Spline option computes a smooth curve that is pulled toward the vertices but passes through only the first and last vertices. The Decurve option removes Fit or Spline curves and arcs, leaving straight segments between the vertices.

To fit a curve to a polyline

  1. Do one of the following:
    • Choose Modify > Edit Polyline.
    • On the Modify toolbar, click the Edit Polyline tool ( [image]).
    • Type editpline and then press Enter.
  2. Select the polyline.
  3. In the prompt box, choose Fit.
  4. In the prompt box, choose another option, or choose Done to complete the command.

Original polyline. | After applying Fit curve. | After applying Spline.

Tell me about...

Changing the polyline width

Editing polylines

Editing polyline vertices

Joining polylines


Joining polylines

You can add an arc, line, or polyline entity to an existing open polyline, forming one continuous polyline entity. To join an entity to a polyline, that entity must already share an endpoint with an end vertex of the selected polyline.

When you join an entity to a polyline, the width of the new polyline segment depends on the width of the original polyline and the type of entity you are joining to it:

  • A line or an arc assumes the same width as the polyline segment for the end vertex to which it is joined.
  • A polyline joined to a tapered polyline retains its own width values.
  • A polyline joined to a uniform-width polyline assumes the width of the polyline to which it is joined.

To join an arc, line, or polyline to an existing polyline

  1. Do one of the following:
    • Choose Modify > Edit Polyline.
    • On the Modify toolbar, click the Edit Polyline tool ( [image]).
    • Type editpline and then press Enter.
  2. Select the polyline.
  3. In the prompt box, choose Join.
  4. Select the arc, line, or polyline to join.
  5. In the prompt box, choose another option, or choose Done to complete the command.

Tell me about...

Changing the polyline width

Curving and decurving polylines

Editing polylines

Editing polyline vertices


Changing the polyline width

You can change the width of an entire polyline, applying a uniform width to the entire entity or tapering the polyline uniformly along its entire length.

To apply a uniform width to an entire polyline

  1. Do one of the following:
    • Choose Modify > Edit Polyline.
    • On the Modify toolbar, click the Edit Polyline tool ( [image]).
    • Type editpline and then press Enter.
  2. Select the polyline.
  3. In the prompt box, choose Width.
  4. Specify the new polyline width.
  5. In the prompt box, choose another option, or choose Done to complete the command.

To taper a polyline uniformly along its length

  1. Do one of the following:
    • Choose Modify > Edit Polyline.
    • On the Modify toolbar, click the Edit Polyline tool ( [image]).
    • Type editpline and then press Enter.
  2. Select the polyline.
  3. In the prompt box, choose Taper.
  4. Specify the starting width.
  5. Specify the ending width.
  6. In the prompt box, choose another option, or choose Done to complete the command.

Tell me about...

Curving and decurving polylines

Editing polylines

Editing polyline vertices

Joining polylines


Editing polyline vertices

You can use the Edit Vertices option to modify individual polyline vertices. When you select this option, the program switches into a special vertex editing mode and places an x on the first vertex. The x indicates the vertex you are editing. The Next and Previous options move the x to the next or previous vertex. You can edit only one vertex at a time.

When editing vertices, you can modify the polyline in the following ways:

  • Convert a polyline segment into a curve by specifying a new tangent angle.
  • Break a polyline into two separate polylines.
  • Insert a new vertex after the current vertex.
  • Move the current vertex.
  • Straighten the polyline segment between two vertices.
  • Change the width of the polyline segment between two vertices.

To move a polyline vertex

  1. Do one of the following:
    • Choose Modify > Edit Polyline.
    • On the Modify toolbar, click the Edit Polyline tool ( [image]).
    • Type editpline and then press Enter.
  2. Select the polyline.
  3. In the prompt box, choose Edit Vertices.
  4. In the prompt box, choose Next Vertex.
    5. Repeat until the x reaches the vertex you want to move.
  5. In the prompt box, choose Move.
  6. Specify the new location for the vertex.
  7. In the prompt box, choose another option, or choose Exit to stop editing vertices.
  8. In the prompt box, choose another option, or choose Done to complete the command.

Select the polyline (A), move the current vertex marker to the vertex you want to move (B), and then specify the new vertex location (C). | Result.

To taper the width of an individual polyline segment

  1. Do one of the following:
    • Choose Modify > Edit Polyline.
    • On the Modify toolbar, click the Edit Polyline tool ( [image]).
    • Type editpline and then press Enter.
  2. Select the polyline.
  3. In the prompt box, choose Edit Vertices.
  4. In the prompt box, choose Next Vertex.
    5. Repeat until the x reaches the first vertex of the segment you want to taper.
  5. In the prompt box, choose Width.
  6. Specify the starting width.
  7. Specify the ending width.
  8. In the prompt box, choose another option, or choose Exit to stop editing vertices and update the display.
  9. In the prompt box, choose another option, or choose Done to complete the command.

Select the polyline (A), move the current vertex marker to the first vertex of the segment you want to taper (B), and then specify the new starting and ending widths for that segment. | Result.

Tell me about...

Changing the polyline width

Curving and decurving polylines

Editing polylines

Joining polylines


Chamfering and filleting entities

You can chamfer or fillet entities. A chamfer connects two nonparallel entities with a line to create a beveled edge. A fillet connects two entities with an arc of a specified radius to create a rounded edge. If both entities you are working with are on the same layer, the chamfer or fillet is drawn on that layer. If they are on different layers, the chamfer or fillet is drawn on the current layer.

The Chamfer/Fillet settings in the Drawing Settings dialog box control the chamfer and fillet settings. The portions of the entities that extend beyond the chamfer or fillet are normally deleted when you create the chamfer or fillet. You can retain these original entities, however, by changing the settings in the dialog box.

Tell me about...

Chamfering entities

Filleting entities


Exploding entities

You can convert a complex entity, such as a block or polyline, from a single entity into its component parts. Exploding a polyline, rectangle, donut, polygon, dimension, or leader reduces it to a collection of individual line and arc entities that you can then modify individually. Blocks are converted to the individual entities, possibly including other, nested blocks that composed the original entity.

With the following exceptions, exploding an entity usually has no visible effect on a drawing:

  • If the original polyline had a width, the width information is lost when you explode it. The resulting lines and arcs follow the centerline of the original polyline.
  • If you explode a block containing attributes, the attributes are lost, but the original attribute definitions remain.
  • Colors and linetypes assigned BYBLOCK may appear different after exploding an entity, because they will adopt the default color and linetype until inserted into another block.

To explode an entity

  1. Do one of the following:
    • Choose Modify > Explode.
    • On the Modify toolbar, click the Explode tool ( [image]).
    • Type explode and then press Enter.
  2. Select the entities to explode.
  3. Press Enter.


Chamfering entities

You can connect two nonparallel entities by extending or trimming them and then joining them with a line to create a beveled edge. You can chamfer lines, polylines, rays, and infinite lines. When creating a chamfer, you can specify how far to trim the entities back from their intersection (distance-distance method), or you can specify the length of the chamfer and the angle it forms along the first entity (distance-angle method).

When chamfering a polyline, you can chamfer multiple segments between two selected polyline segments, or you can chamfer the entire polyline.

How do I...

Chamfer all vertices in a polyline

Chamfer selected vertices in a polyline

Chamfer two entities using the distance-angle method

Chamfer two entities using the distance-distance method


Filleting entities

You can connect two entities with an arc of a specified radius to create a rounded edge. You can fillet pairs of line segments, straight polyline segments, arcs, circles, rays, and infinite lines. You can also fillet parallel lines, rays, and infinite lines. When filleting a polyline, you can fillet multiple segments between two selected segments, or you can fillet the entire polyline.

How do I...

Fillet an entire polyline

Fillet selected vertices in a polyline

Fillet two entities


Working with text

You can insert text into your drawing and control its appearance, allowing you to provide additional information for your IntelliCAD drawings.

Tell me about...

Changing paragraph text

Changing line text

Creating paragraph text

Creating line text

Formatting text

Working with text styles

Using an alternate text editor

How do I...

Change paragraph text properties

Change text properties

Check spelling

Create a text style

Create paragraph text

Create text

Edit paragraph text

Edit text

Specify a paragraph text style

Specify a text style

Specify the text alignment

Use an alternate text editor

Use Unicode characters


Creating line text

When you create text, you end each line of text by pressing Enter. Each line of text is created as a separate entity that you can modify.

To create text

  1. Do one of the following:
    • Choose Insert > Text.
    • On the Draw 2D toolbar, click the Text tool ( [image]).
    • Type dtext and then press Enter.
  2. Specify the insertion point for the first character.
  3. Specify the height of the text.
  4. Specify the text rotation angle.
  5. Type the text, and then press Enter at the end of each new line.
  6. To complete the command, press Enter again.

TIP If you've already created text and want new text to appear immediately below the previous text, choose Insert > Text. When prompted for an insertion point, press Enter. The new text will keep the same height and rotation angle as the previous text.

Tell me about...

Changing paragraph text

Changing line text

Creating paragraph text

Formatting text

Working with text styles


Creating paragraph text

Paragraph text consists of one or more lines of text or paragraphs that fit within a boundary width that you specify. Each paragraph text entity you create is treated as a single entity regardless of the number of individual paragraphs or lines of text it contains.

When you create paragraph text, you first determine the paragraph's boundary width by specifying the opposite corners of a rectangle. The paragraph text automatically wraps so that it fits within this rectangle. The first corner of the rectangle determines the default attachment point of the paragraph text. You can change the location of the attachment point in reference to the rectangle, and you can determine the direction in which text flows within the rectangle. You can also select the text style, text height, and the rotation angle of the entire paragraph text entity.

To create paragraph text

  1. Do one of the following:
    • Choose Insert > Multiline Text.
    • On the Draw 2D toolbar, click the Multiline Text tool ( [image]).
    • Type mtext and then press Enter.
  2. Select the first corner of the text area.
  3. In the MText prompt box, select the properties you want to change, or proceed directly to step 4.
    4. You can select these properties in steps 7 and 8.
  4. Select the second corner of the text area.
  5. In the Multiline Text dialog box, click the Text tab.
  6. In the window, type the text you want.
    7. To create paragraphs, simply press Enter and continue typing.
  7. Make any selections or changes you want to the Font, Height, and text variations for bold, italic, and underline.
  8. Click the Properties tab, and make selections or changes you want to the text Style, Justification, Width, and Rotation.
  9. Click OK.

TIP You can paste text from the Clipboard into the Multiline Text dialog box.

Tell me about...

Changing paragraph text

Changing line text

Creating line text

Formatting text

Working with text styles

Using Unicode characters


Working with text styles

When you add text to a drawing, it uses the current text style. Text style determines the font, size, angle, orientation, and other characteristics.

Every drawing has a default text style, named Standard, which initially uses the icad.fnt font. You cannot delete the Standard style, but you can rename it or modify it. You can change the font, the size of the font, and the obliquing angle applied to it. If you change the font or orientation of an existing style, all existing text entities created using that style are automatically updated to reflect the new font or orientation. Changing any other characteristic has no effect on existing text. You also can create and use an unlimited number of additional text styles.

The text style determines the characteristics shown in the following table.

Style characteristics

Characteristic | Default | Description
Style name | Standard | The name of the style, up to 31 characters.
Font file | icad.fnt | The font file on which the style is based.
Text height | 0 | The character height. A value of 0 prompts for text height upon insertion.
Width factor | 1 | The horizontal expansion or compression of the text. Values less than 1 compress the text; values greater than 1 expand the text.
Obliquing angle | 0 | The slant of the text, in degrees. Negative values slant the text to the left; positive values slant the text to the right.
Backward | No | Determines whether text appears backward.
Upside down | No | Determines whether text appears upside down.
Vertical | No | Determines whether text has a vertical orientation.

To create a text style

  1. Do one of the following:
    • Choose Settings > Explore Text Styles.
    • On the Settings toolbar, click the Explore Text Styles tool ( [image]).
    • Type expfonts and then press Enter.
  2. Choose Edit > New > Style.
  3. Type a new text style name, or press Enter to accept the default name.
  4. Choose Edit > Properties to open the Styles dialog box.
  5. Under Text Font, select the name, style, and language of the font you want to use.
  6. Under Text Measurements, enter the Fixed Text Height, Width Factor, and Oblique Angle measurement.
  7. Under Text Generation, select the check boxes you want to indicate the direction for printed text to appear.
  8. Close the Styles dialog box, then close the IntelliCAD Explorer dialog box.
  9. To begin using the new style, choose Insert > Text.
  10. In the prompt box, select Use Defined Style.

Tell me about...

Changing paragraph text

Changing line text

Creating paragraph text

Creating line text

Formatting text


Formatting text

When you create text, you choose the text style and set the alignment. The style determines the font characteristics for the text. For line text, the alignment determines how the text aligns with the text insertion point. For paragraph text, the alignment determines the location of the attachment point in relation to the paragraph text boundary and the direction in which text flows within the boundary.

Tell me about...

Including special text characters

Setting the paragraph text alignment

Setting the paragraph text style

Setting the line text alignment

Setting the line text style


Setting the line text style

You can set the text style before you specify the insertion point. You select the text style by typing the name of a previously defined style.

To specify a line text style

  1. Do one of the following:
    • Choose Insert > Text.
    • On the Draw 2D toolbar, click the Text tool ( [image]).
    • Type dtext and then press Enter.
  2. In the prompt box, choose Use Defined Style.
  3. Type the name of a previously defined text style, and then press Enter.
    4. To display a list of available text styles, type a question mark (?), and then press Enter.
  4. Specify the text insertion point.
  5. Specify the text height.
  6. Specify the rotation angle.
  7. Type the text line, and then press Enter.
  8. To complete the command, press Enter again.

Tell me about...

Including special text characters

Setting the paragraph text alignment

Setting the paragraph text style

Setting the line text alignment


Setting the paragraph text style

You can set the paragraph text style before you specify the insertion point. You select the text style by typing the name of a previously defined style.

To specify a paragraph text style

  1. Do one of the following:
    • Choose Insert > Multiline Text.
    • On the Draw 2D toolbar, click the Multiline Text tool ( [image]).
    • Type mtext and then press Enter.
  2. Specify the first point of the Multiline Text box.
  3. In the prompt box, choose Text Style.
  4. Type the name of a previously defined text style, and then press Enter.
  5. Specify the text height.
  6. Specify the rotation angle.
  7. Specify the opposite corner of the Multiline Text box.
  8. Type the text, and then press Enter.
  9. To complete the command, press Enter again.

Tell me about...

Including special text characters

Setting the paragraph text alignment

Setting the line text alignment

Setting the line text style


Setting the line text alignment

When you create text, you can set the text alignment before you specify the insertion point. You set the alignment by choosing it in the prompt box. By default, text is left justified. You can align text at the left, center, or right and at the top, middle, or baseline of the text or at the bottom of descending letters.

  1. Top left
  2. Middle left
  3. Left
  4. Bottom left
  5. Center
  6. Bottom center
  7. Bottom right
  8. Baseline
  9. Right
  10. Middle right
  11. Top right
  12. Middle
  13. Middle center
  14. Top center

You can also align text so that it fits or aligns between two points. The Align option creates text that scales up or down while maintaining a constant height/width ratio; the Fit option expands or compresses the text to fit between the two points.

Text aligned between two points maintains a constant height/width ratio. | Text fit between two points expands or compresses to fit.

To specify the line text alignment

  1. Do one of the following:
    • Choose Insert > Text.
    • On the Draw 2D toolbar, click the Text tool ( [image]).
    • Type dtext and then press Enter.
  2. In the prompt box, choose an alignment option, or choose Justification Options to display all the justification options.
  3. Specify the text insertion point, and then continue creating the line text.

Tell me about...

Including special text characters

Setting the paragraph text alignment

Setting the paragraph text style

Setting the line text style


Setting the paragraph text alignment

When you create paragraph text, you can set the text alignment by specifying the attachment point location in relation to the paragraph text boundary and the direction in which text flows within the boundary. You can set the paragraph text alignment either in the prompt box displayed after you specify the first corner of the paragraph text boundary, or from the Multiline Text dialog box. You can specify the attachment point at the top left, top center, top right, middle left, middle center, middle right, bottom left, bottom center, or bottom right. The paragraph text can flow left to right, right to left, top to bottom, or bottom to top.

Tell me about...

Including special text characters

Setting the paragraph text style

Setting the line text alignment

Setting the line text style


Including special text characters

You can use control codes to overscore or underscore text or to include special characters. Both overscore and underscore can be active at the same time. To include control codes, as you type text, type two percent symbols (%%) followed by the special control code or character. A single percent sign is treated as a normal text character. A triple-percent control code is provided for those instances where a control-code sequence must follow a percent sign in the text.

Special text characters

Control code | Function
%%o | Toggles overscore mode on and off.
%%u | Toggles underscore mode on and off.
%%d | Draws a degree symbol (º).
%%p | Draws the plus-or-minus symbol (±).
%%c | Draws the circle diameter symbol (Ø).
%%% | Forces a single percent sign.
%%nnn | Draws special character number nnn.

Text created using special text characters: Ut wisi %%uenim%%d ad%%p%%u minim %%c %%oveniam

Tell me about...

Setting the paragraph text alignment

Setting the paragraph text style

Setting the line text alignment

Setting the line text style


Changing line text

You can edit and modify the text as you would any other drawing entity. That is, you can delete, move, rotate, and scale text.

To edit text

  1. Do one of the following:
    • Choose Modify > Edit Text.
    • On the Modify toolbar, click the Edit Text tool ( [image]).
    • Type ddedit and then press Enter.
  2. Select the text entity.
  3. In the Text field, edit the text, and then click OK.

To change text properties

  1. Do one of the following:
    • Choose Modify > Edit Text.
    • On the Modify toolbar, click the Edit Text tool ( [image]).
    • Type ddedit and then press Enter.
  2. Select the text entity.
  3. Under Text Settings, change the text properties you want.
  4. Click OK.

Tell me about...

Changing paragraph text


Changing paragraph text

You can edit and modify the text as you would any other drawing entity. That is, you can delete, move, rotate, and scale text.

To edit paragraph text

  1. Do one of the following:
    • Choose Modify > Edit Text.
    • On the Modify toolbar, click the Edit Text tool ( [image]).
  2. Select the text entity.
  3. Edit the text in the Contents field of the Entity Properties dialog box, and then click OK.
  4. To apply font style changes to the text, click Full Editor.
  5. Click OK.

To change paragraph text properties

  1. Do one of the following:
    • Choose Modify > Edit Text.
    • On the Modify toolbar, click the Edit Text tool ( [image]).
  2. Select the text entity.
  3. Change the text properties you want under the MText Settings section of the Entity Properties dialog box.
  4. To apply font style changes to the text, click Full Editor.
  5. Click OK.

Tell me about...

Changing line text


Checking spelling

The spelling checker checks the spelling of text in the current drawing. You can check the spelling of one or more selected text entities.

To check spelling

  1. Do one of the following:
    • Choose Tools > Spelling.
    • On the Standard toolbar, click the Check Spelling tool ( [image]).
    • Type spell and then press Enter
  2. Do one of the following:
    • To check spelling for the entire drawing, in the prompt box, choose Select All Entities.
    • To check spelling for one or more entities, select the text entities, and then press Enter.
  3. Use the controls in the dialog box to correct any misspelled words.


Using an alternate text editor

IntelliCAD includes a built-in text editor for creating paragraph text using the MTEXT command. You can also specify an alternate text editor for the MTEXT command.

Before you can use an alternate text editor, you must specify the editor by setting the MTEXTED system variable.

To select an alternate text editor

  1. Type mtexted and then press Enter.
  2. Enter the path and name of the executable file for the text editor you want to use to create or edit multiline text. For example, to use Microsoft® Wordpad, you would type similar to the following (adjusting the path name as necessary):

    C:\Program Files\Windows NT\Accessories\Wordpad.EXE

To create paragraph text in an alternate text editor

  1. Do one of the following:
    • Choose Insert > Multiline Text.
    • On the Draw 2D toolbar, click the Multiline Text tool ( [image]).
    • Type mtext and then press Enter
  2. Select the first and second corners of the text area.
  3. In the Multiline Text dialog box, click the Text tab.
  4. In the window, type the text you want, using special characters from the table shown below to achieve special formatting. Enter \P to end a paragraph and start a new paragraph on the next line. For example, to use an alignment value of 1 and stack two numbers to display them as a fraction:

    {\A1;\S1/2;}\P

  5. When your text is complete, save the changes and exit the text editor.

Special formatting characters

Character | Function
\0...\o | Toggles overscore mode on and off.
\L...\l | Toggles underscore mode on and off.
\~ | Inserts a nonbreaking space.
\\ | Inserts a backslash.
\{...\} | Inserts an opening and closing brace.
\Cvalue; | Sets the color to a specified value.
\File name; | Sets the font based on a specified font file name.
\Hvalue; | Sets the text height to a specified value.
\Hvaluex; | Sets the text height to a multiple of the current text height.
\S...^...; | Stacks the subsequent text at the /, #, or ^ symbol.
\Tvalue; | Adjusts the space between characters, from 0.75 to 4 times.
\Qangle; | Changes obliquing angle.
\Wvalue; | Changes width factor to produce wide text.
\A | Sets the alignment value.
\P | Ends paragraph.


Using Unicode characters

IntelliCAD supports the Unicode character encoding standard, which enables you to display and write text in different languages using different letters. Unicode fonts contain many more characters than typically defined in a system.

Tell me about...

Including special text characters

Using an alternate text editor


Dimensioning your drawing

The IntelliCAD dimensioning tools let you add measurements to a drawing. You can quickly add dimensions by simply pointing to entities. You can also add tolerance symbols to your drawings.

The program's many dimensioning variables let you control the appearance of the dimensions. With dimension styles, you can save dimension variable settings so you can reuse them without having to re-create them.

This section explains how to:

  • Create dimensions as linear, angular, diametral, radial, and ordinate.
  • Create leaders and annotations.
  • Edit dimensions.
  • Use dimension styles and variables.
  • Add geometric tolerances.
  • Control dimension tolerance.
  • Control alternate dimension units.

Tell me about...

Adding geometric tolerances

Creating dimensions

Editing dimensions

Understanding dimension styles and variables

Understanding dimensioning concepts


Understanding dimensioning concepts

You can create five basic types of dimensions: linear, angular, radial, diametral, and ordinate. You can create dimensions for existing entities by selecting them, or you can create dimensions by selecting points within a drawing. For example, you can create a linear dimension either by selecting the entity to be dimensioned or by specifying the first and second extension line origins.

  1. Radial dimension.
  2. Vertical linear dimension.
  3. Angular dimension.
  4. Linear continued dimensions.
  5. Aligned dimension.
  6. Diametral dimension.
  7. Horizontal linear dimension.
  8. Linear baseline dimension.

When you create a dimension, the program draws it on the current layer, using the current dimension style. Each dimension has an associated dimension style, which controls the appearance of the dimension, such as the types of arrowheads, text style, and colors of various components. You can modify existing dimension styles by changing one of the dimension variable settings and then updating the dimension style to reflect the new settings.

Each dimension you create consists of several parts. A dimension line shows where a dimension begins and ends. When you create an angular dimension, the dimension line is a dimension line arc that subtends the measured angle.

Extension lines, also called projection lines, are lines that extend away from the entity for which you are creating a dimension, so that you can place the dimension line away from the entity. Arrowheads form the termination at each end of the dimension line.

Dimension text contains the measured dimension and can also include prefixes, suffixes, tolerances, and other optional text. As you insert dimensions, you can control the dimension text and specify its position and orientation.

  1. Extension line.
  2. Arrowhead.
  3. Dimension line.
  4. Dimension text.

Dimensions can also contain other optional components. A leader is a line leading from a feature of the drawing to an annotation. Leaders begin with an arrowhead, and you can use them to place a dimension away from the dimension line or to add notes. When you create a radial dimension, you can add a center mark, which is a small cross that marks the center of a circle or an arc, or you can add centerlines, which are crossing lines that extend out from the center of a circle or an arc.

Leader. | Center mark. | Centerline.


Creating dimensions

You can create dimensions by:

  • Selecting the entity to dimension and specifying the dimension line location.
  • Specifying the extension line origins and the dimension line location.

When you create dimensions by selecting an entity, the program automatically places the extension line origins at the appropriate definition points based on the type of entity you select. For example, the definition points are located at the endpoints of arcs, lines, and polyline segments. When you create dimensions by specifying the extension line origins, the points you specify determine the definition points. To establish these points precisely, use entity snaps.

Tell me about...

Creating angular dimensions

Creating diametral and radial dimensions

Creating leaders and annotations

Creating linear dimensions

Creating ordinate dimensions


Creating linear dimensions

Linear dimensions annotate linear distances or lengths and can be oriented horizontally, vertically, or aligned parallel to an existing entity or to the selected extension origin points. After you create a linear dimension, you can add a baseline dimension or a continued dimension. A linear baseline dimension inserts an additional dimension from a common first extension line origin of a previous linear dimension. A linear continued dimension continues a linear dimension from the second extension line of a previous linear dimension.

TIP To select precise ordinate points, use entity snaps.

Tell me about...

Creating angular dimensions

Creating diametral and radial dimensions

Creating leaders and annotations

Creating ordinate dimensions

How do I...

Create a horizontal or vertical dimension

Create a linear baseline dimension

Create a linear continued dimension

Create an aligned dimension


Creating angular dimensions

Angular dimensions annotate the angle measured between two lines. You can also dimension an angle by selecting an angle vertex and two endpoints. After you create an angular dimension, you can add a baseline dimension or a continued dimension. An angular baseline dimension inserts an additional dimension from a common first extension line origin of a previous angular dimension. An angular continued dimension continues an angular dimension from the second extension line of a previous angular dimension.

To dimension an angle encompassed by an arc

  1. Do one of the following:
    • Choose Insert > Dimensions > Angular.
    • On the Dimensioning toolbar, click the Angular tool ( [image]).
    • Type dimangular and then press Enter.
  2. Select the arc.
  3. Specify the dimension arc location.

To dimension the angle subtended by an arc, select the arc (A), and then specify the dimension arc location (B). | Result.

To dimension an angle between two lines

  1. Do one of the following:
    • Choose Insert > Dimensions > Angular.
    • On the Dimensioning toolbar, click the Angular tool ( [image]).
    • Type dimangular and then press Enter.
  2. Select one line.
  3. Select the other line.
  4. Specify the dimension line location.

Select one line (A), select the other line (B), and then specify the dimension line location (C). | Result.

Tell me about...

Creating diametral and radial dimensions

Creating leaders and annotations

Creating linear dimensions

Creating ordinate dimensions


Creating diametral and radial dimensions

Diametra and radial dimensions annotate the radii and diameters of arcs and circles. You can optionally include centerlines or center marks.

To create a diametral dimension

  1. Do one of the following:
    • Choose Insert > Dimensions > Diameter.
    • On the Dimensioning toolbar, click the Diameter tool ( [image]).
    • Type dimdiameter and then press Enter.
  2. Select the arc or circle.
  3. Specify the dimension line location.

Select the circle (A), and then specify the dimension line location (B). | Result.

To create a radial dimension

  1. Do one of the following:
    • Choose Insert > Dimensions > Radius.
    • On the Dimensioning toolbar, click the Radius tool ( [image]).
    • Type dimradius and then press Enter.
  2. Select the arc or circle.
  3. Specify the dimension line location.

Select the circle (A), and then specify the dimension line location (B). | Result.

Tell me about...

Creating angular dimensions

Creating leaders and annotations

Creating linear dimensions

Creating ordinate dimensions


Creating ordinate dimensions

An ordinate dimension annotates the perpendicular distance from an origin or base point (the origin of the current user coordinate system [UCS]). Ordinate dimensions consist of an x- or y-coordinate and a leader. An x-ordinate dimension measures distances along the x-axis; a y-ordinate dimension measures distances along the y-axis.

As you select ordinate points, the program automatically determines whether the point is an x- or y-ordinate based on which direction you drag the second point. You can also specify whether the ordinate represents an x- or y-ordinate. Ordinate dimension text is always aligned with the ordinate leader lines, regardless of the text orientation specified by the current dimension style.

Ordinate dimensions measure the distance along the x- or y-axis from an origin to a selected ordinate point.

To create an ordinate dimension

  1. Do one of the following:
    • Choose Insert > Dimensions > Ordinate.
    • On the Dimensioning toolbar, click the Ordinate tool ( [image]).
    • Type dimordinate and then press Enter.
  2. Select the point for ordinate dimension.
  3. Specify the ordinate leader endpoint.

Select the ordinate point (A), and then specify the ordinate leader endpoint (B).

TIP To select precise ordinate points, use entity snaps.

Tell me about...

Creating angular dimensions

Creating diametral and radial dimensions

Creating leaders and annotations

Creating linear dimensions


Creating leaders and annotations

Leaders consist of a line or series of lines that connects a feature in a drawing to an annotation. Generally, you place an arrowhead at the first point. An annotation, created as dimension text, is placed immediately adjacent to the last point. By default, the text placed at the end of the leader line consists of the most recent dimension. You can also type an annotation as a single line of text.

To create a leader and an annotation

  1. Do one of the following:
    • Choose Insert > Dimensions > Leader.
    • On the Dimensioning toolbar, click the Leader tool ( [image]).
    • Type dimleader and then press Enter.
  2. Specify the starting point of the leader.
  3. Specify the endpoint of the leader line segment.
  4. Specify additional leader line segment endpoints.
  5. After you specify the last endpoint, press Enter.
  6. Type the annotation, or press Enter to accept the most recent dimension as the default annotation.

Specify the starting point of the leader (A) and the endpoint of the leader line segment (B). | Result.

Tell me about...

Creating angular dimensions

Creating diametral and radial dimensions

Creating linear dimensions

Creating ordinate dimensions


Editing dimensions

You can use grips to edit entity dimensions. You can also edit the dimension text. You can rotate dimension lines and dimension text at any angle, and you can reposition the dimension text anywhere along the dimension line.

Tell me about...

Editing dimension text

Making dimensions oblique


Making dimensions oblique

Extension lines are normally created at a perpendicular angle to the dimension line. You can change the angle of the extension lines, however, so that they tilt relative to the dimension line.

To make oblique extension lines

  1. Do one of the following:
    • Choose Insert > Dimensions > Make Oblique.
    • On the Dimensioning toolbar, click the Make Oblique tool ( [image]).
    • Type dimedit, press Enter, and then in the prompt box, choose Oblique Lines.
  2. Select the linear dimension, and then press Enter.
  3. Type the oblique angle, and then press Enter.

Select the dimension to be made oblique (A), and then type the oblique angle. | Result.

TIP To align the oblique angle if you don't know its exact measurement, use snaps to pick two points on the entity.

Tell me about...

Editing dimension text


Editing dimension text

You can rotate the text of an existing dimension, move the dimension text to a new position, or replace selected dimension text with new text. You can also restore dimension text to its original position as defined by the current dimension style.

When you rotate or replace selected text, you specify the change first, and then select one or more dimensions to which to apply the change. All the selected dimensions are updated simultaneously.

Tell me about...

Making dimensions oblique


Understanding dimension styles and variables

Dimensions that you insert are created using the current dimension style. You can create, save, restore, and delete named dimension styles.

To display information about the current dimension style and compare it with other style names, you can use the dimstyle command.

Dimension styles provide a way for you to change various settings that control the appearance of dimensions. You can then save those settings for reuse. If you don't define a dimension style before creating dimensions, the program uses the Standard dimension style, which stores the default dimension variable settings. Each option in the Dimension Settings dialog box relates to a variable that you can set manually. See the online Command Reference.

Tell me about...

Controlling dimension arrows

Controlling dimension format

Controlling dimension text

Controlling dimension units

Controlling line settings

How do I...

Create and name dimension styles

Use the dimstyle command


Controlling dimension arrows

You can control the appearance and size of arrowheads or tick marks placed at the ends of dimension lines. Any changes you make affect the current dimension style. The arrowheads you choose display in the image tile on the right side of the Dimension Settings dialog box.

You can choose from a number of arrowhead types. You can specify different arrowheads for each end of a dimension line and leader lines. The Starting arrow corresponds to the first extension line; the Ending arrow corresponds to the second extension line. Blocks defined in the drawing also display in the three Arrowhead lists as user-defined arrows. You can use these blocks to create and assign your own arrowheads.

The Arrow Size value determines the size of the arrowhead, measured in drawing units. You can also use tick marks instead of arrowheads.

To choose an arrowhead

  1. Do one of the following:
    • Choose Settings > Dimension Settings.
    • On the Settings toolbar, click the Dimension Settings tool ( [image]).
    • Type setdim and then press Enter.
  2. Click the Arrows tab.
  3. In the Starting Arrowhead or Ending Arrowhead list, click to select the start or end arrowhead, respectively.
  4. In the Leader Arrowhead list, click to select a leader arrowhead for leader lines.
  5. Click OK.

NOTE You can also specify leader arrow types using the DIMLDRBLK system variable.

Tell me about...

Controlling dimension format

Controlling dimension text

Controlling dimension units

Controlling line settings


Controlling dimension format

You can control the way dimension text and arrowheads are placed in relation to the dimension lines. Any changes you make affect the current dimension style. The image tile on the right side of the Dimension Settings dialog box shows the appearance of dimensions based on the current dimension style settings.

The program determines whether both dimension text and arrowheads will fit between the extension lines by comparing the distance between the extension lines to the size of the dimension text, the size of the arrowheads, and the amount of space required around dimension text. The program applies the best fit method based on the available space. If possible, both the dimension text and arrowheads are placed between the extension lines. If both will not fit between the extension lines, you can determine how text and arrowheads are placed using the Fit Method settings on the Dimension Settings dialog box.

Text and arrowheads placed outside extension lines. | Text placed between extension lines and arrowheads outside extension lines. | Text placed above dimension line with a leader connecting the text to the dimension line.

To format dimensions

  1. Do one of the following:
    • Choose Settings > Dimension Settings.
    • On the Settings toolbar, click the Dimension Settings tool ( [image]).
    • Type setdim and then press Enter.
  2. Click the Format tab.
  3. Click the Fit option that you want.
  4. Click OK.

NOTE You can also specify how dimension text and arrows are arranged using the DIMATFIT system variable. You can specify how dimension text is moved using the DIMTMOVE system variable.

Tell me about...

Controlling dimension arrows

Controlling dimension text

Controlling dimension units

Controlling line settings


Controlling line settings

You can control settings affecting dimension lines, extension lines, and center marks. Any changes you make affect the current dimension style. The image tile on the right side of the Dimension Settings dialog box shows the appearance of the dimensions based on the current dimension style settings.

  1. Extend past dimension.
  2. Baseline offset.
  3. Offset from origin.

To set the color for dimension lines

  1. Do one of the following:
    • Choose Settings > Dimension Settings.
    • On the Settings toolbar, click the Dimension Settings tool ( [image]).
    • Type setdim and then press Enter.
  2. Click the Lines tab.
  3. Make your selections.
  4. Click OK.

Tell me about...

Controlling dimension arrows

Controlling dimension format

Controlling dimension text

Controlling dimension units


Controlling dimension text

You can control the settings affecting the appearance of dimension text. Any changes you make affect the current dimension style. The image tile on the right side of the Dimension Settings dialog box shows the appearance of the dimensions based on the current dimension style settings.

Text between extension lines aligned horizontally. | Text between extension lines aligned with dimension line.

To align dimension text with the dimension line

  1. Do one of the following:
    • Choose Settings > Dimension Settings.
    • On the Settings toolbar, click the Dimension Settings tool ( [image]).
    • Type setdim and then press Enter.
  2. Click the Text tab.
  3. Make your selections.
  4. Click OK.

Tell me about...

Controlling dimension arrows

Controlling dimension format

Controlling dimension units

Controlling line settings


Controlling dimension units

You can determine the appearance and format of the primary and alternate dimension units. The image tile on the right side of the Dimension Settings dialog box shows the appearance of the dimensions based on the current dimension style settings.

Round off distance set to .01 (original dimension before rounding). | Round off distance set to 0.25. | Round off distance set to 1.0.

To round off dimensions

  1. Do one of the following:
    • Choose Settings > Dimension Settings.
    • On the Settings toolbar, click the Dimension Settings tool ( [image]).
    • Type setdim and then press Enter.
  2. Click the Units tab.
  3. In the Round Linear Dimensions field, type or select the nearest value to which you want to round off dimensions.
  4. Click OK.

NOTE You can also specify units for linear dimensions using the DIMLUNIT system variable. You can specify fraction formats using the DIMFRAC system variable.

Tell me about...

Controlling dimension arrows

Controlling dimension format

Controlling dimension text

Controlling line settings


Adding geometric tolerances

Geometric tolerances indicate the maximum allowable variations in the geometry defined by a drawing. IntelliCAD draws geometric tolerances using a feature control frame, which is a rectangle divided into compartments.

Each feature control frame consists of at least two compartments. The first compartment contains a geometric tolerance symbol that indicates the geometric characteristic to which the tolerance is applied, such as location, orientation, or form. For example, a form tolerance may indicate the flatness or roundness of a surface. The geometric tolerance symbols and their characteristics are shown in the following table.

Geometric tolerance symbols

Symbol | Characteristic | Type
 | Position | Location
 | Concentricity or coaxiality | Location
 | Symmetry | Location
 | Parallelism | Orientation
 | Perpendicularity | Orientation
 | Angularity | Orientation
 | Cylindricity | Form
 | Flatness | Form
 | Circularity or roundness | Form
 | Straightness | Form
 | Profile of a surface | Profile
 | Profile of a line | Profile
 | Circular runout | Runout
 | Total runout | Runout

The second compartment contains the tolerance value. When appropriate, the tolerance value is preceded by a diameter symbol and followed by a material condition symbol. The material conditions apply to features that can vary in size. The material condition symbols and their meanings are shown in the following table.

Material conditions

Symbol | Definition
 | At maximum material condition (MMC), a feature contains the maximum amount of material stated in the limits.
 | At least material condition (LMC), a feature contains the minimum amount of material stated in the limits.
 | Regardless of feature size (RFS) indicates that the feature can be any size within the stated limits.

The tolerance value can then be followed by primary, secondary, and tertiary datum reference letters, along with the material conditions of each datum. Datum reference letters are generally used as reference tolerances to one of up to three perpendicular planes from which a measurement is made, although datum reference letters can also indicate an exact point or axis.

  1. Geometric characteristic symbol.
  2. Diameter symbol.
  3. Tolerance value.
  4. Material condition symbol.
  5. Datum reference.

When two tolerances apply to the same geometry, you can also add a composite tolerance consisting of a primary tolerance value followed by a secondary tolerance value. To make a tolerance even more specific, it can also contain a projected tolerance consisting of a height value followed by a projected tolerance symbol. For example, you can use a projected tolerance to indicate the perpendicularity of an embedded part.

Tell me about...

Controlling alternate dimension units

Controlling dimension tolerance


Controlling dimension tolerance

You can create dimensions as either tolerance or limits dimensions. When creating tolerance dimensions, you can control the upper and lower tolerance limits as well as the number of decimal places of the dimension text. The image tile on the right side of the Dimension Settings dialog box shows the appearance of tolerance and limits dimensions based on the current dimension style settings.

Tolerance dimension. | Limits dimension.

To create a tolerance dimension

  1. Do one of the following:
    • Choose Settings > Dimension Settings.
    • On the Settings toolbar, click the Dimension Settings tool ( [image]).
    • Type setdim and then press Enter.
  2. Click the Tolerance tab.
  3. Select the Append Dimension Tolerances check box.
  4. Type or select the lower tolerance limit.
  5. Type or select the upper tolerance limit.
  6. Click OK.
  7. Insert the dimension.

Tell me about...

Controlling alternate dimension units


Controlling alternate dimension units

You can include alternate dimensions in addition to the primary dimension text. You can also determine the appearance and format of the alternate dimensions, including the scale factor applied to generate the alternate dimensions. The image tile on the right side of the Dimension Settings dialog box shows the appearance of the dimensions based on the current dimension style settings.

Alternate dimension created using a scale factor of 25.4, with an appended suffix.

To create an alternate dimension

  1. Do one of the following:
    • Choose Settings > Dimension Settings.
    • On the Settings toolbar, click the Dimension Settings tool ( [image]).
    • Type setdim and then press Enter.
  2. Click the Alternate Units tab.
  3. Select the Enable Alternate Units check box.
  4. Type or select the scale factor.
  5. In the Suffix field, type a suffix to be appended to the alternate dimension.
  6. Click OK.
  7. Insert the dimension.

Tell me about...

Controlling dimension tolerance


Working with blocks, attributes, and external references

Blocks, attributes, and external references provide mechanisms for managing entities in your drawings and for including additional information with the standard drawing entities. With blocks, you can combine numerous entities into a single entity, and then reuse it, inserting multiple copies. With attributes, you can associate text, such as part numbers or prices, with blocks, and then extract the text-attribute information to a separate file, such as a database, for further analysis. With external references, you can link separate reference drawing files to the current drawing to combine information without adding the contents of the reference drawings to a drawing. If you make changes to the referenced file, all references are updated automatically.

This section explains how to:

  • Create, insert, and redefine blocks.
  • Create, edit, and insert attributes.
  • Extract attribute data to a separate file.
  • Attach and work with external references.

Tell me about...

Working with attributes

Working with blocks

Working with external references

How do I...

Attach an external reference

Bind an external reference to a drawing

Change the external reference path

Create a block for use within a current drawing

Create a template file

Define an attribute

Detach an external reference

Edit an attribute attached to a block

Edit an attribute definition

Explode a block

Extract attribute information

Insert a block

Insert an entire drawing into the current drawing

Insert an external reference as a block

Overlay an external reference

Redefine a block in the current drawing

Reload an external reference

Save a block as a separate drawing file


Working with blocks

Usually, blocks are several entities combined into one that you can insert into a drawing and manipulate as a single entity. A block can consist of visible entities such as lines, arcs, and circles, as well as visible or invisible data called attributes. Blocks are stored as part of the drawing file.

Blocks can help you better organize your work, quickly create and revise drawings, and reduce drawing file size. Using blocks, you can create a library of frequently used symbols. Then you can insert a symbol as a block rather than redraw the symbol from scratch.

After you create a block from multiple entities, you save it once, which also saves disk space. You insert only multiple references to a single block definition. You can change the block definition to quickly revise a drawing, and then update all instances of the block.

If you insert a block that contains entities originally drawn on layer 0 and assigned color and linetype BYLAYER, it is placed on the current layer and assumes the color and linetype of that layer. If you insert a block that contains entities originally drawn on other layers or with explicitly specified colors or linetypes, the block retains the original settings.

If you insert a block that contains entities originally assigned color and linetype BYBLOCK, and the block itself has the color and linetype BYLAYER, those entities adopt the color and linetype of the layer onto which they are inserted. If the block is assigned an explicit color or linetype, such as red or dashed, those entities adopt those qualities.

A procedure called nesting occurs when you include other blocks in a new block that you are creating. Nesting is useful when you want to combine and include small components, such as nuts and bolts, into a larger assembly and you need to insert multiple instances of that assembly into an even larger drawing.

Tell me about...

Creating blocks

Exploding blocks

Inserting blocks

Redefining blocks


Creating blocks

The tools and commands for creating blocks appear on the Tools toolbar and the Tools menu, respectively, when you set the program to the Advanced experience level. You can also use the IntelliCAD Explorer to create blocks.

You can create blocks in two ways:

  • By saving a block for use within the current drawing only.
  • By saving the block as a separate drawing file that you can insert into other drawings.

When you create a block, you specify its name, its insertion point, and the entities that compose the block. The insertion point is the base point for the block and serves as the reference point when you later insert the block into a drawing.

To create a block for use within a current drawing

Advanced experience level

  1. Do one of the following:
    • Choose Tools > Create Block.
    • On the Tools toolbar, click the Create Block tool ( [image]).
    • Type block and then press Enter.
  2. Type a name for the block, and then press Enter.
  3. Specify the insertion point for the block.
  4. Select the entities that you want in the block, and then press Enter.
    5. The block is created and exists only in the current drawing. The entities you select are removed from the display, because they are now part of the block.
  5. To restore the original entities to the drawing while retaining the new block, type undelete or oops.

NOTE If you frequently restore original entities after you define a block, you can customize the program to add the Undelete command to a menu or toolbar.

You can create a block as a separate drawing file that you can insert into other drawings.

To save a block as a separate file

Advanced experience level

  1. Do one of the following:
    • Choose Tools > Save Block To Disk.
    • On the Tools toolbar, click the Save Block To Disk tool ( [image]).
    • Type wblock and then press Enter.
  2. In the File Name field, type the name of the drawing file you want to create.
  3. Click Save.
  4. In the prompt box, choose one of the following:
    • Multiple Blocks: This option saves one or more existing block entities to a separate drawing file. When prompted, type the name of the block(s).
    • All Entities: This option immediately saves the entire drawing to a separate drawing file.
    • Select Entities: This option saves those entities you select to a separate drawing file. When prompted, specify the insertion point for the block, select the entities for the block, and then press Enter.

NOTE When saving multiple blocks or saving the entire drawing as a separate drawing file, the program assigns the 0,0,0 coordinate as the insertion base point. You can change the base point by opening the drawing and redefining the block.

Tell me about...

Exploding blocks

Inserting blocks

Redefining blocks


Inserting blocks

You can insert blocks and other drawings into the current drawing. When you insert a block, it is treated as a single entity. When you insert a drawing, it is added to the current drawing as a block. You can then insert multiple instances of the block without reloading the original drawing file. If you change the original drawing file, those changes have no effect on the current drawing unless you redefine the block by reinserting the changed drawing.

When you insert a block or drawing, you must specify the insertion point, scale, and rotation angle. The block's insertion point is the reference point specified when you created the block. When you insert a drawing as a block, the program takes the specified insertion point as the block insertion point. You can change the insertion point, however, by first opening the original drawing and redefining the block.

To insert blocks

  1. Display the Insert Block dialog box by doing one of the following:
    • Choose Insert > Block.
    • On the Draw 2D toolbar, click the Block tool ( [image]).
    • Type ddinsert and then press Enter.
  2. In the Insert Block dialog box, under Insert, click Block Name.
  3. In the Block Name box, select the name of the block you want to insert.
  4. Click Insert.
  5. Specify the insertion point for the block.
  6. Specify the x, y, and z scale factors and the rotation angle, or press Enter to accept the default values.

TIP You can also use the IntelliCAD Explorer on the Settings menu to insert blocks. Using IntelliCAD Explorer, you can also insert blocks from another drawing into the current drawing. Both drawings must be open at the same time to do this.

To insert an entire drawing into the current drawing

  1. Do one of the following:
    • Choose Insert > Block.
    • On the Draw 2D toolbar, click the Block tool ( [image]).
    • Type ddinsert and then press Enter.
  2. In the Insert Block dialog box, under Insert, click From File.
  3. Type the path and the drawing file name. Or click Browse to specify the file from the Insert Drawing dialog box, and click Open.
  4. Click Insert.
  5. Specify the insertion point for the block.
  6. Specify the x, y, and z scale factors and the rotation angle, or press Enter to accept the default values.

NOTE You can specify the insertion point, scale factors, and rotation angle in the Insert Block dialog box before inserting the block. You can also control whether the block is exploded back into its original component entities after insertion. Under Positioning, clear the Position Block When Inserting check box, and specify the appropriate coordinates. If you want to explode the block immediately, select the Explode Upon Insertion check box.

  1. Click and then enter the path and drawing file name to insert the entire drawing file as a block.
  2. Click to position block when inserting.
  3. Specify the insertion point, scale factors, and rotation angle before you insert the block (available only when Position Block When Inserting is cleared).
  4. Click to explode the block on insertion.
  5. Specify columns, column spacing, rows, and row spacing.
  6. Click to insert the block.
  7. Click to select the block insertion point in the drawing before inserting the block (available only when the Position Block When Inserting check box is cleared).

Tell me about...

Creating blocks

Exploding blocks

Redefining blocks


Redefining blocks

You can redefine all instances of a block within the current drawing. To redefine a block that was created in the current drawing, you create a new block using the same name. You can update all the blocks in the current drawing by redefining the block. If the block was inserted from a separate drawing file that was subsequently updated, reinsert that block to update all other instances in the current drawing.

To redefine a block in the current drawing

Advanced experience level

  1. Do one of the following:
    • Choose Tools > Create Block.
    • On the Tools toolbar, click the Create Block tool ( [image]).
    • Type block and then press Enter.
  2. Type the name of the block you want to redefine, and then press Enter.
  3. In the prompt box, choose Yes-Redefine Block.
  4. Specify the insertion point for the block.
  5. Select the entities for the block, and then press Enter.
    6. The block is immediately redefined, and all instances of the block in the drawing are updated. The entities you select for inclusion in the block are removed from the drawing, because they are now part of the block.

TIP To restore the original entities to the drawing while retaining the new block, type undelete or oops.

You can update all instances of a block inserted from a separate drawing by reinserting the drawing.

Tell me about...

Creating blocks

Exploding blocks

Inserting blocks


Exploding blocks

You can explode an inserted block to its original component entities. When you explode a block, only that single instance of the block is affected. The original block definition remains in the drawing, and you can still insert additional copies of the original block. If you explode a block that contains attributes, the attributes are lost, but the original attribute definitions remain.

Exploding dissociates component entities to their next simplest level of complexity; blocks or polylines in a block become blocks or polylines again.

To explode a block

  1. Do one of the following:
    • Choose Modify > Explode.
    • On the Modify toolbar, click the Explode tool ( [image]).
    • Type explode and then press Enter.
  2. Select the block.
  3. Press Enter.

Tell me about...

Creating blocks

Inserting blocks

Redefining blocks


Working with attributes

An attribute is a particular entity that you can save as part of a block definition. Attributes consist of text-based data. You can use attributes to track such things as part numbers and prices. Attributes have either fixed or variable values. When you insert a block containing attributes, the program adds the fixed values to the drawing along with the block, and you are prompted to supply any variable values.

After you insert blocks containing attributes, you can extract the attribute information to a separate file and then use that information in a spreadsheet or database to produce a parts list or bill of materials. You can also use attribute information to track the number of times a particular block is inserted into a drawing.

Attributes can be visible or hidden. Hidden attributes are neither displayed nor plotted, but the information is still stored in the drawing and written to a file when you extract it.

Tell me about...

Attaching attributes to blocks

Defining attributes

Editing attribute definitions

Editing attributes attached to blocks

Extracting attribute information


Defining attributes

You add an attribute to a drawing by first defining it and then saving it as part of a block definition. To define an attribute, you specify the characteristics of the attribute, including its name, prompt, and default value; the location and text formatting; and optional modes (hidden, fixed, validate, and predefined).

To define an attribute

Advanced experience level

  1. Do one of the following:
    • Choose Tools > Define Attributes.
    • On the Tools toolbar, click the Define Attributes tool ( [image]).
    • Type ddattdef and then press Enter.
  2. In the Define Attribute dialog box, type the name, prompt, and default value.
  3. Under Insert Coordinates, specify the location of the attribute, or click Select to select a point in the drawing.
  4. Under Attribute Flags, select the optional attribute modes.
  5. Under Text, specify the text characteristics.
  6. To add the attribute to the drawing, do one of the following:
    • Click Define to add the attribute and keep the dialog box active so you can define another attribute.
    • Click Define And Exit to add the attribute and end the command.

  1. Type the name you want to assign to the attribute.
  2. Enter the identifying prompt information displayed when you insert a block containing the attribute.
  3. Enter the default or constant value. For variable attributes, the default value is replaced by the actual value when you later insert a block containing the attribute.
  4. Specify the x-, y-, and z-coordinates for the attribute insertion point.
  5. Select to create a hidden attribute.
  6. Select to create a fixed-value attribute.
  7. Select to create an attribute whose value must be validated when you later insert a block containing the attribute.
  8. Select to create an attribute whose value is defined and not requested when you later insert a block containing the attribute, but that you can edit after the block is inserted.
  9. Click to add the attribute and keep the dialog box active so you can define another attribute.
  10. Click to add the attribute and end the command.
  11. Specify the text rotation angle, or click to specify the rotation angle by selecting two points in the drawing.
  12. Specify the text height, or click to specify the height by selecting two points in the drawing.
  13. Choose the text justification.
  14. Choose the text style from those styles already defined in the drawing.
  15. Click to specify the attribute insertion point by selecting a point in the drawing.

Tell me about...

Attaching attributes to blocks

Editing attribute definitions

Editing attributes attached to blocks

Extracting attribute information


Editing attribute definitions

You can edit an attribute definition before you associate it with a block and before it is saved as part of a block definition.

To edit an attribute definition

Advanced experience level

  1. Do one of the following:
    • Choose Modify > Edit Text.
    • On the Modify toolbar, click the Edit Text tool ( [image]).
    • Type ddedit and then press Enter.
  2. Select the attribute definition text to edit.
  3. Modify the attribute name, prompt string, default value, and other attribute definition characteristics.
  4. Click OK.

Tell me about...

Attaching attributes to blocks

Defining attributes

Editing attributes attached to blocks

Extracting attribute information


Attaching attributes to blocks

You can attach attributes to a block after you define it and select it as one of the entities to include. Include the attributes when the program prompts you for the entities to include in the selection set for a block. After the attribute is incorporated into a block, the program prompts you each time you insert the block, so you can specify different values for the attributes each time you insert it into a new drawing.

Tell me about...

Defining attributes

Editing attribute definitions

Editing attributes attached to blocks

Extracting attribute information


Editing attributes attached to blocks

You can edit the attribute values of a block that has been inserted into a drawing.

To edit an attribute attached to a block

  1. Advanced experience level
  2. Do one of the following:
    • Choose Tools > Edit Block Attributes.
    • On the Tools toolbar, click the Edit Block Attributes tool ( [image]).
    • Type ddatte and then press Enter.
  3. Select the block to edit.
    4. The Edit Block Attributes dialog box displays all the attributes attached to the block you select.
  4. Edit the attribute values as necessary.
  5. Click OK.

  1. Identifies the name of the block.
  2. Displays the names of all attributes attached to the block.
  3. Click to select attribute.
  4. Type the new value for the selected attribute.
  5. Click to update the attribute values and exit.
  6. Displays the value of each attribute attached to the block.
  7. Displays the prompt for each attribute attached to the block.

Tell me about...

Attaching attributes to blocks

Defining attributes

Editing attribute definitions

Extracting attribute information


Extracting attribute information

You can extract attribute information from a drawing and save it to a separate text file for use with a database program. You can save the file in any of the following formats:

  • Comma Delimited Format (CDF): Contains one line for each instance of a block, with individual attribute fields separated by commas. Character string fields are enclosed with single quotation marks. You must specify a template file when extracting to a CDF file.
  • Space Delimited Format (SDF): Contains one line for each instance of a block. Each attribute field has a fixed length; there are no separators or character string delimiters. You must specify a template file when extracting to a SDF file.
  • Drawing Exchange Format (DXF): Creates a subset of a standard DXF file (a *.dxx file) containing all the information about each block, including the insertion points, rotation angles, and attribute values. No template file is required.

Before extracting attributes to a CDF or SDF file, you must create a template file. The template file is an ASCII text file that specifies the attribute data fields to be written in the extract file. Each line of the template file specifies one attribute field. IntelliCAD recognizes 15 different fields, which contain elements such as the block name, the x-, y-, and z-coordinates of its insertion point, the layer on which it is inserted, and so on. You can include any of these fields. The template file must include at least one attribute name.

Each line in the template file must start with the field name. Block name and insertion-point values must begin with BL:. The next nonblank character must be either a C (indicating a character string field) or an N (indicating a numeric field). This character is then followed by three digits indicating the width of the field (in characters). The final three digits indicate the number of decimal places (for numeric fields). In the case of character fields, the last three digits must be zeros (000). A typical template file is similar to the one shown here:

  1. Field name.
  2. Block name. Block names must begin with BL:.
  3. Insertion point. Insertion-point values must begin with BL:.
  4. Attribute tags.
  5. Number of decimal places for numeric fields or 000 for character fields.
  6. Field width for character or numeric fields.
  7. C for character fields; N for numeric fields.

Tell me about...

Attaching attributes to blocks

Defining attributes

Editing attribute definitions

Editing attributes attached to blocks

How do I...

Create a template file

Extract attribute information


Working with external references

You can link entire drawings to the current drawing as external references. Unlike inserting a drawing as a block, in which you add all the entities from the separate drawing into the current drawing, external references attach a pointer to the external file. The entities in the external reference appear in the current drawing, but the entities themselves are not added to the drawing. Thus, attaching an external reference does not significantly increase the size of the current drawing file.

External references provide additional capabilities not available when you insert a drawing as a block. When you insert a drawing as a block, the entities are stored in the drawing. Any changes you make to the original drawing are not reflected in the drawing in which you inserted it. When you attach an external reference, however, any changes you make to the original drawing file are reflected in the drawings that reference it. These changes appear automatically each time you open the drawing containing the external reference. If you know that the original drawing was modified, you can reload the external reference anytime you're working on the drawing.

External references are useful for assembling master drawings from component drawings. Use external references to coordinate your work with others in a group. External references help reduce drawing file size and ensure that you are always working with the most recent version of a drawing.

Tell me about...

Attaching external references

Changing the path for external references

Detaching external references

Inserting and binding external references to drawings

Overlaying external references

Reloading external references

Xref Clipping


Attaching external references

Attaching a separate drawing to the current one creates an external reference. The external reference appears in the drawing as a block definition, but the drawing entities are linked rather than added to the current drawing. If you modify the linked drawing, you can reload the external reference so that the current drawing reflects the latest version of the external reference.

When you attach an external reference, its layers, linetypes, text styles, and other elements are not added to the current drawing. Rather, these elements are also loaded from the referenced file each time you reload the external reference. External references can themselves contain other, nested reference files. When you attach an external reference, any nested references contained in the file also appear in the current drawing. If you do not want nested references, you can attach the external reference as an overlay.

You can attach as many copies of an external reference file as you want. Each copy can have a different position, scale, and rotation angle.

To attach external references

Advanced experience level

  1. Do one of the following:
    • Choose Tools > External Reference.
    • On the Tools toolbar, click the External Reference tool ( [image]).
    • Type xref and then press Enter.
  2. In the prompt box, choose Attach.
  3. Specify the drawing file to attach as an external reference, and then click Open.
  4. Specify the insertion point for the external reference.
  5. Specify the x, y, and z scale factors and the rotation angle, or choose Done to accept the default values.

Tell me about...

Changing the path for external references

Detaching external references

Inserting and binding external references to drawings

Overlaying external references

Reloading external references

Xref Clipping


Detaching external references

To remove an external reference from your drawing, you must detach the reference file. Deleting the external reference does not remove elements such as layers and linetypes added to the current drawing.

To detach an external reference

Advanced experience level

  1. Do one of the following:
    • Choose Tools > External Reference.
    • On the Tools toolbar, click the External Reference tool ( [image]).
    • Type xref and then press Enter.
  2. In the prompt box, choose Detach.
  3. Type the name of the external reference you want to detach from the drawing, and then press Enter.

Tell me about...

Attaching external references

Changing the path for external references

Inserting and binding external references to drawings

Overlaying external references

Reloading external references

Xref Clipping


Reloading external references

If you modify a drawing that is attached to the current drawing as an external reference, you can update the current drawing to display the latest version of the external reference drawing.

To reload an external reference

Advanced experience level

  1. Do one of the following:
    • Choose Tools > External Reference.
    • On the Tools toolbar, click the External Reference tool ( [image]).
    • Type xref and then press Enter.
  2. In the prompt box, choose Reload.
  3. Type the name of the external reference you want to reload, and then press Enter.

NOTE The program automatically reloads all external references each time you open a drawing containing external references and each time you print or plot a drawing containing external references.

Tell me about...

Attaching external references

Changing the path for external references

Detaching external references

Inserting and binding external references to drawings

Overlaying external references

Xref Clipping


Overlaying external references

An overlay is an inserted drawing that contains a link to the original file. Overlays allows you to lay a drawing on top of another drawing, similar to the way you work manually with transparencies.

When a drawing that contains overlaid external references is itself attached or overlaid as an external reference in another drawing, the overlays do not appear as part of the external reference. Use overlaying when you want to see reference geometry in a drawing but you do not need to include that geometry in drawings that will be referenced by others.

To overlay an external reference

Advanced experience level

  1. Do one of the following:
    • Choose Tools > External Reference.
    • On the Tools toolbar, click the External Reference tool ( [image]).
    • Type xref and then press Enter.
  2. In the prompt box, choose Overlay.
  3. In the Select File To Overlay dialog box, specify the drawing file to be overlaid as an external reference, and then click Open.
  4. Specify the insertion point for the external reference.
  5. Specify the x, y, and z scale factors and the rotation angle, or choose Done to accept the default values.

Tell me about...

Attaching external references

Changing the path for external references

Detaching external references

Inserting and binding external references to drawings

Reloading external references

Xref Clipping


Changing the path for external references

If the file associated with an external reference is moved to a different directory or renamed, the program displays a message indicating that it cannot load the external reference. You can reestablish the link to the file by changing the path for the external reference.

To change the external reference path

Advanced experience level

  1. Do one of the following:
    • Choose Tools > External Reference.
    • On the Tools toolbar, click the External Reference tool ( [image]).
    • Type xref and then press Enter.
  2. In the prompt box, choose Path.
  3. Type the name of the external reference whose path you want to change.
  4. Type the new path, and then press Enter.

Tell me about...

Attaching external references

Detaching external references

Inserting and binding external references to drawings

Overlaying external references

Reloading external references

Xref Clipping


Inserting and binding external references to drawings

External references are not part of the drawing. Rather, they are links to an externally referenced file. To provide a copy of a drawing containing external references to someone else, you must also provide all the external reference files. In addition, the person receiving the drawings must either re-create the same paths you used when linking the external references or change the paths for the external references.

The Insert command in the External Reference feature lets you insert an externally referenced drawing as a block. To provide a copy of a drawing that contains an external reference, it is best to insert the external reference as a block.

To insert an external reference as a block

Advanced experience level

  1. Do one of the following:
    • Choose Tools > External Reference.
    • On the Tools toolbar, click the External Reference tool ( [image]).
    • Type xref and then press Enter.
  2. In the prompt box, choose Insert.
  3. Type the name of the external reference you want to insert into the drawing, and then press Enter.

To provide a copy of a drawing that contains external references, it is often easier to first bind the external references to the drawing. Binding the external references makes them a permanent part of the drawing, which is the same as inserting a separate drawing as a block.

To bind an external reference to a drawing

Advanced experience level

  1. Do one of the following:
    • Choose Tools > External Reference.
    • On the Tools toolbar, click the External Reference tool ( [image]).
    • Type xref and then press Enter.
  2. In the prompt box, choose Bind.
  3. Type the name of the external reference you want to bind to the drawing, and then press Enter.

Tell me about...

Attaching external references

Changing the path for external references

Detaching external references

Overlaying external references

Reloading external references

Xref Clipping


Working with xref clipping

After attaching a drawing as an external reference, you can define a clipping boundary using the XCLIP command. Defining a clipping boundary enables you to display only a portion of an external reference and to suppress the display of geometry outside the boundary. Clipping applies to an individual instance of an external reference, not the external reference definition itself. The portion of the external reference within the clipped boundary remains visible, and the remainder of the external reference becomes invisible. The referenced geometry is not altered, only the display of the external reference is edited.

You can use the xclip command to do the following:

  • Create a new clipping boundary

  • Delete an existing boundary
  • Generate a polyline object coincident with vertices of the clipping boundary

You can turn xref clipping on or off. When a clipping boundary is turned off, the boundary does not display and the entire external reference is visible, provided that the geometry is on a layer that is on and thawed. When a clipping boundary is turned off, it still exists and can be turned on. However, deleting a clipping boundary is permanent.

After an external reference has been clipped, it can be edited, moved, or copied just as an unclipped external reference. The boundary moves with the reference. If an external reference contains nested clipped external references, they appear clipped in the drawing. If the parent external reference is clipped, the nested external reference is also clipped.

TIP You can also partially hide blocks using the xclip command.

To define a rectangular clipping boundary

  1. Type xclip and then press Enter.

  2. Select the xrefs and/or blocks you want to be affected by the clipping boundary. All of the selected xrefs and blocks become highlighted.
  3. Press Enter to complete the selection.
  4. Press Enter to create a new boundary (the default option).
  5. If prompted, press Enter to delete the existing boundary.
  6. Choose Rectangular.
  7. Define the first corner of the clipping rectangle.
  8. Define the second corner of the clipping rectangle.

    The selected external reference(s) and/or block(s) are clipped by the rectangle.

TIP You can first select all blocks and/or external references, then right-click and select Xref Clip from the shortcut menu.

To define a clipping boundary using a polyline

  1. Type xclip and then press Enter.

  2. Select the xrefs and/or blocks you want to be affected by the clipping boundary. All of the selected xrefs and blocks become highlighted.

  3. Press Enter to complete the selection.

  4. Press Enter to create a new boundary (the default option).

  5. If prompted, press Enter to delete the existing boundary.

  6. Choose Select Polyline.

  7. Select the polyline to use as clipping boundary.

Other options for the xclip command:

On | Activates all clipping boundaries in the drawing.
Off | Switches off all clipping boundaries.
ClipDepth (3D only) | Defines the clipping depth.
Delete | Deletes the clipping boundary for the selected objects.
Generate Polyline | Creates a polyline from the current clipping boundaries.
New Boundary | Defines a new boundary. If a boundary already exists for the selected objects you are prompted to delete the current boundary.

If you want to see the clipping boundaries, you can turn on the xclipframe system variable. The xclipframe system variable determines whether the clipping boundary frame displays. When the clipping frame is on (set to 1), it can be selected as part of the object and plotted.

To control the display of the clipping boundaries

  1. Type xclipframe and then press Enter.

  2. Choose On or Off from the context menu to toggle the display of the clipping boundaries.

Tell me about...

Attaching external references

Changing the path for external references

Detaching external references

Overlaying external references

Reloading external references


Formatting and printing drawings

You can print a copy of your drawing exactly as you created it, or you can add formatting and specify print controls to change how your drawing looks when it is printed.

Sometimes you may require multiple printed drawings, each with a different look or layout. For example, you may need one printed drawing for a client presentation, along with several other variations for production contractors. For each type of printed drawing that you require, you can create a layout that defines its characteristics, including scale, area to print, pen widths, and more.

Tell me about...

Printing or plotting your drawing

Setting up the Model tab for printing

Setting up Layout tabs for printing

Specifying and saving print options

Understanding paper space and model space

How do I...

Create a new layout

Create layout viewports

Print a drawing


Setting up the Model tab for printing

When you create a drawing, you do most of your work on the Model tab. You can print your drawing exactly the way it is on the Model tab, modify your drawing on the Model tab before printing, or you can set up the drawing on a Layout tab before printing.

You typically use the Layout tabs for printing if you require multiple print layouts. You may also want to use a Layout tab for printing even if you want your drawing printed only one way. For example, if you want to include large amounts of text on your printed drawing, you can add the text to a Layout tab so it does not clutter your drawing while you work on the Model tab.

If you decide to print directly from the Model tab, before you print you can include additional entities and layout settings that control how your drawing prints.

Use these general steps to print a drawing from the Model tab:

  1. On the Model tab, create your drawing.
  2. On the Model tab, include any additional items that may be required for your printed drawing. For example, dimensions, a legend, or a title block.
  3. Specify additional settings for the printed layout, such as the scale of the drawing, print area, pen widths, and more.
  4. Print or plot your drawing.

Tell me about...

Printing or plotting your drawing

Setting up Layout tabs for printing

Specifying and saving print options

How do I...

Print a drawing


Setting up Layout tabs for printing

When you create a drawing, you do most of your work on the Model tab. Each drawing that you create can contain numerous layouts that simulate the paper on which you will print a copy of the drawing. Each of these layouts is created on a Layout tab.

You can prepare a separate layout for each way you want to print your drawing. The layout allows you to organize different views to control which portion of your drawing prints and at what scale.

Before you print, you can also include additional entities and layout settings that control how your drawing prints. Additional items only appear on the Layout tab, not on the Model tab. For example, a layout can contain title blocks, legends, or keynotes that print with your model, but do not clutter the screen when you work with your model on the Model tab.

Use these general steps to prepare your drawing for printing multiple layouts:

  1. On the Model tab, create your drawing.
  2. Create a new layout. You can use an existing Layout1 or Layout2 tab, or you can create a new Layout tab.
  3. Create at least one layout viewport on the Layout tab. Use each viewport to help control which portion of the drawing prints and at what scale.
  4. Include any additional items that may be required for the specific layout, such as dimensions, a legend, or a title block.
  5. Specify additional settings for the layout, such as the scale of the drawing, print area, pen widths, and more.
  6. Print or plot your drawing.

Tell me about...

Printing or plotting your drawing

Setting up the Model tab for printing

Specifying and saving print options

Understanding paper space and model space

Working with layout viewports

How do I...

Create a new layout

Create layout viewports

Manage layouts in a drawing

Print a drawing

Reuse layouts from other files

View drawings in paper space and model space


Understanding paper space and model space

When you start a drawing session, your initial working area is called model space. Model space is an area in which you create two-dimensional and three-dimensional entities based on either the World Coordinate System (WCS) or a user coordinate system (UCS). You view and work in model space while using the Model tab.

Your view of this area is a single viewport that fills the screen. You can create additional views on the Model tab, called viewports, which can show the same or different two-dimensional or three-dimensional views, all of which are displayed in a tiled manner. You can work in only one of these viewports at a time on the Model tab, and you can print only the current viewport.

IntelliCAD provides an additional work area, called paper space. The contents of paper space represent the paper layout of your drawing. In this work area, you can create and arrange different views of your model similar to the way you arrange detail drawings or orthogonal views of a model on a sheet of paper. You can also add keynotes, annotations, borders, title blocks, and other print-related entities in paper space, which reduces clutter when you work with your model in model space.

You view and work in paper space while using a Layout tab. Each view, or layout viewport, that you create in paper space provides a window of your drawing in model space. You can create one layout viewport or several. You can place layout viewports anywhere on the screen; their edges can be touching or not; and you can print them all at the same time. You do not need to use paper space to print your drawing, but it offers several advantages:

  • Print the same drawing with different print settings that you save with each layout, for example, pen widths, printer configuration files, lineweight settings, drawing scale, and more.
  • Add print-related entities that are not essential to the model itself, such as keynotes or annotations, to reduce clutter when you work with your model in model space on the Model tab.
  • For a single layout, create multiple layout viewports that print the model at different views and scales.

Tell me about...

Creating a new layout

Setting up Layout tabs for printing

Viewing drawings in paper space and model space

How do I...

Create a new layout

Create layout viewports

View drawings in paper space and model space


Viewing drawings in paper space and model space

When you work in paper space on a Layout tab, you can still view your drawing in model space. First you need to create a layout viewport in paper space; this allows you to view your model space entities from paper space.

Within a layout viewport you can modify the model space entities, but it is often more convenient to modify these entities on the Model tab.

Zooming or panning the drawing in model space or paper space affects the entire drawing, unless you use multiple windows or viewports.

To view a drawing in model space using the Model tab

  • Click the Model tab.

To view a drawing in paper space using a Layout tab

  1. Do one of the following:
    • Click one of the Layout tabs.
    • Type layout and then press Enter. In the prompt box, choose Set. Type a name for the layout you want to make current, and then press Enter.

The first time you switch to a Layout tab, your drawing seems to disappear. This is normal. You must create at least one layout viewport to see your work.

To view your drawing in model space using a Layout tab

  1. Click the desired Layout tab.
  2. Create and view a layout viewport.

NOTE You can switch between model space and paper space using the Model/Paper toggle in the status bar, or by typing mspace or pspace.

Tell me about...

Changing the magnification of your drawing

Displaying multiple views

Printing or plotting your drawing

Understanding paper space and model space

Using named views

Working with layout viewports

How do I...

Create a new layout

Create layout viewports

Print a drawing


Creating a new layout

In IntelliCAD, you can create multiple layouts for a single drawing. Each layout represents a sheet of paper. For each layout you can specify the print area, print scale, lineweight scale, pen mappings, and add viewports, dimensions, a title block, and other geometry specific to the layout. The entities you add to a layout in paper space do not appear in model space.

Each layout requires at least one layout viewport. This viewport displays the drawing’s model space entities.

When you create a new drawing, the drawing automatically contains two default layouts: Layout1 and Layout2. You can start by using one of the default layouts, you can create your own, or your can create a new layout from another template (.dwt) file, drawing (.dwg) file, or drawing interchange (.dxf) file.

Each drawing can contain up to 255 layouts.

To create a new layout using the Layout1 or Layout2 tab

  1. Click the Layout1 or Layout2 tab.
  2. Set up at least one layout viewport.
  3. If desired, rename the layout.

To create a new layout using a new Layout tab

  1. Do one of the following:
    • Choose Insert > Layout > New Layout.
    • On the Layouts toolbar, click the New Layout tool ( [image]).
    • Type layout, press Enter, and choose New.
  2. Type a unique name for your layout and then press Enter.
  3. The name can be up to 255 characters in length and can contain letters, numbers, the dollar sign ($), hyphen (-), and underscore (_), or any combination.
  4. Set up at least one layout viewport. For details, see Working with layout viewports.

To create a new layout from an existing file

  1. Do one of the following:
    • Choose Insert > Layout > Layout from Template.
    • On the Layouts toolbar, click the Layout from Template tool ( [image]).
    • Type layout, press Enter, and choose Template.
  2. Select the desired template, drawing, or drawing interchange file that contains the layout you want, and then click Open.
  3. Select the layout(s), and then click OK. You can choose multiple layouts by holding down CTRL while selecting layout names.

Tell me about...

Reusing layouts from other files

Managing layouts in a drawing

Setting up Layout tabs for printing

Understanding paper space and model space

Viewing drawings in paper space and model space

Working with layout viewports

How do I...

Copy a layout

Create layout viewports

Delete a layout

Rename a layout

Save a layout as a template

View a list of all layouts

View drawings in paper space and model space


Reusing layouts from other files

Save time by re-using layouts that you have already created. Within the same drawing, you may want to make a copy of a layout that contains most of the settings you want, and then make changes to the new copy. If you created layouts that you want to use again when you create new drawings, you can save the layouts as a drawing template.

To make a copy of a layout

  1. Type layout and then press Enter.
  2. In the prompt box, choose Copy.
  3. Type the name of the layout you want to copy, and then press Enter.
  4. Type a name for the new layout, and then press Enter.

To save a layout as a drawing template

  1. Type layout and then press Enter.
  2. In the prompt box, choose Save.
  3. Type the name of the layout that you want to save, and then press Enter.
  4. Specify the file name and location for the template, and then click Save.

After you save a layout as a template, you can use the template when you create new drawings. You can also import the template’s layouts into another drawing.

Tell me about...

Creating a new layout

Managing layouts in a drawing

Setting up Layout tabs for printing

Understanding paper space and model space

Viewing drawings in paper space and model space

Working with layout viewports

How do I...

Create a new layout

Create layout viewports

Delete a layout

Rename a layout

View a list of all layouts

View drawings in paper space and model space


Managing layouts in a drawing

You can rename layouts, delete layouts, and view a list of all layouts available in a drawing.

To rename a layout

  1. Type layout and then press Enter.
  2. In the prompt box, choose Rename.
  3. Type the name of the layout you want to rename, and then press Enter.
  4. Type a new name for the layout and then press Enter.

The name can be up to 255 characters in length and can contain letters, numbers, the dollar sign ($), hyphen (-), and underscore (_), or any combination.

To delete a layout

  1. Type layout and then press Enter.
  2. In the prompt box, choose Delete.
  3. Type a name for the layout to be deleted and then press Enter.

NOTE You cannot delete the Model tab or an only remaining Layout tab. To delete all geometry from the Model tab or a Layout tab, first select all geometry and then use the erase command.

To view a list of all layouts

  1. Type layout and then press Enter.
  2. In the prompt box, choose ? to list all layouts.
  3. Type s or press Enter to scroll through the layouts.

Tell me about...

Creating a new layout

Reusing layouts from other files

Setting up Layout tabs for printing

Understanding paper space and model space

Viewing drawings in paper space and model space

Working with layout viewports

How do I...

Copy a layout

Create a new layout

Create layout viewports

Save a layout as a template

View drawings in paper space and model space


Working with layout viewports

When you begin working in a drawing on the Model tab, it consists of a single view of your model. You may have created additional views by dividing the drawing space into multiple windows; each window is a separate viewport on the Model tab.

On a Layout tab, you must create at least one layout viewport to see your model. However, you can create multiple layout viewports that display unique views of your model located in model space. Each layout viewport functions as a window into your model space drawing. You can separately control the view, scale, and contents of each layout viewport. Each layout viewport is created as a separate entity that you can move, copy, or delete.

Click any layout viewport to make it the current viewport, and then add or modify model space entities in that viewport. Any changes you make in one layout viewport are immediately visible in the other viewports (if the other layout viewports are displaying that portion of the drawing). Zooming or panning in the current viewport affects only that viewport.

Tell me about...

Changing the magnification of your drawing

Creating layout viewports

Displaying multiple views

Modifying layout viewports

Organizing information on layers

Understanding paper space and model space

Using named views

Viewing and scaling layout viewports

How do I...

Change the scale of model space entities relative to paper space

Create layout viewports

Modifying layout viewport properties

Turn layout viewports on and off


Creating layout viewports

The first time you switch to a Layout tab, all of your model space entities disappear. You must create at least one layout viewport on the Layout tab to see your work.

You can create layout viewports anywhere inside the drawing area. You can control the number of viewports created and the arrangement of the viewports.

To create layout viewports

  1. Do one of the following:
    • Choose View > Layout Viewports.
    • On the Views toolbar, click the Layout Viewports tool ( [image]).
    • Type mview and then press Enter.
  2. In the prompt box, choose Fit To View, Create 2 Viewports, Create 3 Viewports, or Create 4 Viewports, or specify two opposing corners to create a custom viewport.
  3. In the prompt box, choose the viewport orientation.
  4. Do one of the following:
    • To arrange the viewports to fill the current graphic area, in the prompt box, choose Fit To Screen.
    • To fit the viewports within a bounding rectangle, specify the corners of a rectangle.

TIP When you create a layout viewport, the layout viewport border is created on the current layer. You can make layout viewport borders invisible by creating a new layer before you create layout viewports and then turning off that layer after you create the layout viewports. To select a layout viewport’s borders, you must turn that layer back on before you can rearrange or modify the layout viewport.

Tell me about...

Modifying layout viewports

Understanding paper space and model space

Viewing and scaling layout viewports

Working with layout viewports

How do I...

Change the scale of model space entities relative to paper space

Modifying layout viewport properties

Turn layout viewports on and of


Vewing and scaling layout viewports

Viewing and scaling layout viewports

If you have created numerous layout viewports, your system performance may be affected. If necessary, you can turn a layout viewport on or off. Turning off a layout viewport does not delete the viewport or its contents; it simply turns off its display.

You can also change how you view items within a layout viewport by specifying a scale factor, which changes how large or small model space entities appear within the layout viewport.

To turn layout viewports on or off

  1. Click the desired Layout tab.
  2. Do one of the following:
  • Choose View > Layout Viewports.
  • On the View toolbar, click the Layout Viewports tool ( [image]).
  • Type mview and then press Enter.
  3. Choose On or Off.
  4. Select the edge of the layout viewport to turn on or off, and then press Enter.

To change the scale of model space entities relative to paper space

  1. Click the Model tab.
  2. Click a viewport to make it current.
  3. Choose View > Zoom > Zoom.
  4. Type the zoom scale factor relative to paper space by appending the suffix xp to the scale factor, and then press Enter.

For example, to increase the scale of the entities in the viewport on the Model tab to twice the size of paper space units, type 2xp. To decrease the scale to half the size of paper space units, type .5xp.

Tell me about...

Creating layout viewports

Modifying layout viewports

Understanding paper space and model space

Working with layout viewports

How do I...

Create layout viewports

Modifying layout viewport properties


Modifying layout viewports

After you create layout viewports, you can modify them as needed. On the Layout tab, you can snap to the viewport borders using entity snap. You can also copy, delete, move, scale, and stretch layout viewports as you would any other drawing entity.

Modifying a layout viewport on a Layout tab does not affect the model space entities within the layout viewport.

To modify layout viewport properties

  1. Click the desired Layout tab.
  2. Do one of the following:
    • Choose Modify > Properties.
    • On the Modify toolbar, click the Properties tool ( [image]).
    • Type entprop and then press Enter.
  3. Select the edge of the layout viewport you want to modify.
  4. Adjust the center point, width, or height of the viewport.
  5. In Scale, enter the scale at which you want to view model space entities in the layout viewport.
  6. Click OK.

NOTE You can only select layout viewports for modification. If you click a viewport on the Model tab, it makes that viewport active, not available for modification.

Tell me about...

Creating layout viewports

Understanding paper space and model space

Viewing and scaling layout viewports

Working with layout viewports

How do I...

Change the scale of model space entities relative to paper space

Create layout viewports

Turn layout viewports on and of


Specifying and saving print options

Before you print, you can set up many aspects of printing. The following print settings are set globally for all drawings:

  • Specify paper size and orientation.
  • Select and configure a printer or plotting device.
  • Specify headers and footers to print on the top or bottom of a drawing.

You can save the following print settings with the drawing on the Model tab, or with a layout on a Layout tab:

  • Specify the view and scale of a printed drawing, including which portion of a drawing to print, the print scale, and the origin of the print area.
  • Map pen colors and widths.
  • Choose whether to print and scale lineweights.
  • Open printer configuration (PCP) files; create and save PCP files.

Tell me about...

Formatting and printing drawings

Mapping pen colors and width

Selecting a printer or plotter

Using plotter drivers

How do I...

Choose how lineweights print

Include a header or footer

Open or save a printer configuration file

Preview a drawing before printing

Print a drawing

Select a printer or plotter

Set the paper size and orientation


Setting the paper size and orientation

You can specify a paper size and paper orientation for all drawings.

To set the paper size and orientation

  1. Do one of the following:
    • Choose File > Print Setup.
    • On the Layouts toolbar, click the Print Setup tool ( [image]).
    • Type print and press Enter, and then click Print Setup.
  3. Select the paper size and paper orientation, and then click OK.

Tell me about...

Formatting and printing drawings

Printing or plotting your drawing

Specifying and saving print options

Selecting a printer or plotter

How do I...

Preview a drawing before printing

Print a drawing


Selecting a printer or plotter

You can specify a printer or plotter to be used when printing any drawings. You can print your drawing on any printer or plotter that is compatible with Windows, including raster printers.

To select a printer or plotter

  1. Do one of the following:
    • Choose File > Print Setup.
    • On the Layouts toolbar, click the Print Setup tool ( [image]).
    • Type print and press Enter, and then click Print Setup.
  2. From the Printer Name list, select a printer or plotter, and then click OK.

Tell me about...

Formatting and printing drawings

Printing or plotting your drawing

Setting the paper size and orientation

Using printer configuration files

How do I...

Open and save a printer configuration file

Print a drawing

Set the paper size and orientation


Setting the scale and view

You can print or plot the entire drawing or a selected portion, depending on which options you select in the Scale/View tab of the Print dialog box. You can choose to print what is visible on the screen, or you can specify to print an area of the drawing.

You can control the position of the drawing on the paper by specifying the origin of the print area, the location of the lower left corner of the plot area, in relation to the lower left corner of the paper. The origin is normally set to 0,0, which places the lower left corner of the print area as close to the lower left corner of the paper as the printer or plotter will allow. You can specify a different origin, however, by specifying different coordinates.

When you create a drawing, you generally draw entities full-size. When you plot the drawing, you can specify the scale of the resulting print or let the program adjust the size of the drawing to fit the paper. To plot the drawing at a specific scale, specify the scale as a ratio of drawing units to printed units.

If you are printing from a Layout tab, the scale and view options you specify can be different for each layout that you create.

Tell me about...

Changing the magnification of your drawing

Displaying multiple views

Organizing information on layers

Specifying and saving print options

Using named views

How do I...

Automatically scale the drawing for printing

Change the scale of model space entities relative to paper space

Preview a drawing before printing

Print a drawing

Specify a portion of the drawing to print

Specify the print area origin

Specify the scale factor yourself


Scaling the drawing automatically for printing

  1. If necessary, click the desired Layout tab or the Model tab.
  2. Do one of the following:
    • Choose File > Print.
    • Type print and then press Enter.
  3. Click the Scale/View tab.
  4. To scale the drawing to fit on one printed page, select the check box under Print Scale.
  5. Select Save Changes to Layout, and then click Apply to save your changes.

Tell me about...

Setting the scale and view

Specifying and saving print options

How do I...

Preview the drawing before printing

Print a drawing

Specify a portion of the drawing to print

Specify the print area origin

Specify the scale factor yourself


Specifying the scale factor yourself

  1. If necessary, click the desired Layout tab or the Model tab.
  2. Do one of the following:
    • Choose File > Print.
    • Type print and then press Enter.
  3. From the Print dialog box, click the Scale/View tab.
  4. Under Print Scale, clear the check box.
  5. Under User Defined Scale, type the ratio of printed units of measure (inches or millimeters) to drawing units.
  6. To specify the printed units of measure, click Inches or Millimeters.
  7. Select Save Changes to Layout, and then click Apply to save your changes.

Tell me about...

Setting the scale and view

Specifying and saving print options

How do I...

Automatically scale the drawing for printing

Preview the drawing before printing

Print a drawing

Specify a portion of the drawing to print

Specify the print area origin


Specifying a portion of the drawing to print

  1. If necessary, click the desired Layout tab or the Model tab.
  2. Do one of the following:
    • Choose File > Print.
    • Type print and then press Enter.
  3. Select the Scale/View tab.
  4. Under Print Area, click one of the following:
    • Current View - prints the view on the screen.
    • Saved View - prints the selected saved view.
    • Extents - prints the area that contains entities in the drawing..
    • Limits - prints to the limits defined for the layout or drawing.
    • Window - prints the portion of the drawing contained in the specified window, maintaining the aspect ratio of the windowed area to the drawing.
  5. If you clicked Window, you must specify the window. Under Windowed Print Area, enter the diagonal x- and y-coordinates of the window, or select the area on the screen.
    6. To print only the area in the window without considering whether there is extra space on the screen, select the Print Only Area Within Specified Window check box.
  6. Under Entities To Print, click one of the following:
    • All Entities Within Print Area - prints all drawing entities contained within the specified print area.
    • Selected Entities Within Print Area - prints only the entities you select from within the specified print area.
  7. Select Save Changes to Layout, and then click Apply to save your changes.

Tell me about...

Setting the scale and view

Specifying and saving print options

How do I...

Automatically scale the drawing for printing

Preview the drawing before printing

Print a drawing

Specify the print area origin

Specify the scale factor yourself


Specifying the print area origin

  1. If necessary, click the desired Layout tab or the Model tab.
  2. Do one of the following:
    • Choose File > Print.
    • Type print and then press Enter.
  3. Click the Advanced tab.
  4. Under Origin Of Print Area, do one of the following:
    • To center the specified print area on the printed page, select the Center On Page check box.
    • To specify an origin for the print area, type the x- and y-coordinates, or click Select Origin and then specify a point on the drawing.
  5. Select Save Changes to Layout, and then click Apply to save your changes.

Tell me about...

Setting the scale and view

Specifying and saving print options

How do I...

Automatically scale the drawing for printing

Preview the drawing before printing

Print a drawing

Specify a portion of the drawing to print

Specify the scale factor yourself


Mapping pen colors and width

You can map the colors that display on your screen to the colors that you want sent to your output device. For example, you can map a screen color of yellow to an output color of purple, so that all entities that display on the screen as yellow will print as purple, in whatever line width you specify.

Rather than focusing on actual pens in specific plotters, IntelliCAD supports mapping to any Windows output device, including raster printers.

The color and width options you specify can be different for each layout that you create.

Tell me about...

Changing the polyline width

Setting the axis colors

Setting the current entity color

Setting the graphics screen color

Setting the layer color

Specifying and saving print options

How do I...

Change a line width

Change an output color

Change the layer color

Map all colors to black


Changing an output color

  1. If necessary, click the desired Layout tab or the Model tab.
  2. Do one of the following:
    • Choose File > Print.
    • Type print and then press Enter.
  3. Click the PenMap/Width tab.
  4. From the Output Color column, click the output color you want to change. The output color corresponds to the screen color in the same row.
  5. From the Color selection palette, select the new output color, and then click OK.
  6. Verify or change your selections under Map Properties.
  7. Select Save Changes to Layout, and then click Apply to save your changes.

NOTE To change multiple screen colors to the same output color, select the screen colors from the Screen Color column; then select the output color.

Tell me about...

Changing the polyline width

Mapping pen colors and width

Setting the axis colors

Setting the current entity color

Setting the graphics screen color

Setting the layer color

How do I...

Change a line width

Change the layer color

Map all colors to black

Apply a uniform width to an entire polyline

Taper the width of an individual polyline segment


Changing a line width

  1. If necessary, click the desired Layout tab or the Model tab.
  2. Do one of the following:
    • Choose File > Print.
    • Type print and then press Enter.
  3. Click the PenMap/Width tab.
  4. In the Line Width column, select the line width you want to change.
    5. The line width corresponds to the output color in the same row.
  5. Type the new line width value.
  6. Verify or change your selections under Map Properties.
  7. Select Save Changes to Layout, and then click Apply to save your changes.

    8. NOTE When specifying line width, be sure to consider the limitations of your output device.

Tell me about...

Changing the polyline width

Mapping pen colors and width

Setting the axis colors

Setting the current entity color

Setting the graphics screen color

Setting the layer color

How do I...

Apply a uniform width to an entire polyline

Change an output color

Change the layer color

Map all colors to black

Taper the width of an individual polyline segment


Mapping all colors to black

  1. If necessary, click the desired Layout tab or the Model tab.
  2. Do one of the following:
    • Choose File > Print.
    • Type print and then press Enter.
  3. Click the Color/Width Map tab.
  4. From the Screen Color column, select all the colors in the column. To select all the colors, under Screen Color, click the first color, then scroll to the bottom of the column, and on the last color, press Shift+click.
  5. Under Map Properties, click the swatch for Output Color, and then click OK.
    6. Alternatively, from the Output Color column, select black (screen color 250).
  6. Verify or change your selections under Map Properties.
  7. Select Save Changes to Layout, and then click Apply to save your changes.

    8. NOTE IntelliCAD saves your print settings each time you print. To restore the IntelliCAD default print settings, click Reset in the Print dialog box.

Tell me about...

Changing the polyline width

Mapping pen colors and width

Setting the axis colors

Setting the current entity color

Setting the graphics screen color

Setting the layer color

How do I...

Apply a uniform width to an entire polyline

Change a line width

Change an output color

Change the layer color

Taper the width of an individual polyline segment


Including a header or footer

You can include header and footer information such as a date and time stamp, your name and company name, or other information you want to appear at the top or bottom of the printed drawing.

To include a header or footer

  1. Do one of the following:
    • Choose File > Print.
    • Type print and then press Enter.
  2. Click the Advanced tab.
  3. Under Header And Footer, type or select header and footer content.

Tell me about...

Formatting and printing drawings

Printing or plotting your drawing

Specifying and saving print options

How do I...

Preview a drawing before printing

Print a drawing


Choosing how lineweights print

Each layout in your drawing can specify whether to print and scale lineweights. If entities are assigned lineweights, you can control whether they print with the assigned lineweights. If you turn off lineweight printing, entities print with a default outline. You can also control whether lineweights print in proportion to the scale you set on the Scale/View tab.

To set lineweight options

  1. If necessary, click the desired Layout tab or the Model tab.
  2. Do one of the following:
    • Choose File > Print.
    • Type print and press Enter.
  3. Click the Advanced tab.
  4. Choose how you want to print lineweights:
    • Use Lineweight - prints entities with their assigned lineweights.
    • Scale Lineweight - prints lineweights in proportion to the scale you set on the Scale/View tab. If not selected, lineweights print at their assigned size without adjustments for the print scale. (A Layout tab must be active to scale lineweights.)
  5. Select Save Changes to Layout, and then click Apply to save your changes.

Tell me about...

Controlling the display of lineweights

Formatting and printing drawings

Mapping pen colors and width

Printing or plotting your drawing

Specifying and saving print options

Setting the current lineweight

How do I...

Preview a drawing before printing

Print a drawing


Using printer configuration files

Printer configuration files store the printer information you create for specific drawings, which eliminates the need to completely reconfigure your print settings each time you print a drawing. IntelliCAD supports the plot configuration (PCP) file format used by AutoCAD. This feature makes it possible to use existing PCP files saved in AutoCAD, as well as to save your IntelliCAD print configuration settings to a PCP format.

TIP You can convert an AutoCAD PC2 file to PCP format using the Device And Default selection feature in the AutoCAD Print dialog box.

The printer configuration files that you specify can be different for each layout that you create.

To open or save a PCP file

  1. If necessary, click the desired Layout tab or the Model tab.
  2. Do one of the following:
    • Choose File > Print.
    • Type print and then press Enter.
  3. Click the Advanced tab.
  4. Under Configuration File, click Open to open a saved PCP file, or click Save to save the current print configuration settings to a new PCP file.
  5. Select Save Changes to Layout, and then click Apply to save your changes.

Tell me about...

Formatting and printing paper drawings

Printing or plotting your drawing

Using plotter drivers

How do I...

Automatically scale the drawing for printing

Preview the drawing before printing

Print a drawing

Specify a portion of the drawing to print

Specify the print area origin


Using plotter drivers

To plot your drawing, the program sends the output to any printer driver in up to 256 colors, but with no width specified. Initially, the plot will have a uniform fine width that is the finest line that the plotter device can produce. The driver then passes colored vectors to the printer, which creates color output on color printers and grayscale output on laser printers. (Color output that converts to grayscale on a laser printer usually is unacceptable by CAD users for final plotting.)

With the Print dialog box, you can map all colors to black and set all line weights to the width you choose by selecting the number of printed pixels you want for the line width. For example, if you choose a 600-dot-per-inch printer and enter 1 in the Printed Line Weight field, it prints as an approximate .002-inch line width. You must use a value appropriate to your printing capabilities. With these features, you can meet most non-presentation plot needs.

Tell me about...

Formatting and printing paper drawings

Specifying and saving print options

Using printer configuration files

How do I...

Open or save a printer configuration file

Preview the drawing before printing

Print a drawing


Printing or plotting your drawing

After you have configured your drawing and any layouts for printing, you are ready to print. If desired, you can preview your page before printing.

Tell me about...

Previewing a drawing before printing

Printing a drawing

Specifying and saving print options

Using plotter drivers

How do I...

Preview a drawing before printing

Print a drawing


Previewing a drawing before printing

Viewing a drawing before printing gives you a preview of what your drawing will look like when it is printed. This helps you see if there are any changes you want to make before actually printing the drawing.

To preview a drawing before printing

  1. If necessary, click the desired Layout tab or the Model tab.
  2. Do one of the following:
    • Choose File > Print Preview.
    • On the Standard toolbar, click the Print Preview tool ( [image]).
    • Type ppreview and then press Enter.
  3. After checking the preview image, do one of the following:
    • To print the drawing, click Print to display the Print dialog box.
    • To return to the drawing, click Close.

Tell me about...

Changing the magnification of your drawing

Printing or plotting your drawing

Specifying and saving print options

How do I...

Automatically scale the drawing for printing

Print a drawing

Specify a portion of the drawing to print

Specify the print area origin


Printing a drawing

The Print dialog box is organized by tabs into three functional areas: scaling and viewing; color and width mapping; and advanced printing options. The print setting options available under each tab were described in the previous sections.

To print a drawing

  1. If necessary, click the desired Layout tab or the Model tab.
  2. Do one of the following:
    • Choose File > Print.
    • On the Standard toolbar, click the Print tool ( [image]).
    • If you click the Print tool, the Print dialog box does not display. Your drawing will be sent directly to the selected printer.
    • Type print and then press Enter.
  3. From the Print dialog box, make any adjustments to the settings.
  4. Click Print.

NOTE Instead of using the print settings you saved with your layout, you can select Previous Plot in the Use Settings list to print according to the settings used the last time you printed. If necessary, you can click Reset to restore the IntelliCAD default print settings.

Tell me about...

Printing or plotting your drawing

Specifying and saving print options

Using plotter drivers

How do I...

Automatically scale the drawing for printing

Preview a drawing before printing

Specify a portion of the drawing to print

Specify the print area origin


Drawing in three dimensions

Paper drawings typically represent two-dimensional views of three-dimensional objects. With IntelliCAD, you can create three-dimensional models of three-dimensional objects.

This section explains how to:

  • View entities in three dimensions.
  • Create three-dimensional entities.
  • Edit entities in three-dimensional space.
  • Edit three-dimensional solids.
  • Display hidden-line and shaded views of three-dimensional entities.

    The tools and commands for many of the functions described in this section appear on the Draw 3D toolbar and the Insert menu, respectively, when you set the program to the Advanced experience level.

Tell me about...

Viewing entities in three dimensions

Creating three-dimensional entities

Editing in three dimensions

Edit three-dimensional solids

Hiding, shading, and rendering


Viewing entities in three dimensions

You can view an IntelliCAD drawing from any position in three-dimensional space. From any selected viewing position, you can add new entities and modify existing entities. You can also generate hidden-line and shaded views from any viewing direction.

Tell me about...

Changing named view properties

Displaying multiple views

Displaying the previous view of a drawing

Dividing the current window into multiple views

Restoring named views

Saving and naming views

Saving and viewing snapshots

Setting the viewing direction

Viewing your drawing

Working with layout viewports


Setting the viewing direction

You view three-dimensional drawings by setting the viewing direction. The viewing direction establishes the viewing position, the Cartesian coordinate corresponding to the viewpoint looking back at the origin point, the 0,0,0 coordinate. When you view a drawing from the default viewpoint (0,0,1), you see a plan view of the drawing.

On the View toolbar, you can view a three-dimensional drawing using any of the following methods:

  • Preset Viewpoints ( [image])
  • Dynamic View Control ( [image])
  • Plan View ( [image])

    • You can change the viewing direction to look at the drawing from a different vantage point or to work on a three-dimensional model from a different orientation.

Tell me about...

Changing named view properties

Displaying multiple views

Displaying the previous view of a drawing

Dividing the current window into multiple views

Restoring named views

Saving and naming views

Saving and viewing snapshots

Viewing your drawing

Working with layout viewports

How do I...

Display a plan view of the current drawing

Dynamically set a view direction

Set a new viewing direction


Creating three-dimensional entities

IntelliCAD supports the following types of three-dimensional models:

  • Wire-frame models, which consist of lines and curves that define the edges of a three-dimensional entity. You can create a wire-frame model by drawing lines, arcs, polylines, and other two-dimensional entities anywhere in three-dimensional space. Wire-frame models have no surfaces; they always appear as outlines. Because you must individually draw and position each entity that makes up a wire-frame model, creating one can be exacting and time-consuming.
  • Surface models, which consist of both edges and the surfaces between those edges. You can create a surface model by applying elevation and thickness to two-dimensional planar entities or by using specific three-dimensional entity-creation commands. Surface models consist of individual planes forming a faceted, polygonal mesh.

Tell me about...

About drawing in three dimensions

Arraying in three dimensions

Creating three-dimensional faces

Editing in three dimensions

Mirroring in three dimensions

Rotating in three dimensions

Using three-dimensional coordinates

Viewing entities in three dimensions

How do I...

Create a three-dimensional face

Create a three-dimensional polar array

Create a three-dimensional rectangular array

Draw an arc by specifying three points

Mirror an entity about a three-dimensional plane

Rotate an entity about an axis in three dimensions


Applying elevation and thickness

By default, the program creates new two-dimensional entities with a zero elevation and thickness. The easiest way to create a three-dimensional entity is to change the elevation or thickness property of an existing two-dimensional entity.

The elevation of an entity is its z-coordinate position in relation to the xy plane in which the entity is drawn. An elevation of 0 indicates that the entity is drawn on the xy plane of the current UCS. Positive elevations are above this plane; negative elevations are below it.

The thickness of an entity is the distance it is extruded above or below its elevation. A positive thickness extrudes the entity upward in the positive z direction of the entity; a negative thickness extrudes it downward in the negative z direction. The thickness is applied uniformly to the entire entity. You can extrude any two-dimensional entity into a three-dimensional entity by changing the thickness of the entity to a nonzero value. For example, a circle becomes a cylinder, a line becomes a three-dimensional plane, and a rectangle becomes a box.

Two-dimensional entities. | Two-dimensional entities with thickness added.

You can create three-dimensional entities using any of the following methods:

  • Draw two-dimensional entities in three-dimensional space.
  • Convert two-dimensional planar entities into three-dimensional entities by applying elevation and thickness.
  • Convert two-dimensional planar entities into three-dimensional entities by revolving or extruding.
  • Create three-dimensional entities such as boxes, cylinders, cones, domes, spheres, and wedges.

    • You can change the default elevation and thickness values to create new entities with an elevation and thickness already applied.

Tell me about...

Creating three-dimensional entities

Editing in three dimensions

Setting the current elevation

Setting the current elevation and thickness using a dialog box

Setting the current thickness

How do I...

Change the thickness and elevation of an existing entity

Create a three-dimensional face

Set the current elevation

Set the current elevation and thickness using a dialog box

Set the current thickness


Creating three-dimensional faces

You can create a three-dimensional face, which consists of a section of a plane in three-dimensional space. You define a three-dimensional face by specifying the x,y,z coordinates of three or more corners. After you specify the fourth point, the program continues to prompt you for additional faces by alternating prompts for the third point and fourth point to allow you to build a complex three-dimensional entity. Each three- or four-sided plane is created as a separate three-dimensional face entity.

To create a three-dimensional face

Advanced experience level

  1. Do one of the following:
    • Choose Insert > 3D Entities > Face.
    • On the Draw 3D toolbar, click the Face tool ( [image]).
    • Type face and then press Enter.
  2. Specify the first point of the three-dimensional face.
  3. Specify the second, third, and fourth points.
  4. Specify the third and fourth points for additional faces.
  5. To complete the command, press Enter.

TIP Any or all edges of a three-dimensional face can be invisible to allow you to more accurately model entities with holes in them. As the program prompts you for the corner points, in the prompt box, choose Invisible Edge to make the next edge invisible.

An example of a three-dimensional model created using three-dimensional faces.

Tell me about...

Creating three-dimensional entities

Editing in three dimensions

Setting the current elevation

Setting the current elevation and thickness using a dialog box

Setting the current thickness

How do I...

Change the thickness and elevation of an existing entity

Set the current elevation

Set the current elevation and thickness using a dialog box

Set the current thickness


Creating rectangular meshes

You can create a three-dimensional rectangular mesh consisting of four-sided polygons. You determine the size of the mesh by specifying the number of vertices along the primary (M-direction) and secondary (N-direction) mesh axes and then specifying the coordinates for each vertex.

To create a rectangular mesh

Advanced experience level

  1. Do one of the following:
    • Choose Insert > 3D Entities > Mesh.
    • On the Draw 3D toolbar, click the Mesh tool ( [image]).
    • Type mesh and then press Enter.
  2. Specify the number of vertices along the primary mesh axis.
  3. Specify the number of vertices along the secondary mesh axis.
  4. Specify the coordinates for each vertex.
    5. Specifying the coordinates for the last vertex completes the mesh and ends the command.

TIP Although creating rectangular meshes manually can be exacting, they are useful for representing complex surfaces such as three-dimensional terrain models. The Mesh tool is most useful when combined with scripts or LISP programs that mathematically calculate the coordinates of the vertices.

An example of a three-dimensional terrain model created using rectangular meshes.

Tell me about...

Creating edge-defined Coons surface patch meshes

Creating extruded surface meshes

Creating polyface meshes

Creating revolved surface meshes

Creating ruled surface meshes

How do I...

Create a polyface mesh

Create a revolved surface mesh

Create a ruled surface mesh

Create an edge-defined Coons surface patch mesh

Create an extruded surface mesh


Creating polyface meshes

You can create a polygon mesh consisting of faces connecting three or more vertices. You first determine the coordinates of each vertex and then define each face by entering the vertex numbers for all the vertices of that face. As you create each face, you can control the visibility and color of each edge and assign each edge to specific layers.

To create a polyface mesh

Advanced experience level

  1. Do one of the following:
    • Choose Insert > 3D Entities > Polyface Mesh.
    • On the Draw 3D toolbar, click the Polyface Mesh tool ( [image]).
    • Type pface and then press Enter.
  2. Specify the coordinates of each vertex.
    3. After each vertex that you specify, the next vertex number is displayed, and you are prompted for the coordinates of the vertex. Specify the coordinates, and then press Enter. Continue to specify the coordinates for each numbered vertex.
  3. To finish specifying vertex coordinates, press Enter.
  4. Specify the vertex numbers that define the first face.
    5. You specify the face by entering the vertex numbers that were defined when you specified coordinates in step 2. Each face can be composed of three or more numbered vertices.
  5. To finish defining the first face, press Enter.
  6. Specify the next face by entering its vertex numbers.
  7. To complete the command, press Enter.

TIP To make an edge invisible, type the vertex number as a negative value.

Tell me about...

Creating edge-defined Coons surface patch meshes

Creating extruded surface meshes

Creating rectangular meshes

Creating revolved surface meshes

Creating ruled surface meshes

Creating three-dimensional entities

How do I...

Create a rectangular mesh

Create a revolved surface mesh

Create a ruled surface mesh

Create an edge-defined Coons surface patch mesh

Create an extruded surface mesh


Creating ruled surfaces

You can create a ruled surface, which is a three-dimensional body that approximates the surface between two existing entities. You select the two entities that define the ruled surface. These entities can be arcs, circles, lines, points, or polylines.

To create a ruled surface

  1. Advanced experience level
  2. Do one of the following:
    • Choose Insert > 3D Entities > Ruled Surface.
    • On the Draw 3D toolbar, click the Ruled Surface tool ( [image]).
    • Type rulesurf and then press Enter.
  3. Select the first defining entity.
  4. Select the second defining entity.

Select the first (A) and second (B) defining entities. | The resulting ruled surface mesh.

Tell me about...

Creating polyface meshes

Creating rectangular meshes

Creating extruded surfaces

Creating revolved surfaces

Creating edge-defined Coons surfaces

How do I...

Create a polyface mesh

Create a rectangular mesh

Create a revolved surface

Create an edge-defined Coons surface

Create an extruded surface


Creating extruded surfaces

You can create an extruded surface, which is a three-dimensional body that approximates the surface generated by extruding a path curve along a direction vector. You select the two entities that define the path curve and direction vector. The length of the direction vector determines the distance the path curve is moved along the direction vector. The extruded entity can be an arc, circle, line, or polyline. You can choose a line or open polyline as the direction vector. The resulting body consists of a series of parallel polygonal planes running along the specified path.

To create an extruded surface

  1. Advanced experience level
  2. Do one of the following:
    • Choose Insert > 3D Entities > Extruded Surface.
    • On the Draw 3D toolbar, click the Extruded Surface tool ( [image]).
    • Type tabsurf and then press Enter.
  3. Select the entity to extrude.
  4. Select the extrusion path.

Select the entity to extrude (A) and the extrusion path (B). | The resulting extruded surface mesh.

NOTE An extruded body is different from an extruded solid. If you wish to extrude an entity and convert it to a three-dimensional solid, use the Extrude command.

Tell me about...

Creating edge-defined Coons surface patch meshes

Creating polyface meshes

Creating rectangular meshes

Creating revolved surfaces

Creating ruled surfaces

How do I...

Create a polyface mesh

Create a rectangular mesh

Create a revolved surface

Create a ruled surface

Create an edge-defined Coons surface


Creating revolved surfaces

You can create a surface of revolution, which is a three-dimensional body that approximates the surface generated by rotating a two-dimensional profile around an axis. You select the two entities that define the profile and the axis. You also specify the starting angle and the number of degrees to revolve the profile.

Revolving the profile 360 degrees creates a closed body.

To create a revolved surface

  1. Advanced experience level
  2. Do one of the following:
    • Choose Insert > 3D Entities > Revolved Surface.
    • On the Draw 3D toolbar, click the Revolved Surface tool ( [image]).
    • Type revsurf and then press Enter.
  3. Select the entity to revolve.
  4. Select the entity to be used as the axis of revolution.
  5. Specify the starting angle.
  6. Specify the number of degrees to revolve the entity.

Select the entity to be revolved (A) and the axis of revolution (B). | The resulting revolved surface mesh.

Tell me about...

Creating polyface meshes

Creating rectangular meshes

Creating ruled surfaces

Creating extruded surfaces

Creating edge-defined Coons surfaces

How do I...

Create a polyface mesh

Create a rectangular mesh

Create a ruled surface

Create an extruded surface

Create an edge-defined Coons surface


Creating edge-defined Coons surfaces

You can create a surface called a Coons surface, a region connecting four edges. You select the entities that define the edges. Edge entities can be arcs, lines, or polylines. The four edge entities must form a closed loop and share endpoints. You can select the edges in any order.

To create an edge-defined Coons surface

  1. Advanced experience level
  2. Do one of the following:
    • Choose Insert > 3D Entities > Coons Surface.
    • On the Draw 3D toolbar, click the Coons Surface tool ( [image]).
    • Type edgesurf and then press Enter.
  3. Select the first edge.
  4. Select the second, third, and fourth edges.

Select the entities to be used as the four edges (A, B, C, and D). | The resulting Coons surface patch.

Tell me about...

Creating polyface meshes

Creating rectangular meshes

Creating ruled surfaces

Creating extruded surfaces

Creating revolved surfaces

How do I...

Create a polyface mesh

Create a rectangular mesh

Create a revolved surface

Create a ruled surface

Create an extruded surface


Creating boxes

You can create a rectangular box, or cube. A box consists of six rectangular surface planes. The base of the box is always parallel to the xy plane of the current UCS. You position the box by specifying either a corner or the center of the box. You determine the size of the box by either specifying a second corner and the height; defining the box to be a cube and then providing its length; or specifying the length, width, and height.

NOTE The box is created as a three-dimensional ACIS solid.

To create a box

  1. Do one of the following:
    • Choose Insert > 3D Entities > Box.
    • On the Solids toolbar, click the Box tool ( [image]).
    • Type box and then press Enter.
  2. Specify the first corner of the base.
  3. Specify the opposite corner of the base.
  4. Specify the height.

First corner of the base (A), the opposite corner of the base (B), and the height (C).

To create a box as a three-dimensional surface

To create a box as a surface instead of as a solid, the procedure is similar.

  1. Do one of the following:
    • On the Draw 3D toolbar, click the Box tool ( [image]).
    • Type ai_box and then press Enter.
  2. Specify the first corner of the base.
  3. Specify the opposite corner of the base.
  4. Specify the height.

Tell me about...

Creating cones

Creating cylinders

Creating dishes

Creating domes

Creating pyramids

Creating spheres

Creating three-dimensional entities

Creating tori

Creating wedges

How do I...

Create a cone

Create a cylinder

Create a dish

Create a dome

Create a pyramid with a planar top

Create a sphere

Create a tetrahedron

Create a torus


Creating wedges

You can create a three-dimensional wedge consisting of five surface planes. The base of the wedge is always parallel to the xy plane of the current UCS with the sloped face opposite the first corner. The height is always parallel to the z-axis. You position the wedge by specifying either a corner or the center of the wedge. You determine the size of the wedge by either specifying a second corner and the height; defining the wedge based on a cube having a given length; or specifying the length, width, and height.

NOTE The wedge is created as a three-dimensional ACIS solid.

To create a wedge

  1. Do one of the following:
    • Choose Insert > 3D Entities > Wedge.
    • On the Solids toolbar, click the Wedge tool ( [image]).
    • Type wedge and then press Enter.
  2. Specify the first corner of the base.
  3. Specify the opposite corner of the base.
  4. Specify the height.

First corner of the base (A), the opposite corner of the base (B), and the height (C).

To create a wedge as a three-dimensional surface

To create a wedge as a surface instead of as a solid, the procedure is similar.

  1. Do one of the following:
    • Choose Insert > 3D Entities > Wedge.
    • On the Draw 3D toolbar, click the Wedge tool ( [image]).
    • Type ai_wedge and then press Enter.
  2. Specify the first corner of the base.
  3. Specify the opposite corner of the base.
  4. Specify the height.

Tell me about...

Creating boxes

Creating cones

Creating cylinders

Creating dishes

Creating domes

Creating pyramids

Creating spheres

Create a tetrahedron

Creating three-dimensional entities

Creating tori

How do I...

Create a box

Create a cone

Create a cylinder

Create a dish

Create a dome

Create a pyramid with a planar top

Create a sphere

Create a tetrahedron

Create a torus


Creating cones

You can create a three-dimensional cone defined by a circular base and tapering to a point perpendicular to the base. The base of the cone is always parallel to the xy plane of the current UCS; the height of the cone is always parallel to the z-axis. You position the cone by specifying the center of the base. You determine the size of the cone by specifying either the radius or the diameter of the base and the height.

NOTE The cone is created as a three-dimensional ACIS solid.

To create a cone

  1. Do one of the following:
    • Choose Insert > 3D Entities > Cone.
    • On the Solids toolbar, click the Cone tool ( [image]).
    • Type cone and then press Enter.
  2. Specify the center of the base of the cone.
  3. Specify the radius or diameter.
  4. Specify the height.

Center of the base (A), radius of the base (B), and the height (C).

To create a cone as a three-dimensional surface

  1. Do one of the following:
    • On the Draw 3D toolbar, click the Cone tool ( [image]).
    • Type ai_cone and then press Enter.
  2. Specify the center of the base of the cone.
  3. Specify the radius or diameter.
  4. Specify the height.

Tell me about...

Creating boxes

Creating cylinders

Creating dishes

Creating domes

Creating pyramids

Creating spheres

Creating three-dimensional entities

Creating tori

Creating wedges

How do I...

Create a box

Create a cylinder

Create a dish

Create a dome

Create a pyramid with a planar top

Create a sphere

Create a tetrahedron

Create a torus

Create a wedge


Creating pyramids

You can create a tetrahedron (three-sided pyramid) or a four-sided pyramid. The sides of the resulting pyramid can meet at a point (the apex) or can form a three- or four-edged top. The sides of a four-sided pyramid can also meet along a ridge defined by two points. The base of the pyramid is always parallel to the xy plane of the current UCS. You position the pyramid by specifying a corner of the base. You determine the size of the pyramid by specifying the base points and either the apex, the corners of the top surface, or the endpoints of the ridge.

NOTE The tetrahedron and pyramid are created as three-dimensional ACIS solids.

To create a tetrahedron

  1. Do one of the following:
    • Choose Insert > 3D Entities > Pyramid.
    • On the Solids toolbar, click the Pyramid tool ( [image]).
    • Type pyramid and then press Enter.
  2. Specify the first point for the base of the pyramid.
  3. Specify the second and third points.
  4. In the prompt box, choose Tetrahedron.
  5. Specify the apex of the tetrahedron.

The first point (A), second point (B), and third point (C) of the base, and the apex (D).

To create a pyramid with a planar top

  1. Do one of the following:
    • Choose Insert > 3D Entities > Pyramid.
    • On the Solids toolbar, click the Pyramid tool ( [image]).
    • Type pyramid and then press Enter.
  2. Specify the first point for the base of the pyramid.
  3. Specify the second, third, and fourth points.
  4. In the prompt box, choose Top Surface.
  5. Specify the first point on the top surface of the pyramid.
  6. Specify the second, third, and fourth points.

The first point (A), second point (B), third point (C), and fourth point (D) of the base, and the first point (E), second point (F), third point (G), and fourth point (H) of the top surface.

To create a pyramid as a three-dimensional surface

    To create a pyramid as a surface instead of as a solid, the procedure is similar.

  1. Do one of the following:
    • On the Draw 3D toolbar, click the Pyramid tool ( [image]).
    • Type ai_pyramid and then press Enter.
  2. Specify the points as described previously.

Tell me about...

Creating boxes

Creating cones

Creating cylinders

Creating dishes

Creating domes

Creating spheres

Creating three-dimensional entities

Creating tori

Creating wedges

How do I...

Create a box

Create a cone

Create a cylinder

Create a dish

Create a dome

Create a sphere

Create a torus

Create a wedge


Creating cylinders

You can create a cylinder defined by a circular base. The base of a cylinder is always parallel to the xy plane of the current UCS; the height of a cylinder is always parallel to the z-axis. You position a cylinder by specifying the center of the base. You determine the size of a cylinder by specifying either the radius or diameter of the base and the height.

NOTE The cylinder is created as a three-dimensional ACIS solid.

To create a cylinder

  1. Do one of the following:
    • Choose Insert > 3D Entities > Cylinder.
    • On the Solids toolbar, click the Cylinder tool ( [image]).
    • Type cylinder and then press Enter.
  2. Specify the center of the base of the cylinder.
  3. Specify the radius or diameter.
  4. Specify the height.

Center of the base (A), the radius of the base (B), and the height (C).

To create a cylinder as a three-dimensional surface

To create a cylinder as a surface instead of as a solid, the procedure is similar.

  1. Do one of the following:
    • On the Draw 3D toolbar, click the Cylinder tool ( [image]).
    • Type ai_cylinder and then press Enter.
  2. Specify the center of the base of the cylinder.
  3. Specify the radius or diameter.
  4. Specify the height.

Tell me about...

Creating a block

Creating boxes

Creating cones

Creating dishes

Creating domes

Creating pyramids

Creating spheres

Creating three-dimensional entities

Creating tori

Creating wedges

How do I...

Create a box

Create a cone

Create a dish

Create a dome

Create a pyramid with a planar top

Create a sphere

Create a tetrahedron

Create a torus

Create a wedge


Creating spheres

You can create a sphere. The latitude lines of a sphere are always parallel to the xy plane of the current UCS; the central axis is always parallel to the z-axis. You position a sphere by specifying its center point. You determine the size of a sphere by specifying either its radius or its diameter.

NOTE The sphere is created as a three-dimensional ACIS solid.

To create a sphere

  1. Do one of the following:
    • Choose Insert > 3D Entities > Sphere.
    • On the Solids toolbar, click the Sphere tool ( [image]).
    • Type sphere and then press Enter.
  2. Specify the center of the sphere.
  3. Specify the radius or diameter.

Center (A) and radius (B) of the sphere. | The resulting sphere.

To create a sphere as a three-dimensional surface

To create a sphere as a surface instead of as a solid, the procedure is similar.

  1. Do one of the following:
    • On the Draw 3D toolbar, click the Sphere tool ( [image]).
    • Type ai_sphere and then press Enter.
  2. Specify the center of the sphere.
  3. Specify the radius or diameter.
  4. Specify the number of longitudinal sections that are perpendicular to the xy plane.
  5. Specify the number of latitudinal sections that are parallel to the xy plane.

Tell me about...

Creating boxes

Creating cones

Creating cylinders

Creating dishes

Creating domes

Creating pyramids

Creating three-dimensional entities

Creating tori

Creating wedges

How do I...

Create a box

Create a cone

Create a cylinder

Create a dish

Create a dome

Create a tetrahedron

Create a torus

Create a wedge


Creating dishes

You can create a three-dimensional dish. The latitude lines of a dish are always parallel to the xy plane of the current UCS; the central axis is always parallel to the z-axis. You position a dish by specifying its center point. You determine the size of a dish by specifying either its radius or its diameter.

NOTE The dish is created as a three-dimensional ACIS solid.

To create a dish

  1. Do one of the following:
    • Choose Insert > 3D Entities > Dish.
    • On the Solids toolbar, click the Dish tool ( [image]).
    • Type dish and then press Enter.
  2. Specify the center of the dish.
  3. Specify the radius or diameter.

Center (A) and radius (B) of the dish.

To create a dish as a three-dimensional surface

    To create a dish as a surface instead of as a solid, the procedure is similar.

  1. Do one of the following:
    • On the Draw 3D toolbar, click the Dish tool ( [image]).
    • Type ai_dish and then press Enter.
  2. Specify the center of the dish.
  3. Specify the radius or diameter.

Tell me about...

Creating boxes

Creating cones

Creating cylinders

Creating domes

Creating pyramids

Creating spheres

Creating three-dimensional entities

Creating tori

Creating wedges

How do I...

Create a box

Create a cone

Create a cylinder

Create a dome

Create a pyramid with a planar top

Create a sphere

Create a tetrahedron

Create a torus

Create a wedge


Creating domes

You can create a three-dimensional dome. The latitude lines of a dome are always parallel to the xy plane of the current UCS; the central axis is always parallel to the z-axis. You position a dome by specifying its center point. You determine the size of a dome by specifying either its radius or its diameter.

NOTE The dome is created as a three-dimensional ACIS solid.

To create a dome

  1. Do one of the following:
    • Choose Insert > 3D Entities > Dome.
    • On the Solids toolbar, click the Dome tool ( [image]).
    • Type dome and then press Enter.
  2. Specify the center of the dome.
  3. Specify the radius or diameter.

Center (A) and radius (B) of the dome.

To create a dome as a three-dimensional surface

    To create a dome as a surface instead of as a solid, the procedure is similar.

  1. Do one of the following:
    • On the Draw 3D toolbar, click the Dome tool ( [image]).
    • Type ai_dome and then press Enter.
  2. Specify the center of the dome.
  3. Specify the radius or diameter.

Tell me about...

Creating boxes

Creating cones

Creating cylinders

Creating dishes

Creating pyramids

Creating spheres

Creating three-dimensional entities

Creating tori

Creating wedges

How do I...

Create a box

Create a cone

Create a cylinder

Create a dish

Create a sphere

Create a tetrahedron

Create a torus

Create a wedge


Creating tori

You can create a three-dimensional donut or ring-shaped entity known as a torus. The diameter of a ring is always parallel to the xy plane of the current UCS. A torus is constructed by revolving a circle about a line drawn in the plane of the circle and parallel to the z-axis of the current UCS. You position a torus by specifying its center point. You determine the size of a torus by specifying its overall diameter or radius and the diameter or radius of the tube (the circle being revolved).

NOTE The torus is created as a three-dimensional ACIS solid.

To create a torus

  1. Do one of the following:
    • Choose Insert > 3D Entities > Torus.
    • On the Solids toolbar, click the Torus tool ( [image]).
    • Type torus and then press Enter.
  2. Specify the center of the whole torus.
  3. Specify the radius or diameter of the whole torus.
  4. Specify the radius or diameter of the body of the torus.

Center (A) and radius of the whole torus (B), and the radius of the body (C).

To create a torus as a three-dimensional surface

  1. Do one of the following:

      2. To create a torus as a surface instead of as a solid, the procedure is similar.

    • On the Draw 3D toolbar, click the Torus tool ( [image]).
    • Type ai_torus and then press Enter.
  2. Specify the center of the whole torus.
  3. Specify the radius or diameter of the whole torus.
  4. Specify the radius or diameter of the body of the torus.
  5. Specify the number of longitudinal sections that are perpendicular to the xy plane.
  6. Specify the number of latitudinal sections that are parallel to the xy plane.

Tell me about...

Creating boxes

Creating cones

Creating cylinders

Creating dishes

Creating domes

Creating pyramids

Creating spheres

Creating three-dimensional entities

Creating wedges

How do I...

Create a box

Create a cone

Create a cylinder

Create a dish

Create a dome

Create a sphere

Create a tetrahedron

Create a wedge


Creating regions

You can convert a closed entity into a two-dimensional region. After you create a region, you can modify it using the various three-dimensional tools. For example, you can create a region from a square, and then extrude the square to create a three-dimensional cube.

You can create regions from closed entities, such as polylines, polygons, circles, ellipses, closed splines, and donuts.

Creating regions typically has no visible effect on a drawing. However, if the original entity had a width or lineweight, that information is lost when you create the region.

To create a region

  1. Do one of the following:
    • Choose Modify > Region.
    • On the Modify toolbar, click the Region tool ( [image]).
    • Type region and then press Enter.
  2. Select the entities to create the region.
  3. Press Enter.

    The command bar displays a message that describes how many regions were created.

Tell me about...

Creating three-dimensional entities

How do I...

Create composite solids

Create extruded solids

Create revolved solids


Creating extruded solids

You can create three-dimensional solids by extruding closed entities, such as polylines, polygons, circles, ellipses, closed splines, donuts, and regions. You can extrude the entity along a selected path, or you can specify its height and taper angle.

To create an extruded solid

  1. Do one of the following:
    • Choose Insert > 3D Entities > Extrude.
    • Type extrude and then press Enter.
  2. Select the entity to extrude.
  3. Select the extrusion path, or specify the height.

Select the entity to extrude (A) and the extrusion path (B). | The resulting extruded solid.

Tell me about...

Creating extruded surface meshes

Creating boxes

Creating cones

Creating cylinders

Creating dishes

Creating domes

Creating pyramids

Creating spheres

Creating three-dimensional entities

Creating wedges

How do I...

Create a box

Create a cone

Create a cylinder

Create a dish

Create a dome

Create a sphere

Create a tetrahedron

Create a wedge


Creating revolved solids

You can create three-dimensional solids by revolving closed entities, such as polylines, polygons, circles, ellipses, and regions. You can revolve the entity about a defined axis, line, polyline, or two points.

To create a revolved solid

  1. Do one of the following:
    • Choose Insert > 3D Entities > Revolve.
    • Type revolve and then press Enter.
  2. Select the entity to revolve.
  3. Do one of the following to define the axis of revolution:
    • Specify a start point and an end point.
    • Type o and press Enter to select an object that determines the axis.
    • Type x and press Enter to select the x-axis.
    • Type y and press Enter to select the y-axis.
  4. Specify the angle of revolution.

Select the entity to revolve (A) and the axis (B) about which to revolve it., followed by the angle of revolution. | The resulting revolved solid.

Tell me about...

Creating boxes

Creating cones

Creating cylinders

Creating dishes

Creating domes

Creating pyramids

Creating spheres

Creating three-dimensional entities

Creating wedges

How do I...

Create a box

Create a cone

Create a cylinder

Create a dish

Create a dome

Create a sphere

Create a tetrahedron

Create a wedge


Creating composite solids

You can create composite three-dimensional solids by combining, subtracting, and finding the intersection of two or more solids.

To combine solids

  1. Do one of the following:
    • Choose Modify > Solid Editing > Union.
    • On the Solids Editing toolbar, click the Union tool ( [image]).
    • Type union and then press Enter.
  2. Select the entities to combine.

Select the entities to combine (A and B). | The resulting combined solid.

To subtract solids

  1. Do one of the following:
    • Choose Modify > Solid Editing > Subtract.
    • On the Solids Editing toolbar, click the Subtract tool ( [image]).
    • Type subtract and then press Enter.
  2. Select the entities to subtract.

Select the entities to subtract (A and B). | The resulting solid.

To intersect solids

  1. Do one of the following:
    • Choose Modify > Solid Editing > Intersect.
    • On the Solids Editing toolbar, click the Intersect tool ( [image]).
    • Type intersect and then press Enter.
  2. Select the entities to intersect.

Select the entities to intersect (A and B). | The resulting solid.

Tell me about...

Creating boxes

Creating cones

Creating cylinders

Creating dishes

Creating domes

Creating pyramids

Creating spheres

Creating three-dimensional entities

Creating wedges

How do I...

Create a box

Create a cone

Create a cylinder

Create a dish

Create a dome

Create a sphere

Create a tetrahedron

Create a wedge


Editing in three dimensions

You can copy, move, rotate, array, mirror, and align two-dimensional and three-dimensional entities in both two-dimensional and three-dimensional space. You can also change and edit properties of three-dimensional entities much like you change and edit properties for two-dimensional entities. When you modify three-dimensional entities in two-dimensional space, you modify the entity in relation to the current UCS.

Tell me about...

About drawing in three dimensions

Aligning in three dimensions

Arraying in three dimensions

Creating three-dimensional entities

Mirroring in three dimensions

Rotating in three dimensions

Using three-dimensional coordinates

Viewing entities in three dimensions

How do I...

Create a three-dimensional face

Create a three-dimensional polar array

Create a three-dimensional rectangular array

Mirror an entity about a three-dimensional plane

Rotate an entity about an axis in three dimensions

Modify entity properties


Rotating in three dimensions

You can rotate selected entities about a specified axis in three-dimensional space. You select the entities to rotate and then define the axis of rotation either by specifying two points; selecting an existing entity; aligning the axis with the x-, y-, or z-axis of the current UCS; or aligning the axis with the current view.

To rotate an entity about an axis in three dimensions

  1. Do one of the following:
    • Choose Modify > 3D Rotate.
    • On the Modify toolbar, click the 3D Rotate tool ( [image]).
    • Type rotate3D and then press Enter.
  2. Select the entities to rotate, and then press Enter.
  3. Choose from one of the following options: Entity, Last, View, Xaxis, Yaxis, Zaxis.
  4. Specify the rotation angle.
  5. Specify the reference angle.

Select the entities to rotate (A), specify the endpoints of the axis of rotation (B and C), and then specify the rotation angle (D). | Result after rotating the entities.

How do I...

Rotate a selection set in reference to a base angle

Rotate a selection set

Rotate dimension text


Arraying in three dimensions

You can copy selected entities and arrange them in a three-dimensional rectangular or polar (circular) pattern. For a rectangular array, you control the number of copies in the array by specifying the number of rows and columns and the number of levels. You also specify the distance between each. For a polar array, you specify the axis around which to array the entities, the number of copies of the entities to create, and the angle subtended by the resulting array.

To create a three-dimensional rectangular array

  1. Do one of the following:
    • Choose Modify > 3D Array.
    • On the Modify toolbar, click the 3D Array tool ( [image]).
    • Type 3Darray and then press Enter.
  2. Select the entities, and then press Enter.
  3. In the prompt box, choose Rectangular.
  4. Type the number of rows in the array.
  5. Type the number of columns.
  6. Type the number of levels.
  7. Specify the vertical distance between the rows.
  8. Specify the horizontal distance between the columns.
  9. Specify the depth between the levels.

To create a three-dimensional rectangular array, select the entity to copy (A), type the number of rows, columns, and levels, and then specify the distance between each row (B), column (C), and level (D).

To create a three-dimensional polar array

  1. Do one of the following:
    • Choose Modify > 3D Array.
    • On the Modify toolbar, click the 3D Array tool ( [image]).
    • Type 3Darray and then press Enter.
  2. Select the entities, and then press Enter.
  3. In the prompt box, choose Polar.
  4. Type the number of copies to make, including the original selection set.
  5. Specify the angle the array is to fill, from 0 to 360 degrees.
    6. The default setting for the angle is 360 degrees. Positive values create the array in a counterclockwise direction; negative values create the array in a clockwise direction.
  6. In the prompt box, choose one of the following:
    • Yes-Rotate Entities to rotate entities as they are arrayed.
    • No-Do Not Rotate to retain the original orientation of each copy as it is arrayed.
  7. Specify the center point of the array.
  8. Specify a second point along the central axis of the array.

To create a three-dimensional polar array, select the entity to copy (A), type the number of copies to make, specify the angle the array is to fill (B), and then specify the center point of the array (C) and a second point along the central axis of the array (D).

How do I...

Create a polar array

Create a rectangular array


Mirroring in three dimensions

You can create a mirror image of selected entities in three-dimensional space. You mirror the entities about a mirror plane that you define by either specifying three points; selecting an existing two-dimensional planar entity; aligning the plane parallel to the xy, yz, or xz plane of the current UCS; or aligning the plane with the current view. You can delete or retain the original entities.

To mirror an entity about a three-dimensional plane

  1. Do one of the following:
    • Choose Modify > 3D Mirror.
    • On the Modify toolbar, click the 3D Mirror tool ( [image]).
    • Type mirror3D and then press Enter.
  2. Select the entities, and then press Enter.
  3. In the prompt box, choose 3 Points, or press Enter to select the default.
  4. Specify the first point on the mirror plane.
  5. Specify the second and third points on the plane.
  6. In the prompt box, choose one of the following:
    • Yes-Delete Entities to delete the original entities.
    • No-Keep Entities to retain the original entities.
    Select the entity to mirror (A), and then specify the first point (B), second point (C), and third point (D) defining the mirror plane. | The resulting mirrored entity.

How do I...

Mirror entities


Aligning in three dimensions

You can align selected entities with other entities in three-dimensional space. You select the entities you wish to align, and specify one, two, or three pairs of points to align the selected entities.

To align an entity an entity with another

  1. Do one of the following:
    • Choose Modify > Align.
    • On the Modify toolbar, click the Align tool ( [image]).
    • Type align and then press Enter.
  2. Select the entities, and then press Enter.
  3. Specify the first source point.
  4. Specify the first destination point.
  5. Specify additional source and destination points if desired (up to three pairs).

            6.

    Select the entities to align, and then specify the first source point (A), the first destination point (B), the second destination point (C), and the second destination point (D). You can specify up to three pairs of source/destination points.

    The resulting aligned entity.


Editing three-dimensional solids

You can edit three-dimensional solids in several unique ways, including: chamfer, fillet, section, and slice. You can also modify individual faces and edges of solids, as well as imprint, separate, shell, and check solids.

Tell me about...

Creating three-dimensional entities

Drawing in three dimensions

Viewing entities in three dimensions

How do I...

Chamfer and fillet solids

Convert solids to polyface meshes

Determine interference of solids

Imprint solids

Modify edges

Modify faces

Section and slice solids

Separate solids

Shell solids

Separate solids


Chamfering and filleting solids

You can chamfer or fillet a three-dimensional solid much like you chamfer or fillet a two-dimensional entity.

To chamfer a solid

  1. Do one of the following:
    • Choose Modify > Chamfer.
    • On the Modify toolbar, click the Chamfer tool ( [image]).
    • Type chamfer and then press Enter.
  2. Select the edge of the base surface to chamfer. (One of two surfaces adjacent to the selected edge will be highlighted.)
  3. Do one of the following:
    • To select a different surface, type n and press Enter.
    • To use the current surface, press Enter.
  4. Specify the base surface distance (measured from the selected edge to the base surface).
  5. Specify the adjacent surface distance (measured from the selected edge to the adjacent surface).
  6. Do one of the following:
    • Specify the edges to chamfer.
    • To select all edges around the base surface, type l and press Enter.

To fillet a solid

  1. Do one of the following:
    • Choose Modify > Fillet.
    • On the Modify toolbar, click the Fillet tool ( [image]).
    • Type fillet and then press Enter.
  2. Select the edge of the solid to fillet.
  3. Specify the fillet radius.
  4. Select additional edges to fillet, and press Enter to fillet.


Sectioning and slicing solids

You can section or slice a three-dimensional solid to obtain an "inside view" of the solid. When you section a solid, you create a cross-section through the solid as a region or block. When you slice a solid, you create a new solid by cutting the original solid and removing a specific side.

How do I...

Section a solid

Slice a solid


Sectioning solids

  1. Do one of the following:
    • Choose Insert > 3D Entities > Section.
    • On the Solids toolbar, click the Section tool ( [image]).
    • Type section and then press Enter.
  2. Select the entities to cross-section.
  3. Do one of the following:
    • Specify three points to define the cross-section plane. (Specify the first point; IntelliCAD then prompts you for the second and third points on the plane.)

              •

      Sectioning a solid by defining three points.
    • Type o and press Enter to select an object that defines the cross-sectional plane.
    • Type z and press Enter to define the cross-section plane by its Z axis. (Specify a point on the section plane, then specify a point on the Z-axis (normal) of the plane.)
    • Type v and press Enter to align the cross-section plane with the current viewport's viewing plane. (Specify a point to define the location of the plane, or press Enter to specify 0,0,0.)
    • Type xy and press Enter to align the cross-section plane with the XY plane. (Specify a point to define the location of the plane, or press Enter to specify 0,0,0.)
    • Type yz and press Enter to align the cross-section plane with the YZ plane. (Specify a point to define the location of the plane, or press Enter to specify 0,0,0.)
    • Type zx and press Enter to align the cross-section plane with the ZX plane. (Specify a point to define the location of the plane, or press Enter to specify 0,0,0.)

How do I...

Slice a solid


Slicing solids

  1. Do one of the following:
    • Choose Insert > 3D Entities > Slice.
    • On the Solids toolbar, click the Slice tool ( [image]).
    • Type slice and then press Enter.
  2. Select the entities to slice.
  3. Do one of the following:
    • Specify three points to define the cutting plane. (Specify the first point; IntelliCAD then prompts you for the second and third points on the plane.)
      • Select the entity to slice, and then specify three points defining the slicing plane. | The resulting sliced entity.
    • Type o and press Enter to select an object that defines the cutting plane.
    • Type z and press Enter to define the cutting plane by its Z axis. (Specify a point on the section plane, then specify a point on the Z-axis (normal) of the plane.)
    • Type v and press Enter to align the cutting plane with the current viewport's viewing plane. (Specify a point to define the location of the plane, or press Enter to specify 0,0,0.)
    • Type xy and press Enter to align the cutting plane with the XY plane. (Specify a point to define the location of the plane, or press Enter to specify 0,0,0.)
    • Type yz and press Enter to align the cutting plane with the YZ plane. (Specify a point to define the location of the plane, or press Enter to specify 0,0,0.)
    • Type zx and press Enter to align the cutting plane with the ZX plane. (Specify a point to define the location of the plane, or press Enter to specify 0,0,0.)
  4. Specify a point on the side of the solid you wish to keep. If you want to keep both sides, type b and press Enter.

How do I...

Section a solid


Modifying faces

You can edit three-dimension solids by extruding, moving, rotating, offsetting, tapering, deleting, or copying individual faces. You can also change the color of individual faces.

How do I...

Color a solid face

Copy a solid face

Delete a solid face

Extrude a solid face

Move a solid face

Offset a solid face

Rotate a solid face

Taper a solid face


Extruding solid faces

  1. Do one of the following:
    • Choose Modify > Solid Editing > Extrude Face.
    • On the Solids Editing toolbar, click the Extrude Face tool ( [image]).
  2. Select the entity with the face you wish to extrude.
  3. Select the face(s) to extrude, and press Enter.
  4. Do one of the following:
    • Specify the height of extrusion.
    • Type p and press Enter to select a path for extrusion.
  5. If you specified a height, specify a taper angle.
Select the entity to extrude, and then specify the face(s) to extrude (A), and the height of extrusion or path. | The resulting entity with the face extruded to position (B).

How do I...

Color a solid face

Copy a solid face

Delete a solid face

Move a solid face

Offset a solid face

Rotate a solid face

Taper a solid face


Moving solid faces

  1. Do one of the following:
    • Choose Modify > Solid Editing > Move Face.
    • On the Solids Editing toolbar, click the Move Face tool ( [image]).
  2. Select the entity with the face you wish to move.
  3. Select the face(s) to move, and press Enter.
  4. Specify a base point.
  5. Specify an end point.
Select the entity, and then specify the face(s) to move (A), the base point (B), and the end point (C). | The resulting entity with the face moved to the new position.

How do I...

Color a solid face

Copy a solid face

Delete a solid face

Extrude a solid face

Offset a solid face

Rotate a solid face

Taper a solid face


Rotating solid faces

  1. Do one of the following:
    • Choose Modify > Solid Editing > Rotate Face.
    • On the Solids Editing toolbar, click the Rotate Face tool ( [image]).
  2. Select the entity with the face you wish to rotate.
  3. Select the face(s) to rotate, and press Enter.
  4. Specify a base point.
  5. Specify another point on the rotation axis.
  6. Specify the rotation angle.
Select the entity, and then specify the face(s) to rotate (A), the base point (B), a second point on the rotation axis (C),and a rotation angle. | The resulting entity with the face rotated to position (D).

How do I...

Color a solid face

Copy a solid face

Delete a solid face

Extrude a solid face

Move a solid face

Offset a solid face

Taper a solid face


Offsetting solid faces

  1. Do one of the following:
    • Choose Modify > Solid Editing > Offset Face.
    • On the Solids Editing toolbar, click the Offset Face tool ( [image]).
  2. Select the entity with the face you wish to offset.
  3. Select the face(s) to offset, and press Enter.
  4. Specify an offset distance.
Select the entity, and then specify the face(s) to offset (A) and the distance to offset. | The resulting entity with the face offset to position (B).

How do I...

Color a solid face

Copy a solid face

Delete a solid face

Extrude a solid face

Move a solid face

Rotate a solid face

Taper a solid face


Tapering solid faces

  1. Do one of the following:
    • Choose Modify > Solid Editing > Taper Face.
    • On the Solids Editing toolbar, click the Taper Face tool ( [image]).
  2. Select the entity with the face you wish to taper.
  3. Select the face(s) to taper, and press Enter.
  4. Specify a base point.
  5. Specify another point on the axis.
  6. Specify the taper angle.
Select the entity, and then specify the face(s) to taper (A), a base point, a second point along the taper axis, and a taper angle. | The resulting entity with the face tapered to position (D).

How do I...

Color a solid face

Copy a solid face

Delete a solid face

Extrude a solid face

Move a solid face

Offset a solid face

Rotate a solid face


Deleting solid faces

  1. Do one of the following:
    • Choose Modify > Solid Editing > Delete Face.
    • On the Solids Editing toolbar, click the Delete Face tool ( [image]).
  2. Select the entity with the face you wish to delete.
  3. Select the face(s) to delete, and press Enter.
Select the entity, and then specify the face(s) to delete (A). | The resulting entity with the face deleted.

How do I...

Color a solid face

Copy a solid face

Extrude a solid face

Move a solid face

Offset a solid face

Rotate a solid face

Taper a solid face


Copying solid faces

  1. Do one of the following:
    • Choose Modify > Solid Editing > Copy Face.
    • On the Solids Editing toolbar, click the Copy Face tool ( [image]).
  2. Select the entity with the face you wish to copy.
  3. Select the face(s) to copy, and press Enter.
  4. Specify a base point.
  5. Specify an end point.
Select the entity, and then specify the face(s) to copy (A), the base point (B), and the end point (C). | The resulting entity with the face copied.

How do I...

Color a solid face

Delete a solid face

Extrude a solid face

Move a solid face

Offset a solid face

Rotate a solid face

Taper a solid face


Coloring solid faces

  1. Do one of the following:
    • Choose Modify > Solid Editing > Color Face.
    • On the Solids Editing toolbar, click the Color Face tool ( [image]).
  2. Select the entity with the face you wish to color.
  3. Select the face(s) to color, and press Enter.
  4. Specify a color.
Select the entity, and then specify the face(s) to color (A). | The resulting entity with the face colored.

How do I...

Copy a solid face

Delete a solid face

Extrude a solid face

Move a solid face

Offset a solid face

Rotate a solid face

Taper a solid face


Determining interference of solids

You can create a composite three-dimensional solid from the interference, or common volume, of two or more solids. You select the solids in sets. If you define a single set, IntelliCAD checks all the solids in the set against one another. If you define two selection sets, IntelliCAD checks the solids in the first set against those in the second.

To determine interference of solids

  1. Do one of the following:
    • Choose Insert > 3D Entities > Interfere.
    • On the Solids toolbar, click the Interfere tool ( [image]).
    • Type interfere and then press Enter.
  2. Select the first solid set.
  3. Select the second solid set.
  4. If you want to create new solids, type y and then press Enter. If not, type n and then press Enter.
  5. If you want to highlight pairs of interfering solids, type y and then press Enter. If not, type n and then press Enter.
Select the entities to check for interference. | The resulting solid with a common volume of the selected solids.

How do I...

Section a solid

Slice a solid


Modifying edges

In addition to modifying faces of solids, you can modify individual edges. You can copy individual edges or change the color of individual edges.

To copy an edge

  1. Do one of the following:
    • Choose Modify > Solid Editing > Copy Edge.
    • On the Solids Editing toolbar, click the Copy Edge tool ( [image]).
  2. Select the entity with the edge you wish to copy.
  3. Select the edge(s) to copy, and press Enter.
  4. Specify a base point.
  5. Specify an end point.
Select the entity, and then specify the edge(s) to copy (A), the base point (B), and the end point (C). | The resulting entity with the edge copied.

To color an edge

  1. Do one of the following:
    • Choose Modify > Solid Editing > Color Edge.
    • On the Solids Editing toolbar, click the Color Edge tool ( [image]).
  2. Select the entity with the edge you wish to color.
  3. Select the edge(s) to color, and press Enter.
  4. Specify a color.


Imprinting solids

You can modify the face of a solid by imprinting another entity on it. For example, you can imprint a line, arc, or polyline onto the face of a box.

To imprint a solid

  1. Do one of the following:
    • Choose Modify > Solid Editing > Imprint.
    • On the Solids Editing toolbar, click the Imprint tool ( [image]).
  2. Select the solid entity you wish to imprint.
  3. Select the entity you wish to imprint on the solid.

Select a solid entity (A) on which you wish to imprint, then select the entity (B) you wish to imprint on the solid.

Tell me about...

Extruding an imprinted entity (example)

How do I...

Extrude a solid face

Move a solid face

Rotate a solid face

Offset a solid face

Taper a solid face

Delete a solid face

Copy a solid face

Color a solid face


Separating solids

You can separate all disconnected parts of a solid, or parts that only touch at a vertex. The composite solid cannot share a common area or volume. After separation, these parts become individual solids.

You can create a solid with disconnected parts in several ways: 1) by combining two solids that are not overlapping; 2) by using the Subtract command to split a solid into multiple disconnected pieces; or 3) by using the Intersect command.

To separate a solid

  1. Do one of the following:
    • Choose Modify > Solid Editing > Separate.
    • On the Solids Editing toolbar, click the Separate tool ( [image]).
  2. Select the solid entity you wish to separate.

Tell me about...

Combining solids


Shelling solids

You can create a shell or a hollow thin wall from your 3D solid object. IntelliCAD offsets existing faces to create new faces.

To shell a solid

  1. Do one of the following:
    • Choose Modify > Solid Editing > Shell.
    • On the Solids Editing toolbar, click the Shell tool ( [image]).
  2. Select the solid entity you wish to shell.
  3. Specify an offset distance.

Select the entity, and then select faces to remove (A)and (B), then specify an offset distance. | The resulting shelled entity.


Checking solids

You can check whether a selected solid object is a valid 3D ACIS solid object. If it is a valid 3D solid, you can modify the object; in not, you cannot edit the object.

To check a solid

  1. Do one of the following:
    • Choose Modify > Solid Editing > Check.
    • On the Solids Editing toolbar, click the Check tool ( [image]).
  2. Select the entities you wish to check.


Converting solids to polyface meshes

You can convert three-dimensional solids to polyface meshes using the 3DConvert command.

To convert a solid

  1. Type 3dconvert and press Enter.
  2. Select the entities you wish to convert.


Hiding, shading, and rendering

As you create three-dimensional entities, the program displays both wire-frame and surface models in wire-frame view, which makes it difficult to visualize your three-dimensional models. To better visualize the model, you can remove all the lines that are hidden behind other entities or surfaces when seen from the current viewpoint.

Shading goes a step further by removing hidden lines and then assigning flat colors to the visible surfaces, making them appear solid. Shaded images are useful when you want to quickly visualize your model as a solid object, though they lack depth and definition.

Rendering provides an even more realistic image of your model, complete with light sources, shadows, surface material properties, and reflections, giving your model a photo-realistic look. As shown in the following illustrations, when you render a model, the program removes hidden lines and then shades the surfaces as though they were illuminated from imaginary light sources.

Wire-frame model.

Hidden-line image.

Shaded image.

Rendered image.

Tell me about...

Creating hidden-line images

Creating shaded images

Creating rendered images

Printing a rendered image


Creating hidden-line images

Creating a hidden-line view of your drawing removes all the lines that are hidden behind other surfaces when seen from your vantage point. When you remove hidden lines or shade a model, the program treats the entities differently, depending on how you created them. Wire-frame models always appear transparent, because they have no surfaces. Surface models appear filled, with surfaces applied to all visible sides.

To create a hidden-line image, use any of these methods

  • Choose View > Rendering > Hide.
  • On the Rendering toolbar, click the Hide tool ( [image]).
  • Type hide and then press Enter.

    • Before creating a hidden-line image.

    After removing hidden lines.

How do I...

Create a fully rendered image

Create a quickly rendered image

Create a shaded image

Print a rendered image


Creating shaded images

Creating a shaded image of your drawing removes hidden lines and then applies shading to the visible surfaces based on their entity color. Because they are intended to provide a quick visualization, shaded images do not have a light source and use continuous colors across surfaces, causing them to appear flat and unrealistic.

To create a shaded image, use any of these methods

  • Choose View > Rendering > Shade.
  • On the Rendering toolbar, click the Shade tool ( [image]).
  • Type shade and then press Enter.

    • To control the appearance of the shaded image, choose Settings > Drawing Settings, and then click the 3D Settings tab and select the options you want. You can shade the surfaces and edges of the model in four ways:

  • Faces shaded; edges not highlighted.
  • Faces shaded; edges highlighted in the background color.
  • Faces filled in the background color; edges drawn using the entity color (similar to a hidden-line view).
  • Faces filled using the entity color; edges highlighted in the background color.

    • See the online Command Reference for more information about shading images.

How do I...

Create a fully rendered image

Create a hidden-line image

Create a quickly rendered image

Print a rendered image


Creating rendered images

Creating a rendered image of your drawing removes hidden lines and then shades the surface as though it were illuminated from multiple light sources.

Full rendering creates a photo-realistic image of your model, complete with light sources, shadows, surface material properties, and reflections. You can illuminate your image with spotlights, distant lighting to simulate sunshine, and ambient light. If you choose not to customize the light sources, the program generates default light sources for you.

Rays from these imaginary light sources are traced as they reflect off and through the surfaces of the model, a process called ray tracing. Ray tracing determines where shadows fall and how reflections on shiny materials such as metal and glass appear. You can modify the reflective properties of the materials that make up your model to control how the light rays reflect off its surfaces.

Full rendering automatically creates a base on which your model is displayed, if you don't already have one, so it does not appear suspended in space. A background is also automatically added to the image. A background such as a cloudy sky or an imported raster graphic such as a stone wall can also be added behind the image, making it even more realistic.

To create a quickly rendered image, use any of these methods

  • Choose View > Rendering > Render.
  • On the Rendering toolbar, click the Render tool ( [image]).
  • Type render and then press Enter.

    • To create a fully rendered image, use any of these methods

  • Choose View > Rendering > Full Render.
  • On the Rendering toolbar, click the Full Render tool ( [image]).
  • Type fullrender and then press Enter.

How do I...

Print a rendered image

Create a hidden-line image

Create a shaded image


Printing a rendered image

You cannot print a rendered image directly to a printer. Instead, you must first export the drawing to a different format—either bitmap (.bmp), PostScript (.ps), or TIFF (.tif). After you export a rendered image, you can print it from another graphics program.

To export a rendered image of your drawing

  1. Do one of the following:
    • Choose View > Rendering > Render Settings.
    • On the Rendering toolbar, click the Render Settings tool ( [image]).
    • Type setrender and then press Enter.
  2. Click the Export tab.
  3. Enter a file name and path, or click Browse and select the file. The Render and Full Render tools become active.
  4. Enter the desired width and height in pixels.
  5. From the Render To File area, click Render or Full Render, and then click OK.

How do I...

Create rendered images

Create a hidden-line image

Create a shaded image


Working with other programs

IntelliCAD offers great flexibility in its capability to be used with other programs. You can include an IntelliCAD drawing in a Microsoft® Word document or insert a Microsoft® Excel spreadsheet containing a parts list into an IntelliCAD drawing. To include IntelliCAD drawings in other programs and documents from other programs in IntelliCAD drawings, you either link or embed them. You can also save IntelliCAD drawings in other file formats that can be used directly with other programs or send IntelliCAD drawings to co-workers via electronic mail.

This section explains how to:

  • Save and view snapshots.
  • Work with raster images.
  • Use object linking and embedding.
  • Export IntelliCAD drawings to other file formats.
  • Send drawing files via e-mail.
  • Use IntelliCAD with the Internet.

Tell me about...

Saving and viewing snapshots

Selecting entities

Using data from IntelliCAD in other programs

Using data from other programs in IntelliCAD drawings

Using IntelliCAD with the Internet

Working with raster images

How do I...

Access a company Web site during a drawing session

Add a hyperlink to a drawing

Adjust the brightness, contrast, and fade of an image

Attach an image in a drawing

Change the draw order of an image

Change the frame of an image

Change the quality of an image

Change the transparency of an image

Create a linked object from within IntelliCAD

Create a new embedded object from within IntelliCAD

Create a snapshot

Create an IntelliCAD drawing in another document

Drag and embed drawings into another document

Edit an embedded IntelliCAD object in place

Edit an embedded or linked object

Embed an entire IntelliCAD drawing

Embed an object from an existing file within IntelliCAD

Embed another program’s object into an IntelliCAD drawing

Embed selected IntelliCAD entities

Export a drawing to a file

Include a drawing file in an e-mail message

Link a file to an IntelliCAD drawing

Link an IntelliCAD file to another document

Publish drawings to the Internet

Remove an image from a drawing

View a snapshot

View an IntelliCAD file sent by e-mail


Saving and viewing snapshots

You can save snapshots of a drawing to view later. A snapshot saves the current drawing in either *.emf, *.wmf, or *.sld format exactly as it appears on the screen. A snapshot is not a drawing file. You cannot edit or print the snapshot; you can only view it.

You can use snapshots in the following ways:

  • Make presentations by showing snapshots of your drawings.
  • Reference a snapshot of a drawing while working on a different drawing.
  • Present a number of snapshots as a slide show by using scripts.

    • When you view a snapshot, it temporarily replaces the current drawing. When you refresh the display of the current drawing (by redrawing, panning, zooming, minimizing, maximizing, or tiling), the snapshot image disappears, and you are returned to the current drawing.

    You create a snapshot by saving the current view as a snapshot. A snapshot does not include any entities on layers that are not currently visible. The contents of the snapshot also depend on the current drawing space. In model space, the snapshot shows only the current viewport. In paper space, the snapshot contains all visible viewports.

    To create a snapshot

    1. Display the drawing exactly as you want to capture it as a snapshot.
    • Choose Tools > Make Snapshot.
    • On the Tools toolbar, click the Make Snapshot tool ( [image]).
    • Type msnapshot, and then press Enter.
    2. In the Create Snapshot dialog box, specify the name of the snapshot file you want to create.
    3. From the Files Of Types list, choose either *.emf, *.wmf or *.sld.
    4. Click Save.

    The current drawing remains on the screen, and the snapshot is saved to the directory that you specify. You can view previously saved snapshots, and you can also view snapshots created using AutoCAD.

    To view a snapshot

    1. Do one of the following:
      • Choose Tools > View Snapshot.
      • On the Tools toolbar, click the View Snapshot tool ( [image]).
      • Type vsnapshot, and then press Enter.
    2. In the View Snapshot dialog box, specify the name of the snapshot file you want to view.
    3. Click Open.
      4. IntelliCAD displays the snapshot in the current drawing window.


Working with raster images

You can modify and view raster images directly inside of IntelliCAD. You can load, edit, and modify multiple images as overlays or underlays to your IntelliCAD drawings. The raster images can be selected through IntelliCAD commands or from the edge of the raster image frame for Image Enabler commands.

Tell me about...

Attaching raster images

Changing the path for raster images

Detaching raster images

Modifying raster images

Unloading and reloading raster images

How do I...

Adjust the brightness, contrast, and fade of an image

Attach raster images

Change the path for raster images

Change the quality of all images in a drawing

Change the transparency of an image

Detach raster images

Turn image frames on or off

Unload and reload raster images


Attaching raster images

You can attach raster images to a drawing.

To attach a raster image to a drawing

  1. Do one of the following:
    • Choose Image Enabler > Attach Raster Image.
    • On the Image Enabler toolbar, click the Attach Raster Image tool ( [image]).
    • Type ieimage and then press Enter.
  2. Specify a file to attach, and then click OK.
  3. In the Position dialog box, specify the position, origin, scale, insertion units, and rotation, and then click OK.
  4. Specify an insertion point.
  5. Specify a scale.

How do I...

Adjust the brightness, contrast, and fade of an image

Change the quality of all images in a drawing

Change the path for raster images

Change the transparency of an image

Delete raster images

Turn image frames on or off

Unload and reload raster images


Modifying raster images

You can modify a raster image by changing its brightness, contrast, fade, transparency, or quality. You can also determine whether the image frame displays and prints.

How do I...

Adjust the brightness, contrast, and fade of an image

Change the quality of all images in a drawing

Change the transparency of an image

Turn image frames on or off


To adjust the brightness, contrast, and fade of an image

  1. Do one of the following:
    • Choose Image Enabler > Image Adjust.
    • On the Image Enabler toolbar, click the Image Adjust tool ( [image]).
    • Type ieadjust and then press Enter.
  2. Select an image.
  3. In the Adjust dialog box, adjust the settings by using the slide bars or by entering an exact number. The preview area shows how your changes will affect the image when you click OK.
  4. If you want to restore the parameters to those of the original image, click Reset.

How do I...

Attach raster images

Change the quality of all images in a drawing

Change the transparency of an image

Detach raster images

Turn image frames on or off


To change the transparency of an image

  1. Do one of the following:
    • Choose Image Enabler > Image Transparency.
    • On the Image Enabler toolbar, click the Image Transparency tool ( [image]).
    • Type ietransparency and then press Enter.
  2. Select an image.
  3. Do one of the following:
    • Select ON to make the image’s background transparent.
    • Select ON to make the image’s background opaque.

How do I...

Adjust the brightness, contrast, and fade of an image

Attach raster images

Change the quality of all images in a drawing

Detach raster images

Turn image frames on or off


To change the quality of all images in a drawing

  1. Do one of the following:
    • Choose Image Enabler > Image Quality.
    • On the Image Enabler toolbar, click the Image Quality tool ( [image]).
    • Type iequality and then press Enter.
  2. Select an image.
  3. Do one of the following:
    • Select High to use high quality images.
    • Select Draft to use draft quality images, which require smaller amounts of system resources.

How do I...

Adjust the brightness, contrast, and fade of an image

Attach raster images

Change the transparency of an image

Detach raster images

Turn image frames on or off


To turn image frames on or off

  1. Do one of the following:
    • Choose Image Enabler > Display Image Frame.
    • On the Image Enabler toolbar, click the Display Image Frame tool ( [image]).
    • Type ieframe and then press Enter.
  2. Select an image.
  3. Do one of the following to toggle the display of frame off and on:
    • Select ON to display and print frames for all images in a drawing.
    • Select OFF to hide all frames on the screen and during printing.

How do I...

Adjust the brightness, contrast, and fade of an image

Attach raster images

Change the quality of all images in a drawing

Change the transparency of an image

Detach raster images


Unloading and reloading raster images

If you find that including a raster image affects system performance, you can unload it so only an outer frame displays to mark its location. If you want an unloaded raster image to print, reload it before printing. You may also want to reload an image if the original file contains new content.

To unload and reload a raster image

  1. Do one of the following:
    • Choose Image Enabler > Image Management.
    • On the Image Enabler toolbar, click the Image Management tool ( [image]).
    • Type iemanage and then press Enter.
  2. Select a file to unload or reload.
  3. Do one of the following:
    • To unload the image so only its outer frame displays, click Unload.
    • To reload the image so its contents display and print, click Reload.

How do I...

Attach raster images

Change the path for raster images

Detach raster images


Changing the path for raster images

If the file associated with a raster image is moved to a different directory or renamed, the program displays a message indicating that it cannot load the image. You can reestablish the link to the file by changing the path for the image.

To change the path for a raster image

  1. Do one of the following:
    • Choose Image Enabler > Image Management.
    • On the Image Enabler toolbar, click the Image Management tool ( [image]).
    • Type iemanage and then press Enter.
  2. Select the file whose path you want to change.
  3. Click Reset.
  4. Select the file with its new name or in its new location, and then click Open.

How do I...

Attach raster images

Detach raster images

Unload and reload raster images


Detaching raster images

Once an image is no longer required in the drawing, you can detach it from the drawing. Detaching an image removes it from the drawing, and from the Image Management dialog box.

If you want to remove the image from your drawing, but you want it to remain accessible without having to find it again, use the Delete command, just as you would delete other entities. The file is deleted from the drawing, but is kept in the Image Management dialog box.

To detach a raster image

  1. Do one of the following:
    • Choose Image Enabler > Image Management.
    • On the Image Enabler toolbar, click the Image Management tool ( [image]).
    • Type iemanage and then press Enter.
  2. Select the file you you want to remove, and then click Detach.

How do I...

Attach raster images

Change the path for raster images

Unload and reload raster images


Using data from other programs in IntelliCAD drawings

You can include data from other programs in IntelliCAD drawings by using either embedding or linking. The method you choose depends on the type of object or file you want to include in your IntelliCAD drawing and what you want to do with it after it is there.

Tell me about...

Editing an embedded IntelliCAD object in place

Embedding objects into a drawing

Importing files created in other formats

Linking objects into drawings


Embedding objects into drawings

Embed an object into your IntelliCAD drawing when you want to keep all the data you work with in one file or if you want to transfer the file to other computers. You can embed data from programs that support object linking and embedding.

For example, if you want to distribute data about a department's computer equipment along with an IntelliCAD drawing of the department's floor plan, you can embed a Microsoft® Excel spreadsheet into the floor plan.

When you embed data from another program, IntelliCAD becomes the container for that data. The object embedded in the IntelliCAD drawing becomes part of the IntelliCAD file. When you edit the data, you open its program from within the IntelliCAD drawing.

Any changes you make to the embedded data exist only in the IntelliCAD drawing, so it is not necessary to keep that data in a separate file. If the data does exist in a separate file, the original file does not change when you modify the embedded object in IntelliCAD. Also, changes to the original file do not affect the embedded object in the IntelliCAD drawing.

Tell me about...

Editing an embedded IntelliCAD object in place

Editing an embedded or linked object from within IntelliCAD

Embedding drawings

How do I...

Create a new embedded object from within IntelliCAD

Drag and embed drawings into another document

Edit an embedded IntelliCAD object in place

Edit an embedded or linked object

Embed an entire IntelliCAD drawing

Embed an object from an existing file within IntelliCAD

Embed another program’s object into an IntelliCAD drawing

Embed selected IntelliCAD entities


Linking objects to drawings

If another program supports ActiveX, you can link its data to IntelliCAD drawings. Use linking when you want to include the same data in many files. When you update the data, all links to other files reflect the changes.

For example, if you created your company logo in an ActiveX-compatible drawing program, and you want to include it in the title block of every drawing you create with IntelliCAD, you can link it to each IntelliCAD drawing. When you change the original logo in the drawing program, the IntelliCAD drawing updates automatically.

When you link data from another program, the IntelliCAD drawing stores only a reference to the location of the file in which you created the data. You link data from a saved file, so IntelliCAD can find the data and display it.

Because linking adds only a reference to a file, the data does not significantly increase the file size of the IntelliCAD drawing. However, links require some maintenance. If you move any of the linked files, you need to update the links. In addition, if you want to transport linked data, you must include all linked files.

You can update a linked object automatically every time you open the drawing or you can do so only when you specify. Anytime a link is updated, changes made to the object in its original file also appear in the IntelliCAD drawing, and the changes also appear in the original file if they were made through IntelliCAD.

To link a file to an IntelliCAD drawing

  1. Save the original file.
    2. Because a link consists of a reference to the original file, you must save the file before you can link to it.
  2. In the original file, select the data you want in the IntelliCAD drawing.
  3. Choose that program's command to place data on the Clipboard.
    4. Usually, you choose Edit > Copy.
  4. Display the IntelliCAD drawing to which you want to link the file.
  5. In IntelliCAD, choose Edit > Paste Special.
  6. In the Paste Special dialog box, select Paste Link.
  7. Click OK.

To create a linked object from within IntelliCAD

  1. Display the IntelliCAD drawing in which you want to display the linked object.
    • Choose Insert > Object
    • Type insertobj, and then press Enter.
  2. In the Insert Object dialog box, click Create From File.
  3. Specify the file by doing one of the following:
    • Type a path and file name in the File box.
    • Click Browse to select the file using a file dialog box.
  4. Select the Link check box.
  5. Select Display As Icon if you want that program's icon to appear in the drawing instead of the data.
  6. Click OK.
    7. The first page of the file appears in the IntelliCAD drawing, unless you chose to display it as an icon. You can select the object and drag to reposition it.

Tell me about...

Editing an embedded or linked object from within IntelliCAD

Linking drawings

How do I...

Edit an embedded or linked object

Link an IntelliCAD file to another document


Editing an embedded IntelliCAD object in place

In many ActiveX-compatible programs you can edit an embedded IntelliCAD object without leaving the program (or container application). This is called in-place editing. A different set of IntelliCAD menus and toolbars temporarily replaces most of the menus and controls in the active window while you edit the IntelliCAD object.

To edit an embedded IntelliCAD object in place

  1. In the container application, double-click the embedded IntelliCAD object.
    2. A different set of IntelliCAD menus and controls appears.
  2. Edit the IntelliCAD drawing.
  3. Click anywhere outside the drawing window to exit the in-place editing controls.

Tell me about...

Editing an embedded or linked object from within IntelliCAD

Embedding drawings

Embedding objects into drawings

How do I...

Create a new embedded object from within IntelliCAD

Drag and embed drawings into another document

Edit an embedded or linked object

Embed an entire IntelliCAD drawing

Embed an object from an existing file within IntelliCAD

Embed another program’s object into an IntelliCAD drawing

Embed selected IntelliCAD entities


Importing files created in other formats

You can import the following files:

  • Drawing Exchange Format files with a .dxf file extension. This file type is an ASCII or binary description of a drawing file.
  • Design Web Format files with a .dwf file extension. DWF™ files are used to distribute a drawing for others to view in a Web browser, review, and edit using free Autodesk® software and tools.
  • Drawing templates with a .dwt file extension. This file type contains predefined settings that you can reuse when you create new drawings.
  • Three-dimensional entities saved with an .sat file extension. This file type contains three-dimensional ACIS solids saved as an ASCII .sat file.

Importing DXF, DWF, and DWT files is similar to opening a standard drawing file.

To import a DXF, DWF, or DWT file

  1. Do one of the following:
    • Choose File > Open.
    • On the Standard toolbar, click the Open tool ( [image]).
    • Type open and then press Enter.
  2. Choose the folder that contains the drawing.
  3. Choose files of type DXF.
  4. In Files of Type, choose the type of drawing you want to import.
  5. Choose the file you want to open.
  6. Click Open.

To import an ACIS file

  1. Do one of the following:
    • Choose File > ACIS In.
    • Type acisin and then press Enter.
  2. Choose the directory containing the SAT file.
  3. Choose the SAT file you want to open.
  4. Click Open.

Tell me about...

Exporting drawings

Exporting ACIS files


Using data from IntelliCAD in other programs

You can use any of the following methods to include IntelliCAD data in a document created in another program:

  • Embedding
  • Linking
  • Exporting

    • The method you choose depends on the capabilities of the other program and how you want to work with the IntelliCAD data after you've placed it in the other document.

    NOTE Each method except exporting uses ActiveX to integrate data from different programs. With ActiveX, you can open IntelliCAD from within the other program to modify the IntelliCAD drawings.

Tell me about...

Editing an embedded IntelliCAD object in place

Editing an embedded or linked object from within IntelliCAD

Embedding drawings

Embedding objects into drawings

Exporting drawings

Importing and exporting customization files

Linking drawings

Linking objects to drawings

How do I...

Create a linked object from within IntelliCAD

Create a new embedded object from within IntelliCAD

Drag and embed drawings into another document

Edit an embedded IntelliCAD object in place

Edit an embedded or linked object

Embed an entire IntelliCAD drawing

Embed an object from an existing file within IntelliCAD

Embed another program’s object into an IntelliCAD drawing

Embed selected IntelliCAD entities

Export a drawing to a file

Link a file to an IntelliCAD drawing

Link an IntelliCAD file to another document


Embedding drawings

When you embed an IntelliCAD drawing, it becomes part of the other program's document file. When you edit the drawing, you edit only the version that is embedded in the other document.

Embedding is useful when you don't want to maintain a link to the IntelliCAD drawing for the data you include in the other document. Edits made to the this new drawing do not affect the original drawing. To transfer the file to other computers, you can transfer all the data in one file, but embedded objects increase the file size.

From within a document in a program that supports ActiveX, such as Microsoft® Word, you can either create a new embedded IntelliCAD drawing or embed an existing IntelliCAD drawing.

How do I...

Create a new embedded object from within IntelliCAD

Drag and embed drawings into another document

Edit an embedded IntelliCAD object in place

Edit an embedded or linked object

Embed an entire IntelliCAD drawing

Embed an object from an existing file within IntelliCAD

Embed another program’s object into an IntelliCAD drawing

Embed selected IntelliCAD entities

Tell me about...

Editing an embedded IntelliCAD object in place

Editing an embedded or linked object from within IntelliCAD

Embedding objects into drawings


Editing an embedded or linked object from within IntelliCAD

You can modify an embedded or linked object in its original program from within IntelliCAD. When you modify an embedded object, you change only the object in IntelliCAD, not its original file (if you pasted the object from an existing file). When you modify a linked file, however, you open and change the original file.

Most programs include a submenu of actions you can perform on an embedded or linked ActiveX object. Usually, the commands for editing ActiveX objects are Edit and Open. If the object is embedded and its program supports in-place editing, the Edit command opens the object in place. The Open command opens the object in the full program window. In IntelliCAD, this command appears at the bottom of the Edit menu.

To edit an embedded or linked object

  • In the IntelliCAD drawing, double-click the object.

    • If the object is embedded and the program in which you created the object supports in-place editing, the object opens in place.

    If the object is linked, or if its program does not support in-place editing, the other program opens in its full window and displays the object.

Tell me about...

Editing an embedded IntelliCAD object in place

Embedding drawings

Embedding objects into drawings

Linking drawings

Linking objects to drawings

How do I...

Create a linked object from within IntelliCAD

Drag and embed drawings into another document

Edit an embedded IntelliCAD object in place

Embed an entire IntelliCAD drawing

Embed an object from an existing file within IntelliCAD

Embed another program’s object into an IntelliCAD drawing

Embed selected IntelliCAD entities

Link a file to an IntelliCAD drawing

Link an IntelliCAD file to another document


Linking drawings

When you link an IntelliCAD drawing to another document, the other document contains only a reference to the IntelliCAD drawing file, rather than the actual drawing. You link data in a saved IntelliCAD file so that the other program can find the data and display it.

Linking works well when you want to include the same IntelliCAD data in more than one document. When you update the data, you need only update it in one location. The versions that are linked to other documents reflect the changes automatically.

Linking an IntelliCAD file to another document does not increase the file size the way embedding an IntelliCAD object does. However, links require more maintenance. To transport the data, you must make sure to transfer all linked files to the other computer.

To link an IntelliCAD file to another document

  1. Open the drawing you want to link.
    2. NOTE Because a link is a reference to a file, you can only link files that are saved to a location on a disk. If you haven't saved the drawing you want to link, choose File > Save.
  2. In the other program, open the document in which you want to include the IntelliCAD drawing.
  3. Choose that program's command for inserting objects.
    4. In Microsoft® Office programs, choose Insert > Object. In the Object dialog box, click the Create From File tab. Specify the name of the drawing file you want to link. Select the Link To File check box, and then click OK.
    The drawing appears in the document, with a link to the original IntelliCAD file.

Tell me about...

Editing an embedded or linked object from within IntelliCAD

Linking objects to drawings

How do I...

Create a linked object from within IntelliCAD

Edit an embedded or linked object

Link a file to an IntelliCAD drawing


Dragging IntelliCAD drawings into other programs

If the other program in which you want to include IntelliCAD drawings is compatible with ActiveX, an alternative to pasting drawings with menu commands is to drag drawing file icons from the Windows Explorer into the other document. Dragging and dropping drawings does not use the Windows Clipboard, so data on the Clipboard is not affected.

When you drag an IntelliCAD drawing file from the Windows Explorer, you link or embed the entire drawing in the other document. When you drag the file, the cursor changes in response to the action you take.

How the cursor changes

Cursor appearance | Action
 | Drag to embed the selected file to the other document.
 | Cannot drop drawings in that document.

TIP Before you drag a drawing, position the Windows Explorer window and the other program's window so you can see the file icon and the document in which you want to drop it.

To drag and embed drawings into another document

  • Select the icon for the drawing file, and then drag the drawing into the document.

Tell me about...

Editing an embedded IntelliCAD object in place

Editing an embedded or linked object from within IntelliCAD

Embedding drawings

Embedding objects into drawings

Linking drawings

Linking objects to drawings

How do I...

Create a linked object from within IntelliCAD

Create a new embedded object from within IntelliCAD

Edit an embedded IntelliCAD object in place

Edit an embedded or linked object

Embed an entire IntelliCAD drawing

Embed an object from an existing file within IntelliCAD

Embed another program’s object into an IntelliCAD drawing

Embed selected IntelliCAD entities

Link a file to an IntelliCAD drawing

Link an IntelliCAD file to another document


Exporting drawings

You can save or export IntelliCAD drawings in a number of different formats for use with other programs. When you save a drawing in a different format, the program saves all the entities in the drawing to the new file.

You can export a drawing to any of the following formats:

  • As an AutoCAD Drawing file (*.dwg). You choose the specific AutoCAD version (2004, R14, R13, or R11/12).
  • As an ASCII AutoCAD Drawing Exchange Format file (*.dxf). You choose the specific AutoCAD version (2004, R14, R13, or R11/12).
  • As a binary AutoCAD Drawing Exchange Format file (*.dxf). You choose the specific AutoCAD version (2004, R14, R13, or R11/12).
  • As a bitmap (*.bmp).
  • As an Enhanced Windows Metafile (*.emf).
  • As a Windows Metafile (*.wmf).
  • As a Design Web Format (*.dwf) file. DWF allows you to distribute your drawing to others for viewing in a Web browser, reviewing, and editing using free Autodesk® software and tools.
  • As a Scalable Vector Graphics (*.svg) file. SVG is a graphics file format and Web development language.

When you export a drawing to some file formats, you can choose which entities are included in the new file. IntelliCAD includes the entire drawing automatically when exporting to DWF and SVG.

You can also export ACIS solids, regions, and surfaces to an ASCII file that you can use in other programs.

Tell me about...

Importing and exporting customization files

Importing files created in other formats

Saving a drawing with a new name or file format

How do I...

Export ACIS files

Export to a DWG , DXF, BMP, EMF, WMF, or SVG file

Export to a DWF file

Publish drawings to the Internet


Exporting to a DWG , DXF, BMP, EMF, WMF, or SVG file

Exporting to a file is similar to saving a standard drawing file.

To export a drawing to a file

  1. Do one of the following:
    • Choose File > Export To File.
    • Type export, and then press Enter.
  2. In the Export Drawing As File dialog box, under Save As Type, choose the file format.
  3. Specify the name of the file you want to create.
  4. Click Save.
  5. If the selection the prompt box displays, choose the entity-selection method, and then create the selection set.
  6. When you have finished selecting entities, press Enter.

Tell me about...

Exporting drawings

Importing and exporting customization files

How do I...

Export ACIS files

Export to a DWF file

Publish drawings to the Internet


Exporting to a DWF file

DWF files allow you to distribute your drawing to others for viewing in a Web browser, reviewing, and editing using free Autodesk® software and tools. DWF files can be viewed in a Web browser if DWF Viewer is also installed on the computer. DWF Viewer is a free tool from Autodesk®.

Exporting a DWF file is similar to saving a standard drawing file, except you specify options for how you want to save the DWF file.

To export a drawing to a DWF file

  1. Do one of the following:
    • Choose File > Export To File.
    • Type export, and then press Enter.
  2. In Save As Type, choose Design Web Format (dwf).
  3. Specify the name of the file you want to create.
  4. Click Save.
  5. Choose how you want to export:
    • DWF File Version – Choose the DWF file version you want. Version 4.2 exports entities on the Model tab only (no layouts). Version 5.5 exports the current layout only. Version 6.0 exports the current layout or all layouts.
    • DWF File Format – Choose the desired file format. Compressed binary files have a smaller file size than uncompressed binary files. ASCII files have the largest file size.
    • Layout to Export – Choose whether to export the current layout only, or all layouts in the drawing.
  6. Click OK.

Tell me about...

Exporting drawings

Importing and exporting customization files

How do I...

Export ACIS files

Export to a DWG , DXF, BMP, EMF, WMF, or SVG file


Exporting ACIS files

You can export ACIS entities such as surfaces, regions, and solids to an ACIS file in ASCII (SAT) format.

To export an ACIS file

  1. Do one of the following:
    • Choose File > ACIS Out.
    • Type acisout and then press Enter.
  2. Select the ACIS entities you want to save.
  3. Specify the name of the file you want to create.
  4. Click Save.

Tell me about...

Exporting drawings

Importing files created in other formats

How do I...

Export to a DWG , DXF, BMP, EMF, WMF, or SVG file

Export to a DWF file


Sending drawings through electronic mail

You can send an IntelliCAD drawing to another user via e-mail. IntelliCAD is compatible with electronic-mail programs that support the Messaging Application Program Interface (MAPI) protocol.

To include a drawing file in an e-mail message

  1. While the drawing file is open, choose File > Send Mail.
    2. If your mail program is not already running, it starts; a new e-mail message containing the IntelliCAD icon and file name appears.
  2. Address the message, type any accompanying information, and send the e-mail message as you would any other message.

To view an IntelliCAD file sent by e-mail

  1. Open the e-mail message
  2. Double-click the IntelliCAD icon.

NOTE IntelliCAD must be installed on the computer used to open drawings in e-mail.


Using IntelliCAD with the Internet

You can use IntelliCAD to access the Internet and exchange drawing information and perform other tasks, including:

  • Add hyperlinks to a drawing
  • Publish drawings to the Internet
  • Drag drawings (.dwg files) directly from a Web site into IntelliCAD
  • Access the Internet during a drawing session

NOTE You will need Internet Explorer Version 5.0 or later and access to the Internet to fully use these features.

Tell me about...

Sending drawings through email

How do I...

Access a company Web site during a drawing session

Add a hyperlink to a drawing

Insert drawings from a Web site

Publish drawings to the Internet


Adding hyperlinks to a drawing

In your IntelliCAD drawings, you can include hyperlinks, which are pointers that take you to another location, such as a Web address or a file on a particular computer. You can attach a hyperlink to any entity in your drawing. Then, when you select that entity, you can open the link and jump to the specific Web address or file location. You can create absolute hyperlinks, which store the full path to a file, or relative hyperlinks, which store a partial path relative to a base folder or a Uniform Resource Locator (URL).

To create a hyperlink

  1. Type hyperlink and then press Enter.
  2. Select an entity or entities that you would like to associate with a hyperlink; then press Enter to display the Edit Hyperlink dialog box.
  3. Do one of the following:
    • Click Browse to specify a file.
    • In the Link to File or URL box, type a Web address.
  4. If you wish to use a common path for all hyperlinks in the drawing, select the Use relative path for hyperlinks check box. Relative paths provide flexibility if you move files to a different folder, since you can change multiple hyperlink paths at once, rather than change them all individually.
  5. Click OK to close the Edit Hyperlink dialog box.

NOTE The HYPERLINKBASE system variable specifies the path used for all relative hyperlinks in the drawing. If no value is specified, the drawing path is used for all relative hyperlinks.

To remove a hyperlink

  1. Type hyperlink and then press Enter.
  2. Select an entity or entities with a hyperlink; then press Enter to display the Edit Hyperlink dialog box.
  3. Click Remove Link.
  4. Click OK to close the Edit Hyperlink dialog box.

To access a hyperlink

  1. Select an entity with a hyperlink.
  2. Right-click anywhere in the drawing area.
  3. In the pop-up menu, choose Open Link.

How do I...

Access a company Web site during a drawing session

Insert drawings from a Web site

Publish drawings to the Internet


Publishing drawings to the Internet

You can publish your drawings so they can be viewed on the Internet using a Web browser. IntelliCAD exports your drawing to a Design Web Format (.dwf) file, which can be viewed in a Web browser if DWF Viewer is also installed on the computer. DWF Viewer is a free tool from Autodesk®.

For details about creating a DWF file, see Exporting to a DWF file.

How do I...

Add hyperlinks to a drawing

Access a company Web site during a drawing session

Insert drawings from a Web site

Export to a DWF file


Inserting drawings from a Web site

Some Web sites are configured to allow you to drag drawings from the Web site directly into your drawing. You can drag-and-drop drawings from any Web site that supports the Autodesk® i-drop® technology.

To insert a drawing from a Web site

  1. Open your Web browser.
  2. Navigate to a Web site that supports Autodesk® i-drop.
  3. Position the Web browser and IntelliCAD windows so they are both visible.
  4. Click the drawing in your Web browser and drag it to your drawing in IntelliCAD.

    The drawing file is downloaded and inserted into your drawing in IntelliCAD.

How do I...

Add hyperlinks to a drawing

Access a company Web site during a drawing session

Publish drawings to the Internet


Accessing a company Web site during a drawing session

In addition to using hyperlinks to access the Internet, you can access a company Web site at any time. At the Web site, you can obtain company information as well as product information and news.

To access a Web site

  1. Do one of the following:
    • Choose Help > IntelliCAD on the Web to access the IntelliCAD Technology Consortium Web site.
    • Type onweb and then press Enter.
  2. Navigate to the section of your choice on the Web site.

How do I...

Add hyperlinks to a drawing

Insert drawings from a Web site

Publish drawings to the Internet


Customizing IntelliCAD

You can customize IntelliCAD in a number of ways. For example, you can change the appearance of many aspects of the program and modify the existing menus and toolbars or create new ones. This section explains how to:

  • Set the program's preferences.
  • Customize menus and toolbars.
  • Customize the keyboard.
  • Create aliases for frequently used commands.
  • Create and use scripts.
  • Use add-on programs with IntelliCAD.

Tell me about...

Calibrating the digitizer tablet

Changing the crosshairs options

Changing the Paths/Files options

Configuring a digitizer tablet

Creating aliases

Creating and replaying scripts

Creating custom shortcut menus

Creating custom toolbar tools

Creating, redefining, and deleting aliases

Customizing menus

Customizing the keyboard

Customizing toolbars

Disabling VBA CommonProject macros

Enabling Continuous Inertial Motion in Real-Time

Importing and exporting customization files

Loading alias files

Programming in IntelliCAD

Programming IntelliCAD

Saving alias files

Supporting AutoCAD customization

Understanding AutoLISP compatibility

Understanding digitizer tablet transformation types

Using a digitizer tablet

Using data from IntelliCAD in other programs

Using data from other programs in IntelliCAD drawings

Using DCL with IntelliCAD

Using LISP routines

Using scripts

Using VBA

How do I...

Add a command to a menu

Add a custom tool to a toolbar

Add a flyout to a toolbar

Add a tool to a toolbar

Add space between tools on a toolbar

Append to a script

Calibrate your tablet for digitizing points

Change any of the options settings

Change the crosshairs options

Change the external reference path

Choose which toolbars to display

Configure the tablet for menu input

Copy an existing toolbar

Create a custom shortcut menu

Create a keyboard shortcut

Create a new alias

Create a new menu

Create a new toolbar

Create a toolbar that you can share

Delete a menu item

Delete a tool from a toolbar

Delete an existing alias

Delete an existing keyboard shortcut

Edit a VBA macro

Import a menu file

Load a keyboard shortcut file

Load a LISP routine

Load a menu file

Load an alias file

Open the toolbar file on another computer

Record a script

Redefine an existing alias

Redefine an existing keyboard shortcut

Rename a menu item

Rename a toolbar

Replay a script

Restore the shortcut menu defaults

Restore the toolbar defaults

Run a LISP routine

Run a VBA macro

Save the current aliases to a file

Save the current keyboard shortcuts to a file

Save the current menu to a file

See how IntelliCAD reads AutoCAD menu source files

Set the experience level for a tool

Turn tablet mode on or off

Use the custom shortcut menu


Setting and changing options

You can change many of the options that control the program's behavior and appearance, such as how often it automatically saves a backup copy of your drawing, the experience level, and the background color of the graphics screen.

To change any of the options settings

  1. Do one of the following:
    • Choose Tools > Options.
    • Type config and then press Enter.
  2. Change the settings you want.
  3. When you have finished, click OK.

Tell me about...

Automatic Menu Loading

Changing the crosshairs options

Changing the path for external references

Changing the Paths/Files options

Displaying prompt boxes

Enabling Continuous Inertial Motion in Real-Time

Saving your drawings automatically

Setting the axis colors

Setting the command lines to track

Setting the experience level

Setting the experience level for menus

Setting the experience level for toolbars

Setting the graphics screen color

Setting the search path

Setting the template drawing

Specifying the user paths


Setting the experience level

You can control which menus and tools are available by setting the experience level. You can choose from the following experience levels:

  • Beginner: Menus and toolbars display only basic commands.
  • Intermediate: Menus and toolbars display most two-dimensional entity creation and modification commands.
  • Advanced: Menus and toolbars display all available commands.

To set the experience level

  1. Do one of the following:
    • Choose Tools > Options.
    • Type config and then press Enter.
  2. Click the General tab.
  3. Under Experience level, select Beginner, Intermediate, or Advanced.
  4. When you have finished, click OK.

Tell me about...

Setting and changing options

Setting the experience level for menus

Setting the experience level for toolbars

How do I...

Change any of the options settings

Set the experience level for a command

Set the experience level for a tool


Saving your drawings automatically

To avoid losing data in the event of a power failure or other system error, save your drawing files often. You can configure the program to periodically save your drawings automatically. The Minutes setting determines the interval between automatic saves. The program restarts this interval timer whenever you save the drawing file.

When AutoSave is enabled, the program creates a copy of your drawing. The file is saved to the same directory as the drawing file, with the file extension specified in the AutoSave Drawing Extension field (by default, SV$).

To configure IntelliCAD to automatically save your drawings

  1. Do one of the following:
    • Choose Tools > Options.
    • Type config and then press Enter.
  2. Click the General tab.
  3. Under AutoSave, select the check box to enable the AutoSave feature, and select the frequency.
  4. Click OK.

Tell me about...

Setting and changing options

How do I...

Change any of the options settings


Disabling VBA CommonProject macros

Each time you start IntelliCAD, macros are automatically loaded for the Visual Basic Application (VBA) CommonProject. If you do not plan to use VBA, disabling the macros may improve performance. In addition, disabling the macros can enhance security if you are running IntelliCAD at a low security level (not recommended).

To disable VBA CommonProject Macros

  1. Do one of the following:
    • Choose Tools > Options.
    • Type config and then press Enter.
  2. Click the General tab.
  3. Under VBA Security, click the check box for Disable VBA CommonProject Macros On Startup.
  4. Click OK.

Tell me about...

Setting and changing options

Using VBA

How do I...

Change any of the options settings

Edit a VBA macro

Run a VBA macro


Changing the Paths/Files options

You can specify locations for various file types such as those used for drawings, fonts, and menus in the Options dialog box on the Paths/Files tab. You can even specify multiple paths for the same file type. In addition, you can change the names of the default system files that are used for functions like font mapping and error logging.

You can enter paths for your IntelliCAD directories by typing them into a Location field in the Options dialog box. This feature includes directories for drawings, fonts, help, external references, menus, hatch patterns, blocks, temporary files, and templates. If you don't know the location, use the Browse button.

You can enter multiple paths for each item. If, for example, the Auto Save Drawing Extension has more than one directory associated with it, you can specify multiple paths by separating them with a semicolon. IntelliCAD searches the directories in the order in which they are listed.

To set up a user path

  1. Do one of the following:
    • Choose Tools > Options.
    • Type config and then press Enter.
  2. Click the Paths/Files tab.
  3. Under Location, click the item in the User Paths list whose path you want to specify, and type the path.
    4. If you do not know the path or directory name, click Browse, and then browse to the location of the directory you want.
  4. When you have finished, click OK.

Tell me about...

Changing the path for external references

Setting and changing options

Setting the search path

How do I...

Change any of the options settings

Change the external reference path

Edit the path of an external reference


Setting the template drawing

When you create a new drawing, the program bases the drawing on the default template drawing. By default, the file icad.dwt is the template drawing. To use a different template drawing, choose Tools > Options and click Browse to specify the template drawing file name that you want.

Tell me about...

Setting and changing options

How do I...

Change any of the options settings


Setting the search path

The search path setting controls the location of support files such as fonts, LISP routines, menus, and blocks. The program searches directories for support files in the following order:

  • The IntelliCAD program directory.
  • The current drawing directory.
  • The Windows search path.
  • The search path specified in the Options dialog box.

You can specify a search path by entering complete directory paths in the Search Path box. Choose Tools > Options and make the appropriate entries. You can specify multiple directories by using a semicolon to separate individual directory names; for example, c:\intellicad\fonts;c:\drawing1.

Tell me about...

Changing the path for external references

Changing the Paths/Files options

Setting and changing options

Specifying the user paths

How do I...

Change any of the options settings

Change the external reference path

Edit the path of an external reference

Set up a user path


Setting the command lines to track

IntelliCAD tracks the commands and command prompts you used most recently. You can control the number of lines in this window that are kept in memory as you work. The default value is 256. You can display the commands in the Prompt History window.

To set the number of command lines to track

  1. Do one of the following:
    • Choose Tools > Options.
    • Type config and then press Enter.
  2. Click the Display tab.
  3. In Command Lines To Track, type the maximum number you want to track, or use the up and down arrows to scroll to the number.
  4. Click OK.

Tell me about...

Setting and changing options

How do I...

Change any of the options settings


Setting the graphics screen color

By default, drawings are displayed on a black background. You can change this color and specify the background screen color that you want.

To set the graphics screen color

  1. Do one of the following:
    • Choose Tools > Options.
    • Type config and then press Enter.
  2. Click the Display tab.
  3. Click Color, then select the color you want from the color palette that displays.
  4. Click OK.

Tell me about...

Setting and changing options

How do I...

Change any of the options settings


Displaying prompt boxes

When a command offers several options, a prompt box is displayed with those options. If you prefer to select options by typing, you can turn off the prompt boxes.

To turn the prompt boxes off

  1. Do one of the following:
    • Choose Tools > Options.
    • Type config and then press Enter.
  2. Click the Display tab.
  3. Clear the Display Prompt Boxes check box.
  4. Click OK.

Tell me about...

Setting and changing options

How do I...

Change any of the options settings


Automatic Menu Loading

The first time you start IntelliCAD, a default menu is loaded, and the Automatic Menu Loading check box on the Options dialog box is checked. The Automatic Menu Loading feature allows you to load drawings with associated menus without overwriting the default menu.

To turn the Automatic Menu Loading option off

  1. Do one of the following:
    • Choose Tools > Options.
    • Type config and then press Enter.
  2. Click the Display tab.
  3. Clear the Automatic Menu Loading check box.
  4. Click OK.

Tell me about...

Setting and changing options

How do I...

Change any of the options settings


Enabling continuous inertial motion in real-time

When you use the Real-Time View Rotate command to rotate your view of entities, you typically move the mouse to rotate the view. If you want the rotation to continue after you release the mouse, turn on the Continuous Inertial Motion in Real-Time check box.

To turn on Continuous Inertial Motion in Real-Time

  1. Do one of the following:
    • Choose Tools > Options.
    • Type config and then press Enter.
  2. Click the Display tab.
  3. Mark the Continuous Inertial Motion in Real-Time check box.
  4. Click OK.

Tell me about...

Setting and changing options

How do I...

Change any of the options settings

Rotate the view


Changing the crosshairs options

In the Options dialog box, on the Crosshairs tab, you can control how the crosshairs display. To help you differentiate the x-, y-, and z-axes, a different color is assigned to each. You can change the default axes colors to any color you want. In addition, you can specify the size of the crosshairs display, enable grips attraction for the cursor, and you can choose to use crosshairs as the default pointer shape.

To change the crosshairs options

  1. Do one of the following:
    • Choose Tools > Options.
    • Type config and then press Enter.
  2. Click the Crosshairs tab.
  3. Under Axis Color, for each axis, click Color and select a color from the palette, and then click OK.
  4. Under Cursor Size, enter a number for the percentage of the screen to be used by the crosshairs cursor, or use the up and down arrows to scroll to the number.
  5. If you want the pointer to always display as the crosshairs (instead of the small box), select the Pointer Defaults To Crosshairs check box.
  6. Under Enable Grips Attraction, click to move the crosshairs automatically to grips within a certain range. Higher points increase the range of the attraction.
  7. When you have finished, click OK.

Tell me about...

Setting and changing options

How do I...

Change any of the options settings


Changing the fly-over snapping options

In the Options dialog box, on the Snapping tab, you can control the Fly-over snapping feature. Fly-over snapping is a visual aid to help you see and use entity snaps more efficiently.

To change the options on the Snapping tab

  1. Do one of the following:

    • Choose Tools > Options.

    • Type config and then press Enter.
    • Choose Settings > Entity Snap > Entity Snap Settings and click Fly-over.

  2. Click the Snapping tab.

  3. Select the options you want.

  4. When you have finished, click OK.

How do I...

Use fly-over snapping

Use entity snaps


Customizing menus

You can customize a current menu and save your changes as an IntelliCAD menu file. You can also load both existing IntelliCAD (*.icm) and AutoCAD (*.mnu, *.mns) menu files. You customize menus using the Customize dialog box.

To display the Customize dialog box, use one of the following methods:

  • Choose Tools > Customize.
  • Type customize and then press Enter.

Tell me about...

Creating custom shortcut menus

Creating new menus and commands

Loading menu files

Saving menu files

Understanding menu compatibility

How do I...

Create a new menu

Delete a menu item

Import a menu file

Load a menu file

Rename a menu item

Save the current menu to a file


Creating new menus and commands

You can create a new menu by inserting a menu item at the top level of the menu tree. Then, you can add commands to the new menu item. You can also add submenus and modify existing menu names and commands by adding, deleting, and rearranging them.

NOTE A green bullet in front of a menu item or command indicates that the menu item or command is available for you to use at the current experience level. A red bullet in front of a menu item or command indicates that the menu item or command is not available for you to use at the current experience level. To change your experience level, choose Tools > Options.

Tell me about...

Customizing menus

Loading menu files

Saving menu files

Setting the experience level for menus

Shortcut menu syntax and explanations

Starting commands using menus

Understanding menu compatibility

Understanding the menu compatibility

How do I...

Add a command to a menu

Create a new menu

Delete a menu item

Import a menu file

Load a menu file

Rename a menu item

Save the current menu to a file


Setting the experience level for menus

You can set the experience level for menu items you create and change the experience level for existing commands.

To set the experience level for a command

  1. Do one of the following:
    • Choose Tools > Customize.
    • Type customize and then press Enter.
  2. Click the Menus tab.
  3. In the Menu Tree, select the command.
  4. Click Options.
  5. In the Menu Customization Options dialog box, under Experience Level, select the experience levels that you want for the command.
  6. Click OK.
  7. Click Close.

NOTE Select all the experience levels above the lowest level you want to use. Commands appear in the menu only at the experience levels you specify. If you select Intermediate without also selecting Advanced, the commands will appear only when you set the experience level to Intermediate.

Tell me about...

Customizing menus


Saving menu files

IntelliCAD automatically saves any changes you make to the current menu. You can also create and save your custom menus. The program automatically saves all menu files with a *.icm file extension.

To save the current menu to a file

  1. Do one of the following:
    • Choose Tools > Customize.
    • Type customize and then press Enter.
  2. Click the Menus tab.
  3. Click Export.
  4. In the Select Menu File dialog box, specify the directory and file name you want to use to save the menu file.
  5. Click Save.
  6. Click Close.

NOTE Saving a menu does not save any toolbars that you created or modified.

Tell me about...

Customizing menus

Loading menu files

Starting commands using menus

Understanding menu compatibility

Understanding the menu compatibility

How do I...

Add a command to a menu

Create a new menu

Delete a menu item

Import a menu file

Load a menu file

Rename a menu item


Loading menu files

You can replace the current menu file with other custom menus. The program loads both AutoCAD (*.mnu, *.mns) and IntelliCAD (*.icm) menu files.

To load a menu file

  1. Do one of the following:
    • Choose Tools > Customize.
    • Type customize and then press Enter.
  2. Click the Menus tab.
  3. Click Import.
  4. From the Files Of Type list, choose either *.icm, *.mnu or *.mns.
  5. Select the menu to load.
  6. Click Open.
  7. Click Close.

NOTE Loading a new menu replaces only the menu. It does not replace any custom toolbars you may have defined.

Tell me about...

Automatic Menu Loading

Creating new menus and commands

Customizing menus

Saving menu files

Starting commands using menus

Understanding menu compatibility

Understanding the menu compatibility

How do I...

Add a command to a menu

Create a new menu

Delete a menu item

Import a menu file

Rename a menu item

Save the current menu to a file


Creating custom shortcut menus

With IntelliCAD, you can create a custom shortcut menu for commands you want to use frequently. You access the shortcut menu by holding down the Shift key and clicking the right mouse button or by clicking the mouse wheel (if you have one). Using any ASCII text editor, you construct the menu to conform to the Custom shortcut menu syntax and definitions as shown here:

***MENUGROUP=group_name
***POP0
**menu_name
[menu_name]
ID_item_name [item_string]command

***HELPSTRINGS
ID_item_name[help_string]

Shortcut menu syntax and explanations

Item | Explanation
group_name | Menu group name.
menu_name | Shortcut menu name.
item_name | Menu item name.
item_string | Menu item string (typically, the command name). The menu item string appears in the shortcut menu. To specify an access key for a command, insert an ampersand (&) immediately before the letter you want to use as the access key. Do not assign the same access key to more than one command.
command | Command string. Begin the command string with "^C^C" (e.g., ^C^C_LINE) unless the command is transparent.
help_string | Help string. The text in the help string appears in the status bar when you place the cursor over the menu item.

Tell me about...

Automatic Menu Loading

Creating new menus and commands

Customizing menus

Displaying commands on a shortcut menu

Loading menu files

Saving menu files

Setting the experience level for menus

Starting commands using menus

Understanding menu compatibility

Understanding the menu compatibility

How do I...

Add a command to a menu

Create a custom shortcut menu

Create a new menu

Delete a menu item

Import a menu file

Rename a menu item

Restore the shortcut menu defaults

Save the current menu to a file

See how IntelliCAD reads AutoCAD menu source files

Use the custom shortcut menu


Customizing toolbars

IntelliCAD provides toolbars so that you can access frequently used commands. You can customize these toolbars by adding or removing tools or by rearranging the organization of the tools. You can also create custom toolbars. Toolbars are saved as an integral part of the program. Although you cannot export custom toolbars for use by others, you can load toolbars created as part of AutoCAD menus. You customize toolbars using the Customize dialog box and selecting the Toolbars tab.

To display the Customize dialog box, use one of the following methods:

  • Choose Tools > Customize.
  • Type customize and then press Enter.

Tell me about...

Creating a new toolbar

Creating custom toolbar tools

Creating toolbars that you can share as files

Displaying and hiding toolbars

Naming toolbars

Setting the experience level for toolbars

Starting commands using toolbars

Toolbar syntax and explanations

How do I...

Add a custom tool to a toolbar

Add a flyout to a toolbar

Add a tool to a toolbar

Choose which toolbars to display

Copy an existing toolbar

Create a new toolbar

Create a toolbar that you can share

Delete a tool from a toolbar

Open the toolbar file on another computer

Rename a toolbar

Restore the toolbar defaults


Creating a new toolbar

You can create a new toolbar by dragging a tool from the Customize dialog box and dropping it anywhere except on another toolbar. IntelliCAD immediately creates a new toolbar and assigns it a default name. Then, you can add additional tools to the new toolbar. You can also add, delete, or modify tools on any existing toolbar.

When you create a toolbar using tools from the Buttons area of the Customize menu, the ToolTip, Help String, and Command fields are filled in automatically with default information. You can edit this information for each tool.

Tell me about...

Creating custom toolbar tools

Creating flyouts

Creating toolbars that you can share as files

Customizing toolbars

Displaying and hiding toolbars

Naming toolbars

Setting the experience level for toolbars

Starting commands using toolbars

Toolbar syntax and explanations

How do I...

Add a custom tool to a toolbar

Add a flyout to a toolbar

Add a tool to a toolbar

Choose which toolbars to display

Copy an existing toolbar

Create a new toolbar

Create a toolbar that you can share

Delete a tool from a toolbar

Open the toolbar file on another computer

Rename a toolbar

Restore the toolbar defaults


Naming toolbars

When you first create a toolbar, the program assigns it an arbitrary name, such as ToolBar1, ToolBar2, and so on. The toolbar name is displayed on the title bar when the toolbar is floating. You can rename a toolbar at any time.

Select Toolbars the dialog box, you can rename toolbars, turn the display of toolbars on and off, choose to display large or small tools, choose to display toolbar tools in color or black and white, and control the display of ToolTips.

To rename a toolbar

  1. Do one of the following:
    • Choose View > Toolbars.
    • Type tbconfig and then press Enter.
  2. From the Toolbars list, choose the toolbar that you want to rename.
  3. In the Toolbar Name field, replace the current name with the new toolbar name.
  4. Click OK.

Tell me about...

Creating a new toolbar

Creating custom toolbar tools

Creating flyouts

Creating toolbars that you can share as files

Customizing toolbars

Displaying and hiding toolbars

Setting the experience level for toolbars

Starting commands using toolbars

Toolbar syntax and explanations

How do I...

Add a custom tool to a toolbar

Add a flyout to a toolbar

Add a tool to a toolbar

Choose which toolbars to display

Copy an existing toolbar

Create a new toolbar

Create a toolbar that you can share

Delete a tool from a toolbar

Open the toolbar file on another computer

Restore the toolbar defaults


Creating flyouts

A flyout displays a set of additional tools under a single toolbar tool. IntelliCAD uses flyouts to organize related tools and to conserve space on toolbars. A flyout is indicated by a small triangle in the lower-right corner of a tool. When you click and hold a flyout tool, the other tools on the flyout extend from the original tool so you can select one of them. The flyout tool you select then becomes the default tool on the toolbar. You can add your own flyouts to toolbars.

To add a flyout to a toolbar

  1. Do one of the following:
    • Choose Tools > Customize.
    • Type customize and then press Enter.
  2. Click the Toolbars tab.
  3. Select the Insert As Flyout check box.
  4. In the Categories list, choose a category to display its associated tools.
  5. Click and drag a tool onto the tool on the toolbar that you want to use as a flyout.
  6. Modify the ToolTip, Help String, and Command fields as needed.
  7. To add another flyout tool, repeat steps 4 through 6.
  8. Click Close.

Tell me about...

Creating a new toolbar

Creating custom toolbar tools

Creating toolbars that you can share as files

Customizing toolbars

Displaying and hiding toolbars

Naming toolbars

Setting the experience level for toolbars

Starting commands using toolbars

Toolbar syntax and explanations

How do I...

Add a custom tool to a toolbar

Add a tool to a toolbar

Choose which toolbars to display

Copy an existing toolbar

Create a new toolbar

Create a toolbar that you can share

Delete a tool from a toolbar

Open the toolbar file on another computer

Rename a toolbar

Restore the toolbar defaults


Setting the experience level for tools

You can set the experience level for toolbar tools you create, and you can change the experience level for existing tools.

To set the experience level for a tool

  1. Do one of the following:
    • Choose Tools > Customize.
    • Type customize and then press Enter.
  2. Click the Toolbars tab.
  3. Go outside the dialog box to a toolbar, and click a tool to select it.
  4. Go back to the Customize dialog box, and click Options.
  5. Under User Level, select the experience levels you want for that tool.
  6. Click OK.
  7. Click Close.

NOTE Select all the experience levels above the lowest level you want to use. Tools appear in toolbars only at the experience levels you specify. If you select Intermediate without also selecting Advanced, the tool will appear only when you set the experience level to Intermediate.

Tell me about...

Creating a new toolbar

Creating custom toolbar tools

Creating flyouts

Creating toolbars that you can share as files

Customizing toolbars

Displaying and hiding toolbars

Naming toolbars

Starting commands using toolbars

Toolbar syntax and explanations

How do I...

Add a custom tool to a toolbar

Add a flyout to a toolbar

Add a tool to a toolbar

Choose which toolbars to display

Copy an existing toolbar

Create a new toolbar

Create a toolbar that you can share

Delete a tool from a toolbar

Open the toolbar file on another computer

Rename a toolbar

Restore the toolbar defaults


Creating custom toolbar tools

IntelliCAD provides tools for available IntelliCAD commands. These tools appear on the Toolbars tab of the Customize dialog box. You can also create your own custom tools and incorporate them into your custom toolbars. To add a custom tool to a toolbar, you must first add one of the program's standard tools and then replace it on the toolbar with your custom tool.

You create custom tools as .bmp files using any paint or illustration program capable of saving to a bitmap (*.bmp) format. Because you can configure toolbars to display either large or small tools and to display tools either in color or monochrome, create four different versions of each custom tool. Create custom tools using the following dimensions:

  • Small tools: 16 x 15 pixels.
  • Large tools: 24 x 22 pixels.

NOTE If you attempt to use bitmaps that do not match these dimensions, the program will stretch or shrink (rather than crop) the bitmaps to fit the specified size. The resulting tools may not appear as originally intended.

To add a custom tool to a toolbar

  1. Do one of the following:
    • Choose Tools > Customize
    • Type customize and then press Enter.
  2. Click the Toolbars tab.
  3. Go outside the dialog box to a toolbar, and click a tool in the toolbar to select it.
  4. Go back to the Customize dialog box, and click Options.
  5. In the Toolbar Customization Options dialog box, under Button Bitmaps, click the Browse tool (indicated by an ellipsis) adjacent to the Small, Color Button list to display the Select Bitmap dialog box.
  6. Select the bitmap you want to use for the small color tool.
  7. Click Open.
  8. Repeat steps 6 through 8 for the Large, Color Button, Small, Black And White Button, and Large, Black And White Button.
  9. When you have finished, click OK.
  10. Click Close.

Tell me about...

Creating a new toolbar

Creating flyouts

Creating toolbars that you can share as files

Customizing toolbars

Displaying and hiding toolbars

Naming toolbars

Setting the experience level for toolbars

Starting commands using toolbars

Toolbar syntax and explanations

How do I...

Add a flyout to a toolbar

Add a tool to a toolbar

Choose which toolbars to display

Copy an existing toolbar

Create a new toolbar

Create a toolbar that you can share

Delete a tool from a toolbar

Open the toolbar file on another computer

Rename a toolbar

Restore the toolbar defaults


Importing toolbars

Toolbars are saved as an integral part of IntelliCAD. Although you cannot export custom toolbars for use by others, you can load toolbars created as part of AutoCAD (*.mnu, *.mns) menus. Importing an AutoCAD menu file from the Toolbars tab of the Customize dialog box loads only the toolbar section of the menu file.

To import a menu file

  1. Do one of the following:
    • Choose Tools > Customize.
    • Type customize and then press Enter.
  2. Click the Toolbars tab.
  3. Click Import.
  4. Select the menu you want to load.
  5. Click Open.
  6. Click Close.

NOTE Importing an AutoCAD menu file from the Toolbars tab of the Customize dialog box replaces any custom toolbars you may have defined. Importing the menu file in this way, however, does not affect the current menu.

Tell me about...

Creating a new toolbar

Creating custom toolbar tools

Creating flyouts

Creating toolbars that you can share as files

Customizing toolbars

Displaying and hiding toolbars

Naming toolbars

Setting the experience level for toolbars

Starting commands using toolbars

Toolbar syntax and explanations

How do I...

Add a custom tool to a toolbar

Add a flyout to a toolbar

Add a tool to a toolbar

Choose which toolbars to display

Copy an existing toolbar

Create a new toolbar

Create a toolbar that you can share

Delete a tool from a toolbar

Open the toolbar file on another computer

Rename a toolbar

Restore the toolbar defaults

To restore the toolbar defaults(IUI_870)


Creating toolbars that you can share as files

With IntelliCAD, you can manually create toolbars that you can share as files with other IntelliCAD users. You create the toolbar files using any ASCII text editor and the toolbar syntax and definitions shown here:

***MENUGROUP=group_name

***TOOLBARS
**toolbar_name
ID_toolbar_name [_Toolbar ("toolbar_name", orient, visible, xval, yval, rows)]
ID_button_name [_Button ("button_name", id_small, id_large)]command

***HELPSTRINGS
ID_button_name [help_string]

Toolbar syntax and explanations

Item | Explanation
Group_name | Menu group name.
Toolbar_name | Toolbar name.
Orient | Orientation. Select Floating, Top, Bottom, Left, and Right (not case sensitive).
Visible | Visibility. Select Show or Hide (not case sensitive).
Xval | x coordinate, designated in pixels from left edge of screen. Suggested value: 200.
Yval | y coordinate, designated in pixels from top edge of screen. Suggested value: 200.
Rows | Number of rows
Button_name | Tool name. Appears as a ToolTip when user places cursor over button.
id_small | Name of small (16 x 15 pixels) icon bitmap (BMP) file. This file must be located in the IntelliCAD 5 folder.
id_large | Name of large (24 x 22 pixels) icon bitmap (BMP) file. This file must be located in the IntelliCAD 5 folder.
Command | Command string (Example: ^C^C_LINE).
Help_string | Help string. Appears in the status bar when cursor passes over the button.

Tell me about...

Creating a new toolbar

Creating custom toolbar tools

Creating flyouts

Customizing toolbars

Displaying and hiding toolbars

Naming toolbars

Setting the experience level for toolbars

Starting commands using toolbars

How do I...

Add a custom tool to a toolbar

Add a flyout to a toolbar

Add a tool to a toolbar

Choose which toolbars to display

Copy an existing toolbar

Create a new toolbar

Create a toolbar that you can share

Delete a tool from a toolbar

Open the toolbar file on another computer

Rename a toolbar

Restore the toolbar defaults


Customizing the keyboard

IntelliCAD provides keyboard shortcuts so you can access frequently used commands. You can customize these shortcuts and add new shortcuts using the Customize dialog box.

To display the Customize dialog box, use one of the following methods:

  • Choose Tools > Customize.
  • Type customize and then press Enter.

Tell me about...

Creating a keyboard shortcut

Loading keyboard shortcut files

Saving keyboard shortcut files

How do I...

Create a keyboard shortcut

Delete an existing keyboard shortcut

Load a keyboard shortcut file

Redefine an existing keyboard shortcut

Save the current keyboard shortcuts to a file


Creating a keyboard shortcut

You can assign macros to special keys and certain combinations of keys to create a keyboard shortcut. A macro consists of one or more commands that are displayed on the status bar as follows:

  • A single command, such as QSAVE.
  • A command with options, such as ARC;\A;\\.
  • More than one command, such as ^C^C^CZOOM;E;QSAVE;QPRINT.

Keyboard shortcuts are more powerful than aliases. An alias lets you abbreviate a single command name; a keyboard shortcut contains one or more macros. To activate a macro, you press the shortcut key; you do not need to press Enter as you do with an alias. A shortcut consists of the following keys:

  • The function and the cursor control keys, as well as alphanumeric keys pressed in combination with the Ctrl, Alt, and Shift keys. The Shift key must be used in conjunction with the Ctrl, Alt, and/or function keys.
  • Alphanumeric keys are those labeled A through Z and 1 though 0.
  • The cursor keys are the up, down, left, and right arrows and the PgUp, PgDn, Home, End, Ins, and Delete keys.
  • The function keys are those labeled F1 through F12.

Tell me about...

Loading keyboard shortcut files

Saving keyboard shortcut files

How do I...

Create a keyboard shortcut

Delete an existing keyboard shortcut

Load a keyboard shortcut file

Redefine an existing keyboard shortcut

Save the current keyboard shortcuts to a file


Loading keyboard shortcut files

You can replace the current keyboard shortcut file with other custom keyboard shortcut files.

To load a keyboard shortcut file

  1. Do one of the following:
    • Choose Tools > Customize.
    • Type customize and then press Enter.
  2. Click the Keyboard tab.
  3. Click Import.
  4. Select the file to load.
  5. Click Open.
  6. Click Close.

Tell me about...

Creating a keyboard shortcut

Saving keyboard shortcut files

How do I...

Create a keyboard shortcut

Delete an existing keyboard shortcut

Redefine an existing keyboard shortcut

Save the current keyboard shortcuts to a file


Saving keyboard shortcut files

IntelliCAD automatically saves any changes you make to the current keyboard shortcuts. You can also create and save your own keyboard shortcut files. The program saves keyboard shortcut files with a *.ick file extension.

To save the current keyboard shortcuts to a file

  1. Do one of the following:
    • Choose Tools > Customize.
    • Type customize and then press Enter.
  2. Click the Keyboard tab.
  3. Click Export.
  4. Specify the directory and file name you want to use to save the keyboard shortcut file.
  5. Click Save.
  6. Click Close.

Tell me about...

Creating a keyboard shortcut

Loading keyboard shortcut files

How do I...

Create a keyboard shortcut

Delete an existing keyboard shortcut

Load a keyboard shortcut file

Redefine an existing keyboard shortcut


Creating aliases

IntelliCAD provides aliases for many commands. You can use aliases to issue frequently used commands by entering one or two letters rather than the entire command name.

The program also uses aliases to maintain command name compatibility with AutoCAD. You can use the same aliases and keyboard shortcuts used by AutoCAD. In addition, IntelliCAD has enhanced several AutoCAD commands. For example, IntelliCAD added two useful options to the rectangle command: you can draw a rectangle as a square, and you can rotate a rectangle at an angle.

You can customize aliases, and you can add new aliases. You customize aliases using the Customize dialog box.

To display the Customize dialog box, use one of the following methods:

  • Choose Tools > Customize.
  • Type customize and then press Enter.

Tell me about...

Creating, redefining, and deleting aliases

Loading alias files

Saving alias files

How do I...

Create a new alias

Delete an existing alias

Load an alias file

Redefine an existing alias

Save the current aliases to a file


Creating, redefining, and deleting aliases

To create a new command alias, you first define the alias and then assign it one of the available IntelliCAD commands.

Tell me about...

Loading alias files

Saving alias files

How do I...

Create a new alias

Delete an existing alias

Load an alias file

Redefine an existing alias

Save the current aliases to a file


Saving alias files

IntelliCAD automatically saves any changes you make to the current aliases. You can also create and save your own alias files. The program saves alias files with a *.ica file extension. You can also save alias files for use with AutoCAD by saving the files with a *.pgp file extension.

To save the current aliases to a file

  1. Do one of the following:
    • Choose Tools > Customize.
    • Type customize and then press Enter.
  2. Click the Aliases tab.
  3. Click Export.
  4. From the Save As Type list, choose either *.ica or *.pgp.
  5. Specify the directory and file name you want to use to save the alias file.
  6. Click Save.
  7. Click Close.

Tell me about...

Creating, redefining, and deleting aliases

Loading alias files

How do I...

Create a new alias

Delete an existing alias

Load an alias file

Redefine an existing alias


Loading alias files

You can replace the current alias file with other custom alias files. The program loads both AutoCAD (*.pgp) and IntelliCAD (*.ica) alias files.

To load an alias file

  1. Do one of the following:
    • Choose Tools > Customize.
    • Type customize and then press Enter.
  2. Click the Aliases tab.
  3. Click Import.
  4. From the Files of Type list, choose either *.ica or *.pgp.
  5. Select the alias file to load.
  6. Click Open.
  7. Click Close.

Tell me about...

Creating, redefining, and deleting aliases

Saving alias files

How do I...

Create a new alias

Delete an existing alias

Redefine an existing alias

Save the current aliases to a file


Using shape files

Shapes are entities that you define for use as drawing symbols and text fonts. You can specify the scale and rotation to use for each shape as you add it.

To use shape files, you first load the compiled shape file that defines the shape. Then you use insert shapes from the file into your drawing.

To load a shape file

  1. Type load and then press Enter.
  2. In the Load Shape File dialog box, select a shape file.
  3. Click OK to close the Load Shape File dialog box.

To use a shape file

  1. Type shape and then press Enter.
  2. Specify an insertion point.
  3. Specify a height.
  4. Specify a rotation angle.


Creating and replaying scripts

IntelliCAD can record anything you type on the keyboard and any points you select in the drawing. You can save all of these actions to a script file (with the *.scr extension) and then repeat them by replaying the script. You can use scripts for successively repeating commands, showing snapshots in a slide show, or batch plotting. You can also load and run script files created for use with AutoCAD.

IntelliCAD supports most AutoCAD customization files, including menus, script files, and LISP routines. IntelliCAD uses compatible linetypes, hatch patterns, units translation, and command aliases, but you can also substitute your own files for these. This feature allows you to continue to work with your favorite customized drafting environment.

Scripts are a form of text file. A script file contains one line of text or other data for each action. For example, when you type a command and press Enter, it is recorded on a line in the script file. When you select a point in the drawing, the coordinate of that point is recorded on a line in the script file. You can also create script files outside IntelliCAD using a text editor (such as Windows Notepad or Windows WordPad) or a word processor (such as Microsoft® Word) that saves the file in ASCII format. The file type and extension must be .scr.

Script files can contain comments. Any line that begins with a semicolon is considered a comment. The program ignores these lines when replaying the script. The undo feature reverses the last command performed by the script.

IntelliCAD improves on scripts, AutoLISP, and ADS by providing additional functions. For scripts, IntelliCAD includes a Script Recorder that records both command line entries and screen picks you make with your mouse.

After you activate the Script Recorder, every keyboard entry you make and any points you select in a drawing are recorded until you stop the Script Recorder. You can play back your script at any time.

CAUTION The script recorder does not record your use of toolbars, menus, or dialog boxes. Using these elements while recording a script causes unpredictable results.

Tell me about...

Using scripts

How do I...

Append to a script

Record a script

Replay a script

Stop recording


Using LISP routines

IntelliCAD supports the LISP programming language and is completely compatible with AutoLISP, the implementation of the LISP language in AutoCAD. This means that you can load and run any AutoLISP program written for use with AutoCAD.

Tell me about...

Understanding AutoLISP compatibility

How do I...

Load a LISP routine

Run a LISP routine


Using ADS applications

To write AutoCAD applications in C or C++, Autodesk® uses the ADS (AutoCAD Development System). This is an API (applications programming interface) that provides a library to access AutoCAD-specific functions and drawing data.

The equivalent in IntelliCAD is called SDS™, the Solutions Development System™. SDS is a C/C++ language interface compatible with the ADS interface in AutoCAD. Like scripts and AutoLISP, you can run your existing ADS applications in IntelliCAD. Simply recompile your source code using the SDS libraries provided on the IntelliCAD CD-ROM, or if you use an AutoCAD program written by a third-party vendor, contact that vendor for the IntelliCAD version.

IntelliCAD provides the Sds.H file, which redefines ADS function names to their SDS equivalents.

SDS supports the AutoCAD dialog control language (a DCL file is used by ADS to define the look of a dialog box). You can use all DCL files unmodified within SDS.

Tell me about...

SDS functions with no ADS equivalent

Understanding ADS compatibility

SDS functions with no ADS equivalent

About working with other programs

Dragging IntelliCAD drawings into other programs

Programming in IntelliCAD

Programming IntelliCAD

Using data from IntelliCAD in other programs

Using data from other programs in IntelliCAD drawings

Working with other data and programs


Understanding ADS compatibility

The primary difference between ADS and SDS is that all SDS functions have an sds_ prefix, and ADS functions have a variety of prefixes, such as ads_, acad_, and acrx_. The exception is dialog-related SDS functions, which have the dlgr_ prefix. IntelliCAD accepts either prefix. Other differences include the additional SDS functions listed in the following table.

SDS functions with no ADS equivalent

SDS function name | Description
sds_grclear | Clears all graphics from the drawing window; similar to the LISP (grclear) function.
sds_name_clear | Clears the entity name or selection set.
sds_name_equal | Verifies whether two entity names or selection sets are equal.
sds_name_nil | Verifies whether the entity name or selection set has been cleared.
sds_name_set | Copies one entity name or selection set to another drawing.
sds_pmtssget | Similar to the ads_ssget function, but allows you to display a prompt appropriate for the specific command, rather than the generic "Select object" prompt.
sds_point_set | Copies a point from one variable to another.
sds_progresspercent | Displays the percentage done in a progress bar.
sds_progressstart | Starts the progress bar.
sds_progressstop | Ends the progress bar.
sds_readaliasfile | Loads the PGP file into IntelliCAD.
sds_sendmessage | Sends a message to the IntelliCAD command line.
sds_swapscreen | Flips the off-screen device context to the display.

Some ADS functions are not supported in SDS, including: ads__msize, ads_ssgetx, ads_ssnamex, ads_tablet, ads_ssGetKwordCallbackPtr, ads_ssGetOtherCallbackPtr, and adsw_acadDocWnd.

For more information

  • Read the online documentation for SDS functions.
  • See the \IntelliCAD 5\Api\Sds folder, which contains the SDS include, header, and library files.
  • See the \IntelliCAD 5\Api\Dcl folder, which contains the core DCL files.

Tell me about...

About working with other programs

Dragging IntelliCAD drawings into other programs

Programming in IntelliCAD

Programming IntelliCAD

Understanding AutoLISP compatibility

Using ADS applications

Using data from IntelliCAD in other programs

Using data from other programs in IntelliCAD drawings

Using LISP routines

Working with other data and programs

How do I...

Embed another program’s object into an IntelliCAD drawing

Load a LISP routine

Run a LISP routine

See how IntelliCAD reads AutoCAD menu source files


Using DCL with IntelliCAD

IntelliCAD completely supports the AutoCAD DCL (dialog control language). DCL is used by AutoLISP functions to define the look of dialog boxes. You can use all DCL files unmodified within IntelliCAD.

Tell me about...

Programming in IntelliCAD

Programming IntelliCAD


Using VBA

IntelliCAD can be customized using Visual Basic for Applications (VBA) through an integrated interface, available from the IntelliCAD menu. IntelliCAD features a broad range of objects, giving you the power to write your own custom applications that can run within IntelliCAD.

Tell me about...

Disabling VBA CommonProject macros

How do I...

Edit a VBA macro

Run a VBA macro


Using a digitizer tablet

IntelliCAD supports tablets compatible with the TabletWorks driver and has its own tablet overlay. For instructions on installing the tablet driver and using the buttons on your pointing device, refer to your hardware documentation.

Three options are available with the Tablet command:

  • Configure Maps the tablet overlay to the tablet itself. Configure the tablet if you plan to select IntelliCAD tools from the tablet overlay.
  • Calibrate Maps points on the tablet, in absolute coordinates, to points on a drawing. Calibrate the tablet if you intend to digitize points. This process is convenient for tracing paper drawings.
  • Tablet ON/OFF Turns tablet calibration (digitizer mode) on and off. Use this to switch between tool selection and digitizer input. To use the tablet for tool selection, tablet mode must be turned off.

Tell me about...

Calibrating the digitizer tablet

Configuring digitizer tablet

Understanding digitizer tablet transformation types

How do I...

Calibrate your tablet for digitizing points

Configure the tablet for menu input

Turn tablet mode on or off


Configuring digitizer tablet

Before you begin to configure the digitizer tablet, slip the tablet overlay underneath the tablet's plastic cover, and align it in accordance with the directions for your tablet. If your tablet does not have a plastic cover, align the overlay holes with the pegs on your tablet.

IntelliCAD provides a default configuration for tablets measuring 12" by 12". If you choose to accept the default, be sure to verify that the commands in the grid are activated correctly. If the default alignment does not work for your tablet, you'll need to begin the configuration process again and align the tablet yourself.

To configure the tablet for menu input

  1. Do one of the following:
    • Choose Settings > Tablet > Configure.
    • Type tablet, choose Configure, and then press Enter.
  2. In response to the prompt to align the tablet, do one of the following:
    • If your tablet is 12" by 12", choose No to accept the default alignment and conclude the configuration process.
    • To align the tablet yourself, choose Yes, and then continue with step 3.
  3. Click the tablet pointer on the upper left alignment point of the overlay.
  4. Click the tablet pointer on the lower left alignment point of the overlay.
  5. Click the tablet pointer on the lower right alignment point of the overlay.
  6. Click the tablet pointer on the lower left alignment point of the WORKSPACE area of the overlay.
  7. Click the tablet pointer on the upper right alignment of the WORKSPACE area of the overlay.

Click points in the order shown to configure your tablet for menu input.

To turn tablet mode on or off

    Do one of the following:
    • Choose Settings > Tablet > Tablet On (or Tablet Off).
    • Type tablet, choose On or Off, and then press Enter.
    • Press the F4 key to toggle tablet mode on or off.
    • On the status bar, double-click TABLET to turn tablet mode on or off.

Tell me about...

Calibrating the digitizer tablet

Understanding digitizer tablet transformation types

Using a digitizer tablet

How do I...

Calibrate your tablet for digitizing points


Calibrating the digitizer tablet

You must specify at least two points for tablet calibration. However, the more points you specify, the more accurate the transformation between the tablet and the screen points. Specifying additional points is particularly useful if you plan to trace a paper drawing that is not orthogonal, such as an aerial photograph.

To calibrate your tablet for digitizing points

  1. Do one of the following:
    • Choose Settings > Tablet > Calibrate.
    • Type tablet, choose Calibrate, and then press Enter.
  2. Click a point on the tablet to define as the first calibration point.
  3. Specify a point within the IntelliCAD drawing window to correspond to the point you digitized on the tablet, or enter coordinate values in the command bar.
  4. Click a point on the tablet to define as the second calibration point.
    5. Specify a point within the IntelliCAD drawing window to correspond to the point you digitized on the tablet, or enter coordinate values in the command bar. To specify more than the two points required, click a point on the tablet to define as the third calibration point. You can enter up to 10 points.
  5. Choose the transformation type, and then press Enter.

Tell me about...

Configuring digitizer tablet

Understanding digitizer tablet transformation types

Using a digitizer tablet

How do I...

Configure the tablet for menu input

Turn tablet mode on or off


Understanding digitizer tablet transformation types

Depending on the number of points specified, you have a choice of transformation types to use, along with the type recommended for IntelliCAD.

Transformation refers to the calculation of the points on the screen that correspond to points you digitize on the tablet.

  • Orthogonal Preserves all angles between lines, preserves all relative distances, and, in general, preserves shapes. If you specify only two points, an orthogonal transformation is automatically generated. The orthogonal transformation type yields the most precise mapping between the digitized points on the tablet and the corresponding points on the screen.
  • Affine Preserves parallel lines, but not necessarily the angles between intersecting lines. If you specified three points, IntelliCAD can no longer represent this mapping as an exact orthogonal transformation. Therefore, you have a choice of an exact affine transformation or a "best fit" orthogonal transformation.
  • Projective Does not preserve parallel lines or angles. If you specify exactly four points, you have a choice of an exact projective transformation or a "best fit" orthogonal or affine transformation.

Number of points specified | Transformational type recommended | "Best fit" (approximate)
2 | Orthogonal | None
3 | Affine | Orthogonal
4 | Projective | Orthogonal, Affline
5-10 | None | Orthogonal, Affline

Choose the recommended type unless you know it will not be appropriate for what you are digitizing. The most appropriate type is not always the one with the least error; for example, you might digitize three points and select the orthogonal transformation, even though the affine transformation would yield a closer representation of your calibration entries.

Digitizing by selecting points (1, 2, 3, and 4) on the tablet. | Corresponding screen coordinates: 1 Coordinate specification X0, Y0, Z0 2 Coordinate specification X0, Y5, Z0 3 Coordinate specification X5, Y5, Z0 4 Coordinate specification X5, Y0, Z0

Screen result of orthogonal transformation after tracing polyline on tablet. | Screen result of affine transformation after tracing polyline on tablet. | Screen result of projective transformation after tracing polyline on tablet.

Tell me about...

Calibrating the digitizer tablet

Configuring digitizer tablet

Using a digitizer tablet

How do I...

Calibrate your tablet for digitizing points

Configure the tablet for menu input

Turn tablet mode on or off


Understanding AutoCAD compatibility

IntelliCAD was designed to interface with AutoCAD as seamlessly as possible. There are, however, some differences for which those accustomed to working in AutoCAD may need to adjust. The topics in the following list provide information specifically for that audience.

Using enhanced AutoCAD commands in IntelliCAD

Using additional selection sets

Using additional IntelliCAD commands

Recognizing subtle command differences

Identifying unsupported commands and features

Identifying what does not display

Supporting AutoCAD customization

Understanding menu compatibility

Importing and exporting customization files

Programming in IntelliCAD

Understanding AutoLISP compatibility

IntelliCAD-AutoCAD list of terms


Programming IntelliCAD

Another way you can customize IntelliCAD is to add custom programs written in any of several programming languages that run within IntelliCAD, including LISP.

You can run many programs originally created for use with AutoCAD in IntelliCAD. Specifically, you can use programs written entirely in AutoLISP in IntelliCAD with no modification. You can also run many ADS programs originally written for use with AutoCAD in IntelliCAD after first recompiling them using the IntelliCAD run-time libraries. Many AutoCAD third-party programs are compatible with IntelliCAD.

Creating custom programs for use with IntelliCAD is beyond the scope of this online user's guide. For information about programming for IntelliCAD, see the online help for the IntelliCAD Programmer's Reference.

Tell me about...

About working with other programs

Dragging IntelliCAD drawings into other programs

Programming in IntelliCAD

Understanding AutoLISP compatibility

Using data from IntelliCAD in other programs

Using data from other programs in IntelliCAD drawings

Using LISP routines

Working with other data and programs

How do I...

Embed another program’s object into an IntelliCAD drawing

Load a LISP routine

Run a LISP routine


Using enhanced AutoCAD commands in IntelliCAD

IntelliCAD enhances several AutoCAD commands by providing more options. For example, if you hold down the Shift key, IntelliCAD is placed temporarily in orthogonal mode, which you will find to be a useful feature for drawing at right angles. The following table lists examples of other commands with enhanced options.

Enhanced IntelliCAD commands

Command | Enhanced option name | Explanation
circle | Arc | Converts an arc to a circle.
donut | 2point | Determines the outside diameter of a donut by two pick points.
donut | 3point | Determines the outside diameter of a donut by three pick points.
donut | RadTanTan | Determines the outside diameter of a donut by tangent points.
line | Angle | Draws an angle, followed by a length.
line | Length | Draws a length, followed by an angle.
msnapshot (mslide) and vsnapshot (vslide) | EMF | Saves and views screen images in enhanced metafile format.
msnapshot (mslide) and vsnapshot (vslide) | WMF | Saves and views screen images in Windows metafile format.
parallel (offset) | Both sides | Copies an entity parallel on both sides.
plane (solid) | Rectangle | Draws a rectangular solid at any angle.
plane (solid) | Square | Draws a square solid at any angle.
plane (solid) | Triangle | Draws an equilateral solid at any angle.
rectangle | Square | Draws a square rectangle.
rectangle | Rotated | Draws a rotated rectangle.


Using additional selection sets

IntelliCAD has additional selection-set options not found in AutoCAD. In particular, in the circle selection set, the Crossing Circle (CC), Outside Circle (OC), and Window Circle (WC) options select all entities relative to the same distance (radius) of a central pick point.

The following table lists and describes the additional selection sets in IntelliCAD.

Additional selection set options

Selection mode | Description
CC | Crossing Circle: Selects all entities within and crossing a circular area.
D | Selection method: Displays the Drawing Settings dialog box.
O | Outside Window: Selects all entities outside a rectangular area; this is the inverse of the Crossing Circle option.
OC | Outside Circle: Selects all entities outside a circular area.
OP | Outside Polygon: Selects all entities outside a polygonal area; this is the inverse of the CP (Crossing Polygon) and WP (Window Polygon) options.
PRO | Properties: Selects all entities with specific properties, such as area, color, and layer.
WC | Window Circle: Selects all entities within a circular area.


Using additional IntelliCAD commands

Although you can use the AutoCAD command structure with IntelliCAD, the program has its own set of commands. IntelliCAD has numerous command names not found in AutoCAD, although many of these commands have an equivalent function in AutoCAD. When you type the AutoCAD equivalent, the IntelliCAD alias system activates the correct command.

For example, the AutoCAD offset command is mapped to the IntelliCAD parallel command. You can type either offset or parallel in the command bar, or you can choose Modify > Parallel.

The following table lists optional IntelliCAD command names that you can use in place of AutoCAD command names to perform the equivalent AutoCAD function.

Command differences in IntelliCAD

IntelliCAD | AutoCAD 2004 command | AutoCAD 2000/R14 command | Action in IntelliCAD
cmdbar | No equivalent | No equivalent | Positions the command window.
coordinate | Ctrl+D or F6 | Ctrl+D or F6 | Changes the display of coordinates on the status line.
copyedata | No equivalent | No equivalent | Copies extended entity data from one entity to another.
customize | toolbar | toolbar | Displays the Customize dialog box.
deledata | No equivalent | No equivalent | Deletes extended entity data from an entity.
delete | erase | erase | Removes entities from the drawing.
dimension | dim | dim | Switches to dimension mode.
editedata | No equivalent | No equivalent | Edits extended entity data found in an entity.
editlen | lengthen | lengthen | Changes the length of open entities.
editpline | pedit | pedit | Edits polylines and polymeshes.
entprop | ddmodify and ddchprop | ddmodify and ddchprop | Displays the Entity Properties prompt box.
esnap | -osnap | -osnap | Sets entity snaps from the command line.
expblocks | ddinsert | ddinsert | Displays the IntelliCAD Explorer - Blocks.
expdimstyles | ddim | ddim | Displays the IntelliCAD Explorer - Dimension Styles.
expfonts | style | style | Displays the IntelliCAD Explorer - Styles.
explayers | layer | layer | Displays the IntelliCAD Explorer - Layers.
explorer | ddrename | ddrename | Displays the IntelliCAD Explorer.
expltypes | linetype | linetype | Displays the IntelliCAD Explorer - Linetypes.
expucs | dducs | dducs | Displays the IntelliCAD Explorer - UCS.
expviews | ddview | ddview | Displays the IntelliCAD Explorer - Views.
face | 3dface | 3dface | Draws three-dimensional faces with three or four vertices.
flatten | No equivalent | No equivalent | Sets thickness to zero at user- specified elevation.
font | -style | -style | Displays the Text Style dialog box.
freehand | sketch | sketch | Allows freehand sketching.
idpoint | id | id | Returns the x-, y-, and z-coordinates of a picked point.
infline | xline | xline | Draws a line of infinite length.
join | pedit join | pedit join | Joins lines and arcs.
mesh | 3dmesh | 3dmesh | Draws a surface mesh.
moveedata | No equivalent | No equivalent | Moves extended entity data from one entity to another.
msnapshot | mslide | mslide | Makes an SLD, EMF, or WMF file of the current view.
orthogonal | ortho | ortho | Toggles orthogonal mode.
parallel | offset | offset | Copies an entity by a parallel offset distance.
plane | solid | solid | Draws a two-dimensional solid plane.
pmthist | F2 | F2 | Switches between the Prompt History window and the graphics screen.
polyline | pline | pline | Draws a polyline.
ppreview | preview | preview | Previews the plot.
psetup | config | config | Displays the Print/Plot dialog box.
qprint | No equivalent | No equivalent | Quickly prints the current viewport (window) with no options.
reassocapp | No equivalent | No equivalent | Reassociates extended entity data with an application.
recscript | No equivalent | No equivalent | Starts the Script Recorder.
rtrot | 3Dorbit | No equivalent | Rotates the view of entities.
rtrotx | No equivalent | No equivalent | Rotates the view of entities while maintaining the x-axis.
rtroty | No equivalent | No equivalent | Rotates the view of entities while maintaining the x-axis.
rtrotz | 3Dorbit | No equivalent | Rotates the view of entities while maintaining the x-axis.
saveall | No equivalent | No equivalent | Saves all currently open drawings.
setcolor | ddcolor | ddcolor | Displays the Color dialog box.
setdim | ddim | ddim | Displays the Dimension Settings dialog box.
setesnap | osnap | osnap | Displays the Drawing Settings dialog box with the Coordinate Input tab displayed.
setlayer | ai_molc | ai_molc | Sets the current layer based on the selected entity's layer.
settings | No equivalent | No equivalent | Displays the Drawing Settings dialog box.
setucs | dducs | dducs | Displays the User Coordinate Systems dialog box.
setvpoint | No equivalent | No equivalent | Displays the Preset Viewpoints dialog box.
stopscript | No equivalent | No equivalent | Stops running the script.
tipofday | No equivalent | No equivalent | Displays the Tip of the Day.
undelete | oops | oops | Restores the last deleted entity.
vba | vbaide | vbaide | Opens the Visual Basic Applications editor.
vbaload | vbaload | vbaload | Displays the VBA Add-In Manager dialog box.
vbarun | vbarun | vbarun | Runs a VBA application.
vbaunload | vbaunload | vbaunload | Unloads one or more VBA applications.
viewctl | ddvpoint | ddvpoint | Sets the three-dimensional viewing direction via an interactive dialog box.
viewpoint | vpoint | vpoint | Sets the three-dimensional viewing direction via the command line.
vsnapshot | vslide | vslide | Displays an SLD, EMF, or WMF file in the current viewport.


Recognizing subtle command differences

The commands listed in the following table function slightly differently in IntelliCAD than in AutoCAD.

Command function differences

IntelliCAD command | AutoCAD command | Function in IntelliCAD
box | ai_box | Draws a surface model box instead of a solid model box.
cal | cal | Displays the Windows calculator.
cone | ai_cone | Draws a surface model cone instead of solid model cone.
ieadjust | imageadjust | Adjusts the brightness, contrast, or fade of an image.
ieattach | imageattach | Attaches images to a drawing.
ieframe | imageframe | Turns image frames on or off.
iemanage | image | Manages images in a drawing.
iequality | imagequality | Defines high or draft quality of all images in a drawing.
ietransparency | transparency | Changes the transparency of an image.
pan | -pan | Performs a vector pan instead of a real-time pan.
rtrot | 3Dorbit | Rotates the view of entities.
sphere | ai_sphere | Draws a surface model sphere instead of a solid model sphere.
torus | ai_torus | Draws a surface model torus instead of a solid model torus.
wedge | ai_wedge | Draws a surface model wedge instead of solid model wedge.
zoom | -zoom | Performs a stepped zoom instead of a real-time zoom.


Identifying unsupported commands and features

A few AutoCAD commands are not supported in this release of IntelliCAD, as shown in the following table.

AutoCAD commands not supported by IntelliCAD

Release | Unsupported commands
2005 | Midpoint Between Two Points Object Snap, Zoom to Selection, Layer States, Tables, Fields, Trimming Hatches, and Sheet Set Manager
2004 | Pantone Color Books, True Color Palette, Gradient Fills, External Reference Manager, Tool Palettes (toolpalettes), xopen, pngout, and 3dorbitct
2002 | Attribute Extraction Wizard (eattext, attext), Today window
2000 | arctext, rtext, wipeout
R13 | align, arx, audit, copylink, dsviewer, dxbin, edge, hatchedit, mline, mledit, recover, shape, treestat, wmfopts
Advanced AutoCAD modules | ACIS commands (solids modeling): ameconvert, soldraw, solprof, solview, and stlout
 | ASE commands (AutoCAD SQL extension): aseadmin, aseexport, aselinks, aserows, aseselect, and asesqled
 | Image commands: imageclip
 | Internet commands: listurl, openurl, saveurl, and selecturl
 | Landscape commands: lsedit, lslib, and lsnew
 | PostScript commands: psdrag, psfill, psin, and psout
 | Render commands: fog, matlib, replay, saveimg, scene, setuv, showmat, stats, transparency, 3dsin, and 3dsout


Identifying what does not display

The following table identifies which AutoCAD objects are not displayed in IntelliCAD.

AutoCAD objects not displayed in IntelliCAD

AutoCAD object | Description
Images | Do not display if inside blocks and externally referenced drawings (xrefs).
Arc aligned text | Text that is aligned along the curve of an arc.
Read text | Dynamically linked text that displays in a drawing but resides in an external file.
Wipeout masks | Masks to cover parts of drawings that you don't want plotted.
Tables | Tables display as anonymous blocks but cannot be edited.
Fields | Dynamically linked text that displays in drawings but resides as data in the drawing or on entities.


Supporting AutoCAD customization

The following table lists and describes the ways IntelliCAD supports the AutoCAD customization files.

IntelliCAD support of AutoCAD customization files

File extension | Description
LIN | Supported: Linetypes and complex linetypes with text and shapes.
MNU and MNS | Supported: Toolbar and menu macros. Supported: ***POP0, ***POPn, and ***TOOLBAR sections. Not supported: ***TABLET, ***BUTTONS, ***SCREEN, ***AUX, and ***ICON sections.
MIN | Not supported: The multiline definition file is used by the AutoCAD mline command.
PAT | Supported: Hatch patterns.
PGP | Supported: Command aliases. Not supported: External commands.
PSF | Not supported: PostScript fill pattern file is used by the AutoCAD psfill command.
SHP and SHX | Supported: Text fonts. Not supported: Shapes.
SLD | Supported: Slide files.
UNT | Supported: Unit translation file used by the LISP (cvunit) and SDS sds_cvunit functions to translate values from one unit of measurement to another.


Understanding menu compatibility

MNU files are menu files created by all AutoCAD releases, and MNS files are included in AutoCAD Releases 13, 14, and 2000. IntelliCAD reads both file formats, even when menu macros include AutoLISP code. This feature allows you to continue using your existing AutoCAD menus.

IntelliCAD support of specific sections in AutoCAD MNU and MNS files

Menu section | Definition | IntelliCAD support
***POP0 | Cursor menu | Supported
***POPn | Pull-down menus | Supported
***AUXn | Auxiliary menus | Not supported
***BUTTONn | Button menus | Not supported
***ICON | Icon menus | Not supported
***SCREEN | Screen menus | Not supported
***TABLETn | Tablet menus | Not supported


Importing and exporting customization files

You can continue using aliases and menu files from AutoCAD by importing the appropriate file. You can import AutoCAD customization files and export IntelliCAD formats using the Customize dialog box. All of the files listed in the following table are in ASCII format, which means you can view and edit them with a text editor, such as Notepad.

Customizing files

Customization | Import file formats | Export file formats
Aliases | PGP: AutoCAD aliases ICA: IntelliCAD aliases ICA: IntelliCAD aliases | PGP: AutoCAD aliases
Keyboard | ICK: IntelliCAD keyboard | ICK: IntelliCAD keyboard
Menus | MNU: All AutoCAD menus MNS: AutoCAD R13, R14 and 2000 menus ICM: IntelliCAD menu | ICM: IntelliCAD menu
Toolbars | MNU: All AutoCAD menus | None

TIP You can manually add toolbar customizations to a .MNU file. See the section on "Customizing toolbars" for more information.


Programming in IntelliCAD

IntelliCAD supports more AutoCAD application programming interfaces (APIs) than any other software, but not all of the AutoCAD APIs are available in IntelliCAD. The following table summarizes the AutoCAD APIs IntelliCAD supports.

IntelliCAD support of the AutoCAD programming interface

AutoCAD programming interface | IntelliCAD support
Scripts (SCR files) | Supported
AutoLISP (LSP files) | Supported
Dialog Control Language (DCL files) | Supported
AutoCAD Development System (ADS) | Supported; source code must be recompiled
Visual Basic Applications (VBA) | Supported, depending on your version of IntelliCAD
Direct Interactively Evaluated String Expression Language (Diesel) | Not supported
AutoCAD SQL Interface (ASI) | Not supported
Autodesk® Threaded Language Application System Toolkit (Atlast) | Not needed
AutoCAD Runtime Extension (ARx) | Not supported


Understanding AutoLISP compatibility

IntelliCAD adds LISP functionality that you will find useful. The following table lists functions that are unique to IntelliCAD LISP.

Additional IntelliCAD LISP functions

Unique LISP function | Definition
(log10) | Returns log base 10.
(lpad) | Pads a text string with spaces to the left.
(rpad) | Pads a text string with spaces to the right.
(tan) | Returns the tangent.
(trim) | Trims spaces from a string.

Not all IntelliCAD LISP functions are completely compatible with AutoLISP functions. The following table identifies IntelliCAD LISP functions that are partially compatible with AutoLISP functions.

Partially compatible LISP functions

LISP function | Description
(menucmd) | Supports P0 (cursor menu) and P1 through P16 (the pull-down menus), but does not support A (aux menus), B (button menus), I (icon menus), M (diesel expressions), S (screen menu), or T (tablet menus).
(osnap) | Supports an additional entity snap, pla, for planview (two- dimensional intersection).
(print1) | Does not support Unicode characters, such as \U+00B0 (the degree symbol) and M+Nxxxx (multibyte Unicode sequences).
(ssget) and (ssadd) | Supports additional selection modes: CC = Crossing Circle O = Outside OC = Outside Circle OP = Outside Polygon PO = POint


IntelliCAD-AutoCAD list of terms

List of terms

IntelliCAD term | Meaning for AutoCAD users
command bar | command prompt area
edit length | lengthen
entity | object
entity snap | object snap
entity snap precision | aperture
fixed attribute | constant attribute
follow | continue
freehand | sketch
hidden attribute | invisible attribute
infinite line | XLine
insert | draw
orthogonal | ortho
parallel | offset
plane | solid (2D)
predefined attribute | preset attribute
prompt box | context menu
Prompt History window | text screen
reference grid | grid
point snap | node snap
snapshot | slide (SLD)
validate attribute | verify attribute


Changing the size and appearance of point entities

Changing the size and appearance of point entities affects all point entities already in the drawing, as well as all points that you subsequently draw. Positive values represent the absolute size of the point entity measured in drawing units. Negative values represent a percentage relative to the drawing screen, so that points retain their visual size as you use the Zoom command to change the magnification of the drawing.

To change the size and appearance of point entities

  1. Do one of the following:
    • Choose Settings > Drawing Settings.
    • On the Settings toolbar, click the Drawing Settings tool ( [image]).
    • Type settings and then press Enter.
  2. Click the Entity Creation tab.
  3. Under Change Settings For, click Points.
  4. Under Point Display Type, select the style you want.
  5. Under Point Size, select the point size, or choose one of the options.
  6. Click OK.

When you regenerate the drawing, all point entities change to reflect the new size and appearance settings.


Erasing freehand sketch lines

You can erase temporary freehand sketch lines that have not yet been written into the drawing by choosing the Delete On option in the prompt box. The pencil changes to an Eraser tool. You can erase portions of the line when you move the eraser over a temporary freehand line without clicking the mouse button.

To erase freehand sketch lines

  1. Do one of the following:
    • Choose Insert > Freehand.
    • On the Draw 2D toolbar, click the Draw Freehand tool ( [image]).
    • Type freehand and then press Enter.
  2. Specify the length of the sketch segments.
  3. Select a point on the drawing to display the Pencil tool ( [image]) and begin sketching.
  4. Click the mouse button to lift the pencil up to stop sketching.
  5. In the prompt box, choose Delete On.
  6. Move the Eraser tool ( [image]) to the beginning or end of the freehand sketch line that you drew, and then move it as far along the line as you want to erase.
  7. Click the mouse button to put the Pencil tool down to resume sketching.


Setting the sketch method and accuracy

Using polylines for freehand sketches makes it easier to go back and edit sketches. You control whether to create freehand sketches using line segments or polylines in the Drawing Settings dialog box. You can also control the length of sketch segments in this dialog box.

To specify lines or polylines when sketching

  1. Do one of the following:
    • Choose Settings > Drawing Settings.
    • On the Settings toolbar, click the Drawing Settings tool ( [image]).
    • Type settings and then press Enter.
  2. Choose the Entity Creation tab.
  3. Under Change Settings For, click Freehand Sketches.
  4. Under Freehand Sketching Methods, click either Freehand Command Creates Lines or Freehand Command Creates A Polyline.
  5. Click OK.


To draw an arc by specifying three points

  1. Do one of the following:
    • Choose Insert > Arc.
    • On the Draw 2D toolbar, click the 3-Point Arc tool ( [image]).
    • Type arc and then press Enter.
  2. Specify the start point.
  3. Specify a second point.
  4. Specify the endpoint.

Start point (A), second point (B), and endpoint (C).

The prompt box provides additional options for drawing arcs. For example, after you specify the start point of an arc, you can choose Angle, Center, Direction, End, or Radius. You can select the options in a different order as well. For instance, you can draw an arc by specifying its start point, endpoint, and radius, or you can specify the start point, radius, and then endpoint.


To draw an arc by specifying its start point, center point, and endpoint

  1. Do one of the following:
    • Choose Insert > Arc.
    • On the Draw 2D toolbar, click the Arc Start-Center-End tool ( [image]).
    • Type arc and then press Enter.
  2. Specify the start point.
  3. In the prompt box, choose Center.
  4. Specify the center point.
  5. Specify the endpoint.

Start point (A), center point (B), and endpoint (C).


To draw an arc by specifying two points and an included angle

  1. Do one of the following:
    • Choose Insert > Arc.
    • On the Draw 2D toolbar, click the Arc Start-End-Angle tool ( [image]).
    • Type arc and then press Enter.
  2. Specify the start point.
  3. In the prompt box, choose Angle or type angle.
  4. To draw an arc in a counterclockwise direction, enter a positive value for the included angle.
    5. To draw an arc in a clockwise direction, enter a negative value for the included angle.
  5. Specify the endpoint.

Start point (A), endpoint (B), and included angle (C).

If the last entity you drew was an arc or a line, you can also draw an arc tangent to and starting from the endpoint of the arc or line.


To draw an arc tangent to an arc or line

  1. Do one of the following:
    • Choose Insert > Arc.
    • On the Draw 2D toolbar, click the Tangent Arc tool ( [image]). Go to step 3.
    • Type arc and then press Enter.
  2. In the prompt box, choose Follow.
  3. Specify the endpoint.

Endpoint (A).

TIP To convert an arc to a circle, on the Draw 2D toolbar, click the Convert Arc To Circle flyout tool ( [image]).


To create a horizontal or vertical dimension

  1. Do one of the following:
    • Choose Insert > Dimensions > Linear.
    • On the Dimensioning toolbar, click the Linear tool ( [image]).
    • Type dimlinear and then press Enter.
  2. Press Enter, and then select the entity to dimension.
    3. Or, you can insert the dimension by specifying the first and second extension line origins.
  3. Specify the dimension line location.

To insert a linear dimension by selecting the entity, select the entity (A) to dimension, and then specify the dimension line location (B). | Result.

To insert a linear dimension by selecting the extension line origins, select the first extension origin (A), select the second extension origin (B), and then specify the dimension line location (C). | Result.


To create an aligned dimension

  1. Do one of the following:
    • Choose Insert > Dimensions > Aligned.
    • On the Dimensioning toolbar, click the Aligned tool ( [image]).
    • Type dimaligned and then press Enter.
  2. Press Enter, and then select the entity to dimension.
    3. Or, you can insert the dimension by specifying the first and second extension line origins.
  3. Specify the dimension line location.

To insert an aligned dimension by selecting the entity, select the entity (A) to dimension, and then select the dimension line location (B). | Result.

To insert an aligned dimension by selecting the extension line origins, select the first extension origin (A), select the second extension origin (B), and then specify the dimension line location (C). | Result.


To create a linear baseline dimension

NOTE Before you can use this procedure, you must first create a dimension.

  1. Do one of the following:
    • Choose Insert > Dimensions > Baseline.
    • On the Dimensioning toolbar, click the Baseline tool ( [image]).
    • Type dimbaseline and then press Enter.
  2. To select a starting dimension, press Enter.
  3. Select the next extension line origin, and then press Enter.
    4. Or press Enter, and then select an existing dimension for the baseline. Select the origin of the next extension line, and then press Enter.
    The program automatically places the new baseline dimension above or below the previous dimension line. The distance between the two dimension lines is determined by the Baseline Offset value in the Dimension Settings dialog box.

To add a baseline dimension to an existing linear dimension, select the existing dimension (A), select the next extension line origin (B), and select as many additional points as you want (C).

Result.


To create a linear continued dimension

NOTE Before you can use this procedure, you must first create a dimension.

  1. Do one of the following:
    • Choose Insert > Dimensions > Continue.
    • On the Dimensioning toolbar, click the Continue tool ( [image]).
    • Type dimcontinue and then press Enter.
  2. To select a starting dimension, press Enter.
  3. Select the next extension line origin, and then press Enter.
    4. Or press Enter, and then select an existing dimension to continue.
  4. To add continued dimensions, continue selecting extension line origins.
  5. To end the command, press Enter twice.

To add a continued dimension to an existing linear dimension, select the existing dimension (A), select the next extension line origin (B), and select another extension line origin (C).

Result.


To rotate dimension text

Advanced experience level

  1. Do one of the following:
    • Choose Insert > Dimensions > Rotate Dimension Text.
    • On the Dimensioning toolbar, click the Rotate Dimension Text tool ( [image]).
    • Type dimedit, press Enter, and then in the prompt box, choose Rotate Text.
  2. Type the new dimension text angle, and then press Enter.
  3. Select the dimension to be rotated, and then press Enter.

Select the dimension to be rotated (A), and then type the rotation angle. | Result.


To move dimension text

Advanced experience level

  1. Do one of the following:
    • Choose Insert > Dimensions > Reposition Dimension Text.
    • On the Dimensioning toolbar, click the Reposition Dimension Text tool ( [image]).
    • Type dimtedit and then press Enter.
  2. Select the dimension to reposition text.
  3. Select the new text position.

Select the dimension to be moved (A), and then select the new text position (B). | Result.


To restore dimension text to its home position

Advanced experience level

  1. Do one of the following:
    • Choose Insert > Dimensions > Restore Text Position.
    • On the Dimensioning toolbar, click the Restore Text Position tool ( [image]).
    • Type dimedit, press Enter, and then in the prompt box, choose Restore Text.
  2. Select the dimension text to restore, and then press Enter.


To replace existing dimension text with new text

Advanced experience level

  1. Do one of the following:
    • Choose Insert > Dimensions > Edit Dimension Text.
    • On the Dimensioning toolbar, click the Edit Dimension Text tool ( [image]).
    • Type dimedit, press Enter, and then in the prompt box, choose Edit Text.
  2. Type the new dimension text, and then press Enter.
  3. Select the dimension to be replaced, and then press Enter.


To rename a dimension style

  1. Do one of the following:
    • Choose Settings > Dimension Settings.
    • On the Settings toolbar, click the Dimension Settings tool ( [image]).
    • Type setdim and then press Enter.
  2. In the Dimension Settings dialog box, click Rename.
  3. In the Rename list, click the dimension style to be renamed.
  4. In the To box, type the new dimension style name.
  5. Click Rename.
  6. Click OK.


To delete a named dimension style

  1. Do one of the following:
    • Choose Settings > Dimension Settings.
    • On the Settings toolbar, click the Dimension Settings tool ( [image]).
    • Type setdim and then press Enter.
  2. In the Dimension Settings dialog box, click Delete.
  3. Select the dimension style to delete.
  4. Click Delete.
  5. Click OK.


To add a geometric tolerance

  1. Do one of the following:
    • Choose Insert > Dimensions > Tolerance.
    • On the Dimensions toolbar, click the Tolerance tool ( [image]).
    • Type tolerance and then press Enter.
  2. To display the geometric tolerance symbols, on the first line, click the Sym box.
  3. Click to select a geometric tolerance symbol.
  4. Under Tolerance 1, click the Dia box to add a diameter symbol.
  5. In the field, type the first tolerance value.
  6. To display the material condition symbols, click the M.C. box.
  7. Click to select a material condition.
  8. Under Tolerance 2, repeat steps 4 through 7 to add a secondary tolerance value, if appropriate.
  9. Under Datum 1, type the primary datum reference letter.
  10. To display the material condition symbols, click the M.C. box.
  11. Click to select a material condition.
  12. Repeat steps 9 through 11 to add secondary and tertiary datum, if appropriate.
  13. In the second row, repeat steps 2 through 12 to add composite tolerances, if appropriate.
  14. In the Height box, type a projected tolerance zone height value, if appropriate.
  15. To insert a projected tolerance zone symbol, click the Projected Tolerance Zone box, if appropriate.
  16. Click OK.
  17. In the drawing, specify the location of the feature frame.


Understanding IntelliCAD

IntelliCAD is designed for anyone who wants a fast and efficient CAD program with all the power and versatility of standard programs such as Autodesk® AutoCAD® , or MicroStation® by Bentley Systems®, at an affordable price. Using today's advanced technology, IntelliCAD integrates the Microsoft® Windows interface with a powerful CAD engine.

IntelliCAD provides unparalleled compatibility with AutoCAD, using most of the same file formats including those for drawings (.dwg files), linetypes, hatch patterns, and text styles. You can also use AutoCAD menu files and run Autodesk® AutoLISP® programs. If you have written your own ADS (AutoCAD Development System® by Autodesk®) programs, simply recompile them to link with the IntelliCAD libraries. Many third-party ADS programs already support IntelliCAD. If you have a program that is not already supported, ask your software vendor to provide an IntelliCAD-compatible version of their program.

IntelliCAD is more compatible with the AutoCAD program than any other CAD product, delivers additional tools with advanced CAD features, and has a seamless Microsoft® Windows® integration. This powerful program provides a superb combination of features for CAD users like architects, engineers, and designers.

IntelliCAD incorporates all the standard features found in other CAD programs, along with features and capabilities you won't find anywhere else. Its multiple-document interface (MDI) lets you open and work with several drawings at the same time. You can easily copy drawing entities between drawings. In addition, the powerful Drawing Explorer lets you manage information and settings and quickly copy layers, linetypes, and other information between drawings.


Function keys

The following function keys start commonly used IntelliCAD commands. To customize function keys, choose Tools > Customize, and click the Keyboard tab.

Commonly used function keys

Keys | Command | Typed entry | Description
F1 | Help | HELP | Starts online Help.
F2 | Prompt History Window | PMTHIST | Turns the Prompt History window on and off.
F3 | Entity Snap | ESNAP | Turns entity snaps on and off.
F5 | Isometric Plane | ISOPLANE | Switches the isometric plane between Top, Right, and Left.
F6 | Coordinate | COORDINATE | Switches coordinate display between On, Off, and Angle/Distance.
F7 | Grid | GRID | Turns the reference grid on and off.
F8 | Orthogonal | ORTHOGONAL | Switches the orthogonal mode on and off.
F9 | Snap | SNAP | Turns snap settings on and off.
F10 | Status Bar | STATBAR | Turns the status bar on and off.


Shortcuts

The following keyboard shortcuts start commonly used IntelliCAD commands. To customize function keys, use the Keyboard tab of the Customize dialog box. See Function Keys for a list of default function keys.

Shortcuts for commands

Command | Typed entry | Shortcut | Description
Coordinate | COORDINATE | F6, Ctrl+D | Switches coordinate display between On, Off, and Angle/Distance.
Copy to Clipboard | COPYCLIP | Ctrl+C | Copies selected entities to the Windows clipboard.
Cut to Clipboard | CUTCLIP | Ctrl+X | Cuts selected entities from the active drawing and copies them into the Windows clipboard.
Delete | DELETE | Del | Removes the selected entities.
Entity Snap | ESNAP | F3 | Turns entity snaps on and off.
Exit | EXIT | Alt+F4 | Closes all drawings and exits IntelliCAD.
Grid | GRID | F7 | Turns the reference grid on and off.
Help | HELP | F1 | Starts online Help.
Isometric Plane | ISOPLANE | F5, Ctrl+E | Switches the isometric plane between Top, Right, and Left.
New Drawing | NEW | Ctrl+N | Creates a new, blank drawing.
Open Drawing | OPEN | Ctrl+O | Displays the Open Drawing dialog box so you can open another drawing.
Orthogonal | ORTHOGONAL | F8 | Switches the orthogonal mode on and off.
Pan | PAN down | Down Arrow | Pans the drawing window view down by one unit.
 | PAN left | Left Arrow | Pans the drawing window view left by one unit.
 | PAN PGDown | Page Down, Shift+Down Arrow | Pans the drawing window view down by one screen.
 | PAN PGLeft | Shift+Left Arrow | Pans the drawing window view left by one screen.
 | PAN PGRight | Shift+Right Arrow | Pans the drawing window view right by one screen.
 | PAN PGUp | Page Up, Shift+Up Arrow | Pans the drawing window view up by one screen.
 | PAN Right | Right Arrow | Pans the drawing window view right by one unit.
 | PAN Up | Up Arrow | Pans the drawing window view up by one unit.
Paste from Clipboard | PASTECLIP | Ctrl+V | Pastes the contents of the Windows clipboard into the active drawing.
Prompt History Window | PMTHIST | F2 | Turns the Prompt History window on and off.
Print | PRINT | Ctrl+P | Prints the active drawing.
Quick Save | QSAVE | Ctrl+S | Saves the active drawing.
Redo | REDO | Ctrl+Y | Reverses the action of the last Undo.
Select All | SELGRIPS | Ctrl+A | Selects all entities in a drawing.
Snap | SNAP | F9 | Turns snap settings on and off.
Status Bar | STATBAR | F10 | Turns the status bar on and off.
Undo | U | Ctrl+Z | Reverses the last command action.
VBA Editor | VBA | Alt+F11 | Opens the Visual Basic for Applications editor so that you can create or modify a VBA macro.
Window Close | WCLOSE | Ctrl+F4 | Closes the active drawing window.


About this online Help

To make it easy to get the information you need, all the sections in this online Help system are similarly structured. When you select a topic from the contents, you will see an introduction about the topic, followed by one or two headings: "Tell Me About" and "How Do I."

  • A topic listed under "Tell Me About" contains an overview of and conceptual information for the selected topic.
  • A topic listed under "How Do I" contains stepped procedures for performing given tasks.

When you select a command topic, the topic description is preceded by a table showing all available access options for that command.

In addition to using the table of contents, you can access the information you need by selecting related topics from the index. The index contains alphabetic, cross-referenced entries that include IntelliCAD command names, aliases, and shortcuts in addition to task-oriented information.


Using AutoCAD commands with IntelliCAD

Because IntelliCAD supports hundreds of AutoCAD commands, you use the commands you already know. For example, to draw a circle, use the Circle command. To copy a circle, use the Copy command.

When you press Enter or the spacebar, you activate the command-just like in AutoCAD. IntelliCAD accepts the special characters used by AutoCAD, such as point filters (for example, .xy), relative coordinates (the @ symbol), and the apostrophe (the ' prefix) for transparent commands. IntelliCAD function keys are also similar to those used in AutoCAD.

Because you do not need to learn a new set of commands, you are immediately productive with IntelliCAD.

Tell me about...

Getting more information

Comparing IntelliCAD and CAD to manual drafting


Using advanced CAD features

In addition to being compatible with AutoCAD, IntelliCAD goes several steps further by providing you with innovative features to increase your productivity.

Using the IntelliCAD Explorer

The IntelliCAD Explorer has an interface similar to the Windows Explorer, allowing you to view and manage the elements of multiple, open drawings, such as layers, blocks, linetypes, views, user coordinate systems, and text styles.

Editing multiple documents simultaneously

With IntelliCAD, you can open and edit multiple drawings simultaneously. You can also copy and paste elements between open drawings.

Editing multiple entities

IntelliCAD allows you to change most of the properties of all selected entities using a single, tabbed dialog box.

Using the Customize dialog box

IntelliCAD has a single, tabbed dialog box for changing toolbars, menus, keyboard shortcuts, and command aliases. You can also use the drag-and-drop method to customize toolbars, including fly-outs. The simple, point-and-click action lets you easily create new menu items and keyboard shortcuts-no programming or manual text editing required.

Performing unlimited undo and redo

IntelliCAD increases your power with unlimited undo and redo of editing actions.


Using AutoCAD legacy drawings

IntelliCAD fully supports AutoCAD legacy drawings. IntelliCAD reads and writes DWG files in their native format without any loss of data, from AutoCAD 2005 back to Version 11, including AutoCAD LT®. Because IntelliCAD uses DWG as its native file format, no translation is required.

IntelliCAD provides you with the appropriate tools for your experience level—whether you are a beginner, intermediate, or advanced CAD user. If you are just starting out with CAD, you may want to use the beginner level, which provides toolbars containing the basic tools such as lines, arcs, and circles. As you become more experienced, you can move to the intermediate level and then to the advanced level, which gives you access to more than 300 commands through toolbars, menus, and keyboard entries. You can change the experience level in the Options dialog box on the Tools menu.

IntelliCAD supports three-dimensional wireframes and surfaces. Three-dimensional drawings can be displayed in wireframe, hidden-line view, and surface shading. Some versions of IntelliCAD also support rendering and working with 3D solids.

If your version of IntelliCAD does not support 3D solids, IntelliCAD stores the ACIS data. However, IntelliCAD does not display the ACIS entities. If you open the drawing later in AutoCAD, the solid model reappears. When a drawing containing ACIS solids and proxy entities is loaded into IntelliCAD, a message displays indicating that some entities will not display.

Some versions of IntelliCAD support displaying and working with raster images in your drawings. However, IntelliCAD does not display images located inside of blocks and externally referenced drawings (xrefs).

It’s easy to customize IntelliCAD. You can modify menus and toolbars, create custom menus, dialog boxes, command aliases, and scripts, and add custom programs written in any of several programming languages, including LISP (the program’s Autodesk® AutoLISP-compatible language), SDS™ (Solutions Development System™, the program’s Autodesk® ADS-compatible language), and Microsoft® Visual Basic for Applications (VBA).

You can run existing Autodesk® AutoLISP applications in IntelliCAD with little or no modification. IntelliCAD uses the Appload command so you can easily load LISP programs. IntelliCAD reads files that contain dialog control language (DCL) statements as well, which makes IntelliCAD compatible with dialog boxes created for AutoCAD.


Starting commands using toolbars

To start a command from a toolbar, click a tool and respond to the prompts.

NOTE The available toolbars depend on the experience level that is set. To change the current experience level, choose Tools > Options, and then click the General tab.

Some tools, such as Line or Arc, contain flyouts, which are options either for using the basic tool with different methods or that contain other, related tools. Flyouts are indicated by a small triangle in the lower right corner of a tool. To display a flyout, click the tool and hold down the mouse button. To select a tool from a flyout, point to the tool you want and then release the mouse button. The tool you select on the flyout becomes the default tool on the toolbar.


Starting commands using menus

To start a command from a menu, choose it from the list of menu options available.

The available menu options depend on the experience level that is set. To change the current experience level, choose Tools > Options, and then click the General tab.


Starting commands using the command bar

Type a command, and then press Enter. If the command bar is displayed, the command you typed appears there. If the command bar is not displayed, the command you typed appears in the status bar.


Repeating a command

You can repeat the command you just used without having to reselect it by pressing either the spacebar or Enter or by clicking the right mouse button.

TIP If you are using the command bar to type commands, you can type multiple before starting some commands (Circle, Arc, and Rectangle, for example) to repeat a command indefinitely. When you are done with a command, press Esc.


Nesting a command

If you are working in the command bar, you can use another command from within a command, called nesting. To use a command inside an active command, type an apostrophe before you type the command, such as 'circle, 'line, or 'pyramid. You can nest commands indefinitely in IntelliCAD. Many menu and toolbar macros work this way by default; for example, select color, reference grid, zoom, and snap. When you have finished with the nested command, the original command resumes.


To set the Fly-over snapping option

  1. Choose Settings > Entity Snap > Entity Snap Settings. The Drawing Settings dialog box opens with the Coordinate Input tab active.
  2. Click the Fly-over button. The Options dialog box opens with the Snapping tab active.
  3. Turn on the Enable Fly-over Snapping option.
  4. Set the fly-over options.
  5. Define the color, size and thickness of the snap marker.
  6. Click the OK button to close the Option dialog box.
  7. Click the OK button to close the Drawing Settings dialog box.

You can also set the Fly-over option using the Options dialog box. To do this, choose Tools > Options. Select the Snapping tab and set the Fly-over settings.

How do I...

Use Fly-over snapping

Tell me about...

Using entity snaps


To draw a square

  1. Do one of the following:
    • Choose Insert > Rectangle.
    • On the Draw 2D toolbar, click the Rectangle tool ( [image]).
    • Type rectangle, and then press Enter.
  2. In the prompt box, choose Square.
  3. Specify one corner of the square.
  4. Specify the length of one side of the square by selecting its other end.
    5. The point you specify determines both the size and alignment of the square.

Endpoints of one side of the square (A and B). | Resulting square.

TIP To control the line width of the rectangle, choose the Width Of Line option in the prompt box. After you change the width of the line, the new width setting remains in effect for subsequent rectangles until you change it again.

Tell me about...

Drawing rectangles


To draw a polyline with straight segments

  1. Do one of the following:
    • Choose Insert > Polyline.
    • On the Draw 2D toolbar, click the Polyline tool ( [image]).
    • Type polyline, and then press Enter.
  2. Specify the start point.
  3. Specify the endpoint of each segment.
  4. To complete the command, choose Close or Done.

Polyline start point (A) and segment endpoints (B).

With the Draw Arcs option, you can continually draw arc segments until you select the Draw Lines option to go back to drawing line segments. When you draw arc segments, the first point of the arc is the endpoint of the previous segment. By default, you draw arc segments by specifying the endpoint of each segment. Each successive arc segment is drawn tangent to the previous arc or line segment. If you choose Close while in the Draw Arcs option, the closing segment is created as an arc.

You can also specify the arc using any of the following methods:

  • Start point, included angle, center point
  • Start point, included angle, radius
  • Start point, center point, endpoint
  • Start point, included angle, endpoint
  • Start point, center point, included angle
  • Start point, center point, chord length
  • Start point, direction, endpoint
  • Start point, radius, included angle
  • Start point, second point, endpoint

Tell me about...

Drawing polylines

How do I...

Draw a line segment followed by an arc polyline segment


To draw a line segment followed by an arc polyline segment

  1. Do one of the following:
    • Choose Insert > Polyline.
    • On the Draw 2D toolbar, click the Polyline tool ( [image]).
    • Type polyline, and then press Enter.
  2. Specify the start point.
  3. Specify the endpoint.
  4. In the prompt box, choose Draw Arcs.
  5. Specify the endpoint of the arc segment.
  6. To complete the command, choose Done.

Polyline start point (A), line endpoint/arc start point (B), and arc endpoint (C).

You can edit entire polylines and individual segments using the Edit Polyline tool ( [image]) on the Modify toolbar. You can convert the polyline into individual arc and line entities using the Explode tool ( [image]) on the Modify toolbar. You can control whether wide polylines are shown filled or as outlines using the Fill tool ( [image]) on the Settings toolbar.

Tell me about...

Drawing polylines

How do I...

Draw a polyline with straight segments


To draw a donut tangent to existing entities

  1. Do one of the following:
    • Choose Insert > Donut.
    • On the Draw 2D toolbar, click the Donut tool ( [image]).
    • Type donut, and then press Enter.
  2. In the prompt box, choose Radius Tangent Tangent.
  3. Specify the width of the donut.
  4. Specify the diameter of the donut.
  5. Select the first tangent entity to which to draw the donut.
  6. Select the second tangent entity to which to draw the donut.

Width (A) and diameter (B) of the donut and tangent entities (C).

You can edit donuts using the Edit Polyline tool ( [image]) on the Modify toolbar. You can convert donuts into arc entities using the Explode tool ( [image]) on the Modify toolbar. You can control whether donuts are shown filled or as outlines using the Fill tool ( [image]) on the Settings toolbar.

TIP You can control the default outside and inside diameter of donuts by choosing Settings > Drawing Settings, and then clicking the Entity Creation tab and choosing the options you want.

Tell me about...

Drawing donuts


To draw a quadrilateral plane

  1. Do one of the following:
    • Choose Insert > Plane.
    • On the Draw 2D toolbar, click the Plane tool ( [image]).
    • Type plane, and then press Enter.
  2. Specify the first point.
  3. Specify the second point.
  4. Specify the third point.
  5. Specify the fourth point.
  6. To complete the command, press Enter.

After you select the first two points (A) and (B), the sequence in which you select the third (C) and fourth (D) points determines the shape of the resulting quadrilateral plane.

The prompt box provides additional options for drawing planes. For example, you can draw rectangular, square, or triangular planes.

Tell me about...

Creating planes

How do I...

Draw a rectangular plane


To draw a rectangular plane

  1. Do one of the following:
    • Choose Insert > Plane.
    • On the Draw 2D toolbar, click the Plane tool ( [image]).
    • Type plane, and then press Enter.
  2. Choose Rectangle.
  3. Specify the first point.
  4. Specify the opposite corner.
  5. Specify the rotation angle.
  6. To complete the command, specify the opposite corner to draw another rectangle, or press Enter.

Opposite corners (A and B) and rotation angle (C). | Resulting plane.

You can control whether planes are shown filled or as outlines using the Fill tool ( [image]) on the Settings toolbar. You can convert planes into individual line entities corresponding to the outline of the plane using the Explode tool ( [image]) on the Modify toolbar.

Tell me about...

Creating planes


To draw a boundary polyline

Advanced experience level

  1. Do one of the following:
    • Choose Insert > Boundary Polyline.
    • On the Draw 2D toolbar, click the Boundary tool ( [image]).
    • Type boundary, and then press Enter.
  2. Specify the entities that you want made available for the boundary polyline by doing one of the following:
    • All entities Select All Visible Entities to have all entities in the drawing considered when creating the boundary polyline.
    • Custom selection Define only specific areas to be considered when creating the boundary polyline, which can improve system performance if you are working with a complex drawing. Click Select Boundary Set. In the drawing, select the entities individually or by choosing a selection method from the prompt box, and then press Enter. The Current Selection Set option becomes selected automatically, which indicates that the entities you selected with the Select Boundary Set button will be considered when creating the boundary polyline.

      NOTE You can alternate between All Visible Entities and Current Selection Set without having to select entities again using the Select Boundary Set button. The Current Selection Set option uses the last set of entities you selected with the Select Boundary Set button.

  3. Choose an island-detection option.
  4. Click Select Area.
  5. In the drawing, click inside the area whose closed perimeter forms the boundary, not on the polyline itself. If desired, continue clicking inside additional closed perimeters.
  6. To complete the selection, press Enter.
  7. In the Boundary dialog box, click OK.

Tell me about...

Adding hatching

Selecting an area for hatching

Using islands and island detection


To specify a predefined hatch pattern

  1. Do one of the following:
    • Choose Insert > Hatch.
    • On the Draw 2D toolbar, click the Boundary Hatch tool ( [image]).
    • Type bhatch and then press Enter.
  2. From the Boundary Hatch dialog box, click the Pattern Properties tab.
  3. In the Pattern Type list, click Predefined.
    4. With Predefined, you can apply a scale factor to make the pattern larger or smaller than the default size.
  4. For Scale, enter the scale factor as a percentage of the default.
  5. For Angle, enter the angle of the pattern in degrees (1-360).
    6. The default angle is clockwise; you can change the angle of any hatch pattern by entering a numerical value.
  6. For ISO Pen Width, enter the pen width.
    7. If you choose a predefined, ISO standard pattern, you can scale the pattern based on the ISO pen width.
  7. To copy the pattern properties from an existing hatch, choose Copy Hatch Properties and select the hatch.
  8. To associate the hatch pattern to its boundary entities, under Hatch Attributes, select the Associative check box. An associative hatch updates automatically if you move any of its boundaries.
  9. To continue, add a hatch by doing one of the following:
    • Select the entities you want to add a hatch. Go to Selecting Entities For Hatching and begin with step 2.
    • Select an area or boundary for which you want to add a hatch. Go to Selecting An Area For Hatching and begin with step 2.

How do I...

Draw a boundary polyline

Select entities for hatching

Select an area for hatching

Specify a user-defined hatch pattern

Use a predefined library pattern


To specify a user-defined hatch pattern

  1. Do one of the following:
    • Choose Insert > Hatch.
    • On the Draw 2D toolbar, click the Boundary Hatch tool ( [image]).
    • Type bhatch and then press Enter.
  2. From the Boundary Hatch dialog box, click the Pattern Properties tab.
  3. In the Pattern Type list, click User Defined.
  4. For Spacing, enter the line spacing for the pattern.
  5. To crosshatch the pattern, select the Cross-Hatched check box.
    6. You can choose to crosshatch the pattern. Cross-hatching imposes a copy of the specified user-defined pattern at a 90-degree angle over the first pattern you defined.
  6. To copy the pattern properties from an existing hatch, choose Copy Hatch Properties, and select a hatch pattern from a hatched entity in the drawing.
  7. To associate the hatch pattern to its boundary entities, under Hatch Attributes, select the Associative check box. An associative hatch updates automatically if you move any of its boundaries.
  8. To continue, add a hatch by doing one of the following:
    • Select the entities you want to add a hatch. Go to Selecting Entities For Hatching and begin with step 2.
    • Select an area or boundary for which you want to add a hatch. Go to Selecting An Area For Hatching and begin with step 2.

How do I...

Draw a boundary polyline

Select entities for hatching

Select an area for hatching

Specify a predefined hatch pattern

Use a predefined library pattern


To use a predefined library pattern

  1. Do one of the following:
    • Choose Insert > Hatch.
    • On the Draw 2D toolbar, click the Boundary Hatch tool ( [image]).
    • Type bhatch and then press Enter.
  2. From the Hatch dialog box, click the Pattern tab.
  3. For Hatch File, select the icad.pat or icadiso.pat hatch pattern library file.
  4. To select a predefined pattern, do one of the following:
    • In the Patterns list, click the pattern name.
    • Click the graphical representation of the hatch pattern.
  5. To continue, add a hatch by doing one of the following:
    • Select the entities you want to add a hatch. Go to Selecting Entities For Hatching and begin with step 2.
    • Select an area or boundary for which you want to add a hatch. Go to Selecting An Area For Hatching and begin with step 2.

NOTE Hatch patterns are memory intensive and can take a considerable amount of time to draw and display. To improve performance, add hatching as one of the last steps when you create a drawing, or insert hatches on a separate layer that you can freeze as you continue to work on your drawing.

How do I...

Draw a boundary polyline

Select entities for hatching

Select an area for hatching

Specify a predefined hatch pattern

Specify a user-defined hatch pattern


Panning methods

To pan, you can use any of the following methods:

  • For precise panning, specify two points defining the magnitude and direction of the pan. The first point, or base point, indicates the starting point of the pan. The second point indicates the amount of pan displacement relative to the first point.
  • To pan dynamically, use the right mouse button.
  • If you have a mouse with a wheel, use the wheel to pan up or down.
  • To pan in small increments, use the arrow keys.

How do I...

Pan by specifying two points

Pan in real time

Pan using a mouse with a wheel

Pan using the arrow keys


To pan by specifying two points

  1. Do one of the following:
    • Choose View > Pan.
    • On the View toolbar, click the Pan tool ( [image]).
    • Type pan and then press Enter.
  2. Specify the pan base point either by typing the coordinates or by specifying a point in the drawing window.
  3. Specify the pan displacement point either by typing the coordinates or by specifying a point in the drawing window.

Select the pan base point (A), and then select a second point (B) to specify the pan displacement. | Result.

How do I...

Pan in real time

Pan using a mouse with a wheel

Pan using the arrow keys


To pan in real time

  1. Simultaneously press Ctrl+Shift and click and hold the right mouse button.
  2. Move the cursor in the direction you want to pan.
  3. To stop panning, release the mouse button.

How do I...

Pan by specifying two points

Pan using a mouse with a wheel

Pan using the arrow keys


To pan using a mouse with a wheel

  • Rotate the wheel backward to pan up or forward to pan down.

NOTE You must have the scroll bars displayed to use this feature. To display the scroll bars, choose View > Scroll Bars.

How do I...

Pan by specifying two points

Pan in real time

Pan using the arrow keys


To pan using the arrow keys

  • Press the up, down, right, or left arrow keys.

How do I...

Pan by specifying two points

Pan in real time

Pan using a mouse with a wheel


To zoom in to an area using a window

  1. Do one of the following:
    • Choose View > Zoom > Window.
    • On the View toolbar, click the Zoom Window tool ( [image]).
    • Type zoom and then press Enter.
  2. Select one corner of the window around the area you want to magnify.
  3. Specify the opposite corner of the window around the area you want to magnify.

To specify a rectangular window around the area you want to magnify, select first one corner (A), and then select the opposite corner (B) | Result.

How do I...

Zoom in real time

Zoom using a mouse with a wheel

Zoom to a specific scale


To zoom in real time

  1. Simultaneously press Ctrl+Shift and click and hold the left mouse button.
  2. To zoom in, move the cursor up the screen. To zoom out, move the cursor down the screen.
  3. To stop zooming, release the mouse button.

How do I...

Zoom in to an area using a window

Zoom using a mouse with a wheel

Zoom to a specific scale


To zoom using a mouse with a wheel

  • Rotate the wheel away from you to zoom in or toward you to zoom out.
    • Each rotation of the wheel away from you zooms out .8 times; each rotation toward you zooms in 1.25 times.

How do I...

Zoom in real time

Zoom in to an area using a window

Zoom to a specific scale


Making the linetype current

You normally draw an entity using the linetype assigned to the current layer, indicated as BYLAYER. You can also assign linetypes on a per-entity basis, which overrides the layer's linetype setting. A third option is to assign the BYBLOCK linetype, whereby you draw new entities using the default linetype until you group them into a block. The entities inherit the current linetype setting when you insert the block into the drawing.

To make the linetype current

  1. Do one of the following:
    • Choose Settings > Explore Linetypes.
    • On the Settings toolbar, click the Explore Linetypes tool ( [image]).
    • Type expltypes and then press Enter.
  2. In the Linetype Name list, select the linetype you want to make current.
  3. Do one of the following:
    • Choose Edit > Current.
    • Select it in the Linetype Name list and click the Current tool ( [image]).
    • Double-click the linetype name.
  4. To complete the command and return to your drawing, close the window.

Tell me about...

Creating and naming linetypes

Loading additional linetypes


To turn layers on or off

  1. Do one of the following:
    • Choose Settings > Explore Layers.
    • On the Settings toolbar, click the Explore Layers tool ( [image]).
    • Type explayers and then press Enter.
  2. In the Layer Name list, select the layers you want to turn on or off.
  3. Do one of the following:
    • Choose View > On/Off.
    • Right-click the layer you want to change, and from the shortcut menu, select Properties and turn the layer on or off.
    • Click the setting in the On/Off column.
    The On/Off column shows the new setting.
  4. To complete the command and return to your drawing, close the window.

You can also freeze layers to improve the performance of operations such as zooming and panning or producing hidden lines or shaded images. When a layer is frozen, entities drawn on that layer are no longer visible.

To control the visibility of external reference layers and save any changes made to them, turn on Xref Layer Visibility.

How do I...

Freeze or thaw layers

Turn on Xref Layer Visibility


To turn on Xref Layer Visibility

  1. Choose Tools > IntelliCAD Explorer.
  2. From the Elements list, select Layers from the drawing you want to modify.
  3. Choose View > Xref Layer Visibility.

TIP You can also turn on this variable by typing visretain.

How do I...

Freeze or thaw layers

Turn layers on or off


To freeze or thaw layers

  1. Do one of the following:
    • Choose Settings > Explore Layers.
    • On the Settings toolbar, click the Explore Layers tool ( [image]).
    • Type explayers and then press Enter.
  2. In the Layer Name list, select the layers you want to freeze or thaw.
  3. Do one of the following:
    • Choose View > Freeze/Thaw.
    • Right-click the layer you want to change, and from the shortcut menu, select Properties and freeze or thaw the layer.
    • Click the setting in the All Viewports column.
    The All Viewports column shows the new setting.
  4. To complete the command and return to your drawing, close the window.

How do I...

Turn layers on or off

Turn on Xref Layer Visibility


To change a linetype name

  1. Do one of the following:
    • Choose Settings > Explore Linetypes.
    • On the Settings toolbar, click the Explore Linetypes tool ( [image]).
    • Type expltypes and then press Enter.
  2. Do one of the following:
    • Select the linetype, and then choose Edit > Rename.
    • Click the linetype name you want to change, and then type the new name.
    • Right-click the linetype name you want to change, and from the shortcut menu, select Rename.
  3. To complete the command and return to your drawing, close the window.

How do I...

Change a linetype definition

Create a new linetype


To change a linetype definition

  1. Do one of the following:
    • Choose Settings > Explore Linetypes.
    • On the Settings toolbar, click the Explore Linetypes tool ( [image]).
    • Type expltypes and then press Enter.
  2. Right-click on the linetype name for which you want to change the definition.
  3. From the shortcut menu, select Properties.
  4. In the Linetype Definition field, define the linetype using positive and negative numbers and zeros.
    5. A positive number draws a solid line segment for the specified number of drawing units. A negative number creates a gap for the specified number of drawing units. A zero creates a dot.
  5. To complete the command and return to your drawing, close the Linetypes dialog box and the IntelliCAD Explorer window.

NOTE You cannot rename the CONTINUOUS, BYBLOCK, or BYLAYER linetypes.

How do I...

Change a linetype name

Create a new linetype


To save the current view as a named view

  1. Do one of the following:
    • Choose View > Save/Restore View.
    • On the View toolbar, click the Save/Restore View tool ( [image]).
    • Type view and then press Enter.
  2. In the prompt box, choose Save.
  3. Type a name for the view, and then press Enter.
  4. To complete the command and return to your drawing, close the window.

How do I...

Change a saved view name in the current drawing

Save a portion of the current view as a named view


To save a portion of the current view as a named view

  1. Do one of the following:
    • Choose Settings > Explore Views.
    • On the Settings toolbar, click the Explore Views tool ( [image]).
    • Type expviews and then press Enter.
  2. Do one of the following:
    • Choose Edit > New > View.
    • On the IntelliCAD Explorer toolbar, click the New Item tool ( [image]).
  3. In the prompt box, choose Window.
  4. Specify the first corner of the view window.
  5. Specify the opposite corner of the view window.
  6. Rename the new view, and then press Enter.
    7. Do not use spaces between words in the new view name.
  7. To complete the command and return to your drawing, close the window.

TIP You can also create a new view by selecting the Views element in the IntelliCAD Explorer and clicking the New Item tool ( [image]).

How do I...

Change a saved view name in the current drawing

Save the current view as a named view


To copy a dimension style from one drawing to another

  1. Do one of the following:
    • Choose Settings > Explore Dimension Styles.
    • On the Settings toolbar, click the Explore Dimension Settings tool ( [image]).
    • Type expdimstyles and then press Enter.
  2. Right-click the dimension style name you want to copy.
  3. From the shortcut menu, select Copy.
  4. In the left pane, select the drawing to which you want to copy the dimension style.
  5. Click the Dimension Styles element for that drawing.
  6. In the right pane, right-click, and then from the shortcut menu, select Paste.

NOTE Each drawing contains a dimension style named Standard. You cannot delete this dimension style, but you can rename it from within the IntelliCAD Explorer or modify its properties in the Dimension Settings dialog box.

How do I...

Change a dimension style name in the current drawing

Create a dimension style


To change a saved view name in the current drawing

  1. Do one of the following:
    • Choose Settings > Explore Views.
    • On the Settings toolbar, click the Explore Views tool ( [image])
    • Type expviews and then press Enter.
  2. Do one of the following:
    • Select the view, choose Edit > Rename, type a new name, and then press Enter.
    • Click the view name you want to change, type a new name, and then press Enter.
    • Right-click the view name you want to change, and from the shortcut menu, select Rename, type a new name, and then press Enter.
  3. Type the new view name, and then press Enter.
  4. To complete the command and return to your drawing, close the window.

How do I...

Save a portion of the current view as a named view

Save the current view as a named view


To display blocks in the IntelliCAD Explorer

Do one of the following:

  • Choose Settings > Explore Blocks.
  • On the Settings toolbar, click the Explore Blocks tool ( [image]).
  • Type expblocks and then press Enter.
  • Choose Tools > IntelliCAD Explorer, and then click the Blocks element.

The Blocks element in the IntelliCAD Explorer defaults with images on. The Images view shows you a small image of each block or external reference.

When blocks are displayed, additional tools on the Block toolbar provide the functions described in the following table:

Additional tools on the Block toolbar

Tool | Function
( [image] ) Images | Displays a small image of each block.
( [image] ) Details | Displays information about each block.
( [image] ) Insert | Inserts a block.
( [image] ) Insert External File Blocks | Inserts a drawing available from disk as a block.
( [image] ) Save Block | Saves selected block as independent .dwg file.
( [image] ) Attach Drawing | Attaches drawing as an external reference.

To see more information about each block, click the Details tool ( [image]). In the Details view, you can edit the path and the insertion point by clicking the setting and typing your changes.

Tell me about...

Attaching a drawing as an external reference

Creating and naming blocks

Inserting a block

Inserting a drawing as a block

Saving a block as a separate drawing


To create a dimension style

  1. Do one of the following:
    • Choose Settings > Dimension Settings.
    • On the Settings toolbar, click the Dimension Settings tool ( [image]).
    • Type setdim and then press Enter.
  2. In the Dimension Settings dialog box, click New.
  3. Type the name of the new dimension style.
  4. Click Create.
  5. In the Dimension Settings dialog box, click one of the other tabs, and then change the dimension settings as necessary.
    6. Repeat this step for each tab, as needed.
  6. To end the command, click OK.

How do I...

Change a dimension style name in the current drawing

Copy a dimension style from one drawing to another

Select a dimension style


To select a dimension style

  1. Do one of the following:
    • Choose Settings > Dimension Settings, select a dimension style from the list, and then click OK.
    • On the Dimensioning toolbar, select a dimension style from the list.
    • Type setdim, press Enter, select a dimension style from the list, and then click OK.

How do I...

Change a dimension style name in the current drawing

Copy a dimension style from one drawing to another

Create a dimension style


To change a dimension style name in the current drawing

  1. Do one of the following:
    • Choose Settings > Dimension Settings.
    • On the Settings toolbar, click the Dimension Settings tool ( [image]).
    • Type setdim and then press Enter.
  2. Do one of the following:
    • Select the dimension style, choose Edit > Rename, type a new name, and then press Enter.
    • Click the dimension style name you want to change, type a new name, and then press Enter.
    • Right-click the dimension style name you want to change, and from the shortcut menu, select Rename, type a new name, and then press Enter.
  3. To complete the command and return to your drawing, close the window.

How do I...

Copy a dimension style from one drawing to another

Create a dimension style


Syntax for a complex linetype definition

Complex linetypes can include shape and text objects as pattern descriptors, as well as the dash and dot descriptors of simple linetypes.

Tell me about...

Shape descriptor syntax

Text descriptor syntax


Shape descriptor syntax

You can add a shape object to a complex linetype using the following syntax:

[shape_name, shape_filename] or [shape_name, shape_filename, transform]

The definitions of the fields in the syntax are as follows.

shape_name The name of the shape to add to the linetype. The shape name must exist in the specified shape file (shape_filename).

shape_filename The name of a compiled shape definition file (extension *.shx). If no path is defined for the shape filename, the library path is searched for the file.

transform The transform argument is optional and can be any series of the following (each preceded by a comma):

R=value Relative rotation

A=value Absolute rotation

S=value Scale

X=value X offset

Y=value Y offset

In this syntax, value represents a signed decimal number. The rotation is expressed in degrees while the other options are in linetype scaled drawing units.

rotation R=value or A=value.

R= determines a relative or tangential rotation with respect to the line’s elaboration.

A= determines an absolute rotation of the shape with respect to the origin. All shapes have the same rotation regardless of their relative position to the line. The value can be appended with a d for degrees (default), r for radians, or g for grads. If rotation is omitted, 0 relative rotation is used.

scale S=value.

Determines a factor by which the shape's internal scale is multiplied. If the shape's internal scale is 0, the scale value is used as the scale.

X offset X=value.

Determines a shift of the shape along the X axis of the linetype computed from the end of the linetype definition vertex. If X offset is omitted or is 0, the shape is elaborated with no offset. Include this field if you want a continuous line with shapes. This value is not scaled by the scale factor defined by S.

Y offset Y=value.

Determines a shift of the shape along the Y axis of the linetype computed from the end of the linetype definition vertex. If Y offset is omitted or 0, the shape is elaborated with no offset. This value is not scaled by the scale factor defined by S.

Tell me about...

Text descriptor syntax


The text descriptor syntax

You can add a text object to a complex linetype using the following syntax:

["string", style_name] or ["string", style_name, transform]

The definitions of the fields in the syntax are as follows.

string The text to be used in the complex linetype. You cannot use the ` or the " characters in the text string. To use these characters, enter a control code (%%) with the ASCII value for the character instead.

style_name The name of the text style to be elaborated. The specified text style must be included. If it is omitted, use the currently defined style.

transform The transform argument is optional and can be any series of the following (each preceded by a comma):

R=value Relative rotation

A=value Absolute rotation

S=value Scale

X=value X offset

Y=value Y offset

In this syntax, value represents a signed decimal number. The rotation is expressed in degrees while the other options are in linetype scaled drawing units.

rotation R=value or A=value.

R= determines a relative or tangential rotation with respect to the line’s elaboration.

A= determines an absolute rotation of the text with respect to the origin. All text has the same rotation regardless of its relative position to the line. The value can be appended with a d for degrees (default), r for radians, or g for grads. If rotation is omitted, 0 relative rotation is used.

Rotation is centered between the baseline and the nominal cap heights box.

scale S=value.

Determines a factor by which the style's height is multiplied. If the style's height is 0, the scale value is used as the scale.

Because the final height of the text is defined by both the scale value and the height assigned to the text style, you will achieve more predictable results by set-ting the text style height to 0. It is recommended that you create separate text styles for text in complex linetypes to avoid conflicts with other text in your drawing.

X offset X=value.

Determines a shift of the text along the X axis of the linetype computed from the end of the linetype definition vertex. If X offset is omitted or is 0, the text is elaborated by using the lower left corner of the text as the offset. Include this field if you want a continuous line with text. This value is not scaled by the scale factor that is defined by S.

Y offset Y=value.

Determines a shift of the text along the Y axis of the linetype computed from the end of the linetype definition vertex. If Y offset is omitted or is 0, the text is elaborated by using the lower left corner of the text as the offset. This value is not scaled by the scale factor that is defined by S.

Tell me about...

The shape descriptor syntax


To create a Window-Inside

  1. Click to select a point in the drawing.
  2. Click to the right of the first point to select a second point in the drawing.

Window-Inside by selecting the first (A) and second (B) points. | Resulting selection.

This method is most commonly referred to as simply a window or selection window.

How do I...

Create a Crossing Window

Select entities using Fence

Select entities using Window Polygon


To create a Crossing Window

  1. Click to select a point in the drawing.
  2. Click to the left of the first point to select a second point in the drawing.

Crossing Window by selecting the first (A) and second (B) points. | Resulting selection.

In addition to a rectangular window, you can define a selection window using other shapes such as a polygon, circle, or fence (a multisegmented line that selects entities it crosses).

How do I...

Create a Window-Inside

Select entities using Fence

Select entities using Window Polygon


To select entities using Window Polygon

  1. Activate an entity-modification command.
  2. In the prompt box, choose Window Polygon.
  3. Specify the vertices of the polygon.
  4. To complete the selection polygon, press Enter.

Window Polygon by specifying the vertices of the polygon (A, B, and C). | Resulting selection.

How do I...

Create a Crossing Window

Create a Window-Inside

Select entities using Fence


To select entities using Fence

  1. Activate an entity-modification command.
  2. In the prompt box, choose Fence.
  3. Specify the endpoints of the Fence segments.
  4. To complete the Fence, press Enter.

Fence by specifying the endpoints of the fence segments (A, B, and C). | Resulting selection.

How do I...

Create a Crossing Window

Create a Window-Inside

Select entities using Window Polygon


To paste entities from the Clipboard

Do one of the following:

  • Choose Edit > Paste.
  • On the Standard toolbar, click the Paste tool ( [image]).
  • Type pasteclip and then press Enter.

How do I...

Copy entities to the Clipboard

Cut entities to the Clipboard


To extend an entity

  1. Do one of the following:
    • Choose Modify > Extend.
    • On the Modify toolbar, click the Extend tool ( [image]).
    • Type extend and then press Enter.
  2. Select one or more entities as boundary edges, and then press Enter.
  3. Select the entity to extend.
  4. Select another entity to extend, or press Enter to complete the command.

To extend entities, select the boundary edge (A), and then select the entities to extend (B). | Result.

How do I...

Extend an entity to an implied boundary

Extend several entities using the fence selection method


To extend an entity to an implied boundary

  1. Do one of the following:
    • Choose Modify > Extend.
    • On the Modify toolbar, click the Extend tool ( [image]).
    • Type extend and then press Enter.
  2. Select one or more boundary edges, and then press Enter.
  3. In the prompt box, choose Edge Mode.
  4. In the prompt box, choose Extend.
  5. Select the entity to extend.
  6. Select another entity to extend, or press Enter to complete the command.

Select the boundary edge (A), and then select the entities to extend (B). | Result.

How do I...

Extend an entity

Extend several entities using the fence selection method


To extend several entities using the fence selection method

  1. Do one of the following:
    • Choose Modify > Extend.
    • On the Modify toolbar, click the Extend tool ( [image]).
    • Type extend and then press Enter.
  2. Select one or more boundary edges, and then press Enter.
  3. In the prompt box, choose Fence.
  4. Specify the first point of the fence.
  5. Specify the second point of the fence.
  6. Specify the next fence point, or press Enter to complete the command.

Select the boundary edge (A), and then specify the first point (B) and second point (C) of the fence. | Result.

When you extend a wide polyline, its centerline intersects the boundary edge. Because the end of the polyline is always cut at a 90-degree angle, part of the polyline may extend past the boundary edge. A tapered polyline continues to taper until it intersects the boundary edge. If this would result in a negative polyline width, the ending width changes to 0.

A tapered polyline (A) continues to taper until it intersects the boundary edge (B). | Result.

How do I...

Extend an entity

Extend an entity to an implied boundary


To trim an entity

  1. Do one of the following:
    • Choose Modify > Trim.
    • On the Modify toolbar, click the Trim tool ( [image]).
    • Type trim and then press Enter.
  2. Select one or more cutting edges, and then press Enter.
  3. Select the entity to trim.
  4. Select another entity to trim, or press Enter to complete the command.

To trim entities, select the cutting edge (A), and then select the entities to trim (B). | Result.

How do I...

Trim an entity to an implied boundary

Trim several entities using the fence selection method


To trim an entity to an implied boundary

  1. Do one of the following:
    • Choose Modify > Trim.
    • On the Modify toolbar, click the Trim tool ( [image]).
    • Type trim and then press Enter.
  2. Select one or more cutting edges, and then press Enter.
  3. In the prompt box, choose Edge Mode.
  4. In the prompt box, choose Extend.
  5. Select the entity to trim.
  6. Select another entity to trim, or press Enter to complete the command.

Select the implied boundary edge (A), and then select the entities to trim (B). | Result.

How do I...

Trim an entity

Trim several entities using the fence selection method


To trim several entities using the fence selection method

  1. Do one of the following:
    • Choose Modify > Trim.
    • On the Modify toolbar, click the Trim tool ( [image]).
    • Type trim and then press Enter.
  2. Select one or more cutting edges, and then press Enter.
  3. In the prompt box, choose Fence.
  4. Specify the first point of the fence.
  5. Specify the second point of the fence.
  6. Specify the next fence point, or press Enter to complete the command.

Select the boundary edge (A), and then specify the first point (B) and second point (C) of the fence. | Result.

How do I...

Trim an entity

Trim an entity to an implied boundary


To chamfer two entities using the distance-distance method

  1. Do one of the following:
    • Choose Modify > Chamfer.
    • On the Modify toolbar, click the Chamfer tool ( [image]).
    • Type chamfer and then press Enter.
  2. In the prompt box, choose Chamfer Settings.
  3. In the Drawing Settings dialog box, click the Entity Modification tab.
  4. Under Chamfer Distances And Angles, click Distance-Distance.
  5. Under Chamfer Distances And Angles, specify the first and second chamfer distances.
  6. Click OK.
  7. Select the first entity.
  8. Select the second entity.

Select the first (A) and second (B) entities. The chamfer is drawn, based on the first (C) and second (D) chamfer distances.


To chamfer two entities using the distance-angle method

  1. Do one of the following:
    • Choose Modify > Chamfer.
    • On the Modify toolbar, click the Chamfer tool ( [image]).
    • Type chamfer and then press Enter.
  2. In the prompt box, choose Chamfer Settings.
  3. In the Drawing Settings dialog box, click the Entity Modification tab.
  4. Under Chamfer Distances And Angles, click Distance-Angle.
  5. Under Chamfer Distances And Angles, specify the chamfer distance and angle.
  6. Click OK.
  7. Select the first entity.
  8. Select the second entity.

Select the first (A) and second (B) entities. The chamfer is drawn, based on the distance measured along the first entity (C) and the angle (D) formed with the first entity.


To chamfer all vertices in a polyline

  1. Do one of the following:
    • Choose Modify > Chamfer.
    • On the Modify toolbar, click the Chamfer tool ( [image]).
    • Type chamfer and then press Enter.
  2. In the prompt box, choose Polyline.
  3. Select the polyline.

Original polyline. | Result after chamfering.


To chamfer selected vertices in a polyline

  1. Do one of the following:
    • Choose Modify > Chamfer.
    • On the Modify toolbar, click the Chamfer tool ( [image]).
    • Type chamfer and then press Enter.
  2. Select the polyline along the segment where you want to begin the chamfer.
  3. Select the polyline along the segment where you want to end the chamfer.

Select the polyline along the (A) and (B) segments. | Result after chamfering.


To fillet two entities

  1. Do one of the following:
    • Choose Modify > Fillet.
    • On the Modify toolbar, click the Fillet tool ( [image]).
    • Type fillet and then press Enter.
  2. In the prompt box, choose Fillet Settings.
  3. In the Drawing Settings dialog box, specify the fillet radius.
  4. Click OK.
  5. Select the first entity.
  6. Select the second entity.

Select the first (A) and second (B) entities. | Result after filleting.


To fillet an entire polyline

  1. Do one of the following:
    • Choose Modify > Fillet.
    • On the Modify toolbar, click the Fillet tool ( [image]).
    • Type fillet and then press Enter.
  2. In the prompt box, choose Polyline.
  3. Select the polyline.

Original polyline. | Result after filleting.


To fillet selected vertices in a polyline

  1. Do one of the following:
    • Choose Modify > Fillet.
    • On the Modify toolbar, click the Fillet tool ( [image]).
    • Type fillet and then press Enter.
  2. Select the polyline along the segment where you want to begin the fillet.
  3. Select the polyline along the segment where you want to end the fillet.

Select the polyline along the (A) and (B) segments. | Result after filleting.

When you fillet circles and arcs, more than one fillet can exist between the entities. The point at which you select the entities determines the fillet.

Select entities (A and B). | Results after filleting.

You can fillet parallel lines, rays, and infinite lines. The first entity must be a line or ray; the second entity can be a line, ray, or infinite line. The diameter of the fillet arc is always equal to the distance between the parallel entities. The current fillet radius is ignored.

Original entities. | Result after filleting.


To create dimension styles

  1. Do one of the following:
    • Choose Settings > Dimension Settings.
    • On the Settings toolbar, click the Dimension Settings tool ( [image]).
    • Type setdim and then press Enter.
  2. In the Dimension Settings dialog box, click New.
  3. Type the name of the new dimension style.
  4. Click Create.
  5. In the Dimension Settings dialog box, click one of the other tabs, and then change the dimension settings as necessary.
    6. Repeat this step for each tab, as needed.
  6. To end the command, click OK.


To create a template file

  1. Create a template file using any ASCII text editor (such as Microsoft® Notepad or Microsoft® WordPad) or a word-processing program such as Microsoft® Word.
  2. Include the necessary fields in the template file.
  3. Save the template file in ASCII text format.

To extract attribute information

  1. Do one of the following:
    • Choose Tools > Extract Attributes.
    • On the Tools toolbar, click the Extract Attributes tool ( [image]).
    • Type ddattext and then press Enter.
  2. Click Select, specify the entities from which to extract attributes, and then press Enter.
  3. Specify the format of the extracted file.
  4. For CDF and SDF formats, specify the template file.
  5. Specify the extract output file.
  6. Click Extract.

  1. Click to select blocks in the drawing containing attributes you want to extract.
  2. Click to specify the format of the extracted file.
  3. Specify the template file for CDF and SDF extracts.
  4. Specify the extract output file.
  5. Click to extract attributes.
  6. Click to specify the output file using a file dialog box.
  7. Click to specify the template file using a file dialog box.
  8. Indicates the number of blocks with attributes selected for extraction.


Extruding an imprinted entity

After you have imprinted an entity on a solid, you can modify the imprinted entity to modify the solid. For example, you can imprint a circle onto the face of a box, then extrude the circle to form a cylinder attached to the box.

To extrude an imprinted solid

  1. Imprint a circle on the top face of a box, as described in Imprinting solids.
  2. With a circle imprinted on the top face of a box, do one of the following:
    • Choose Modify > Solid Editing > Extrude Face.
    • On the Solids Editing toolbar, click the Extrude Face tool ( [image]).
  3. Select the box when prompted to select the solid entity.
  4. Click a point inside the circle when prompted to select the face.
  5. Press Enter to terminate face selection.
  6. Specify a height (for example, 2) and press Enter.
  7. Specify a taper angle (for example, 0), and press Enter.

An imprinted entity can be extruded to form a more complex solid.

How do I...

Extrude a solid face

Move a solid face

Rotate a solid face

Offset a solid face

Taper a solid face

Delete a solid face

Copy a solid face

Color a solid face


To set the current elevation

  1. Display the current elevation setting by doing one of the following:
    • Choose Settings > Elevation.
    • On the Settings toolbar, click the Elevation tool ( [image]).
    • Type elev and then press Enter.
  2. Specify the New Current Value For Elevation, and then press Enter.

Tell me about...

Creating three-dimensional entities

Editing in three dimensions

Setting the current elevation

Setting the current elevation and thickness using a dialog box

Setting the current thickness

How do I...

Change the thickness and elevation of an existing entity

Create a three-dimensional face

Set the current elevation and thickness using a dialog box

Set the current thickness


To set the current thickness

  1. Display the current thickness setting by doing one of the following:
    • Choose Settings > Thickness.
    • On the Settings toolbar, click the Thickness tool ( [image]).
    • Type thickness and then press Enter.
  2. Specify the New Current Value For Thickness, and then press Enter.

Tell me about...

Creating three-dimensional entities

Editing in three dimensions

Setting the current elevation

Setting the current elevation and thickness using a dialog box

How do I...

Change the thickness and elevation of an existing entity

Create a three-dimensional face

Set the current elevation

Set the current elevation and thickness using a dialog box


To set the current elevation and thickness using a dialog box

  1. Display the Drawing Settings dialog box by doing one of the following:
    • Choose Settings > Drawing Settings.
    • On the Settings toolbar, click the Drawing Settings tool ( [image]).
    • Type settings and then press Enter.
  2. Click the 3D Settings tab.
  3. In the Change Settings For list, click Surfaces.
  4. To change the current thickness, in the Current 3D Thickness box, type a new thickness value or click the arrows to select a new thickness.
  5. To change the current elevation, in the Current 3D Elevation box, type a new elevation value or click the arrows to select a new elevation.
  6. Click OK.

Tell me about...

Creating three-dimensional entities

Editing in three dimensions

Setting the current elevation

Setting the current thickness

How do I...

Change the thickness and elevation of an existing entity

Create a three-dimensional face

Set the current elevation

Set the current thickness


To change the thickness and elevation of an existing entity

  1. Do one of the following:
    • Choose Modify > Properties.
    • On the Modify toolbar, click the Properties tool ( [image]).
    • Type entprop and then press Enter.
  2. Select the entity, and then press Enter.
    3. IntelliCAD displays the Entity Properties dialog box. The exact appearance of the dialog box depends on the type of entity you select.
  3. To change the thickness, in the Thickness box, type a new thickness value or click the arrows to select the new thickness.
  4. To change the elevation, in the Z coordinate box, type a new elevation value or click the arrows to select the new elevation.
  5. Click OK.

Tell me about...

Creating three-dimensional entities

Editing in three dimensions

Setting the current elevation

Setting the current elevation and thickness using a dialog box

Setting the current thickness

How do I...

Create a three-dimensional face

Set the current elevation

Set the current elevation and thickness using a dialog box

Set the current thickness


To display a plan view of the current drawing

  1. Do one of the following:
    • Choose View > Plan View.
    • On the View toolbar, click the Plan View tool ( [image]).
    • Type plan and then press Enter.
  2. In the prompt box, choose one of the following:
    • Current displays the plan view of the current UCS.
    • UCS displays the plan view of a saved UCS. The program prompts you for the name of the UCS.
    • World displays the plan view of the WCS.

How do I...

Set the viewing direction

Dynamically set a view direction

Set a new viewing direction


To set a new viewing direction

  1. Do one of the following:
    • Choose View > Preset Viewpoints.
    • On the View toolbar, click the Preset Viewpoints tool ( [image]).
    • Type setvpoint and then press Enter.
  2. Click the preset view you want to use.

You can dynamically rotate the viewpoint within the xy plane and relative to the xy plane, and you can pan and zoom the drawing. As you change the viewpoint settings, the drawing display automatically updates.

How do I...

Set the viewing direction

Display a plan view of the current drawing

Dynamically set a view direction


To dynamically set a view direction

  1. Do one of the following:
    • Choose View > Dynamic View Control.
    • On the View toolbar, click the Dynamic View Control tool ( [image]).
    • Type viewctl and then press Enter.
  2. Click the appropriate tools to dynamically change the viewpoint.
  3. To complete the command, click OK.

You can set the current viewing direction to the plan view of the current user coordinate system (UCS), a previously saved UCS, or the World Coordinate System (WCS).

How do I...

Display a plan view of the current drawing

Setting the viewing direction(IUI_555)

Set a new viewing direction


To embed another program’s object into an IntelliCAD drawing

To embed another program's object into an IntelliCAD drawing

  1. Open the file that contains the data you want.
  2. In the file, select the data you want to embed in the IntelliCAD drawing.
  3. Choose that program's command to place data on the Clipboard.
    4. Usually, you choose Edit > Copy.
  4. In the IntelliCAD window, display the drawing in which you want to embed the object.
  5. Choose Edit > Paste, or click the Paste tool ( [image]) on the Standard toolbar.
    6. The data on the Clipboard is pasted into the drawing as an embedded object. The object appears in the center of the view, but you can select and move it by moving the cursor.

Tell me about...

Editing an embedded IntelliCAD object in place

Editing an embedded or linked object from within IntelliCAD

Embedding drawings

Embedding objects into drawings

How do I...

Create a new embedded object from within IntelliCAD

Drag and embed drawings into another document

Edit an embedded IntelliCAD object in place

Edit an embedded or linked object

Embed an entire IntelliCAD drawing

Embed an object from an existing file within IntelliCAD

Embed selected IntelliCAD entities


To embed an object from an existing file within IntelliCAD

  1. Do one of the following:
    • Choose Insert > Object.
    • Type insertobj, and then press Enter.
  2. In the Insert Object dialog box, click Create From File.
  3. Specify the file by doing one of the following:
    • Type a path and file name in the File box.
    • Click Browse to select the file using a file dialog box.
  4. Select Display As Icon if you want that program's icon to appear in the drawing instead of the data.
  5. Click OK.
    6. The first page of the file appears in the IntelliCAD drawing, unless you chose to display it as an icon. You can select the object and drag to reposition it.

Tell me about...

Editing an embedded IntelliCAD object in place

Editing an embedded or linked object from within IntelliCAD

Embedding drawings

Embedding objects into drawings

How do I...

Create a new embedded object from within IntelliCAD

Drag and embed drawings into another document

Edit an embedded IntelliCAD object in place

Edit an embedded or linked object

Embed an entire IntelliCAD drawing

Embed another program’s object into an IntelliCAD drawing

Embed selected IntelliCAD entities


To create a new embedded object from within IntelliCAD

  1. Do one of the following:
    • Choose Insert > Object.
    • Type insertobj, and then press Enter.
  2. In the Insert Object dialog box, click Create New.
  3. From the Object Type list, select the type of object you want to create, and then click OK.
    4. The program for creating that object opens within IntelliCAD. If the program is compatible with ActiveX, it opens in place (within the other program) in the IntelliCAD drawing; otherwise, the program opens in its full window.
  4. Create the object in the other program.
  5. If the program is running within the other document (in place), click anywhere outside the embedded object to close the program.
    6. If the program is running in its full window, choose File > Exit.

Tell me about...

Editing an embedded IntelliCAD object in place

Editing an embedded or linked object from within IntelliCAD

Embedding drawings

Embedding objects into drawings

How do I...

Drag and embed drawings into another document

Edit an embedded IntelliCAD object in place

Edit an embedded or linked object

Embed an entire IntelliCAD drawing

Embed an object from an existing file within IntelliCAD

Embed another program’s object into an IntelliCAD drawing

Embed selected IntelliCAD entities


To create an IntelliCAD drawing in another document

  1. In the document, choose Insert > Object (or the equivalent command for that program).
  2. In the dialog box, click the options for creating a new file.
  3. Under Object Type, choose IntelliCAD Drawing, and click OK.
  4. Create the IntelliCAD drawing.
  5. If IntelliCAD is running in its own window, choose File > Exit.
    6. If IntelliCAD is running within the other document (in place), click somewhere in the document outside the IntelliCAD drawing to close IntelliCAD.
  6. To edit the IntelliCAD drawing from within the document, double-click the drawing.

TIP You can also embed an existing IntelliCAD drawing from within another document. Follow step 1 in the preceding procedure, and then click the option for creating an object from an existing file.

Tell me about...

Editing an embedded IntelliCAD object in place

Editing an embedded or linked object from within IntelliCAD

Embedding drawings

Embedding objects into drawings

How do I...

Create a new embedded object from within IntelliCAD

Drag and embed drawings into another document

Edit an embedded IntelliCAD object in place

Edit an embedded or linked object

Embed an entire IntelliCAD drawing

Embed an object from an existing file within IntelliCAD

Embed another program’s object into an IntelliCAD drawing

Embed selected IntelliCAD entities


To embed selected IntelliCAD entities

  1. In IntelliCAD, select the entities you want to embed.
  2. Choose Edit > Copy (or press Ctrl+C).
  3. Open the document in which you want to embed the entities.
  4. Choose Edit > Paste (or the equivalent command).

Tell me about...

Editing an embedded IntelliCAD object in place

Editing an embedded or linked object from within IntelliCAD

Embedding drawings

Embedding objects into drawings

How do I...

Create a new embedded object from within IntelliCAD

Drag and embed drawings into another document

Edit an embedded IntelliCAD object in place

Edit an embedded or linked object

Embed an entire IntelliCAD drawing

Embed an object from an existing file within IntelliCAD

Embed another program’s object into an IntelliCAD drawing


To embed an entire IntelliCAD drawing

  1. Open the document in which you want to embed the drawing.
  2. Choose Insert > Object.
  3. Click the Create From File button.
  4. Click Browse, and then choose the file you want to embed.
  5. Click Insert, and then click OK.

Tell me about...

Editing an embedded IntelliCAD object in place

Editing an embedded or linked object from within IntelliCAD

Embedding drawings

Embedding objects into drawings

How do I...

Create a new embedded object from within IntelliCAD

Drag and embed drawings into another document

Edit an embedded IntelliCAD object in place

Edit an embedded or linked object

Embed an object from an existing file within IntelliCAD

Embed another program’s object into an IntelliCAD drawing

Embed selected IntelliCAD entities


Changing the default system files

You can change the default system files, including the log file, default template, alternate font, and font mapping file.

To change a default system file path

  1. Do one of the following:
    • Choose Tools > Options.
    • Type config and then press Enter.
  2. Click the Paths/Files tab.
  3. In the lower half of the dialog box, under File, click the file name for the default system file you want to change, and type a new file name.
    4. If you don't know the file name, click Browse, and then browse to the location of the file you want.
  4. Type a new name.
  5. When you have finished, click OK.


Setting the axis colors

To help you differentiate the x-, y-, and z-axes, a different color is assigned to each. You can change the default colors to any color you want. Choose Tools > Options to change colors.

Tell me about...

Setting and changing options

How do I...

Change any of the options settings


Understanding the menu compatibility

MNU files are menu files created by all AutoCAD releases, and MNS files are included in AutoCAD Releases 13, 14, and 2000. IntelliCAD reads both file formats, even when menu macros include AutoLISP code. This feature allows you to continue using your existing AutoCAD menus.

IntelliCAD support of specific sections in AutoCAD MNU and MNS files

Menu section | Definition | IntelliCAD support
***POP0 | Cursor menu | Supported
***POPn | Menus | Supported
***AUXn | Auxiliary menus | Not supported
***BUTTONn | Button menus | Not supported
***ICON | Icon menus | Not supported
***SCREEN | Screen menus | Not supported
***TABLETn | Tablet menus | Not supported

To see how IntelliCAD reads AutoCAD menu source files

  1. Type menu and then press Enter.
  2. Under Files Of Type, select AutoCAD Menu File (mnu).
  3. In the Open Menu dialog box, go to the AutoCAD Support folder and select the Acad.mnu file (or Acad.mns for Releases 13 and 14).
  4. To load the AutoCAD menu file into IntelliCAD, click Open.
    5. The IntelliCAD menu bar now looks identical to the AutoCAD menu bar.
  5. To see how it works, choose File > Open and Draw > Line.
  6. To restore IntelliCAD to its default menu, choose Tools > Customize, and then click the Menus tab.
  7. To reverse the changes you made, click Reset.
  8. To restore the IntelliCAD default toolbars, choose Tools > Customize.
  9. Click the Toolbars tab.
  10. To reverse the changes you made, click Reset.

Tell me about...

Customizing menus

Loading menu files

Saving menu files

Setting the experience level for menus

Starting commands using menus

How do I...

Add a command to a menu

Create a new menu

Delete a menu item

Import a menu file

Load a menu file

Rename a menu item

Save the current menu to a file


To create a new menu

  1. Do one of the following:
    • Choose Tools > Customize.
    • Type customize and then press Enter.
  2. Click the Menus tab.
  3. In the Menu Tree, select the menu name above which you want to add a new menu.
  4. Choose Insert > Menu Item.
  5. Type a name for the new menu, and then press Enter.
  6. Click Close.
    7. To see the new menu, you must perform the following steps for adding a command to the menu.

Tell me about...

Creating new menus and commands

Customizing menus

Loading menu files

Saving menu files

Starting commands using menus

Understanding menu compatibility

Understanding the menu compatibility

How do I...

Add a command to a menu

Delete a menu item

Import a menu file

Load a menu file

Rename a menu item

Save the current menu to a file


To add a command to a menu

  1. Do one of the following:
    • Choose Tools > Customize.
    • Type customize and then press Enter.
  2. Click the Menus tab.
  3. In the Menu Tree, select the menu to which you want to add the new command.
  4. Choose Insert > Menu Sub-Item.
  5. Type a name for the new command, and then press Enter.
  6. Assign a command string to the command you added by doing one of the following:
    • In the Available Commands list, choose the command, and then click Add Command.
    • In the Command field, type the command string, and then click Add Command.
  7. In the Help String field, type the text to be displayed in the status bar when the cursor is positioned over the new command.
  8. To add another command, repeat steps 3 through 7.
  9. When you have finished, click Close.

TIP When you type a name for a new command, you can specify an access key by including an ampersand (&) immediately preceding the letter you want to use as the access key. Be sure not to assign the same access key to more than one menu or command within a menu. For example, if you add a command named Quick Line to the Insert menu, including an ampersand immediately preceding the letter Q causes that letter to appear underlined in the menu. You can then select that command by displaying the menu and pressing the Q key.

Tell me about...

Creating new menus and commands

Customizing menus

Loading menu files

Saving menu files

Starting commands using menus

Understanding menu compatibility

Understanding the menu compatibility

How do I...

Create a new menu

Delete a menu item

Import a menu file

Load a menu file

Rename a menu item

Save the current menu to a file


To rename a menu

  1. Do one of the following:
    • Choose Tools > Customize.
    • Type customize and then press Enter.
  2. Click the Menus tab.
  3. In the Menu Tree, select the menu you want to rename.
  4. Click Rename.
  5. Type a new name for the menu over the highlighted name, and then press Enter.
  6. Click Close.

Tell me about...

Creating new menus and commands

Customizing menus

Loading menu files

Saving menu files

Starting commands using menus

Understanding menu compatibility

Understanding the menu compatibility

How do I...

Add a command to a menu

Create a new menu

Delete a menu item

Import a menu file

Load a menu file

Save the current menu to a file


To delete a menu item

  1. Do one of the following:
    • Choose Tools > Customize.
    • Type customize and then press Enter.
  2. Click the Menus tab.
  3. In the Menu Tree, select the menu item you want to delete.
  4. Click Delete.
  5. In the confirmation dialog box, click Yes to delete the menu item.
  6. Click Close.

NOTE Deleting a menu item that has sub-items below it in the menu tree also deletes all those sub-items.

Tell me about...

Creating new menus and commands

Customizing menus

Loading menu files

Saving menu files

Starting commands using menus

Understanding menu compatibility

Understanding the menu compatibility

How do I...

Add a command to a menu

Create a new menu

Import a menu file

Load a menu file

Rename a menu item

Save the current menu to a file


To create a custom shortcut menu

The following example describes how to build a custom menu that includes line, hatch, dtext, circle, and erase commands.

  1. Open any ASCII text editor.
  2. Type the following characters exactly as shown here:

    3. ***MENUGROUP=example
    ***POP0
    **IntelliCAD
    [IntelliCAD]
    ID_Line [Line]^C^C_line
    ID_Hatch [Hatch]^C^C_hatch
    ID_Dtext [Dtext]^C^C_dtext
    ID_0 [Circle Rad]^C^C_circle
    ID_Erase [erase]^C^C_erase

    ***HELPSTRINGS
    ID_LINE [Draws a line]
    ID_HATCH [Fills an enclosed area with a nonassociative hatch pattern]
    ID_DTEXT [Displays text on screen as it is entered]
    ID_CIRCLE [Creates a circle]
    ID_ERASE [Removes objects from a drawing]

  3. Save the file as example.mnu to the IntelliCAD 5 folder.

Tell me about...

Creating custom shortcut menus

Displaying commands on a shortcut menu

Shortcut menu syntax and explanations

How do I...

Restore the shortcut menu defaults

Use the custom shortcut menu


To use the custom shortcut menu

  1. Open IntelliCAD.
  2. Do one of the following:
    • Choose Tools > Customize.
    • Type customize and press Enter.
  3. Click the Menus tab.
  4. Click Import.
  5. Select the custom shortcut menu file.
  6. Select the Append To Current Menu check box, and then click Open.
  7. If you don't select this box, the custom shortcut menu deletes all current menus.
  8. Click Close.
  9. Select an entity in your drawing, and then hold down Shift and click the right mouse button.
  10. Click the shortcut command that you want.

Tell me about...

Creating custom shortcut menus

Displaying commands on a shortcut menu

Shortcut menu syntax and explanations

How do I...

Create a custom shortcut menu

Restore the shortcut menu defaults


To restore the shortcut menu defaults

  1. Do one of the following:
    • Choose Tools > Customize.
    • Type customize and press Enter.
  2. Click Reset

Tell me about...

Creating custom shortcut menus

Displaying commands on a shortcut menu

Shortcut menu syntax and explanations

How do I...

Create a custom shortcut menu

Use the custom shortcut menu


To create a new toolbar

  1. Do one of the following:
    • Choose Tools > Customize.
    • Type customize and then press Enter.
  2. Click the Toolbars tab.
  3. In the Categories list, choose a category to display its associated tools.
  4. Click and drag a tool outside the Customize dialog box onto an open area of the screen.
  5. Modify the ToolTip, Help String, and Command fields as needed.
  6. Click close.

Tell me about...

Creating a new toolbar

Creating custom toolbar tools

Creating flyouts

Creating toolbars that you can share as files

Customizing toolbars

Displaying and hiding toolbars

Naming toolbars

Setting the experience level for toolbars

Starting commands using toolbars

Toolbar syntax and explanations

How do I...

Add a custom tool to a toolbar

Add a flyout to a toolbar

Add a tool to a toolbar

Choose which toolbars to display

Copy an existing toolbar

Create a toolbar that you can share

Delete a tool from a toolbar

Open the toolbar file on another computer

Rename a toolbar

Restore the toolbar defaults


To add a tool to a toolbar

  1. Do one of the following:
    • Choose Tools > Customize.
    • Type customize and then press Enter.
  2. Click the Toolbars tab.
  3. In the Categories list, choose a category to display its associated tools.
  4. Click and drag a tool onto the toolbar.
  5. Modify the ToolTip, Help String, and Command fields as needed.
  6. To add another tool, repeat steps 4 through 6.
  7. When you have finished, click Close.

Tell me about...

Creating a new toolbar

Creating custom toolbar tools

Creating flyouts

Creating toolbars that you can share as files

Customizing toolbars

Displaying and hiding toolbars

Naming toolbars

Setting the experience level for toolbars

Starting commands using toolbars

Toolbar syntax and explanations

How do I...

Add a custom tool to a toolbar

Add a flyout to a toolbar

Choose which toolbars to display

Copy an existing toolbar

Create a new toolbar

Create a toolbar that you can share

Delete a tool from a toolbar

Open the toolbar file on another computer

Rename a toolbar

Restore the toolbar defaults


To delete a tool from a toolbar

  1. Do one of the following:
    • Choose Tools > Customize.
    • Type customize and then press Enter.
  2. Click the Toolbars tab.
  3. Drag the tool you want to delete off the toolbar.
  4. Click Close.

Tell me about...

Creating a new toolbar

Creating custom toolbar tools

Creating flyouts

Creating toolbars that you can share as files

Customizing toolbars

Displaying and hiding toolbars

Naming toolbars

Setting the experience level for toolbars

Starting commands using toolbars

Toolbar syntax and explanations

How do I...

Add a custom tool to a toolbar

Add a flyout to a toolbar

Add a tool to a toolbar

Choose which toolbars to display

Copy an existing toolbar

Create a new toolbar

Create a toolbar that you can share

Open the toolbar file on another computer

Rename a toolbar

Restore the toolbar defaults


To add space between tools on a toolbar

  1. Do one of the following:
    • Choose Tools > Customize.
    • Type customize and then press Enter.
  2. Click the Toolbars tab.
  3. On the toolbar, drag the tool away from the tool beside it.
    4. To avoid accidentally deleting a tool, do not drag a tool more than halfway past the edge of the toolbar.
  4. Click Close.

Tell me about...

Creating a new toolbar

Creating custom toolbar tools

Creating flyouts

Creating toolbars that you can share as files

Customizing toolbars

Displaying and hiding toolbars

Naming toolbars

Setting the experience level for toolbars

Starting commands using toolbars

Toolbar syntax and explanations

How do I...

Add a custom tool to a toolbar

Add a flyout to a toolbar

Add a tool to a toolbar

Choose which toolbars to display

Copy an existing toolbar

Create a new toolbar

Create a toolbar that you can share

Delete a tool from a toolbar

Open the toolbar file on another computer

Rename a toolbar

Restore the toolbar defaults


To create a toolbar that you can share

  1. Open any ASCII text editor.
  2. Type the following characters exactly as shown here:

    3. ***MENUGROUP=example

    ***TOOLBARS

    **NewDraw

    ID_ NewDraw [_Toolbar("NewDraw ", _Bottom, _Show, 200, 200, 1)]

    ID_Line_0 [_Button("Line", Iline.bmp, IL_line.bmp)]^C^C_line

    ID_Hatch [_Button("Hatch", Ihatch.bmp, IL_hatch.bmp)]^C^C_hatch

    ID_Dtext [_Button("Dtext", Idtext.bmp, IL_dtext.bmp)]^C^C_dtext

    ID__0 [_Button("Circle Rad", Icirad.bmp, IL_cirad.bmp)]^C^Ccircle;

    ID_Erase [_Button("Erase", Ierase.bmp, IL_erase.bmp)]^C^Cerase;

    ***HELPSTRINGS

    ID_Line_0 [Creates straight line segments]

    ID_Hatch [Fills an enclosed area with a nonassociative hatch pattern]

    ID_Dtext [Displays text on screen as it is entered]

    ID__0 [Allows user to draw a circle with a radius value]

    ID_Erase [Removes objects from a drawing]
  3. Save the file to the IntelliCAD folder with a *.mnu extension.

Tell me about...

Creating a new toolbar

Creating custom toolbar tools

Creating flyouts

Creating toolbars that you can share as files

Customizing toolbars

Displaying and hiding toolbars

Naming toolbars

Setting the experience level for toolbars

Starting commands using toolbars

Toolbar syntax and explanations

How do I...

Add a custom tool to a toolbar

Add a flyout to a toolbar

Add a tool to a toolbar

Choose which toolbars to display

Copy an existing toolbar

Create a new toolbar

Delete a tool from a toolbar

Open the toolbar file on another computer

Rename a toolbar

Restore the toolbar defaults


To copy an existing toolbar

  1. Make sure the toolbar you want to copy is visible.
  2. Do one of the following:
    • Choose Tools > Customize.
    • Type customize and press Enter.
    • Click the Toolbars tab.
  3. Go outside the Customize dialog box and select a tool on the existing toolbar that you want to copy.
  4. Copy the information from the ToolTip, Help String, and Command boxes and paste it into the corresponding lines in the text file.
  5. Save the file to the IntelliCAD folder with a *.mnu extension.

Tell me about...

Creating a new toolbar

Creating custom toolbar tools

Creating flyouts

Creating toolbars that you can share as files

Customizing toolbars

Displaying and hiding toolbars

Naming toolbars

Setting the experience level for toolbars

Starting commands using toolbars

Toolbar syntax and explanations

How do I...

Add a custom tool to a toolbar

Add a flyout to a toolbar

Add a tool to a toolbar

Choose which toolbars to display

Create a new toolbar

Create a toolbar that you can share

Delete a tool from a toolbar

Open the toolbar file on another computer

Rename a toolbar

Restore the toolbar defaults


To open the toolbar file on another computer

  1. Copy the toolbar (MNU) file and all related custom bitmap (*.bmp) files to the IntelliCAD folder on the other computer.
  2. Open IntelliCAD.
  3. Do one of the following:
    • Choose Tools > Customize.
    • Type customize and press Enter.
    • Click the Toolbars tab.
  4. Click Import.
  5. Select the new toolbar file.
  6. Select the Append To Current Menu check box, and then click Open.
  7. If you don't select this box, the custom shortcut menu deletes all current menus.
  8. Click Close.

Tell me about...

Creating a new toolbar

Creating custom toolbar tools

Creating flyouts

Creating toolbars that you can share as files

Customizing toolbars

Displaying and hiding toolbars

Naming toolbars

Setting the experience level for toolbars

Starting commands using toolbars

Toolbar syntax and explanations

How do I...

Add a custom tool to a toolbar

Add a flyout to a toolbar

Add a tool to a toolbar

Choose which toolbars to display

Copy an existing toolbar

Create a new toolbar

Create a toolbar that you can share

Delete a tool from a toolbar

Rename a toolbar

Restore the toolbar defaults


To restore the toolbar defaults

  1. Do one of the following:
  2. Choose Tools > Customize.
  3. Type customize and press Enter.
  4. Click Reset.

    5. Tell me about...

    Creating a new toolbar

    Creating custom toolbar tools

    Creating flyouts

    Creating toolbars that you can share as files

    Customizing toolbars

    Displaying and hiding toolbars

    Naming toolbars

    Setting the experience level for toolbars

    Starting commands using toolbars

    Toolbar syntax and explanations

    How do I...

    Add a custom tool to a toolbar

    Add a flyout to a toolbar

    Add a tool to a toolbar

    Choose which toolbars to display

    Copy an existing toolbar

    Create a new toolbar

    Create a toolbar that you can share

    Delete a tool from a toolbar

    Open the toolbar file on another computer

    Rename a toolbar


To create a keyboard shortcut

  1. Do one of the following:
    • Choose Tools > Customize.
    • Type customize and then press Enter.
  2. Click the Keyboard tab.
  3. Click New.
  4. In the Press New Shortcut Key field, press Alt+A.
    5. The program adds Alt+A to its list of Defined Keys.
  5. In the Available Commands list, select Arc Center-Start-Angle.
  6. Click Add Command.
    7. The program adds the command to the Command field and enters the complete syntax for you:
    ^C^C^CARC;C;\ \A;
  7. To save your changes and close the dialog box, click Close.
  8. To activate the Arc command with the center, start, and angle options, press Alt+A.

Tell me about...

Creating a keyboard shortcut

Loading keyboard shortcut files

Saving keyboard shortcut files

How do I...

Delete an existing keyboard shortcut

Load a keyboard shortcut file

Redefine an existing keyboard shortcut

Save the current keyboard shortcuts to a file


To redefine an existing keyboard shortcut

  1. Do one of the following:
    • Choose Tools > Customize.
    • Type customize and then press Enter.
  2. Click the Keyboard tab.
  3. In the Defined Keys list, select the shortcut you want to change.
  4. In the Command field, change the command string assigned to the keyboard shortcut by doing one of the following:
    • Use the text cursor to delete the current command string, choose a new command in the Available Commands list, and then click Add Command.
    • Edit the command string in the Command field.
  5. Click Close.

Tell me about...

Creating a keyboard shortcut

Loading keyboard shortcut files

Saving keyboard shortcut files

How do I...

Create a keyboard shortcut

Delete an existing keyboard shortcut

Load a keyboard shortcut file

Save the current keyboard shortcuts to a file


To delete an existing keyboard shortcut

  1. Do one of the following:
    • Choose Tools > Customize.
    • Type customize and then press Enter.
  2. Click the Keyboard tab.
  3. In the Defined Keys list, select the shortcut you want to delete.
  4. Click Delete.
  5. Click Close.

Tell me about...

Creating a keyboard shortcut

Loading keyboard shortcut files

Saving keyboard shortcut files

How do I...

Create a keyboard shortcut

Load a keyboard shortcut file

Redefine an existing keyboard shortcut

Save the current keyboard shortcuts to a file


To create a new alias

  1. Do one of the following:
    • Choose Tools > Customize.
    • Type customize and then press Enter.
  2. Click the Aliases tab.
  3. Click New.
  4. In the Alias field, type the new alias.
  5. In the Available Commands list, select the command you want to assign to the alias.
  6. Click Assign.
  7. Click Close.

Tell me about...

Creating, redefining, and deleting aliases

Loading alias files

Saving alias files

How do I...

Delete an existing alias

Load an alias file

Redefine an existing alias

Save the current aliases to a file


To redefine an existing alias

  1. Do one of the following:
    • Choose Tools > Customize.
    • Type customize and then press Enter.
  2. Click the Aliases tab.
  3. In the Aliases list, select the alias you want to change.
  4. In the Available Commands list, select the command you want to assign to the alias.
  5. Click Assign.
  6. Click Close.

Tell me about...

Creating, redefining, and deleting aliases

Loading alias files

Saving alias files

How do I...

Create a new alias

Delete an existing alias

Load an alias file

Save the current aliases to a file


To delete an existing alias

  1. Do one of the following:
    • Choose Tools > Customize.
    • Type customize and then press Enter.
  2. Click the Aliases tab.
  3. In the Aliases list, select the alias you want to delete.
  4. Click Delete.
  5. Click Close.

Tell me about...

Creating, redefining, and deleting aliases

Loading alias files

Saving alias files

How do I...

Create a new alias

Load an alias file

Redefine an existing alias

Save the current aliases to a file


To record a script

  1. Do one of the following:
    • Choose Tools > Record Script.
    • On the Tools toolbar, click the Record Script tool ( [image]).
    • Type recscript and then press Enter.
  2. Specify the name of the script file you want to create.
  3. Click Save.
  4. Type commands on the keyboard.
    5. The Script Recorder records all keyboard entries and all points you select in the drawing, saving everything to the script file.

Tell me about...

Creating and replaying scripts

Using scripts

How do I...

Append to a script

Replay a script

Stop recording


To stop recording

  1. Do one of the following:
    • Choose Tools > Stop Recording.
    • On the Tools toolbar, click the Stop Recording tool ( [image]).
    • Type stopscript and then press Enter.

Tell me about...

Creating and replaying scripts

Using scripts

How do I...

Append to a script

Record a script

Replay a script

Stop recording


To replay a script

  1. Do one of the following:
    • Choose Tools > Run Script.
    • On the Tools toolbar, click the Run Script tool ( [image]).
    • Type script and then press Enter.
  2. In the Run Script dialog box, specify the name of the script file you want to run.
  3. Click Open.
    4. The program immediately runs the script, performing all the actions originally recorded.

Tell me about...

Creating and replaying scripts

Using scripts

How do I...

Append to a script

Record a script

Replay a script

Stop recording


To append to a script

  1. Do one of the following:
    • Choose Tools > Record Script.
    • On the Tools toolbar, click the Record Script tool ( [image]).
    • Type rescript and then press Enter.
  2. In the Record Script Window, click the Append To Script check box.
  3. Select the existing script file to append.
  4. Click Save.
  5. Click Yes to Replace Existing File prompt.
  6. Repeat the procedure to enter additional commands and steps.

TIP To invoke a script automatically when you load IntelliCAD, in Windows Explorer, double-click a script file.

Tell me about...

Creating and replaying scripts

Using scripts

How do I...

Record a script

Replay a script

Stop recording


To load a LISP routine

  1. Advanced experience menu level
  2. Do one of the following:
    • Choose Tools > Load LISP or SDS Application.
    • Type appload and then press Enter.
    • Drag and drop the LISP file into IntelliCAD.
  3. In the Load Application Files dialog box, click Add File.
  4. Select the LISP file that you want to load, and then click Open.
  5. Click OK.

TIP You can also load a LISP routine by typing (load "d:/path/routine.lsp") in the command bar (you must include the parentheses and the quotation marks), where d:/path is the drive and path where the LISP routine is located on your computer and routine.lsp is the LISP routine file name.

Tell me about...

Understanding AutoLISP compatibility

Using LISP routines

How do I...

Load a LISP routine

Run a LISP routine


To run a LISP routine

  1. Advanced experience menu level
  2. Do one of the following:
    • Choose Tools > Load LISP or SDS Application.
    • Type appload and then press Enter.
  3. In the Load Application Files dialog box, choose the routine you want to run (make sure that it is the only one selected), and then click Load.

Some LISP routines are created in such a way that you can run them by simply typing the name of the routine, or by typing a keyword, directly in the command bar. If nothing happens when you attempt to run the LISP routine from within the Load Application Files dialog box, turn on the display of the command bar or Prompt History window by choosing View > Prompt History Window and look for an entry that is similar to the following:

Loading D:\path\routine.lsp

C:KEYWORD

where D:\path\routine.lsp is the complete drive, path, and file name of the LISP routine. You may need to scroll back several lines in the command bar or Prompt History window to find the lines indicating where the LISP routine was loaded. If you see an entry that looks like this, you can run the LISP routine by typing the name of the routine or keyword appearing after the C drive designation.

For example, if you loaded a LISP routine named drawbox.lsp and see the designation C:DRAWBOX in the command bar or Prompt History window, you can run the LISP routine by typing drawbox in the command bar.

Tell me about...

Understanding AutoLISP compatibility

Using LISP routines

How do I...

Load a LISP routine

Run a LISP routine


To run a VBA macro

Advanced experience level

  1. Do one of the following:
    • Choose Tools > Visual Basic > Macros.
    • Type vbarun and then press Enter.
  2. In the Run IntelliCAD VBA Macro dialog box, enter the name of an existing VBA macro, and then click Run.
    3. You can also create, delete, and edit VBA macros from this dialog box.

Tell me about...

Disabling VBA CommonProject macros

Using VBA

How do I . . .

Edit a VBA macro


To edit a VBA macro

Advanced experience level

  1. Do one of the following:
    • Choose Tools > Visual Basic > Visual Basic Editor.
    • Type vba and then press Enter.
  2. Use the Visual Basic Editor to write or debug VBA macros.

Tell me about...

Disabling VBA CommonProject macros

Using VBA

How do I...

Edit a VBA macro